import Bladex      
import GameText
import AuxFuncs
import Actions
import Reference
import whrandom
import ItemTypes
import GenFX
import Damage
import darfuncs
import os
import B3DLib
import ObjStore
import MenuText
import OnOff
import copy
import Objects
import Auras
from Tr import Tr

import PlayerTypes
import NPCStats
import EnemyNPCTypes
import AllyNPCTypes




try:
	import Ally_Def
except:
	GameText.WriteTextAux(Tr("Whoops!...I forgot to install the Allies Mod"), 30.0, 255,55,55,[],100)	



GameText.MapList ['PROSPEROARENA1'] = 'ProsperoArena1'



AllyNPCTypes.LoadXtraAnims()


from ProsperoArena1Menu import Amb  

if Amb==0:
	Ambience=0
	Reference.debugprint("Ambience is Dusk")
else:
	Ambience=1
	Reference.debugprint("Ambience is Daylight")
	Bladex.SetSun(1,200,180,80)



def FlashMsg(Msg):
	if Reference.PYTHON_DEBUG >= 1:
		import GameText
		GameText.AbortText()
		GameText.WriteTextAux(MenuText.GetMenuText(Msg),10.0,255,0,0,[],None,100)


def StartMusic():
	ChangeMusic("Music1")

	
	
	
	
Currentmusic=""
		
def ChangeMusic(music):
	Bladex.KillMusic()
	Bladex.ExeMusicEvent(Bladex.GetMusicEvent(music))
	global Currentmusic
	Currentmusic=music
	
	
	
def ResumeMusic():
	global Currentmusic
	Bladex.KillMusic()
	if Currentmusic!="":
		Bladex.ExeMusicEvent(Bladex.GetMusicEvent(Currentmusic))
	
	
def Intro():
	cam=Bladex.GetEntity("Camera")
  	cam.PViewType=0
	Bladex.DeactivateInput()
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, AuxFuncs.FadeFrom, (0.6,2.5,))
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.3, SetBuddies,())
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, StartMusic,())
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.3, Scorer.SetVisible, (1,))
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.8, Bladex.ActivateInput, ())
  	
  	
pjtype=Bladex.GetEntity("Player1").Kind
  	
def SetBuddies():
	PlayerTypes.SignOn("SoldierDwarf1")
	PlayerTypes.SignOn("SoldierDwarf2")
	for i in (Buddies):
		bud=Bladex.GetEntity(i)
		if bud.Kind != pjtype:
			darfuncs.UnhideBadGuy(i)
			bud.SetOnFloor()
			PlayerTypes.SignOn(i)
			print "Set Buddy "+i



def ResetAttackMoves():

	# To fix bug in savegame where Data is applied before 
	# weapons are added to inventory and
	# unarmed moves are enabled.
	
	ents = Bladex.nEntities()
	for id in range(ents):
		per = Bladex.GetEntity(id)
		if per: 
			if per.Person:
				if per.Life>0 and per.Name!="Player1" and per.Name[:4]!="Test":
					try:
						per.Data.ResetCombat(per.Name)
						Reference.debugprint("RESET COMBAT: " + per.Name)
					except AttributeError:
						Reference.debugprint(per.Name+": Does not have ResetCombat attribute")

Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, ResetAttackMoves, ())


	
def Start(sector,entity):
	if entity=="Player1":
		print "starting....."	
		
		PlaceEnemy("StartSkel1")
		Bladex.AddScheduledFunc(Bladex.GetTime() + 12.0, PlaceEnemy, ("StartSkel2",))
		Bladex.AddScheduledFunc(Bladex.GetTime() + 18.0, PlaceEnemy, ("StartSkel3",))
		Bladex.AddScheduledFunc(Bladex.GetTime() + 25.0, PlaceEnemy, ("StartSkel4",))
		Bladex.AddScheduledFunc(Bladex.GetTime() + 30.0, PlaceEnemy, ("StartSkel5",))
		sectorinit.OnEnter= None
				
				

def InitExtraStuff():
	PlayerTypes.RemapKeys()
	char=Bladex.GetEntity("Player1")
	char.Data.DeathFunc=DeathCount
	if not os.path.exists("../../Scripts/AllCombos.py"):
		import ExtraCombos
		ExtraCombos.InitExtraCombos()
	else:
		print "All Combos Mod Installed"
	
Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.0, InitExtraStuff,())
		

########################################################################################################################################################
######## Casualty Counter

EnemyDeadCount=0
AllyDeadCount=0
PlayerDeaths=0



import counter


def DeathCount(entity):
	PlayerDied()
	global PlayerDeaths
	PlayerDeaths=PlayerDeaths+1
	UpdateCasualtyList()
	

def GhoulDead():
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()
	print "Ghoul Dead........ hehehehe!"
	
	
def BadGuyDead():
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()
	
	
def GoodGuyDead():
	global AllyDeadCount
	AllyDeadCount=AllyDeadCount+1
	UpdateCasualtyList()


def UpdateCasualtyList():
	counter.WriteDeadCountText(EnemyDeadCount,AllyDeadCount,PlayerDeaths)
	
	



LiveGame=1

def SetCamSave():
	global LiveGame
	if LiveGame==1:
		LiveGame=0
	else:
		cam=Bladex.GetEntity("Camera")
  		cam.PViewType=0
  	UpdateCasualtyList()
		

Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0,SetCamSave,())



###########################################################################################################################################################
#### Respawn Stuff


Respawning=0
EXP_PENALTY=0.05
Respawnpos=[(-14000,-3000,-56000),
	    (-12000,-3000,-56000),
	    (-10000,-3000,-56000),
	    (0,-3000,-56000),
	    (3000,-3000,-56000),
	    (6000,-3000,-56000),
            (9000,-3000,-56000),
            (12000,-3000,-56000)]
            

def EndReSpawnX():
	char = Bladex.GetEntity("Player1")
	if char.Data.Invincibility == 3:
		char.Data.Invincibility = 0
		
		
		
def RelinkCam():
	char = Bladex.GetEntity("Player1")
	char.Data.RelinkCamera()
	
	
	

def MyReSpawn (EntityName):		
	me = Bladex.GetEntity(EntityName)
	
	right= me.InvRight
	left= me.InvLeft
	rightback= me.InvRightBack
	leftback= me.InvLeftBack
		
	#me.Data.UnlinkAll (EntityName, "")  # Dettatch arrows	## to retain auras
		
	inv= me.GetInventory()
	if rightback:
		inv.LinkRightHand (rightback)
		inv.LinkBack(rightback)		
	if leftback:
		inv.LinkLeftHand (leftback)
		inv.LinkBack(leftback)	
	if right:
		inv.LinkRightHand (right)
	if left:
		inv.LinkLeftHand (left)
		
	me.Life= CharStats.GetCharMaxLife(me.Kind, me.Level)
	me.Energy= CharStats.GetCharMaxEnergy(me.Kind, me.Level)
	me.ResetWounds()
	if me.Data.Poisoned:
		me.Data.UnVenom()
	# Link camera
	#import netgame
	#if(netgame.GetNetState()==0):
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,RelinkCam,())
	angle= me.Angle
	me.Orientation= (0.0, 3.62407746479e-007, 0.707107365131, -0.707106947899)
	me.Angle= angle




def ReSpawnX():
	print"respawning"
	char = Bladex.GetEntity("Player1")
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, Scorer.SetVisible,(1,))	
	#char.PartialLevel = char.PartialLevel - (CharStats.GetCharExperienceCost(char.CharType,char.Level) * EXP_PENALTY)
	if char.PartialLevel < 0:
		char.PartialLevel = 0
	Scorer.SetLevelBarValue(char.PartialLevel)
	Bladex.RemoveAfterFrameFunc("Fade")
	char.LaunchAnmType("Rlx")
	#char.SelfIlum=0
	pos=Respawnpos[whrandom.randint(0, len(Respawnpos)-1)]
	if darfuncs.ValidAppear(pos): 
		#char.Data.ReSpawn("Player1")
		MyReSpawn("Player1")
		char.Position = (pos[0],pos[1],pos[2])
		char.Angle=0
		char.SetOnFloor()
		#GenFX.PersonMagicallyAppearing()
		if char.Data.Invincibility == 0:
			char.Data.Invincibility = 3
		Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, EndReSpawnX,(), "EndReSpawnX")
		AuxFuncs.ResetScene()
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, AuxFuncs.FadeFrom, (2.5, 0.0,))
		
		print "Respawned"
	else:
		print "Respwawn pos not good - try again...."
		ReSpawnX()
		
		
	
def ResetRespawnVar():
	global Respawning
	Respawning=0



def PlayerDied ():
	print("I am dead")
	global Respawning
	Respawning=1
	char = Bladex.GetEntity("Player1")
	char.Wuea = Reference.WUEA_ENDED
	Bladex.KillMusic()
	Bladex.DeactivateInput()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Supr1b"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.8, Scorer.SetVisible,(0,))	
	Bladex.AddScheduledFunc(Bladex.GetTime() + 3.0, AuxFuncs.FadeTo, (7.0, 0.0,))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0,ReSpawnX,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 11.0,ResetRespawnVar,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 11.0,ResumeMusic,())
	
	


def KillIntruder(sector, entity):
	per = Bladex.GetEntity(entity)
	if not per.Person:
		return
	if PlayerTypes.CheckIfAlly(entity) and not entity=="Player1":
		per.Life=0
		
##########################################################################################################################################################
#### drowning

import Water

Wetpositions=[(16000,-2600,-20000),
	      (16000,-2600,-8000),
              (-7000,-2600,-22000),
              (-16000,-2600,-19513),
              (-6000,-2600,-22043),
              (-6000,-2600,22000),
              (-17000,-2600,19000),
              (16000,-2600,19000)]



def PlaceWetAlly(entity):
	ally=Bladex.GetEntity(entity)
	if ally.Alpha>0.9:
		ally.Alpha=0
	pos=Wetpositions[whrandom.randint(0, len(Wetpositions)-1)]
	ally.Position=pos[0], pos[1], pos[2]
	ally.Angle=B3DLib.GetEntity2EntityAngle(ally.Name, "Player1")
	darfuncs.HideBadGuy(entity)
	if ConcealedAppear(pos,ally.Name)==1:
		darfuncs.UnhideBadGuy(entity)
		ally.Alpha=1.0
		ally.CastShadows=1
		ally.SetOnFloor()
		try:
			ally.Data.LookForAnotherOpponent(ally.Name)
		except AttributeError:
			pass
		Reference.debugprint(entity+" All clear - back out of water")
	else:	
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,PlaceWetAlly,(entity,))
		Reference.debugprint(entity+" position not good - next try in a mo.")



Waterlevel=3800


def RelocateAlly(entity):
	darfuncs.HideBadGuy(entity)
	Bladex.AddScheduledFunc(Bladex.GetTime()+30.0,PlaceWetAlly,(entity,))
	


def DrownPlayer(finado):
	finado.Life = 0
	
def PlayerDrowned(sector,entity):
	global Waterlevel
	finado = Bladex.GetEntity(entity)
	if finado.Person:
		Water.SplashWater(finado.Position[0],Waterlevel-100,finado.Position[2])
		if PlayerTypes.CheckIfAlly(entity) or finado.Name=="Player1":
			Bladex.AddScheduledFunc(Bladex.GetTime()+2.0, DrownPlayer,(finado,))
			print entity+" has fallen in the water. Can't Swim...."
		else:
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5, RelocateAlly,(entity,))
			print entity+" has fallen in the water. Relocating...."
		
		if finado.Name=="Player1":
			cam  = Bladex.GetEntity("Camera")
			cam.SType = 0
			cam.TType = 0
			print("player drowned")
			
			
############################################################################################################################################################

def AbreGate(gate,d1=1800,d2=600):
        desplazamientos=(d1, d2)
       	vectores=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
       	vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizrasanexo, deslizrasanexo)
        son_finales=("", golperasanexo)
        Objects.NDisplaceObject(gate, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)
        
        	
        	
        	
def CierraGate(gate,d1=1800,d2=600):
        desplazamientos=(d1, d2)
       	vectores=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
       	vel_iniciales=(500.0, 2000)
        vel_finales=(2000.0, 500)
        son_durante=(deslizrasanexo, deslizrasanexo)
        son_finales=("", golperasanexo)
        Objects.NDisplaceObject(gate, desplazamientos, vectores, vel_iniciales, vel_finales, (), son_durante, son_finales)
        
       
        
############################################################################################################################################################


def GetWeaponType(type,lvl):
	if EnemyNPCTypes.Weps.has_key(type):
		wps=EnemyNPCTypes.Weps[type]
		if lvl<=19:
			WPTYPE=wps[lvl]
		else:
			WPTYPE=wps[19]
  	else:
  		WPTYPE="Cazo"
	return WPTYPE
	
	
def GetShieldType(lvl):
	global Shields
	if lvl>19:
		SHTYPE=EnemyNPCTypes.Shields[19]
	else:
		SHTYPE=EnemyNPCTypes.Shields[lvl]
	return SHTYPE
	

def GetAverageLevel():
	charlvl=char.Level+1
	tot = charlvl
	allylist=char.Data.AllyList
	goodiesnum=len(char.Data.AllyList)+1
	print "Number of Allies inc Player is ",goodiesnum
	for i in char.Data.AllyList:
		budlvl=Bladex.GetEntity(i).Level+1
		tot=tot+budlvl
	print "Total levels is ",tot
	avlvl=int(tot/goodiesnum)-1
	print "Average ally corrected level is ",avlvl
	return avlvl
	
	
	
	
FinalAct=0


enemyspawnpos={}
enemyspawnpos["Default"]=  [(-13623,508,-10994),
            		    (-9877,526,-13870),
                            (9626,501,-15016),
                            (13955,520,-8285),
                            (13919,515,12071),
                            (10426,515,14592),
                            (-15712,502,14488),
                            (-3157,-1093,37982),
                            (3323,-1111,37279),
                            (-41522,408,-3866),
                            (-41213,388,2832),
                            (43027,390,-3199),
                            (41714,390,-1131),
                            (43454,388,2361)]

enemyspawnpos["Skeleton"]= [(-13623,508,-10994),
            		    (-9877,526,-13870),
                            (9626,501,-15016),
                            (13955,520,-8285),
                            (13919,515,12071),
                            (10426,515,14592),
                            (-15712,502,14488),
                            (-3157,-1093,37982),
                            (3323,-1111,37279),
                            (-41522,408,-3866),
                            (-41213,388,2832),
                            (43027,390,-3199),
                            (41714,390,-1131),
                            (43454,388,2361)]
	
enemyspawnpos["BronzeWarrior"]= [(-13623,508,-10994),
            		    (-9877,526,-13870),
                            (9626,501,-15016),
                            (13955,520,-8285),
                            (13919,515,12071),
                            (10426,515,14592),
                            (-15712,502,14488),
                            (-3157,-1093,37982),
                            (3323,-1111,37279),
                            (-41522,408,-3866),
                            (-41213,388,2832),
                            (43027,390,-3199),
                            (41714,390,-1131),
                            (43454,388,2361)]
                            
                            
                           
                            
golemspawnpos= [(221,-2069,40400),
		(56191,-425,250),
		(50551,-444,-1715),
		(49972,-428,2705),
		(-51612,-430,-2193),
		(-49967,-430,2710)]
		
		
		
ironwarriorspawnpos= [(67000,-500,5500),
		      (67000,-500,-5500),
		      (-3000,-1600,40000),
		      (3000,-1600,40000),
		      (0,-4000,-45000)]
	
	
BronzeWarriorAct=0
		
skelnum=0


def SkelDead(entity):
	print "Skeleton dead"
	per=Bladex.GetEntity(entity)
	lvl=per.Level
	Bladex.AddScheduledFunc(Bladex.GetTime()+10.0, CreateSkel,(lvl,))
	BadGuyDead()
	
	

	
def CreateSkel(LEVEL):
	if FinalAct:
		return
	global skelnum
	skelnum=skelnum+1
	if skelnum>30 and skelnum<35:
		StartGolems()
	if skelnum>1 and skelnum%20==0:
		CleanTheCrap()
	if BronzeWarriorAct:
		return
	lvl=LEVEL
	lvl=GetAverageLevel()
	nuskel=Bladex.CreateEntity("Skel"+`skelnum`,"Skeleton",0,20000,0,"Person")
	nuskel.Level=lvl
	rwp=Bladex.CreateEntity(nuskel.Name+"WP",GetWeaponType("Skeleton",lvl),0,20000,0,"Weapon")
	lsh=Bladex.CreateEntity(nuskel.Name+"SH",GetShieldType(lvl),0,20000,0,"Weapon")
	lsh.Scale=1.0
	Sparks.MakeShield(lsh.Name)
	Actions.TakeObject(nuskel.Name,lsh.Name)
	Actions.TakeObject(nuskel.Name,rwp.Name)
	nuskel.Data=EnemyNPCTypes.ArmouredSkeleton(nuskel)
	if lvl>=4 and lvl <6:
		nuskel.Data.PutOnHelmet(nuskel.Name)
	elif lvl>=6:
		nuskel.Data.PutOnArmour(nuskel.Name)
	nuskel.Data.DeathFunc=SkelDead
	nuskel.Data.DeathArgs=(nuskel.Name,)
	nuskel.SendTriggerSectorMsgs=1
	darfuncs.HideBadGuy(nuskel.Name)
	nuskel.Alpha=0
	nuskel.CastShadows=0
	PlaceEnemy(nuskel.Name)
	
	
	
def PlaceEnemy(enemyname):
	en=Bladex.GetEntity(enemyname)
	if en.Alpha>0.9:
		en.Alpha=0
	if enemyspawnpos.has_key(en.Kind):
		positions=enemyspawnpos[en.Kind]
	else:
		positions=enemyspawnpos["Default"]
	pos=positions[whrandom.randint(0, len(positions)-1)]
	en.Position=pos[0], pos[1], pos[2]
	en.Angle=B3DLib.GetEntity2EntityAngle(en.Name, "Player1")
	darfuncs.HideBadGuy(enemyname)
	if ConcealedAppear(pos,en.Name)==1:
		darfuncs.UnhideBadGuy(enemyname)
		en.Alpha=1.0
		en.CastShadows=1
		en.SetOnFloor()
		try:
			en.Data.LookForAnotherOpponent(en.Name)
		except AttributeError:
			pass
		Reference.debugprint(enemyname+" All clear - ready to fight")
	else:	
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,PlaceEnemy,(enemyname,))
		Reference.debugprint(enemyname+" position not good - next try in a mo.")
	
	
def OpenTombDoor1(sector, entity):
	if entity!="Player1":
		return
	charlvl=Bladex.GetEntity("Player1").Level
	if charlvl<=3:
		return   
	OnOff.SetLightInens(16)
	OnOff.TurnOnLight("LamparaNegra_2618")
	OnOff.TurnOnLight("LamparaNegra_2619")
	lvl=GetAverageLevel()
	iw1.Level=lvl
	iw1.Life=CharStats.GetCharMaxLife(iw1.Kind,iw1.Level)
	iw1.Data.UpdateMyPower()
	darfuncs.UnhideBadGuy("StartIronWarrior")
	iw1.Data.AttackOnSight=0
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.0,OpenTombDoor2,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+7.5,OpenTombDoor3,())
	secttombdoor.OnEnter=None
	
	
	
def OpenTombDoor2():
	tombdoorN.OpenDoor()
	tombdoorS.OpenDoor()
	
def  OpenTombDoor3():
	iw1.Data.AttackOnSight=1
		
			
	
def IronWarriorDead(entity):
	Bladex.AddScheduledFunc(Bladex.GetTime()+20.0,CreateIronWarrior,())
	BadGuyDead()
	
ironwarriornum=0
	
	
def CreateIronWarrior():
	if FinalAct:
		return
	global ironwarriornum
	ironwarriornum=ironwarriornum+1
	lvl=GetAverageLevel()
	WPTYPE="IronHammer"
	nuiw=Bladex.CreateEntity("IronWarrior_"+`ironwarriornum`,"IronWarrior",0,20000,0,"Person")
	if whrandom.random()<0.5:
		nuiw.SetMesh("IronWarrior_B")
		WPTYPE="IronAxe"
	nuiw.Level=lvl
	nuiw.Data=EnemyNPCTypes.IronWarrior(nuiw)
	nuiw.Data.ToolUp(WPTYPE)
	nuiw.Data.DeathFunc=IronWarriorDead
	nuiw.Data.DeathArgs=(nuiw.Name,)
	nuiw.Data.Dusted=1
	darfuncs.HideBadGuy(nuiw.Name)
	PlaceIronWarrior(nuiw.Name)
	
	
	
def PlaceIronWarrior(enemyname):
	en=Bladex.GetEntity(enemyname)
	pos=ironwarriorspawnpos[whrandom.randint(0, len(ironwarriorspawnpos)-1)]
	en.Position=pos[0], pos[1], pos[2]
	en.Angle=B3DLib.GetEntity2EntityAngle(en.Name, "Player1")
	darfuncs.HideBadGuy(enemyname)
	if ConcealedAppear(pos,en.Name)==1:
		darfuncs.UnhideBadGuy(enemyname)
		en.CastShadows=1
		en.SetOnFloor()
		Reference.debugprint(enemyname+" All clear - ready to fight")
		en.GoTo(0,400,0)####
	else:	
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,PlaceIronWarrior,(enemyname,))
		Reference.debugprint(enemyname+" position not good - next try in a mo.")	
	
	
	
	
	
	
	
def GolemDead(entity):
	Bladex.AddScheduledFunc(Bladex.GetTime()+20.0,CreateGolem,())
	BadGuyDead()
	
	
	
golemnum=0
golemtypes=["RockGolem","JewelGolem"]	
Jgolemmeshes=["JewelGolem","JewelGolemRuby","JewelGolemAmethyst","JewelGolemEmerald"]
Rgolemmeshes=["RockGolem","WoodGolem","LavaGolem","EarthGolem"]

def CreateGolem():
	if FinalAct:
		return
	global golemnum
	golemnum=golemnum+1
	lvl=GetAverageLevel()
	GOLEMTYPE=golemtypes[whrandom.randint(0, len(golemtypes)-1)]
	nugol=Bladex.CreateEntity("Golem"+`golemnum`,GOLEMTYPE,0,20000,0,"Person")
	nugol.Level=lvl
	if GOLEMTYPE=="JewelGolem":
		meshname=Jgolemmeshes[whrandom.randint(0, len(Jgolemmeshes)-1)]
		if not meshname=="JewelGolem":
			nugol.SetMesh(meshname)
		nugol.Data=EnemyNPCTypes.JewelGolem(nugol)
		nugol.Data.ToolUp()
	else:
		meshname=Rgolemmeshes[whrandom.randint(0, len(Rgolemmeshes)-1)]
		if not meshname=="RockGolem":
			nugol.SetMesh(meshname)
		nugol.Data=EnemyNPCTypes.RockGolem(nugol)
		nugol.Data.Resistances=copy.copy(CharStats.GetCharResistances(nugol.MeshName))
	nugol.Data.DeathFunc=GolemDead
	nugol.Data.DeathArgs=(nugol.Name,)
	nugol.Data.Dusted=1
	darfuncs.HideBadGuy(nugol.Name)
	nugol.CastShadows=0
	PlaceGolem(nugol.Name)
	print "Golem ready to place"
	
	
	
def PlaceGolem(enemyname):
	en=Bladex.GetEntity(enemyname)
	pos=golemspawnpos[whrandom.randint(0, len(golemspawnpos)-1)]
	en.Position=pos[0], pos[1], pos[2]
	en.Angle=B3DLib.GetEntity2EntityAngle(en.Name, "Player1")
	darfuncs.HideBadGuy(enemyname)
	if ConcealedGolemAppear(pos,en.Name)==1:
		darfuncs.UnhideBadGuy(enemyname)
		en.Data.AddFX()
		en.CastShadows=1
		en.SetOnFloor()
		try:
			en.Data.LookForAnotherOpponent(en.Name)
		except AttributeError:
			pass
		Reference.debugprint(enemyname+" All clear - GOLEM ready to fight")
		en.GoToJogging=0
		en.GoTo(0,400,0)
	else:	
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,PlaceGolem,(enemyname,))
		Reference.debugprint(enemyname+" position not good - next try in a mo.")
	
	
	
def ConcealedGolemAppear(pos,entity):
	en=Bladex.GetEntity(entity)
	char=Bladex.GetEntity("Player1")
	dist=B3DLib.GetXZDistance("Player1",en.Name)
	if dist >4000 or dist<2.0: #####
		# check Player cannot see me...
		if not char.CanISee(en):
			things=Bladex.GetEntitiesAt(pos[0],pos[1],pos[2],1500)
			# check that another en is not already in my position
			clear=1
			for id in things:
				possibleen=Bladex.GetEntity(id)
				if possibleen.Person and possibleen.Name!=en.Name:
					if possibleen.Life>0:
						print "Trying to do it, but",id,"is already in my position."
						clear=0
			else:
				if clear==1:
					return 1
				else:
					return 0
		else:
			print "I can't appear here. I can be seen."
			return 0
	else:
		print entity+": I am too near the Player"
		print dist
		return 0
	
	
	
	
GolemsStarted=0

def StartGolems():
	if FinalAct:
		return
	global GolemsStarted
	if GolemsStarted:
		return
	PlaceGolem("StartRockGolem")
	GolemsStarted=1
	FlashMsg("Golems Started")

	
	
def ConcealedAppear(pos,entity):
	en=Bladex.GetEntity(entity)
	char=Bladex.GetEntity("Player1")
	dist=B3DLib.GetXZDistance("Player1",en.Name)
	if dist >4000:
		# check Player cannot see me...
		if not char.CanISee(en):
			things=Bladex.GetEntitiesAt(pos[0],pos[1],pos[2],1500)
			# check that another en is not already in my position
			clear=1
			for id in things:
				possibleen=Bladex.GetEntity(id)
				if possibleen.Person and possibleen.Name!=en.Name:
					if possibleen.Life>0:
						print "Trying to do it, but",id,"is already in my position."
						clear=0
			else:
				if clear==1:
					return 1
				else:
					return 0
		else:
			print "I can't appear here. I can be seen."
			return 0
	else:
		return 0
	
	
	
	
	

def CheckForReplacement(LEVEL):
	global ReserveBuddies
	if len(ReserveBuddies)==0:
		print "No Reserves left"
		return
	else:
		if len(ReserveBuddies)==1:
			nubud=Bladex.GetEntity(ReserveBuddies[0])
		else:
			nubud=Bladex.GetEntity(ReserveBuddies[whrandom.randint(0, len(ReserveBuddies)-1)])
			
		nubud.Level=LEVEL
		nubud.Life=CharStats.GetCharMaxLife(nubud.Kind,LEVEL)
		ReserveBuddies.remove(nubud.Name)
		if nubud.Data.LevelupFunc:
			apply(nubud.Data.LevelupFunc, nubud.Data.LevelupArgs)
			PlayerTypes.SignOn(nubud.Name)
			print nubud.Name+" Ready for action"
		Bladex.AddScheduledFunc(Bladex.GetTime()+10.0,PlaceEnemy,(nubud.Name,))
		
		
def NoResCap():	
	GameText.WriteTextAux("No Reinforcements Left", 7.0, 160,160,160,[],100)
	
	

dwarfnum=3

def MakeNewSoldierDwarf(LEVEL):
	if FinalAct:
		return
	global dwarfnum
	dwarfnum=dwarfnum+1
	if dwarfnum>=25:
		print "No more Soldier Dwarf Reserves"
		return
	nudwf=Bladex.CreateEntity("SoldierDwarf"+`dwarfnum`,"IrDwarf_N",0,10000,0, "Person")
	nudwf.Level=LEVEL
	nudwf.Data=AllyNPCTypes.AllyIrlichDwarf(nudwf)
	nudwf.Data.ToolUp()
	nudwf.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
	nudwf.Data.LevelupArgs=(nudwf.Name,)
	nudwf.Data.DeathFunc=SoldierDwarfDead
	nudwf.Data.DeathArgs=(nudwf.Name,)
	nudwf.Data.Dusted=1
	AllyNPCTypes.Sargon_Naglfar_LevelUpFunc(nudwf.Name)
	nudwf.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nudwf.Kind))
	PlayerTypes.SignOn(nudwf.Name)
	PlaceEnemy(nudwf.Name)



def BuddyDeadCap(entity):
	GameText.WriteTextAux(entity+": Killed in Action", 6.0, 200,10,10,[],100)
	

	
##### Boss 

def MoveAllies():
	allies=Bladex.GetEntitiesAt(0,0,0,8000)
	for i in allies:
		per=Bladex.GetEntity(i)
		if per.Person:
			if per.Life>0 and per.Name !="Player1" and per.Name != "VMBlackKnight1":
				Actions.TurnToFaceEntity(per.Name,"VMBlackKnight1")
				per.Wuea=Reference.WUEA_ENDED
				per.InterruptCombat()
				per.LaunchAnmType("hurt_f_big")
			
			
	
def EnableBossTriggs():
	global sectorcent1
	global sectorcent2
	global sectorcent3
	global sectorcent4
	sectorcent1.OnEnter= StartBossScene
	sectorcent2.OnEnter= StartBossScene
	sectorcent3.OnEnter= StartBossScene
	sectorcent4.OnEnter= StartBossScene
	ChangeMusic("CreepyMusic")
	print "Boss Triggers Enabled"
	

def ImplosionDemonio (EntityName):
	me = Bladex.GetEntity(EntityName)
	impl=Bladex.CreateEntity(EntityName+"ImplosionDemonio", "Entity Particle System D1", me.Position[0], me.Position[1], me.Position[2])
	impl.ParticleType="BossEnergia"
	impl.YGravity=0.0
	impl.Friction=0.0
	impl.PPS=300
	impl.Velocity=0.0, 0.0, 0.0
	impl.RandomVelocity=-30.0
	impl.Time2Live=70
	impl.DeathTime=Bladex.GetTime()+1.5
	
		
def AppearsFX(EntityName):
	wps=Bladex.CreateEntity(EntityName+"WPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
	wps.PersonName=EntityName
	wps.ParticleType="EnergyConc"
	wps.Time2Live=60
	wps.RandomVelocity=0
	wps.Velocity=0,0,0
	wps.NormalVelocity=-5.0
	wps.YGravity=0
	wps.DeathTime=Bladex.GetTime()+1.5	
	wps.PPS=600


def FadeIn(EntityName):
	me = Bladex.GetEntity(EntityName)
	AuxFuncs.FadeObject(EntityName,0.0,1.0,3.0)
	if me.InvRight:
		AuxFuncs.FadeObject(me.InvRight,0.0,1.0,3.0)
	if me.InvLeft:
		AuxFuncs.FadeObject(me.InvLeft,0.0,1.0,3.0) 	
	
	
def StartBossScene(sector,entity):
	if entity != "Player1":
		return
	StartBossScene2()
	sectorcent1.OnEnter= ""
	sectorcent2.OnEnter= ""
	sectorcent3.OnEnter= ""
	sectorcent4.OnEnter= ""


def EndBossScene():
	darfuncs.StopMatrixFX()
	cam=Bladex.GetEntity("Camera")
	cam.SetPersonView("Player1")
	cam.Cut()
	Bladex.ActivateInput()
	Scorer.SetVisible(1)
	KillLight()
	vmk1=Bladex.GetEntity("VMBlackKnight1")
	vmk1.Data.AttackOnSight=1
	vmk1.CastShadows=1
	vrwp=Bladex.GetEntity(vmk1.InvRight)
	vlwp=Bladex.GetEntity(vmk1.InvLeft)
	if vrwp:
		vrwp.CastShadows=1
	if vlwp:
		vlwp.CastShadows=1
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.0,ChangeMusic,("HeavyCombat",))


MatrixAct=1
Matrixrunning=0
Remcam=0
Encam=0


RemAllies=[]
		
def CheckRemAllies():	
	global RemAllies
	#vmk1=Bladex.GetEntity("VMBlackKnight1")
	nents= Bladex.nEntities()
	for i in range(nents):
		ent= Bladex.GetEntity(i)
		if (ent.Person):
			if ent.Life>0 and not PlayerTypes.CheckIfAlly(ent.Name) and ent.Name!="Player1" and not ent.Name[:4]=="Test" and ent.Name!=PlayerName:
				RemAllies.append(ent.Name)
				#dist=B3DLib.GetXZDistance("VMBlackKnight1", ent.Name)
				try:
					if not ent.CanISee(vmk1):
						if ent.AstarState!=Ally_Def.ASTAR_SOLVED:
							ent.GoTo(0,0,0)
							print ent.Name," Going to final battle"
				except:
					pass
	print "Remaining Allies are....",RemAllies




def StartBossCutscene(entity):
	if Remcam:
		IrPosicion5()
	Bladex.DeactivateInput()
	Scorer.SetVisible(0)
	Actions.TurnToFaceEntity("Player1",entity)
	darfuncs.StartMatrixFX(entity)
	Bladex.KillMusic()
	ChangeMusic("IniCombat")
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,CleanTheCrap2,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.2,EndBossScene,())

	
def  StartBossScene2():
	vmk1=Bladex.GetEntity("VMBlackKnight1")
	vmk1.Alpha=0.0
	vmk1.CastShadows=0
	vrwp=Bladex.GetEntity(vmk1.InvRight)
	vlwp=Bladex.GetEntity(vmk1.InvLeft)
	if vrwp:
		vrwp.Alpha=0.0
		vrwp.CastShadows=0
	if vlwp:
		vlwp.Alpha=0.0
		vlwp.CastShadows=0
	pos=0,300,0
	if darfuncs.ValidAppear(pos):
		vmk1.Position=pos[0], pos[1], pos[2]
		vmk1.Angle=B3DLib.GetEntity2EntityAngle(vmk1.Name, "Player1")
		StartBossCutscene("VMBlackKnight1")
		CreateBarrier()
		CreateLight()
		MoveAllies()
		ImplosionDemonio("VMBlackKnight1")
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,AppearsFX,("VMBlackKnight1",))
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.3,FadeIn,("VMBlackKnight1",))
		vmk1.UnFreeze()
		vmk1.SetOnFloor()
		Bladex.AddScheduledFunc(Bladex.GetTime()+2.0,CheckRemAllies,())
		print "Boss Knight on the plot"
	else:
		Bladex.AddScheduledFunc(Bladex.GetTime()+1.0,StartBossScene2,())
		
	
def CreateBarrier():
	o = Bladex.CreateEntity("BossBarrier","Bloque",0,0,0)
	o.Orientation = (0.707107245922, 0.0, 0.0, 0.707106292248)
	o.Scale = 5
	o.ExclusionMask=2|4
	o.CastShadows = 0
	o.Alpha       = 0.0
	o.RasterMode  ="Read"
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, o.SubscribeToList,("Pin",))


luz1=""

def CreateLight():
	global luz1
	luz1=Bladex.CreateEntity("BossLite", "Entity Spot", 0,0,0)
	luz1.Color=30, 90, 255 
	luz1.Intensity=4.0
	luz1.Precission=0.06
	luz1.CastShadows=0
	luz1.GlowTexture="StarParticle"
	luz1.AngVel=3.14159
	luz1.SizeFactor=2.5


def KillLight():
	global luz1
	luz1.SubscribeToList("Pin")
	


def AmIAnEnemy(ent):
	if ent.Name=="Player1":
		return 0
	if EnemyNPCTypes.CheckIfEnemy(ent.Name):
		return 0
	if ent.Name=="VMBlackKnight1":
		return 0
	if ent.Name[:4]=="Test":
		return 0
	return 1
	
	
RemEns=[]
		
def CheckRemEns():	
	FlashMsg("Counting Renaiming Enemies")
	global RemEns
	nents= Bladex.nEntities()
	for i in range(nents):
		ent= Bladex.GetEntity(i)
		if (ent.Person):
			if ent.Life>0 and AmIAnEnemy(ent): 
				RemEns.append(ent.Name)
				ent.Data.DeathFunc= CheckMeOff
	print RemEns
	
def CheckMeOff(entity):
	global RemEns
	if entity in RemEns:
		RemEns.remove(entity)
		print entity+" Checked off"
		if len(RemEns)==0:
			Bladex.AddScheduledFunc(Bladex.GetTime()+5.0,EnableBossTriggs,())
			FlashMsg("No Remaining enemies - Enabling triggers")
		
		
		
	
	
def BossDeadCap():	
	GameText.WriteTextAux("The BLACK KNIGHT is DEAD\n\nNo More Enemies", 7.0, 160,160,160,[],100)
	
	
def BossDeadCap2():	
	if AllyNPCTypes.WhoKilledTheBoss != "":
		kname=AllyNPCTypes.WhoKilledTheBoss
		Bladex.AddScheduledFunc(Bladex.GetTime()+2.0,VictoryWave,(kname,))
		time=Bladex.GetTime()
		TimeEffect=5.0
		AuraParams0=(240, 0.01, 1.0, 0, 1, 1)
		AuraParams1=(50 , 1.0 , 1.0, 0, 1, 1)
		AuraParams2=(50 , 0.01, 1.0, 0, 1, 1)
		AuraGradient0=(2,  0.2, 0.4, 0.8, 1.0, 0.2  ,  0.0, 0.2, 0.8, 0.0, 0.7)
		AuraGradient1=(2,  0.8, 0.9, 1.0, 1.0, 0.2  ,  0.0, 0.2, 0.9, 0.1, 1.0)
		aura=Auras.MakeAura(kname, TimeEffect, AuraParams0, (), (), AuraGradient0)
		aura.Data.AddEvent (time+TimeEffect/2.0, AuraParams1, (), (), AuraGradient1)
		aura.Data.AddEvent (time+TimeEffect, AuraParams2, (), (), AuraGradient0)
	else:
		kname=PlayerName
	print kname+" Got the boss"
	GameText.WriteTextAux(kname+" got him......", 6.0, 160,160,160,[],100)
	
	
def VictoryWave(entity):
	per=Bladex.GetEntity(entity)
	per.LaunchAnmType("Fury")
	print "Victory wave"
	#Bladex.AddScheduledFunc(Bladex.GetTime()+12.0,VictoryWave,(entity,))
	
	
	
	
def BossDead(entity):
	print "The Boss is dead"
	if not Respawning:
		dist=B3DLib.GetXZDistance('Player1', entity)
		print "Distance To Player is..",dist
		if dist<10000 and dist>=1.0:
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.1,ChangeMusic,("Supr11",))
			StartMatrix(entity)
	
	Bladex.AddScheduledFunc(Bladex.GetTime()+8.0,BossDeadCap,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+15.4,BossDeadCap2,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+9.1,ChangeMusic,("EndMusic",))
	
	
	
####### End Boss
	
	
	
def BuddyDead(entity):
	PlayerTypes.SignOff(entity)
	CheckForReplacement(Bladex.GetEntity(entity).Level)
	GoodGuyDead()
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.0,BuddyDeadCap,(entity,))
	

def SoldierDwarfDead(entity):
	PlayerTypes.SignOff(entity)
	lvl=Bladex.GetEntity(entity).Level
	GoodGuyDead()
	Bladex.AddScheduledFunc(Bladex.GetTime()+10.0,MakeNewSoldierDwarf,(lvl,))
	
	
	
def ActTempleGuards():
	if FinalAct:
		return
	lvl=GetAverageLevel()
	stg1.Level=lvl
	stg2.Level=lvl
	stg1.Life=CharStats.GetCharMaxLife(stg1.Kind,stg1.Level)
	stg1.Life=CharStats.GetCharMaxLife(stg2.Kind,stg2.Level)
	stg1.Data.UpdateMyPower()
	stg2.Data.UpdateMyPower()
	PlaceEnemy(stg1.Name)
	Bladex.AddScheduledFunc(Bladex.GetTime()+20.0,PlaceEnemy,(stg2.Name,))
	
	
def OpenTwingates(sector, entity):
	if entity!="Player1":
		return
	if FinalAct:
		return
	global BronzeWarriorAct
	lvl=GetAverageLevel()
	print "check open twin gates"
	if lvl>=6 and not BronzeWarriorAct:
		secttwingates.OnEnter=None
		AbreGate(gate1din)
		Bladex.AddScheduledFunc(Bladex.GetTime()+1.7,AbreGate,(gate2din,))
		StartBronzeWarriors()
		BronzeWarriorAct=1
		print "twin gates opened??"
	
	
	
def StartBronzeWarriors():
	if FinalAct:
		return
	darfuncs.UnhideBadGuy("StartBronzeWarrior_1")
	darfuncs.UnhideBadGuy("StartBronzeWarrior_2")
	lvl=GetAverageLevel()
	stbzw1.Level=lvl
	stbzw2.Level=lvl
	stbzw1.Life=CharStats.GetCharMaxLife(stbzw1.Kind,stbzw1.Level)
	stbzw2.Life=CharStats.GetCharMaxLife(stbzw2.Kind,stbzw2.Level)
	stbzw1.Data.UpdateMyPower()
	stbzw2.Data.UpdateMyPower()
	
		
def BronzeWarriorDead(entity):
	per=Bladex.GetEntity(entity)
	MESH=per.MeshName
	Bladex.AddScheduledFunc(Bladex.GetTime()+20.0,CreateBronzeWarrior,(MESH,))
	BadGuyDead()
		
		
bzwnum=0

bzwweps=["GorgonHammer","BattleAxe6","IronMace"]

def CreateBronzeWarrior(MESH):
	if FinalAct:
		return
	global bzwnum
	bzwnum=bzwnum+1
	lvl=GetAverageLevel()
	nubzw=Bladex.CreateEntity("BronzeWarrior"+`bzwnum`,"BronzeWarrior",0,20000,0,"Person",MESH)
	nubzw.Level=lvl
	nubzw.Data=EnemyNPCTypes.BronzeWarrior(nubzw)
	if MESH=="TempleGuard":
		rwp=Bladex.CreateEntity(nubzw.Name+"WP","Cimitarra",0,4000,0,"Weapon")
		rwp.Scale=1.3
		Actions.TakeObject(nubzw.Name,rwp.Name)
	else:
		BZWWEPTYPE=bzwweps[whrandom.randint(0, len(bzwweps)-1)]
		nubzw.Data.ToolUp(BZWWEPTYPE)
	nubzw.Data.DeathFunc=BronzeWarriorDead
	nubzw.Data.DeathArgs=(nubzw.Name,)
	nubzw.Data.Dusted=1
	darfuncs.HideBadGuy(nubzw.Name)
	nubzw.CastShadows=0
	PlaceEnemy(nubzw.Name)
	if bzwnum==12:
		ActTempleGuards()
	if bzwnum==25:#50
		global FinalAct
		FinalAct=1
		CheckRemEns()
		hole1.Data.Enabled=0
		hole2.Data.Enabled=0
		hole3.Data.Enabled=0
		hole4.Data.Enabled=0
		hole5.Data.Enabled=0
		hole6.Data.Enabled=0
		hole7.Data.Enabled=0
		hole8.Data.Enabled=0
		hole9.Data.Enabled=0
		
		
		
		
	
	
def LightsUp(sector, entity):
	if entity != "Player1":
		return
	OnOff.SetLightInens(12)
	OnOff.TurnOnLight("LamparaNegra_2620")
	Bladex.AddScheduledFunc(Bladex.GetTime()+4.0,OnOff.TurnOnLight,("LamparaNegra_2621",))
	sectinnerlite.OnEnter=None

		
############################################################################################################################################################


	
def StopMatrix():
	global Matrixrunning
	darfuncs.StopMatrixFX()
	cam=Bladex.GetEntity("Camera")
	cam.SetPersonView("Player1")
	cam.Cut()
	Matrixrunning=0
	
	
def StartMatrix(source="Player1",time=2.8):
	global MatrixAct
	if MatrixAct==0:
		return
	#if Actions.StatL("Player1")== Actions.LA_BOW:
	#	return
	#if Actions.StatR("Player1")== Actions.RA_NO_WEAPON:
	#	return
	global Matrixrunning
	global Remcam
	if Remcam==0:
		if Matrixrunning==0:
			Matrixrunning=1
			darfuncs.StartMatrixFX(source)
	       		Bladex.AddScheduledFunc(Bladex.GetTime()+time,StopMatrix,())
			Reference.debugprint("matrix called......")
	
############################################################################################################################################################


def CleanTheCrap():
	Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, CleanTheCrap2,())
	FlashMsg("Cleaning in 5 secs")
	
	
	

def CleanTheCrap2():
	Reference.debugprint("Comencing cleaning")	
	ObjStore.CheckStore()
	ents = Bladex.nEntities()
	for id in range(ents):
		obj = Bladex.GetEntity(id)
		if obj:
			if obj.Kind == "Entity Pool":
				obj.RemoveFromWorld()
				obj.SubscribeToList("Pin")
				Reference.debugprint("CLEANED: " + obj.Name)
	
	Reference.debugprint("CLEANED ALL THE CRAP")	
	
	
	
##########################################################################################################################################################
########## Remote Camera Functions

Matrixrunning=0

# 6
def IrPosicion1():
	if Matrixrunning:
		return
	global Remcam
	Remcam=1
	cam=Bladex.GetEntity("Camera")
	cam.SType = 0
	cam.TType = 0
	cam.Position=-32000,-7000,-20000
	cam.TPos=-9000,0,0
		
# 5
def IrPosicion2():
	if Matrixrunning:
		return
	global Remcam
	Remcam=1
	cam=Bladex.GetEntity("Camera")
	cam.SType = 0
	cam.TType = 0
	cam.Position=0,-7000,-21000
	cam.TPos=0,0,0
	
# 4
def IrPosicion3():
	if Matrixrunning:
		return
	global Remcam
	Remcam=1
	cam=Bladex.GetEntity("Camera")
	cam.SType = 0
	cam.TType = 0
	cam.Position=32000,-7000,-20000
	cam.TPos=9000,0,0
	
# 7
def IrPosicion4():
	if Matrixrunning:
		return
	global Remcam
	Remcam=1
	cam=Bladex.GetEntity("Camera")
	cam.SType = 0
	cam.TType = 0
	cam.Position=-28000,-9000,0
	cam.TPos=0,0,0
	
# Restore
def IrPosicion5():
	if Matrixrunning:
		return
	global Remcam
	cam=Bladex.GetEntity("Camera")
	cam.SetPersonView("Player1")
	cam.Cut()
	Bladex.SetTimeSpeed(1.0)
	Remcam=0
	
# 3	
def IrPosicion6():
	if Matrixrunning:
		return
	global Remcam
	Remcam=1
	cam=Bladex.GetEntity("Camera")
	cam.SType = 0
	cam.TType = 0
	cam.Position=28000,-9000,0
	cam.TPos=0,0,0
	
	
# 9
def IrPosicion7():
	if Matrixrunning:
		return
	global Remcam
	Remcam=1
	cam=Bladex.GetEntity("Camera")
	cam.SType = 0
	cam.TType = 0
	cam.Position=-30000,-7000,22000
	cam.TPos=0,0,-10000
	
# 1
def IrPosicion8():
	if Matrixrunning:
		return
	global Remcam
	Remcam=1
	cam=Bladex.GetEntity("Camera")
	cam.SType = 0
	cam.TType = 0
	cam.Position=0,-9000,28000
	cam.TPos=0,0,0

# 2
def IrPosicion9():
	if Matrixrunning:
		return
	global Remcam
	Remcam=1
	cam=Bladex.GetEntity("Camera")
	cam.SType = 0
	cam.TType = 0
	cam.Position=-30000,-7000,22000
	cam.TPos=0,0,-10000

execfile("cam.py")



	 
############################################################################################################################################################

"""
TRemEns=[]
		
def TestCheckRemEns():	
	FlashMsg("Test Count Remaining Enemies")
	global TRemEns
	nents= Bladex.nEntities()
	for i in range(nents):
		ent= Bladex.GetEntity(i)
		if (ent.Person):
			if ent.Life>0 and AmIAnEnemy(ent): 
				TRemEns.append(ent.Name)
				#ent.Data.DeathFunc= CheckMeOff
	print "List of active enemies is: ",TRemEns


Bladex.AddInputAction("TestCheckRemEns", 0)
Bladex.AddBoundFunc("TestCheckRemEns", TestCheckRemEns)
Bladex.AssocKey("TestCheckRemEns", "Keyboard", "Z", 1)



def CheckGolem():
	golly=Bladex.GetEntity("Golem10")
	if golly.Data.DeathFunc:
		print "Golem 10 DeathFunc OK"
	else:
		print "Golem 10 DeathFunc NOT"



Bladex.AddInputAction("CheckGolem", 0)
Bladex.AddBoundFunc("CheckGolem", CheckGolem)
Bladex.AssocKey("CheckGolem", "Keyboard", "Z", 1)








def WritePos():
	char=Bladex.GetEntity("Player1")
	x=int(char.Position[0])
	y=int(char.Position[1])
	z=int(char.Position[2])
	file = open("../../BODLoader/Mods/ProsperoArena1/pos.txt","a")
        file.write("("+str(x)+","+str(y)+","+str(z)+")"+"\n")
        file.close()
        
        
Bladex.AddInputAction("WritePos", 0)
Bladex.AddBoundFunc("WritePos", WritePos)
Bladex.AssocKey("WritePos", "Keyboard", "I", 1)

posnum=1

def GetPlayerPos():
	global posnum
	char=Bladex.GetEntity("Player1")
	x,z,y=char.Position
	print"Player Position ",posnum,x,z,y
	posnum=posnum+1
	
	
Bladex.AddInputAction("GetPlayerPos", 0)
Bladex.AddBoundFunc("GetPlayerPos", GetPlayerPos)
Bladex.AssocKey("GetPlayerPos", "Keyboard", "V", 1)






Slomo=0

def ToggleSlomo():
	global Slomo
	if Slomo==0:
		Slomo=1
		Bladex.SetTimeSpeed(0.2)
		Slomo=1
		print"Slomo on"
	else:
		Slomo=0	
		Bladex.SetTimeSpeed(1.0)
		Slomo=0	
		print"Slomo off"

Bladex.AddInputAction("ToggleSlomo", 0)
Bladex.AddBoundFunc("ToggleSlomo", ToggleSlomo)
Bladex.AssocKey("ToggleSlomo", "Keyboard", "N", 1)





def InitEB():
	import EBrowser
	print "EBStart"




Bladex.AddInputAction("InitEB", 0)
Bladex.AddBoundFunc("InitEB", InitEB)
Bladex.AssocKey("InitEB", "Keyboard", "X", 1)










def Anm1():
	pers=Bladex.GetEntity("BronzeWarrior_4")
	pers.LaunchAnmType("Bar_g_kick")
	Actions.ReportMsg("Bar_g_kick")
	
Bladex.AddInputAction("Anm1", 0)
Bladex.AddBoundFunc("Anm1", Anm1)
Bladex.AssocKey("Anm1", "Keyboard", "1", 1)




def Anm2():
	pers=Bladex.GetEntity("BronzeWarrior_4")
	pers.LaunchAnmType("Bar_g_kick")
	Actions.ReportMsg("Bar_g_kick")
	
Bladex.AddInputAction("Anm2", 0)
Bladex.AddBoundFunc("Anm2", Anm2)
Bladex.AssocKey("Anm2", "Keyboard", "2", 1)



def Anm3():
	pers=Bladex.GetEntity("BronzeWarrior_4")
	pers.LaunchAnmType("Bar_g_kick")
	Actions.ReportMsg("Bar_g_kick")
	
Bladex.AddInputAction("Anm3", 0)
Bladex.AddBoundFunc("Anm3", Anm3)
Bladex.AssocKey("Anm3", "Keyboard", "3", 1)



def Anm4():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Dgk_g_01_7_new")
	Actions.ReportMsg("Dgk_g_01_7_new")
	
Bladex.AddInputAction("Anm4", 0)
Bladex.AddBoundFunc("Anm4", Anm4)
Bladex.AssocKey("Anm4", "Keyboard", "4", 1)




def Anm5():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Dgk_g_22lowkata_new")
	Actions.ReportMsg("Dgk_g_22lowkata_new")
	
Bladex.AddInputAction("Anm5", 0)
Bladex.AddBoundFunc("Anm5", Anm5)
Bladex.AssocKey("Anm5", "Keyboard", "5", 1)


def Anm6():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Dgk_g_21_6_s8new")
	Actions.ReportMsg("Dgk_g_21_6_s8new")
	
Bladex.AddInputAction("Anm6", 0)
Bladex.AddBoundFunc("Anm6", Anm6)
Bladex.AssocKey("Anm6", "Keyboard", "6", 1)


def Anm7():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Dgk_g_19_bs1_new")
	Actions.ReportMsg("Dgk_g_19_bs1_new")
	
Bladex.AddInputAction("Anm7", 0)
Bladex.AddBoundFunc("Anm7", Anm7)
Bladex.AssocKey("Anm7", "Keyboard", "7", 1)



def Anm8():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Dgk_g_b32kata_new")
	Actions.ReportMsg("Dgk_g_b32kata_new")
	
Bladex.AddInputAction("Anm8", 0)
Bladex.AddBoundFunc("Anm8", Anm8)
Bladex.AssocKey("Anm8", "Keyboard", "8", 1)

# Dgk_g_29_3new


def Anm9():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Dgk_g_29_3new")
	Actions.ReportMsg("Dgk_g_29_3new")
	
Bladex.AddInputAction("Anm9", 0)
Bladex.AddBoundFunc("Anm9", Anm9)
Bladex.AssocKey("Anm9", "Keyboard", "9", 1)



def Anm0():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Dgk_g_d_r")
	Actions.ReportMsg("Dgk_g_d_r")
	
Bladex.AddInputAction("Anm0", 0)
Bladex.AddBoundFunc("Anm0", Anm0)
Bladex.AssocKey("Anm0", "Keyboard", "0", 1)

"""




#####################################################################################################################################################



