import Bladex
import NetSounds
import netgame

# ***********************************
# *      Asignacion de sonidos      *
# ***********************************


def AsignarSonidosIrDwarf(Personaje):
	from AniSoundIrDwarfX import *
	
	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos
	if netgame.GetNetState() !=2:
		pass
	per.AddEventSound('shield_block', GolpeArmaEscudoIrd)
	per.AddEventSound('weapon_block', GolpeArmaArmaIrd)
	per.AddEventSound('impale', TajoEmpalanteIrd)
	per.AddEventSound('slash', TajoCortanteIrd)
	per.AddEventSound('mutilate', TajoMutilacionIrd)
	per.AddEventSound('crush', GolpeContundenteIrd)



	# Sonidos de animaciones

	NetSounds.AddAnimSound(per,'Ird_chg_r', Enfundar, 0.4)
	NetSounds.AddAnimSound(per,'Ird_chg_r_l', Enfundar, 0.3599)
	NetSounds.AddAnimSound(per,'Ird_attack_chg_r_l', Enfundar, 0.5)
	NetSounds.AddAnimSound(per,'Ird_attack_chg_r', Enfundar, 0.5)
	NetSounds.AddAnimSound(per,'Ird_attack_chg_l', CambiarEscudo, 0.5)
	NetSounds.AddAnimSound(per,'Ird_g_01low_new', SesgadoLargoAgudo, 0.1950)
	NetSounds.AddAnimSound(per,'Ird_g_01low_new', EsfuerzoGolpeLateralIrd, 0.1750)
	NetSounds.AddAnimSound(per,'Ird_g_01low_new', AndarIrd2, 0.1200)
	
	NetSounds.AddAnimSound(per,'Ird_g_bad_axe', EsfuerzoGolpeFrontalIrd, 0.1200)
	NetSounds.AddAnimSound(per,'Ird_g_bad_axe', SesgadoLento, 0.4260)
	NetSounds.AddAnimSound(per,'Ird_g_draw_run', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Ird_g_draw_run', EsfuerzoGolpeLateralIrd, 0.1300)
	NetSounds.AddAnimSound(per,'Ird_g_draw_run', SesgadoLargoAgudo, 0.3470)
	NetSounds.AddAnimSound(per,'Ird_g_draw_rlx', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Ird_g_draw_rlx', EsfuerzoCorto2Ird, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_g_draw_rlx', SesgadoLargoGrave, 0.3280)

	



	NetSounds.AddAnimSound(per,"Kgt_pour",SonidoVaciarBotella, 0.1234)
	NetSounds.AddAnimSound(per,'Ird_chg_l',CambiarEscudo,0.3652)
	

	
	
	NetSounds.AddAnimSound(per,'Wlk_1h_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_1h_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Ird', AndarIrd2, 0.9200)
	
	
	NetSounds.AddAnimSound(per,'Wlk_2w_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ird', AndarIrd2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Wbk_1h_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_1h_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Ird', AndarIrd2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Wbk_2h_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2h_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Ird', AndarIrd2, 0.9200)

	
	NetSounds.AddAnimSound(per,'Wlk_spear_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ird', AndarIrd2, 0.9200)

	
	

	NetSounds.AddAnimSound(per,'Jog_2h_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2h_Ird', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2h_Ird', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2h_Ird', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2h_Ird', AndarIrd2, 0.8500)
	

	
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Jog_spear_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_spear_Ird', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_spear_Ird', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_spear_Ird', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_spear_Ird', AndarIrd2, 0.8500)

	
	
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd2, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd1, 0.2500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd2, 0.3500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd1, 0.5500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd2, 0.6500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd1, 0.7500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd2, 0.8500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2h', AndarIrd2, 0.9500)
	

	####################################################################################
	####################################################################################
	####################################################################################
	####################################################################################
	
	
	
	
	
	
	NetSounds.AddAnimSound(per,'Ird_clmb_medlow_1h', EsfuerzoSubirIrd1, 0.2400)
	NetSounds.AddAnimSound(per,'Ird_clmb_medium_1h', EsfuerzoSubirIrd1, 0.1250)
	NetSounds.AddAnimSound(per,'Ird_clmb_medium_1h', EsfuerzoSubirFinalIrd1, 0.2400)
	NetSounds.AddAnimSound(per,'Ird_clmb_high_1h', EsfuerzoSubirIrd3, 0.1450)
	NetSounds.AddAnimSound(per,'Ird_clmb_high_1h', EsfuerzoSubirFinalIrd3, 0.8500)
	NetSounds.AddAnimSound(per,'Ird_clmb_low_1h', EsfuerzoSubirIrd1, 0.5940)
	
	NetSounds.AddAnimSound(per,'Ird_jmph0_no', EsfuerzoSubirIrd1, 0.2820)
	NetSounds.AddAnimSound(per,'Ird_jmp_no', EsfuerzoSubirIrd1, 0.2800)
	#NetSounds.AddAnimSound(per,'Ird_jmp_no', EsfuerzoSubirFinalIrd3, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_jmp_1h', EsfuerzoSubirIrd1, 0.4850)
	#NetSounds.AddAnimSound(per,'Ird_jmp_1h', EsfuerzoSubirFinalIrd1, 0.2000)
	
	NetSounds.AddAnimSound(per,'Ird_1tw_h_f',AndarIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_1tw_h_f',EsfuerzoIrdMediano, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_1tw_l_f',AndarIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_1tw_l_f',EsfuerzoCorto2Ird, 0.3000)
	
	NetSounds.AddAnimSound(per,'Ird_jog_turn',AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,'Ird_jog_turn',EsfuerzoSubirIrd2, 0.3800)
	NetSounds.AddAnimSound(per,'Ird_wlk_turn',AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,'Ird_wlk_turn',EsfuerzoSubirFinalIrd2, 0.3800)
	NetSounds.AddAnimSound(per,'Ird_snk_turn',AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,'Ird_rlx_turn',AndarIrd2, 0.4500)
	
	NetSounds.AddAnimSound(per,'Ird_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Ird_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Ird_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Ird_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Ird_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Ird_tke_r_key05',CogerLlave, 0.2654)
	
	NetSounds.AddAnimSound(per,'Ird_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Ird_tke_r_01', CogerEspada, 0.3103)
	NetSounds.AddAnimSound(per,'Ird_tke_r_02', CogerEspada, 0.2759)
	NetSounds.AddAnimSound(per,'Ird_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Ird_tke_r_04', CogerEspada, 0.2727)
	NetSounds.AddAnimSound(per,'Ird_tke_r_05', CogerEspada, 0.2654)
	
	NetSounds.AddAnimSound(per,"Ird_key",RuidoLlaveCerradura, 0.4100)
	NetSounds.AddAnimSound(per,'Ird_key',Ruidook, 0.2500)
	NetSounds.AddAnimSound(per,'Ird_key',Ruidook, 0.1300)
	
	NetSounds.AddAnimSound(per,"Ird_lvr_u",SonidoPalanca, 0.3889)
	NetSounds.AddAnimSound(per,"Ird_lvr_d",SonidoPalanca, 0.3548)
	
	
	NetSounds.AddAnimSound(per,'Ird_attack_f', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_f', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_f', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_f', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_f', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_f_s', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_f_s', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_f_s', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_f_s', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_f_s', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_b', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_b', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_b', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_b', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_b', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_b_s', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_b_s', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_b_s', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_b_s', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_b_s', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_b_spear', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_b_spear', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_b_spear', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_b_spear', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_b_spear', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_l', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_l', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_l', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_l', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_l', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_l_s', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_l_s', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_l_s', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_l_s', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_l_s', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_l_2w', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_l_2w', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_l_2w', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_l_2w', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_l_2w', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_l_spear', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_l_spear', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_l_spear', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_l_spear', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_l_spear', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_r', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_r', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_r', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_r', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_r', AndarIrd2, 0.8500)
	
	
	NetSounds.AddAnimSound(per,'Ird_attack_r_s', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_r_s', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_r_s', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_r_s', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_r_s', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_r_2w', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_r_2w', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_r_2w', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_r_2w', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_r_2w', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_attack_r_spear', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_attack_r_spear', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_attack_r_spear', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Ird_attack_r_spear', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Ird_attack_r_spear', AndarIrd2, 0.8500)
	
	
	NetSounds.AddAnimSound(per,'Wbk_no_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_no_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_no_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_no_Ird', AndarIrd2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_b_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_b_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_b_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_b_Ird', AndarIrd2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_spear_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_spear_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Ird', AndarIrd2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_2w_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2w_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Ird', AndarIrd2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Wlk_no_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_no_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_no_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_no_Ird', AndarIrd2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_b_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_b_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_b_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_b_Ird', AndarIrd2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ird', AndarIrd2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ird', AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ird', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ird', AndarIrd2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Jog_1h_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_1h_Ird', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_1h_Ird', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_1h_Ird', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_1h_Ird', AndarIrd2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_no_Ird', AndarIrd2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_2w_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2w_Ird', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2w_Ird', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2w_Ird', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2w_Ird', AndarIrd2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_axe_Ird', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_axe_Ird', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_axe_Ird', AndarIrd1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_axe_Ird', AndarIrd2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_axe_Ird', AndarIrd2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd2, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd1, 0.2500)
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd2, 0.3500)
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd1, 0.5500)
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd2, 0.6500)
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd1, 0.7500)
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd2, 0.8500)
	NetSounds.AddAnimSound(per,'Ird_jogb_1h', AndarIrd2, 0.9500)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd2, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd1, 0.2500)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd2, 0.3500)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd1, 0.5500)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd2, 0.6500)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd1, 0.7500)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd2, 0.8500)
	NetSounds.AddAnimSound(per,'Ird_jogb_no', AndarIrd2, 0.9500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd2, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd1, 0.2500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd2, 0.3500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd1, 0.5500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd2, 0.6500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd1, 0.7500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd2, 0.8500)
	NetSounds.AddAnimSound(per,'Ird_jogb_2w', AndarIrd2, 0.9500)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd2, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd1, 0.2500)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd2, 0.3500)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd1, 0.5500)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd2, 0.6500)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd1, 0.7500)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd2, 0.8500)
	NetSounds.AddAnimSound(per,'Ird_jogb_axe', AndarIrd2, 0.9500)
	NetSounds.AddAnimSound(per,'Ird_jogb_spear', AndarIrd1, 0.0534)
	NetSounds.AddAnimSound(per,'Ird_jogb_spear', AndarIrd2, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_jogb_spear', AndarIrd1, 0.2500)
	NetSounds.AddAnimSound(per,'Ird_jogb_spear', AndarIrd2, 0.3500)
	NetSounds.AddAnimSound(per,'Ird_jogb_spear', AndarIrd1, 0.5500)
	NetSounds.AddAnimSound(per,'Ird_jogb_spear', AndarIrd2, 0.6500)
	NetSounds.AddAnimSound(per,'Ird_jogb_spear', AndarIrd1, 0.7500)
	NetSounds.AddAnimSound(per,'Ird_jogb_spear', AndarIrd2, 0.8500)
	NetSounds.AddAnimSound(per,'Ird_jogb_spear', AndarIrd2, 0.9500)
	
	
	NetSounds.AddAnimSound(per,'Snk_b_Ird',AndarIrd1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_b_Ird',AndarIrd2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_1h_Ird',AndarIrd1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_1h_Ird',AndarIrd2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_spear_Ird',AndarIrd1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_spear_Ird',AndarIrd2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_2w_Ird',AndarIrd1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_2w_Ird',AndarIrd2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_no_Ird',AndarIrd1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_no_Ird',AndarIrd2, 0.5000)
	
	NetSounds.AddAnimSound(per,"FallHigh_Ird",CaidaIrd1, 0.1000)
	NetSounds.AddAnimSound(per,"FallHigh_Ird",CaidaIrd2, 0.1700)
	NetSounds.AddAnimSound(per,"FallHigh_Ird",HeridaIrd3, 0.2000)
	NetSounds.AddAnimSound(per,"FallHigh_Ird",AndarIrd1, 0.1800)
	NetSounds.AddAnimSound(per,"FallLow_Ird",CaidaIrd1, 0.1180)
	NetSounds.AddAnimSound(per,"FallLow_Ird",CaidaIrd2, 0.1300)
	NetSounds.AddAnimSound(per,"FallLow_Ird",HeridaIrd3, 0.1280)
	NetSounds.AddAnimSound(per,"FallLow_Ird",AndarIrd1, 0.1250)
	NetSounds.AddAnimSound(per,"FallMed_Ird",CaidaIrd1, 0.1180)
	NetSounds.AddAnimSound(per,"FallMed_Ird",CaidaIrd2, 0.1300)
	NetSounds.AddAnimSound(per,"FallMed_Ird",HeridaIrd3, 0.1280)
	NetSounds.AddAnimSound(per,"FallMed_Ird",AndarIrd1, 0.1250)
	
	NetSounds.AddAnimSound(per,"Dth_Fll2_Ird", CaidaIrd1, 0.1750)
	NetSounds.AddAnimSound(per,"Dth_Fll2_Ird", MuerteSaltoVacioIrd1, 0.2000)

	NetSounds.AddAnimSound(per,"Dth_Fll_Ird", Grito_Salto_VacioIrd, 0.1100)
	
	NetSounds.AddAnimSound(per,"Ird_g_d_r",EsfuerzoCorto1Ird, 0.1500)
	NetSounds.AddAnimSound(per,"Ird_g_d_l",EsfuerzoCorto2Ird, 0.1300)
	NetSounds.AddAnimSound(per,"Ird_d_b",EsfuerzoCorto3Ird, 0.1500)
	
	
	NetSounds.AddAnimSound(per,'Ird_parryspear', EsfuerzoSubirIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_parryspear', AndarIrd2, 0.6000)
	
	NetSounds.AddAnimSound(per,'Ird_parry2w', EsfuerzoSubirFinalIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_parry2w', AndarIrd2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Ird_df_01', EsfuerzoSubirFinalIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_df_01', AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_df_02', EsfuerzoSubirIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_df_02', AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_df_s_broken', EsfuerzoSubirFinalIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_df_s_broken', AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_df_01_spear', EsfuerzoSubirIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_df_01_spear', AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_df_02_spear', EsfuerzoSubirFinalIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_df_02_spear', AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_df_01_2w', EsfuerzoSubirIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_df_01_2w', AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_df_02_2w', EsfuerzoSubirFinalIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_df_02_2w', AndarIrd1, 0.5000)
	
	NetSounds.AddAnimSound(per,'Ird_hurt_f_lite', HeridaIrd2, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_hurt_f_big', HeridaIrd3, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_hurt_f_head', HeridaIrd2, 0.3889)
	NetSounds.AddAnimSound(per,'Ird_hurt_f_breast', HeridaIrd3,0.3889)
	NetSounds.AddAnimSound(per,'Ird_hurt_f_back', HeridaIrd2, 0.4211)
	NetSounds.AddAnimSound(per,'Ird_hurt_f_r_arm', HeridaIrd3, 0.2100)
	NetSounds.AddAnimSound(per,'Ird_hurt_f_l_arm', HeridaIrd2, 0.5333)
	NetSounds.AddAnimSound(per,'Ird_hurt_f_r_leg', HeridaIrd3, 0.4076)
	NetSounds.AddAnimSound(per,'Ird_hurt_f_l_leg', HeridaIrd2, 0.4375)
	NetSounds.AddAnimSound(per,'Ird_hurt_jog', HeridaIrd3, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_hurt_head', HeridaIrd2, 0.6000)
	NetSounds.AddAnimSound(per,'Ird_hurt_breast', HeridaIrd3, 0.3889)
	NetSounds.AddAnimSound(per,'Ird_hurt_back', HeridaIrd3, 0.4211)
	NetSounds.AddAnimSound(per,'Ird_hurt_r_arm', HeridaIrd2,0.4076)
	NetSounds.AddAnimSound(per,'Ird_hurt_l_arm', HeridaIrd3, 0.5333)
	NetSounds.AddAnimSound(per,'Ird_hurt_r_leg', HeridaIrd2, 0.4076)
	NetSounds.AddAnimSound(per,'Ird_hurt_l_leg', HeridaIrd3, 0.4375)
	
	
	NetSounds.AddAnimSound(per,'Ird_dth_i1', MuerteIrd1, 0.1200)
	NetSounds.AddAnimSound(per,'Ird_dth_i2', MuerteIrd1, 0.1100)
	NetSounds.AddAnimSound(per,'Ird_dth_bl1', MuerteIrd1, 0.1200)
	NetSounds.AddAnimSound(per,'Ird_dth_bl2', MuerteIrd1, 0.1100)
	NetSounds.AddAnimSound(per,'Ird_dth_rock', MuerteAplastamientoIrd1, 0.1200)
	NetSounds.AddAnimSound(per,'Ird_dth_rock', HeridaIrd2, 0.1200)
	NetSounds.AddAnimSound(per,'Ird_dth0', MuerteIrd1, 0.1300)
	NetSounds.AddAnimSound(per,"Ird_dth0", CaidaIrd1, 0.5710)
	NetSounds.AddAnimSound(per,"Ird_dth0", CaidaIrd2, 0.7700)
	NetSounds.AddAnimSound(per,"Ird_dth0", AndarIrd1, 0.3000)
	NetSounds.AddAnimSound(per,"Ird_dth0", AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,"Ird_dth0", AndarIrd1, 0.6800)
	
	NetSounds.AddAnimSound(per,"Ird_dth_n00", MuerteIrd1, 0.1100)
	NetSounds.AddAnimSound(per,"Ird_dth_n00", AndarIrd1, 0.2000)
	NetSounds.AddAnimSound(per,"Ird_dth_n00", AndarIrd2, 0.4000)
	NetSounds.AddAnimSound(per,"Ird_dth_n00", AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,"Ird_dth_n00", AndarIrd2, 0.7500)
	NetSounds.AddAnimSound(per,"Ird_dth_n00", CaidaIrd1, 0.7000)
	NetSounds.AddAnimSound(per,"Ird_dth_n01", MuerteIrd2, 0.1100)
	NetSounds.AddAnimSound(per,"Ird_dth_n01", AndarIrd1, 0.2200)
	NetSounds.AddAnimSound(per,"Ird_dth_n01", AndarIrd2, 0.4200)
	NetSounds.AddAnimSound(per,"Ird_dth_n01", AndarIrd1, 0.6200)
	NetSounds.AddAnimSound(per,"Ird_dth_n01", AndarIrd2, 0.7500)
	NetSounds.AddAnimSound(per,"Ird_dth_n01", CaidaIrd1, 0.6800)
	NetSounds.AddAnimSound(per,"Ird_dth_n02", MuerteIrd3, 0.1200)
	NetSounds.AddAnimSound(per,"Ird_dth_n02", AndarIrd1, 0.2200)
	NetSounds.AddAnimSound(per,"Ird_dth_n02", AndarIrd2, 0.4200)
	NetSounds.AddAnimSound(per,"Ird_dth_n02", AndarIrd1, 0.6200)
	NetSounds.AddAnimSound(per,"Ird_dth_n02", AndarIrd1, 0.7500)
	NetSounds.AddAnimSound(per,"Ird_dth_n02", CaidaIrd1, 0.7000)
	NetSounds.AddAnimSound(per,"Ird_dth_n03", MuerteIrd4, 0.1200)
	NetSounds.AddAnimSound(per,"Ird_dth_n03", AndarIrd1, 0.2200)
	NetSounds.AddAnimSound(per,"Ird_dth_n03", AndarIrd2, 0.4200)
	NetSounds.AddAnimSound(per,"Ird_dth_n03", AndarIrd1, 0.6200)
	NetSounds.AddAnimSound(per,"Ird_dth_n03", AndarIrd1, 0.7500)
	NetSounds.AddAnimSound(per,"Ird_dth_n03", CaidaIrd1, 0.6550)
	NetSounds.AddAnimSound(per,"Ird_dth_n04", MuerteIrd4, 0.1100)
	NetSounds.AddAnimSound(per,"Ird_dth_n04", AndarIrd1, 0.2200)
	NetSounds.AddAnimSound(per,"Ird_dth_n04", AndarIrd2, 0.4200)
	NetSounds.AddAnimSound(per,"Ird_dth_n04", AndarIrd1, 0.6200)
	NetSounds.AddAnimSound(per,"Ird_dth_n04", AndarIrd2, 0.7500)
	NetSounds.AddAnimSound(per,"Ird_dth_n04", CaidaIrd1, 0.7600)
	NetSounds.AddAnimSound(per,"Ird_dth_n05", MuerteIrd4, 0.1100)
	NetSounds.AddAnimSound(per,"Ird_dth_n05", AndarIrd1, 0.2200)
	NetSounds.AddAnimSound(per,"Ird_dth_n05", AndarIrd2, 0.4200)
	NetSounds.AddAnimSound(per,"Ird_dth_n05", AndarIrd1, 0.6200)
	NetSounds.AddAnimSound(per,"Ird_dth_n05", AndarIrd1, 0.7500)
	NetSounds.AddAnimSound(per,"Ird_dth_n05", CaidaIrd1, 0.7700)
	NetSounds.AddAnimSound(per,"Ird_dth_n06", MuerteIrd2, 0.1200)
	NetSounds.AddAnimSound(per,"Ird_dth_n06", AndarIrd1, 0.2200)
	NetSounds.AddAnimSound(per,"Ird_dth_n06", AndarIrd2, 0.4200)
	NetSounds.AddAnimSound(per,"Ird_dth_n06", AndarIrd1, 0.6200)
	NetSounds.AddAnimSound(per,"Ird_dth_n06", AndarIrd2, 0.7500)
	NetSounds.AddAnimSound(per,"Ird_dth_n06", CaidaIrd1, 0.6900)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", DesangreIrd1, 0.1250)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", AndarIrd1, 0.2250)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", AndarIrd1, 0.3800)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", AndarIrd2, 0.6000)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", AndarIrd1, 0.6800)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", AndarIrd2, 0.7200)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", CaidaIrd1, 0.7800)
	NetSounds.AddAnimSound(per,"Ird_dth_c1", DesangreIrd2, 0.2500)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", DesangreIrd1, 0.1250)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", DesangreIrd2, 0.2500)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", AndarIrd1, 0.2250)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", AndarIrd1, 0.3800)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", AndarIrd2, 0.6000)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", AndarIrd1, 0.6800)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", AndarIrd2, 0.7200)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", CaidaIrd1, 0.7720)
	NetSounds.AddAnimSound(per,"Ird_dth_c2", CaidaIrd2, 0.8720)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", DesangreIrd1, 0.1250)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", DesangreIrd2, 0.2500)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", AndarIrd1, 0.2250)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", AndarIrd1, 0.3800)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", AndarIrd2, 0.6000)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", AndarIrd1, 0.6800)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", AndarIrd1, 0.7200)
	NetSounds.AddAnimSound(per,"Ird_dth_c3", CaidaIrd1, 0.7220)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", DesangreIrd1, 0.1250)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", DesangreIrd2, 0.2500)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", AndarIrd1, 0.2250)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", AndarIrd1, 0.3800)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", AndarIrd2, 0.6000)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", AndarIrd1, 0.6800)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", CaidaIrd1, 0.7000)
	NetSounds.AddAnimSound(per,"Ird_dth_c4", CaidaIrd2, 0.8720)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", DesangreIrd1, 0.1250)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", DesangreIrd2, 0.2500)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", AndarIrd1, 0.2250)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", AndarIrd1, 0.3800)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", AndarIrd2, 0.6000)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", AndarIrd1, 0.6800)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", AndarIrd2, 0.7200)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", CaidaIrd1, 0.7720)
	NetSounds.AddAnimSound(per,"Ird_dth_c5", CaidaIrd2, 0.5500)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", DesangreIrd1, 0.1250)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", DesangreIrd2, 0.2500)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", AndarIrd1, 0.2250)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", AndarIrd2, 0.3000)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", AndarIrd1, 0.3800)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", AndarIrd2, 0.6000)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", AndarIrd1, 0.6800)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", AndarIrd2, 0.7200)
	NetSounds.AddAnimSound(per,"Ird_dth_c6", CaidaIrd1, 0.7700)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", DesangreIrd1, 0.1250)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", DesangreIrd2, 0.2500)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", AndarIrd1, 0.2250)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", AndarIrd1, 0.3000)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", AndarIrd2, 0.3800)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", AndarIrd2, 0.4500)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", AndarIrd1, 0.5000)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", AndarIrd2, 0.6800)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", AndarIrd1, 0.7200)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", CaidaIrd1, 0.6300)
	NetSounds.AddAnimSound(per,"Ird_dth_c7", CaidaIrd2, 0.6900)
	
	NetSounds.AddAnimSound(per,"Ird_dth_burn", MuerteQuemandoIrd, 0.1100)
	
	NetSounds.AddAnimSound(per,"Ird_dth_rockfront", MuerteAplastamientoIrd1, 0.1000)
	NetSounds.AddAnimSound(per,"Ird_dth_rockfront", HeridaIrd2, 0.1000)
	
	NetSounds.AddAnimSound(per,'Ird_g_08', EsfuerzoCorto2Ird, 0.4030)
	NetSounds.AddAnimSound(per,'Ird_g_08', AndarIrd2, 0.3700)
	NetSounds.AddAnimSound(per,'Ird_g_08', SesgadoCortoGrave, 0.4030)
	NetSounds.AddAnimSound(per,'Ird_g_01', EsfuerzoCorto6Ird, 0.1000)
	NetSounds.AddAnimSound(per,'Ird_g_01', AndarIrd1, 0.2800)
	NetSounds.AddAnimSound(per,'Ird_g_01', SesgadoCorto, 0.3117)
	NetSounds.AddAnimSound(per,'Ird_g_02', EsfuerzoCorto5Ird, 0.3026)
	NetSounds.AddAnimSound(per,'Ird_g_02', AndarIrd2, 0.2500)
	NetSounds.AddAnimSound(per,'Ird_g_02', SesgadoCortoAgudo, 0.3026)
	NetSounds.AddAnimSound(per,'Ird_g_05', EsfuerzoCorto2Ird, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_g_05', AndarIrd1, 0.4600)
	NetSounds.AddAnimSound(per,'Ird_g_05', SesgadoEspecialLargo1, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_g_06', SesgadoCorto, 0.4342)
	NetSounds.AddAnimSound(per,'Ird_g_06', EsfuerzoCorto3Ird, 0.4342)
	NetSounds.AddAnimSound(per,'Ird_g_06', AndarIrd2, 0.4342)
	NetSounds.AddAnimSound(per,'Ird_g_07', EsfuerzoCorto4Ird, 0.3291)
	NetSounds.AddAnimSound(per,'Ird_g_07', AndarIrd1, 0.2800)
	NetSounds.AddAnimSound(per,'Ird_g_07', SesgadoEspecialLargo1, 0.3291)
	NetSounds.AddAnimSound(per,'Ird_g_09', EsfuerzoCorto4Ird, 0.3291)
	NetSounds.AddAnimSound(per,'Ird_g_09', AndarIrd1, 0.2800)
	NetSounds.AddAnimSound(per,'Ird_g_09', SesgadoCorto, 0.3291)
	NetSounds.AddAnimSound(per,'Ird_g_01a', EsfuerzoCorto4Ird, 0.3220)
	NetSounds.AddAnimSound(per,'Ird_g_01a', AndarIrd1, 0.6000)
	NetSounds.AddAnimSound(per,'Ird_g_01a', SesgadoCorto, 0.3220)
	NetSounds.AddAnimSound(per,'Ird_g_02a', EsfuerzoCorto2Ird, 0.2750)
	NetSounds.AddAnimSound(per,'Ird_g_02a', AndarIrd1, 0.2200)
	NetSounds.AddAnimSound(per,'Ird_g_02a', SesgadoCorto, 0.2830)
	NetSounds.AddAnimSound(per,'Ird_g_05a', EsfuerzoCorto6Ird, 0.1100)
	NetSounds.AddAnimSound(per,'Ird_g_05a', AndarIrd1, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_05a', SesgadoCorto, 0.2630)
	NetSounds.AddAnimSound(per,'Ird_g_06a', EsfuerzoCorto1Ird, 0.4360)
	NetSounds.AddAnimSound(per,'Ird_g_06a', AndarIrd1, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_g_06a', SesgadoCorto, 0.4630)
	NetSounds.AddAnimSound(per,'Ird_g_06a', AndarIrd2, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_07a', EsfuerzoCorto1Ird, 0.1050)
	NetSounds.AddAnimSound(per,'Ird_g_07a', SesgadoCortoGrave, 0.3410)
	NetSounds.AddAnimSound(per,'Ird_g_07a', AndarIrd2, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_07a', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_g_09a', EsfuerzoCorto5Ird, 0.3220)
	NetSounds.AddAnimSound(per,'Ird_g_09a', SesgadoCortoGrave, 0.3220)
	NetSounds.AddAnimSound(per,'Ird_g_09a', AndarIrd2, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_09a', AndarIrd2, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_g_11', EsfuerzoGolpeFrontalIrd, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_g_11', AndarIrd1, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_g_11', SesgadoEspecialLargo1, 0.4685)
	NetSounds.AddAnimSound(per,'Ird_g_12', EsfuerzoGolpeFrontalIrd, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_g_12', AndarIrd2, 0.5500)
	NetSounds.AddAnimSound(per,'Ird_g_12', SesgadoEspecialLargo1, 0.5954)
	
	NetSounds.AddAnimSound(per,'Ird_g_13', EsfuerzoGolpeFrontalIrd, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_g_13', AndarIrd1, 0.2750)
	NetSounds.AddAnimSound(per,'Ird_g_13', SesgadoEspecialLargo1, 0.3053)
	NetSounds.AddAnimSound(per,'Ird_g_14', EsfuerzoGolpeLateralIrd, 0.3969)
	NetSounds.AddAnimSound(per,'Ird_g_14', AndarIrd1, 0.3500)
	NetSounds.AddAnimSound(per,'Ird_g_14', SesgadoEspecialLargo1, 0.3969)
	NetSounds.AddAnimSound(per,'Ird_g_16', EsfuerzoCorto1Ird, 0.4400)
	NetSounds.AddAnimSound(per,'Ird_g_16', AndarIrd1, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_g_16', SesgadoEspecialLargo1, 0.4681)
	NetSounds.AddAnimSound(per,'Ird_g_15', EsfuerzoGolpeLateralIrd, 0.4628)  #no se si se usa
	NetSounds.AddAnimSound(per,'Ird_g_15', AndarIrd2, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_g_15', SesgadoEspecialLargo1, 0.4628)
	NetSounds.AddAnimSound(per,'Ird_g_17', SesgadoEspecialLargo1, 0.4427)
	NetSounds.AddAnimSound(per,'Ird_g_17', EsfuerzoCorto1Ird, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_g_17', AndarIrd2, 0.3600)
	NetSounds.AddAnimSound(per,'Ird_g_18', EsfuerzoGolpeArribaIrd, 0.4224)
	NetSounds.AddAnimSound(per,'Ird_g_18', AndarIrd1, 0.3800)
	NetSounds.AddAnimSound(per,'Ird_g_18', SesgadoEspecialLargo1, 0.4224)
	
	NetSounds.AddAnimSound(per,'Ird_g_21', EsfuerzoGolpeArribaIrd, 0.5300)
	NetSounds.AddAnimSound(per,'Ird_g_21', AndarIrd1, 0.4600)
	NetSounds.AddAnimSound(per,'Ird_g_21', SesgadoEspecialLargo1, 0.5410)
	NetSounds.AddAnimSound(per,'Ird_g_22', EsfuerzoGolpeAtrasIrd, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_g_22', AndarIrd1, 0.4100)
	NetSounds.AddAnimSound(per,'Ird_g_22', SesgadoLargo, 0.4698)
	NetSounds.AddAnimSound(per,'Ird_g_23', EsfuerzoGolpeArribaIrd, 0.4800)
	NetSounds.AddAnimSound(per,'Ird_g_23', SesgadoLargo, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_g_23', AndarIrd1, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_g_26', EsfuerzoGolpeCabezaIrd, 0.4480)
	NetSounds.AddAnimSound(per,'Ird_g_26', AndarIrd2, 0.2400)
	NetSounds.AddAnimSound(per,'Ird_g_26', SesgadoLargoAgudo, 0.4480)
	NetSounds.AddAnimSound(per,'Ird_g_27', EsfuerzoCorto6Ird, 0.3800)
	NetSounds.AddAnimSound(per,'Ird_g_27', SesgadoLargoAgudo, 0.6210)
	NetSounds.AddAnimSound(per,'Ird_g_27', SesgadoLargoGrave, 0.8100)
	
	NetSounds.AddAnimSound(per,'Ird_g_27kata', EsfuerzoCorto1Ird, 0.4870)
	NetSounds.AddAnimSound(per,'Ird_g_27kata', SesgadoLargo, 0.4870)
	NetSounds.AddAnimSound(per,'Ird_g_27kata', SesgadoCortoAgudo, 0.1050)
	NetSounds.AddAnimSound(per,'Ird_g_27kata', SesgadoCortoGrave, 0.2170)
	NetSounds.AddAnimSound(per,'Ird_g_31', EsfuerzoGolpeAtrasIrd, 0.2950)
	NetSounds.AddAnimSound(per,'Ird_g_31', AndarIrd2, 0.2500)
	NetSounds.AddAnimSound(per,'Ird_g_31', SesgadoEspecialLargo2, 0.2950)
	NetSounds.AddAnimSound(per,'Ird_g_31', SesgadoEspecialLargo1, 0.4300)
	NetSounds.AddAnimSound(per,'Ird_g_s18', EsfuerzoGolpeFrontalIrd, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_g_s18', AndarIrd1, 0.2750)
	NetSounds.AddAnimSound(per,'Ird_g_s18', SesgadoCorto, 0.6140)
	NetSounds.AddAnimSound(per,'Ird_g_s18', AndarIrd2, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_s18_2h', EsfuerzoGolpeFrontalIrd, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_g_s18_2h', AndarIrd1, 0.2750)
	NetSounds.AddAnimSound(per,'Ird_g_s18_2h', SesgadoCorto, 0.6100)
	NetSounds.AddAnimSound(per,'Ird_g_s18_2h', AndarIrd2, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_06lowkata_new', SesgadoCorto, 0.2270)
	NetSounds.AddAnimSound(per,'Ird_g_06lowkata_new', SesgadoCortoAgudo, 0.4750)
	NetSounds.AddAnimSound(per,'Ird_g_06lowkata_new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Ird_g_06lowkata_new', EsfuerzoCorto2Ird, 0.1000)
	NetSounds.AddAnimSound(per,'Ird_g_06lowkata_new', EsfuerzoCorto2Ird, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_g_06lowkata_new', EsfuerzoCorto3Ird, 0.4750)
	NetSounds.AddAnimSound(per,'Ird_g_06lowkata_new', AndarIrd2, 0.5000)
	NetSounds.AddAnimSound(per,'Ird_g_32_5_3new', EsfuerzoGolpeAtrasIrd, 0.1850)
	NetSounds.AddAnimSound(per,'Ird_g_32_5_3new', SesgadoCortoAgudo, 0.1850)
	NetSounds.AddAnimSound(per,'Ird_g_32_5_3new', EsfuerzoIrdMediano, 0.3100)
	NetSounds.AddAnimSound(per,'Ird_g_32_5_3new', SesgadoCorto, 0.3100)
	NetSounds.AddAnimSound(per,'Ird_g_32_5_3new', AndarIrd2, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_32_5_3new', EsfuerzoCortoIrd, 0.5300)
	NetSounds.AddAnimSound(per,'Ird_g_32_5_3new', SesgadoLargo, 0.5300)
	NetSounds.AddAnimSound(per,'Ird_g_12low', AndarIrd2, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_12low', EsfuerzoCortoIrd, 0.3240)
	NetSounds.AddAnimSound(per,'Ird_g_12low', SesgadoLargo, 0.3240)
	NetSounds.AddAnimSound(per,'Ird_g_s11', AndarIrd2, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_s11', EsfuerzoCortoIrd, 0.2950)
	NetSounds.AddAnimSound(per,'Ird_g_s11', SesgadoLargo, 0.3000)
	NetSounds.AddAnimSound(per,'Ird_g_s3_new', SesgadoEspecialLargo1, 0.2860)
	NetSounds.AddAnimSound(per,'Ird_g_s3_new', EsfuerzoGolpeArribaIrd, 0.2600)
	NetSounds.AddAnimSound(per,'Ird_g_s3_new', AndarIrd1, 0.3200)
	NetSounds.AddAnimSound(per,'Ird_g_s22low_new',SesgadoLargo, 0.3970)
	NetSounds.AddAnimSound(per,'Ird_g_s22low_new',EsfuerzoGolpeArribaIrd, 0.2000)
	NetSounds.AddAnimSound(per,'Ird_g_s22low_new',AndarIrd1, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_g_s22low_new',AndarIrd2, 0.8000)
	NetSounds.AddAnimSound(per,"Ird_g_punch1",EsfuerzoCorto4Ird, 0.4000)
	NetSounds.AddAnimSound(per,"Ird_g_punch2",EsfuerzoCorto1Ird, 0.4000)
	NetSounds.AddAnimSound(per,"Ird_g_punch3",EsfuerzoCorto2Ird, 0.1250)
	NetSounds.AddAnimSound(per,"Ird_g_kick",EsfuerzoCorto2Ird, 0.1250)
	
	NetSounds.AddAnimSound(per,'Ird_g_back', SesgadoCortoAgudo, 0.1200)
	NetSounds.AddAnimSound(per,'Ird_g_back', EsfuerzoCorto1Ird, 0.1200)
	NetSounds.AddAnimSound(per,'Ird_g_back', AndarIrd2, 0.1500)
	NetSounds.AddAnimSound(per,'Ird_g_back', EsfuerzoCorto2Ird, 0.3800)
	NetSounds.AddAnimSound(per,'Ird_g_back', SesgadoLargoAgudo, 0.3800)
	
	NetSounds.AddAnimSound(per,'Ird_g_bad_axe', EsfuerzoGolpeFrontalIrd, 0.1200)
	NetSounds.AddAnimSound(per,'Ird_g_bad_axe', SesgadoLento, 0.4260)
	NetSounds.AddAnimSound(per,'Ird_g_bad_1h', SesgadoLento, 0.3060)
	NetSounds.AddAnimSound(per,'Ird_g_bad_1h', EsfuerzoGolpeFrontalIrd, 0.1100)
	NetSounds.AddAnimSound(per,'Ird_g_bad_1h', AndarIrd2, 0.4300)
	NetSounds.AddAnimSound(per,'Ird_g_bad_1h', AndarIrd1, 0.7000)	
	NetSounds.AddAnimSound(per,'Ird_g_bad_no', SesgadoCorto, 0.3060)
	NetSounds.AddAnimSound(per,'Ird_g_bad_no', EsfuerzoGolpeFrontalIrd, 0.1100)
	NetSounds.AddAnimSound(per,'Ird_g_bad_no', AndarIrd2, 0.4300)
	NetSounds.AddAnimSound(per,'Ird_g_bad_no', AndarIrd1, 0.7000)
	NetSounds.AddAnimSound(per,'Ird_g_bad_sword2', SesgadoLento, 0.4370)
	NetSounds.AddAnimSound(per,'Ird_g_bad_sword2', EsfuerzoGolpeAtrasIrd, 0.4000)
	NetSounds.AddAnimSound(per,'Ird_g_bad_sword2', AndarIrd1, 0.3800)
	NetSounds.AddAnimSound(per,'Ird_g_bad_sword3', SesgadoLento, 0.3150)
	NetSounds.AddAnimSound(per,'Ird_g_bad_sword3', EsfuerzoGolpeFrontalIrd, 0.2650)
	NetSounds.AddAnimSound(per,'Ird_g_bad_sword3', AndarIrd2, 0.2200)
	NetSounds.AddAnimSound(per,'Ird_g_bad_spear', SesgadoCorto, 0.2600)
	NetSounds.AddAnimSound(per,'Ird_g_bad_spear', EsfuerzoGolpeFrontalIrd, 0.1900)
	NetSounds.AddAnimSound(per,'Ird_g_bad_spear', AndarIrd2, 0.2200)
	NetSounds.AddAnimSound(per,'Ird_g_bad_spear2', SesgadoLargo, 0.4520)
	NetSounds.AddAnimSound(per,'Ird_g_bad_spear2', EsfuerzoGolpeCabezaIrd, 0.3350)
	NetSounds.AddAnimSound(per,'Ird_g_bad_spear2', AndarIrd2, 0.4700)
	NetSounds.AddAnimSound(per,'Ird_g_magic', ConcBladeSword1, 0.1300)
	NetSounds.AddAnimSound(per,'Ird_g_magic', EsfuerzoGolpeLateralIrd, 0.5400)
	NetSounds.AddAnimSound(per,'Ird_g_magic', SesgadoLargoGrave, 0.5530)
	NetSounds.AddAnimSound(per,'Ird_g_magic2', ConcBladeSword2, 0.1000)
	NetSounds.AddAnimSound(per,'Ird_g_magic2', EsfuerzoGolpeLateralIrd, 0.3250)
	NetSounds.AddAnimSound(per,'Ird_g_magic2', SesgadoLargoGrave, 0.5530)
	











	
	
	
	
	
	
	
	

	

	
