
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ######################
    #                    #
    # IrlichDwarf        #
    #                    #
    ######################
   
     
    
import IrDwarfAnm_def
IrDwarfAnm_def.InitIrDwarf()    
 
    
ird=Bladex.GetCharType("IrDwarf_N","Ird")
ird.IntName="Ird" 

ird.TurnSpeed=3.4
ird.Jcost=27000
ird.MaxFall=5000
ird.DieFall=14000
ird.MaxStair=335
ird.Fov=math.pi
ird.MaxGrab=3500.0
ird.MedGrab=2500.0
ird.Min2Grab=1500.0    
ird.MinTake=-500.0	# Min height above floor barbirdan will take
ird.MaxTake1=450.0	# Max height above floor for Take1 Anim
ird.MaxTake2=550.0	# Max height above floor for Take2 Anim
ird.MaxTake3=1300.0	# Max height above floor for Take3 Anim
ird.MaxTake4=1900.0	# Max height above floor for Take4 Anim
ird.MaxTake5=3000.0	# Max height above floor for Take5 Anim
ird.Reach=2000.0	# Max distance from bar centre to obj centre to take
ird.MovFrwdSpeedInStrafe=1300  #Forwards speed when in strafe(combat mode only)
ird.MovBkwdSpeedInStrafe=1300  #Idem backwards
ird.MaxCombatDist=20000
ird.MaxSeeDist=50000

ird.NaturalWeapons=1
ird.SetNCDSpheres(1)
ird.SetCDSphere(0,-160.0,600.0)  #(numero de la espera, altura mm, radio mm)



###############################################################################
#

def IrDwarfWhenFirst():
	print "Creating Biped data for IrDwarf"
	Bladex.CreateBipedData("Ird","IrDwarf_N")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Ird.dat")
	#except:
	#		pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Ird.dat")

	import IrDwarfAnimationSet
	IrDwarfAnimationSet.LoadIrDwarfAnimationSet("Ird")
	
	import IrDwarfBAct
	import LinkTables
	LinkTables.LinkMe("Ird")
	import IrDwarfCombos
	import AnmFactIrDwarf
	AnmFactIrDwarf.InitIrDwarf()
	import IrDwarfStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Ird.dat","Ird")
	
	print"New IrDwarf Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("IrDwarf_N","Ird")
race.OnFirst=IrDwarfWhenFirst
