######################################################
#
# Create sets of attacks
#
#        - AMB -
#
######################################################


import Bladex


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Amb","g_01","ATTACKING")
Bladex.SetActionEventTable("Amb","g_02","ATTACKING")
Bladex.SetActionEventTable("Amb","g_05","ATTACKING")
Bladex.SetActionEventTable("Amb","g_06","ATTACKING")
Bladex.SetActionEventTable("Amb","g_07","ATTACKING")
Bladex.SetActionEventTable("Amb","g_09","ATTACKING")
Bladex.SetActionEventTable("Amb","g_01a","ATTACKING")
Bladex.SetActionEventTable("Amb","g_02a","ATTACKING")
Bladex.SetActionEventTable("Amb","g_05a","ATTACKING")
Bladex.SetActionEventTable("Amb","g_06a","ATTACKING")
Bladex.SetActionEventTable("Amb","g_07a","ATTACKING")
Bladex.SetActionEventTable("Amb","g_09a","ATTACKING")
Bladex.SetActionEventTable("Amb","g_13","ATTACKING")
Bladex.SetActionEventTable("Amb","g_14","ATTACKING")
Bladex.SetActionEventTable("Amb","g_16","ATTACKING")
Bladex.SetActionEventTable("Amb","g_17","ATTACKING")
Bladex.SetActionEventTable("Amb","g_21","ATTACKING")
Bladex.SetActionEventTable("Amb","g_22","ATTACKING")
Bladex.SetActionEventTable("Amb","g_23","ATTACKING")
Bladex.SetActionEventTable("Amb","g_26","ATTACKING")
Bladex.SetActionEventTable("Amb","g_27","ATTACKING")
Bladex.SetActionEventTable("Amb","g_31","ATTACKING")
Bladex.SetActionEventTable("Amb","g_punch2","ATTACKING")
Bladex.SetActionEventTable("Amb","g_kick1","ATTACKING")
Bladex.SetActionEventTable("Amb","g_kick2","ATTACKING")
Bladex.SetActionEventTable("Amb","g_kick3","ATTACKING")
Bladex.SetActionEventTable("Amb","g_kick5","ATTACKING")
Bladex.SetActionEventTable("Amb","g_magic","ATTACKING")
Bladex.SetActionEventTable("Amb","g_magic2","ATTACKING")

Bladex.SetActionEventTable("Amb","g_spears1","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear_sb11","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear26kata","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear08","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear17","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear16","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear19_13","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear19","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear_b06","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear_bs21","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear111","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear_kata23","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear_b6_26","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear33","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear_21","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear13","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear09","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear_b29","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spears8","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear12","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear22","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear02","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spears6","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear3s2","ATTACKING")
Bladex.SetActionEventTable("Amb","g_3s9_6new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_12_7_s1new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_28new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear19_bs1","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear32kata_b2","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear16low","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear_2katab6low","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear02low","ATTACKING")
Bladex.SetActionEventTable("Amb","g_spear_back","ATTACKING")
Bladex.SetActionEventTable("Amb","g_27kata_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_06lowkata_new","ATTACKING")


# clumsy attacks
Bladex.SetActionEventTable("Amb","g_bad_axe", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Amb","g_bad_spear", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Amb","g_bad_sword", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Amb","g_bad_no", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Amb","g_bad_1h", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Amb","g_bad_sword2","ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Amb","g_bad_sword3","ATTACKING_NOMOVE")

# Draw attacks
Bladex.SetActionEventTable("Amb","g_draw_rlx", "ATTACKING")
Bladex.SetActionEventTable("Amb","g_draw_run", "ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables
Bladex.SetActionEventTable("Amb","D_r", "DODGING")
Bladex.SetActionEventTable("Amb","D_l", "DODGING")
Bladex.SetActionEventTable("Amb","D_b", "DODGING")

# xtra dwarf attacks

Bladex.SetActionEventTable("Amb","g_01low_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_41","ATTACKING")# Basic
Bladex.SetActionEventTable("Amb","g_42","ATTACKING")
Bladex.SetActionEventTable("Amb","g_46","ATTACKING")
Bladex.SetActionEventTable("Amb","g_48","ATTACKING")

Bladex.SetActionEventTable("Amb","g_s22low_newdwf","ATTACKING") # crush hammer


# xtra knight attacks

Bladex.SetActionEventTable("Amb","g_32_5_3new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_s3_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_02_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_b06_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_s19_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_09_07_s6low_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_sb25_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_s22low_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_28new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_01_7_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_18_11_22_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_22kata_23_new","ATTACKING")


Bladex.SetActionEventTable("Amb","g_31dwf","ATTACKING")
Bladex.SetActionEventTable("Amb","g_22dwf","ATTACKING")
Bladex.SetActionEventTable("Amb","g_18dwf","ATTACKING")
Bladex.SetActionEventTable("Amb","g_21dwf","ATTACKING")
Bladex.SetActionEventTable("Amb","g_11dwf","ATTACKING")

Bladex.SetActionEventTable("Amb","g_12_7_s1new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_21_6_s8new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_s28kata_new","ATTACKING")
Bladex.SetActionEventTable("Amb","g_s3_newdwf","ATTACKING")



Bladex.SetActionEventTable("Amb","g2h_back","ATTACKING")
Bladex.SetActionEventTable("Amb","g_back","ATTACKING")

# 2H Sword
Bladex.SetActionEventTable("Amb","g2h_21_7","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_21_2","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_02kata","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_21_6kata","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_08","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_28","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_s8kata","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_b6kata","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_s8","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_12","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_02","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_b6","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_11","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_13","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_12low","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_02low","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_b6low","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_b29","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_17","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_s7","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_19","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_26_b6","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_26","ATTACKING")
Bladex.SetActionEventTable("Amb","g2h_earthpow","ATTACKING")



amb=Bladex.GetCharType("Amazon_B","Amb")

#################################################################

# 180

amb.AddAttack("GM71_SP","Amb_g_spear_back")
amb.AddLevels("Amb_g_spear_back",3,40)
amb.AddEnergyLevel("Amb_g_spear_back", 0)

amb.AddAttack("GM72_2H","Amb_g2h_back")
amb.AddLevels("Amb_g2h_back",3,40)
amb.AddEnergyLevel("Amb_g2h_back", 0)

amb.AddAttack("GM73_1H","Amb_g_back")
amb.AddLevels("Amb_g_back",3,40)
amb.AddEnergyLevel("Amb_g_back", 0)

#################################################################
##### BAD

amb.AddAttack("GM47_AXE","Amb_g_bad_axe")
amb.AddLevels("Amb_g_bad_axe",0,40)



amb.MetaAttack("GIM_AXE","GM47_AXE")

amb.MetaAttack("BADAXE","GM47_AXE")


#GOLPE torpe Hacha
amb.AllowAttack("GM47_AXE","A","","BADAXE","","AXE")

#################################################################
#### Unarmed

#GOLPESINARMA1 "group"
amb.AddAttack("GM21_NO","Amb_g_kick2")
amb.AddLevels("Amb_g_kick2",0,40)

#GOLPESINARMA2 "group"
amb.AddAttack("GM22_NO","Amb_g_kick1")
amb.AddLevels("Amb_g_kick1",0,40)

#GOLPESINARMA3 "group"
amb.AddAttack("GM23_NO","Amb_g_kick5")
amb.AddLevels("Amb_g_kick5",0,40)


amb.MetaAttack("GIM_NO","GM21_NO")
amb.MetaAttack("GIM_NO","GM22_NO")
amb.MetaAttack("GIM_NO","GM23_NO")

amb.MetaAttack("COMBO1","GM21_NO")
amb.MetaAttack("COMBO1","GM22_NO")
amb.MetaAttack("COMBO1","GM23_NO")


#GOLPESINARMA1
amb.AllowAttack("GM23_NO","A","","COMBO1","","NO")

#GOLPESINARMA2
amb.AllowAttack("GM22_NO","A+F","","COMBO1","","NO")
amb.AllowAttack("GM22_NO","&A+F","","COMBO1","","NO")

#GOLPESINARMA3
amb.AllowAttack("GM21_NO","A+B","","COMBO1","","NO")
amb.AllowAttack("GM21_NO","&A+B","","COMBO1","","NO")


#################################################################
#### Spears

#GI "group"
amb.AddAttack("GI_SP","Amb_g_spears1")
amb.AttackWindow("Amb_g_spears1",0.334,0.642,"GI_SP_Window")

# LOW
amb.AddAttack("GM8_SP","Amb_g_spear16low")
amb.AttackWindow("Amb_g_spear16low",0.341,0.475,"GM8_SP_Window")
amb.AddLevels("Amb_g_spear16low",0,40)

# HIGH
amb.AddAttack("GM1_SP","Amb_g_spear08")
amb.AttackWindow("Amb_g_spear08",0.100,0.748,"GM1_SP_Window")
amb.AddLevels("Amb_g_spear08",0,40)

# RIGHT
amb.AddAttack("GM3_SP","Amb_g_spear12")
amb.AttackWindow("Amb_g_spears12",0.183,0.448,"GM3_SP_Window")
amb.AddLevels("Amb_g_spears12",0,40)

# LEFT
amb.AddAttack("GM6_SP","Amb_g_spears6")
amb.AttackWindow("Amb_g_spears6",0.100,0.648,"GM6_SP_Window")
amb.AddLevels("Amb_g_spears6",0,40)



# WHIRLWIND
amb.AddAttack("GM15_SP","Amb_g_spear26kata")
amb.AttackWindow("Amb_g_spear26kata",0.626,0.781,"GM15_SP_Window")
amb.AssignTrail("GM15_SP","","EstelaAmarilla1")
amb.AddLevels("Amb_g_spear26kata",1,40)


### Red Combos


#COMBO BO
amb.AddAttack("GM2_SP","Amb_g_spears8")
amb.AttackWindow("Amb_g_spears8",0.265,0.538,"GM2_SP_Window")
amb.AssignTrail("GM2_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spears8",2,40)

#COMBO BICHERO
amb.AddAttack("GM10_SP","Amb_g_spear_2katab6low")
amb.AttackWindow("Amb_g_spear_2katab6low",0.424,0.655,"GM10_SP_Window")
amb.AssignTrail("GM10_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear_2katab6low",6,40)

#COMBO TRIDENTE
amb.AddAttack("GM4_SP","Amb_g_spear09")
amb.AttackWindow("Amb_g_spear09",0.418,0.569,"GM4_SP_Window")
amb.AssignTrail("GM4_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear09",9,40)

#COMBO CROSSPEAR
amb.AddAttack("GM7_SP","Amb_g_spear13")
amb.AttackWindow("Amb_g_spear13",0.287,0.532,"GM7_SP_Window")
amb.AssignTrail("GM7_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear13",13,40)

#COMBO HACHACUCHILLA
amb.AddAttack("GM5_SP","Amb_g_spear3s2")
amb.AttackWindow("Amb_g_spear3s2",0.608,0.779,"GM5_SP_Window")
amb.AssignTrail("GM5_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear3s2",14,40)

#GOLPE CRUSHBO
amb.AddAttack("GM26_SP","Amb_g_spear_21")
amb.AttackWindow("Amb_g_spear_21",0.313,0.547,"GM26_SP_Window")
amb.AssignTrail("GM26_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear_21",15,40)

#GOLPE NAGINATA
amb.AddAttack("GM27_SP","Amb_g_spear22")
amb.AttackWindow("Amb_g_spear22",0.343,0.656,"GM27_SP_Window")
amb.AssignTrail("GM27_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear22",8,40)

#COMBO NAGINATA2
amb.AddAttack("GM24_SP","Amb_g_spear33")
amb.AttackWindow("Amb_g_spear33",0.404,0.613,"GM24_SP_Window")
amb.AssignTrail("GM24_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear33",17,40)

#GOLPE LANZAHANCHA
amb.AddAttack("GM28_SP","Amb_g_spear_sb11")
amb.AttackWindow("Amb_g_spear_sb11",0.564,0.718,"GM28_SP_Window")
amb.AssignTrail("GM28_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear_sb11",18,40)

#GOLPE DEATHBO
amb.AddAttack("GM25_SP","Amb_g_spear_kata23")
amb.AttackWindow("Amb_g_spear_kata23",0.426,0.613,"GM25_SP_Window")
amb.AssignTrail("GM25_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear_kata23",11,40)

#GOLPE FIREBO
amb.AddAttack("GM30_SP","Amb_g_spear_b6_26")
amb.AttackWindow("Amb_g_spear_b6_26",0.467,0.670,"GM30_SP_Window")
amb.AssignTrail("GM30_SP","","EstelaRoja1")
amb.AddLevels("Amb_g_spear_b6_26",13,40)

#GOLPE AXPEAR
amb.AddAttack("GM31_SP","Amb_g_spear32kata_b2")
amb.AttackWindow("Amb_g_spear32kata_b2",0.553,0.674,"GM31_SP_Window")
amb.AssignTrail("GM31_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear32kata_b2",10,40)

#GOLPE LANZA
amb.AddAttack("GM32_SP","Amb_g_spear19")
amb.AttackWindow("Amb_g_spear19",0.001,0.999,"GM32_SP_Window")
amb.AssignTrail("GM32_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear19",7,40)

#GOLPE ARPON
amb.AddAttack("GM33_SP","Amb_g_spear_b29")
amb.AttackWindow("Amb_g_spear_b29",0.077,0.602,"GM33_SP_Window")
amb.AssignTrail("GM33_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear_b29",16,40)

#GOLPE STEELFEATHER
amb.AddAttack("GM34_SP","Amb_g_spear19_bs1")
amb.AttackWindow("Amb_g_spear19_bs1",0.020,0.900,"GM34_SP_Window")
amb.AssignTrail("GM34_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear19_bs1",17,40)

#GOLPE ICEWAND
amb.AddAttack("GM36_SP","Amb_g_spear16")
amb.AttackWindow("Amb_g_spear16",0.020,0.900,"GM36_SP_Window")
amb.AssignTrail("GM36_SP","","EstelaAzul1")
amb.AddLevels("Amb_g_spear16",12,40)


amb.MetaAttack("GIM_SP","GI_SP")
amb.MetaAttack("GIM_SP","GM8_SP")
amb.MetaAttack("GIM_SP","GM1_SP")
amb.MetaAttack("GIM_SP","GM3_SP")
amb.MetaAttack("GIM_SP","GM6_SP")
amb.MetaAttack("GIM_SP","GM15_SP")

amb.MetaAttack("GIM_SP","GM2_SP")
amb.MetaAttack("GIM_SP","GM10_SP")
amb.MetaAttack("GIM_SP","GM4_SP")
amb.MetaAttack("GIM_SP","GM7_SP")
amb.MetaAttack("GIM_SP","GM5_SP")
amb.MetaAttack("GIM_SP","GM26_SP")
amb.MetaAttack("GIM_SP","GM27_SP")
amb.MetaAttack("GIM_SP","GM24_SP")
amb.MetaAttack("GIM_SP","GM28_SP")
amb.MetaAttack("GIM_SP","GM25_SP")
amb.MetaAttack("GIM_SP","GM30_SP")
amb.MetaAttack("GIM_SP","GM31_SP")
amb.MetaAttack("GIM_SP","GM32_SP")
amb.MetaAttack("GIM_SP","GM33_SP")
amb.MetaAttack("GIM_SP","GM34_SP")
amb.MetaAttack("GIM_SP","GM36_SP")
amb.MetaAttack("GIM_SP","GM71_SP")


amb.MetaAttack("GOLPEINICIAL","GI_SP")
amb.MetaAttack("COMBO3","GM8_SP")
amb.MetaAttack("COMBO3","GM1_SP")
amb.MetaAttack("COMBO3","GM3_SP")
amb.MetaAttack("COMBO3","GM6_SP")
amb.MetaAttack("COMBO3EXTRA","GM15_SP")

amb.MetaAttack("COMBO3","GM2_SP")
amb.MetaAttack("COMBO3","GM10_SP")
amb.MetaAttack("COMBO3","GM4_SP")
amb.MetaAttack("COMBO3","GM7_SP")
amb.MetaAttack("COMBO3","GM5_SP")
amb.MetaAttack("COMBO3","GM26_SP")
amb.MetaAttack("COMBO3","GM27_SP")
amb.MetaAttack("COMBO3","GM24_SP")
amb.MetaAttack("COMBO3","GM28_SP")
amb.MetaAttack("COMBO3","GM25_SP")
amb.MetaAttack("COMBO3","GM30_SP")
amb.MetaAttack("COMBO3","GM31_SP")
amb.MetaAttack("COMBO3","GM32_SP")
amb.MetaAttack("COMBO3","GM33_SP")
amb.MetaAttack("COMBO3","GM34_SP")
amb.MetaAttack("COMBO3","GM36_SP")
amb.MetaAttack("COMBO3","GM71_SP")


amb.AllowAttack("GI_SP","A","","GIM_SP","GI_SP_Window","SP")

# LOW
amb.AllowAttack("GM8_SP","A+B","","COMBO3","","SP")
amb.AllowAttack("GM8_SP","&A+B","","COMBO3","","SP")

# HIGH
amb.AllowAttack("GM1_SP","A+F","","COMBO3","","SP")
amb.AllowAttack("GM1_SP","&A+F","","COMBO3","","SP")

# RIGHT
amb.AllowAttack("GM3_SP","A+R","","COMBO3","","SP")
amb.AllowAttack("GM3_SP","&A+R","","COMBO3","","SP")

# LEFT
amb.AllowAttack("GM6_SP","A+L","","COMBO3","","SP")
amb.AllowAttack("GM6_SP","&A+L","","COMBO3","","SP")


amb.AllowAttack("GM71_SP","L+R+B","","","","SP")


# WHIRLWIND
amb.AllowAttack("GM15_SP","R+L","GI_SP","COMBO3EXTRA","GM15_SP_Window","SP")


#COMBO BO
amb.AllowAttack("GM2_SP","F","GM8_SP","","","Bo")

#COMBO BICHERO
amb.AllowAttack("GM10_SP","B","GM1_SP","","","Bichero")

#COMBO TRIDENTE
amb.AllowAttack("GM4_SP","B+L","GI_SP","","GI_SP_Window","Tridente")

#COMBO CROSSPEAR
amb.AllowAttack("GM7_SP","F+L","GM6_SP","","GM6_SP_Window","Crosspear")

#COMBO HACHACUCHILLA
amb.AllowAttack("GM5_SP","L+R","GM3_SP","","GM3_SP_Window","Hachacuchilla")

#GOLPE CRUSHBO
amb.AllowAttack("GM26_SP","A+F","GM1_SP","","GM1_SP_Window","CrushBo")

#GOLPE NAGINATA
amb.AllowAttack("GM27_SP","L","GM3_SP","","","Naginata")

#COMBO NAGINATA2
amb.AllowAttack("GM24_SP","F+B","GM15_SP","","","Naginata2")

#GOLPE LANZAANCHA
amb.AllowAttack("GM28_SP","A+B","GM8_SP","","","LanzaAncha")

#GOLPE DEATHBO
amb.AllowAttack("GM25_SP","F+R","GM1_SP","","GM1_SP_Window","DeathBo")

#GOLPE FIREBO
amb.AllowAttack("GM30_SP","F+L","GM3_SP","","GM3_SP_Window","FireBo") ## Att-right + front-left


#GOLPE AXPEAR
amb.AllowAttack("GM31_SP","L","GM6_SP","","","SP")

#GOLPE LANZA
amb.AllowAttack("GM32_SP","B+R","GI_SP","","GI_SP_Window","Lanza")

#GOLPE ARPON
amb.AllowAttack("GM33_SP","F+B","GI_SP","","GI_SP_Window","Arpon")

#GOLPE STEELFEATHER
amb.AllowAttack("GM34_SP","B","GM1_SP","","","SteelFeather")

#GOLPE ICEWAND
amb.AllowAttack("GM36_SP","F+R","GM6_SP","","GM6_SP_Window","IceWand") ## Att-left + front-right




##################################################################
##### One-Handed 


### IH Axe/Club


#COMBOCOMBO1ENANO1 group # Basic
amb.AddAttack("GM41_1H","Amb_g_41")
amb.AttackWindow("Amb_g_41",0.001,0.900,"GM41_1H_Window")
amb.AddEnergyLevel("Amb_g_41", 0)

#COMBOCOMBO1ENANO2 group # Right
amb.AddAttack("GM42_1H","Amb_g_42")
amb.AttackWindow("Amb_g_42",0.001,0.900,"GM42_1H_Window")
amb.AddLevels("Amb_g_42",0,40)
amb.AddEnergyLevel("Amb_g_42", 0)

#COMBOCOMBO1ENANO3 group # Left
amb.AddAttack("GM46_1H","Amb_g_46")
amb.AttackWindow("Amb_g_46",0.001,0.900,"GM46_1H_Window")
amb.AddLevels("Amb_g_46",0,40)
amb.AddEnergyLevel("Amb_g_46", 0)

#COMBOCOMBO1ENANO4 group
amb.AddAttack("GM48_1H","Amb_g_48")
amb.AttackWindow("Amb_g_48",0.001,0.900,"GM48_1H_Window")
amb.AddLevels("Amb_g_48",0,40)
amb.AddEnergyLevel("Amb_g_48", 0)

#COMBOCOMBO1ENANO5 group
amb.AddAttack("GM49_1H","Amb_g_01low_new")
amb.AttackWindow("Amb_g_01low_new",0.001,0.900,"GM48_1H_Window")
amb.AddLevels("Amb_g_01low_new",0,40)
amb.AddEnergyLevel("Amb_g_01low_new", 0)



#GOLPEARMA1MANO1 group
amb.AddAttack("GI_1H","Amb_g_09")
amb.AttackWindow("Amb_g_09",0.334,0.642,"GI_1H_Window")

# LOW (Amb - Ripper)
amb.AddAttack("GM4_1H","Amb_g_s3_new")
amb.AddLevels("Amb_g_s3_new",0,40)

# High 1H (Dwarf - High attack)
amb.AddAttack("GM1_1H","Amb_g_05")
amb.AddLevels("Amb_g_05",0,40)

# Right
amb.AddAttack("GM2_1H","Amb_g_02")
amb.AddLevels("Amb_g_02",0,40)

# Left
amb.AddAttack("GM3_1H","Amb_g_b06_new")
amb.AddLevels("Amb_g_b06_new",0,40)


# Knight HOOKSWORD
amb.AddAttack("GM39_1H","Amb_g_s22low_new")
amb.AttackWindow("Amb_g_s22low_new",0.001,0.900,"GM39_1H_Window")
amb.AssignTrail("GM39_1H","","EstelaAmarilla1")
amb.AddLevels("Amb_g_s22low_new",3,40)
amb.AddEnergyLevel("Amb_g_s22low_new", 0)


# Knight GLADIUS
amb.AddAttack("GM38_1H","Amb_g_28new")
amb.AttackWindow("Amb_g_28new",0.001,0.900,"GM38_1H_Window")
amb.AssignTrail("GM38_1H","","EstelaAmarilla1")
amb.AddLevels("Amb_g_28new",3,40)
amb.AddEnergyLevel("Amb_g_28new", 0)


# Knight ESPADACURVA
amb.AddAttack("GM5_1H","Amb_g_sb25_new")
amb.AttackWindow("Amb_g_sb25_new",0.472,0.626,"GM5_1H_Window")
amb.AssignTrail("GM5_1H","","EstelaAmarilla1")
amb.AddLevels("Amb_g_sb25_new",4,40)
amb.AddEnergyLevel("Amb_g_sb25_new", 0)


# Knight ESPADAROMANA
amb.AddAttack("GM35_1H","Amb_g_27kata_new")
amb.AttackWindow("Amb_g_27kata_new",0.427,0.670,"GM35_1H_Window")
amb.AssignTrail("GM35_1H","","EstelaAmarilla1")
amb.AddLevels("Amb_g_27kata_new",4,40)
amb.AddEnergyLevel("Amb_g_27kata_new", 0)



# North Cross
amb.AddAttack("GM23_1H","Amb_g_01_7_new")
amb.AttackWindow("Amb_g_01_7_new",0.461,0.655,"GM23_1H_Window")
amb.AssignTrail("GM23_1H","","EstelaAmarilla1")
amb.AddLevels("Amb_g_01_7_new",5,40)
amb.AddEnergyLevel("Amb_g_01_7_new", 0)


# Cylone
amb.AddAttack("GM43_1H","Amb_g_26")
amb.AttackWindow("Amb_g_26",0.445,0.668,"GM43_1H_Window")
amb.AssignTrail("GM43_1H","","EstelaAmarilla1")
amb.AddLevels("Amb_g_26",4,40)

#



# Red Combos


#COMBO ELFSWORD (Dream)
amb.AddAttack("GM34_1H","Amb_g_32_5_3new")
amb.AttackWindow("Amb_g_32_5_3new",0.265,0.538,"GM34_1H_Window")
amb.AssignTrail("GM34_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_32_5_3new",3,40)


#COMBO CIMITARRA
amb.AddAttack("GM18_1H","Amb_g_18_11_22_new")
amb.AttackWindow("Amb_g_18_11_22_new",0.630,0.770,"GM18_1H_Window")
amb.AssignTrail("GM18_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_18_11_22_new",9,40)
amb.AddEnergyLevel("Amb_g_18_11_22_new", 0)

# Dagesse
amb.AddAttack("GM25_1H","Amb_g_s19_new")
amb.AttackWindow("Amb_g_s19_new",0.508,0.696,"GM25_1H_Window")
amb.AssignTrail("GM25_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_s19_new",13,40)
amb.AddEnergyLevel("Amb_g_s19_new", 0)


#COMBO ICESWORD
#amb.AddAttack("GM37_1H","Amb_g_12_7_s1new")
#amb.AttackWindow("Amb_g_12_7_s1new",0.508,0.612,"GM37_1H_Window")
#amb.AssignTrail("GM37_1H","","EstelaAzul1")
#amb.AddLevels("Amb_g_12_7_s1new",14,40)
#amb.AddEnergyLevel("Amb_g_12_7_s1new", 0)



#COMBO QUEENSWORD
amb.AddAttack("GM50_1H","Amb_g_06lowkata_new")
amb.AttackWindow("Amb_g_06lowkata_new",0.001,0.900,"GM50_1H_Window")
amb.AssignTrail("GM50_1H","","EstelaRoja1")
amb.AddLevels("Amb_g_06lowkata_new",10,40)

# Combo DOUBLESWORD
amb.AddAttack("GM66_1H","Amb_g_22kata_23_new")
amb.AttackWindow("Amb_g_22kata_23_new",0.001,0.900,"GM66_1H_Window")
#amb.AssignTrail("GM66_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_22kata_23_new",1,40) # L17
amb.AddEnergyLevel("Amb_g_22kata_23_new", 0)

# axes/clubs 

# Garropin
amb.AddAttack("GM56_1H","Amb_g_11dwf")
amb.AttackWindow("Amb_g_11amb",0.001,0.900,"GM56_1H_Window")
amb.AssignTrail("GM56_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_11amb",5,40)

# Maza Doble
amb.AddAttack("GM58_1H","Amb_g_21dwf")
amb.AttackWindow("Amb_g_21amb",0.001,0.900,"GM58_1H_Window")
amb.AssignTrail("GM58_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_21amb",8,40)

#GOLPE MARTILLO2
amb.AddAttack("GM53_1H","Amb_g_18dwf")
amb.AttackWindow("Amb_g_18amb",0.417,0.768,"GM53_1H_Window")
amb.AssignTrail("GM53_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_18amb",11,40)

#GOLPE FIREAXE
amb.AddAttack("GM54_1H","Amb_g_22dwf")
amb.AttackWindow("Amb_g_22amb",0.480,0.662,"GM54_1H_Window")
amb.AssignTrail("GM54_1H","","EstelaRoja1")
amb.AddLevels("Amb_g_22amb",14,40)

# Martillo3
amb.AddAttack("GM52_1H","Amb_g_31dwf")
amb.AttackWindow("Amb_g_31amb",0.001,0.999,"GM52_1H_Window")
amb.AssignTrail("GM52_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_31amb",15,40)

# Eagles Eye
amb.AddAttack("GM11_1H","Amb_g_s3_newdwf")
amb.AttackWindow("Amb_g_s3_newdwf",0.001,0.900,"GM11_1H_Window")
amb.AssignTrail("GM11_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_s3_newdwf",15,40)


####

#COMBO ICESWORD
amb.AddAttack("GM37_1H","Amb_g_12_7_s1new")
amb.AttackWindow("Amb_g_12_7_s1new",0.508,0.612,"GM37_1H_Window")
amb.AssignTrail("GM37_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_12_7_s1new",12,40)
amb.AddEnergyLevel("Amb_g_12_7_s1new", 0)


#COMBO ESPADAFIRESWORD
amb.AddAttack("GM36_1H","Amb_g_s28kata_new")
amb.AttackWindow("Amb_g_s28kata_new",0.600,0.821,"GM36_1H_Window")
amb.AssignTrail("GM36_1H","","EstelaRoja1")
amb.AddLevels("Amb_g_s28kata_new",12,40)
amb.AddEnergyLevel("Amb_g_s28kata_new", 0)


#COMBO MAZA2 (Used as Ice Hammer combo)
amb.AddAttack("GM22_1H","Amb_g_21_6_s8new")
amb.AttackWindow("Amb_g_21_6_s8new",0.562,0.674,"GM22_1H_Window")
amb.AssignTrail("GM22_1H","","EstelaAzul1")
amb.AddLevels("Amb_g_21_6_s8new",12,40)
amb.AddEnergyLevel("Amb_g_21_6_s8new", 0)


# Crushhammer
amb.AddAttack("GM10_1H","Amb_g_s22low_newdwf")
amb.AttackWindow("Amb_g_s22low_newdwf",0.001,0.900,"GM10_1H_Window")
amb.AssignTrail("GM10_1H","","EstelaAmarilla1")
amb.AddLevels("Amb_g_s22low_newdwf",12,40)




amb.MetaAttack("GIM_1H","GI_1H")
amb.MetaAttack("GIM_1H","GM4_1H")
amb.MetaAttack("GIM_1H","GM1_1H")
amb.MetaAttack("GIM_1H","GM2_1H")
amb.MetaAttack("GIM_1H","GM3_1H")
amb.MetaAttack("GIM_1H","GM10_1H")
amb.MetaAttack("GIM_1H","GM11_1H")
amb.MetaAttack("GIM_1H","GM39_1H")
amb.MetaAttack("GIM_1H","GM38_1H")
amb.MetaAttack("GIM_1H","GM41_1H")
amb.MetaAttack("GIM_1H","GM42_1H")
amb.MetaAttack("GIM_1H","GM46_1H")
amb.MetaAttack("GIM_1H","GM48_1H")
amb.MetaAttack("GIM_1H","GM43_1H")
amb.MetaAttack("GIM_1H","GM49_1H")
amb.MetaAttack("GIM_1H","GM23_1H")
amb.MetaAttack("GIM_1H","GM5_1H")
amb.MetaAttack("GIM_1H","GM35_1H")
amb.MetaAttack("GIM_1H","GM50_1H")
amb.MetaAttack("GIM_1H","GM25_1H")
amb.MetaAttack("GIM_1H","GM34_1H")
amb.MetaAttack("GIM_1H","GM18_1H")
amb.MetaAttack("GIM_1H","GM73_1H")
amb.MetaAttack("GIM_1H","GM56_1H")
amb.MetaAttack("GIM_1H","GM58_1H")
amb.MetaAttack("GIM_1H","GM53_1H")
amb.MetaAttack("GIM_1H","GM54_1H")
amb.MetaAttack("GIM_1H","GM52_1H")
amb.MetaAttack("GIM_1H","GM37_1H")
amb.MetaAttack("GIM_1H","GM36_1H")
amb.MetaAttack("GIM_1H","GM22_1H")
amb.MetaAttack("GIM_1H","GM66_1H")



#amb.MetaAttack("GOLPEINICIAL","G1_1H")

amb.MetaAttack("GOLPEINICIAL1H","GI_1H")
amb.MetaAttack("COMBO1","GM4_1H")
amb.MetaAttack("COMBO1","GM1_1H")
amb.MetaAttack("COMBO1","GM2_1H")
amb.MetaAttack("COMBO1","GM3_1H")
amb.MetaAttack("COMBO1","GM73_1H")
amb.MetaAttack("COMBO1EXTRA","GM39_1H")
amb.MetaAttack("COMBO1EXTRA","GM38_1H")
amb.MetaAttack("COMBO1EXTRA","GM23_1H")
amb.MetaAttack("COMBO1EXTRA","GM5_1H")
amb.MetaAttack("COMBO1EXTRA","GM35_1H")
amb.MetaAttack("COMBO1ENANO","GM41_1H")
amb.MetaAttack("COMBO1ENANO","GM42_1H")
amb.MetaAttack("COMBO1ENANO","GM46_1H")
amb.MetaAttack("COMBO1ENANO","GM48_1H")
amb.MetaAttack("COMBO1ENANO","GM49_1H")
amb.MetaAttack("COMBO1ENANOEXTRA","GM43_1H")
amb.MetaAttack("COMBO1EXTRA","GM34_1H")
amb.MetaAttack("COMBO1EXTRA","GM18_1H")
amb.MetaAttack("COMBO1EXTRA","GM25_1H")
amb.MetaAttack("COMBO1EXTRA","GM50_1H")
amb.MetaAttack("COMBO1EXTRA","GM66_1H")
amb.MetaAttack("COMBO1ENANOEXTRA","GM56_1H")
amb.MetaAttack("COMBO1ENANOEXTRA","GM58_1H")
amb.MetaAttack("COMBO1ENANOEXTRA","GM53_1H")
amb.MetaAttack("COMBO1ENANOEXTRA","GM54_1H")
amb.MetaAttack("COMBO1ENANOEXTRA","GM52_1H")

amb.MetaAttack("COMBO1EXTRA","GM37_1H")
amb.MetaAttack("COMBO1EXTRA","GM36_1H")
amb.MetaAttack("COMBO1ENANOEXTRA","GM22_1H")
amb.MetaAttack("COMBO1ENANOEXTRA","GM10_1H")
amb.MetaAttack("COMBO1ENANOEXTRA","GM11_1H")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Martillo")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Martillo")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Martillo")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Martillo")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Martillo")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Martillo")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Martillo")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Martillo")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Martillo")


# Cyclone
amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Martillo")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Martillo")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Martillo")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Martillo")



# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Martillo2")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Martillo2")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Martillo2")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Martillo2")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Martillo2")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Martillo2")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Martillo2")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Martillo2")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Martillo2")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Martillo2")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Martillo2")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Martillo2")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Martillo2")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Martillo3")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Martillo3")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Martillo3")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Martillo3")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Martillo3")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Martillo3")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Martillo3")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Martillo3")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Martillo3")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Martillo3")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Martillo3")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Martillo3")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Martillo3")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Garrote")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Garrote")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Garrote")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Garrote")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Garrote")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Garrote")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Garrote")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Garrote")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Garrote")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Garrote")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Garrote")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Garrote")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Garrote")



# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Garrote2")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Garrote2")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Garrote2")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Garrote2")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Garrote2")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Garrote2")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Garrote2")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Garrote2")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Garrote2")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Garrote2")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Garrote2")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Garrote2")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Garrote2")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha")

# Eagles Eye
amb.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha")



# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha2")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha2")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha2")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha2")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha2")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha2")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha2")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha2")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha2")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha2")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha2")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha2")

# Eagles Eye
amb.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha2")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha3")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha3")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha3")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha3")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha3")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha3")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha3")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha3")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha3")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha3")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha3")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha3")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha3")

# Eagles Eye
amb.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha3")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha4")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha4")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha4")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha4")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha4")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha4")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha4")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha4")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha4")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha4")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha4")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha4")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha4")

# Eagles Eye
amb.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha4")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha5")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha5")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha5")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha5")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha5")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha5")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha5")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha5")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha5")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha5")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha5")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha5")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha5")

# Eagles Eye
amb.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha5")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha6")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha6")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha6")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha6")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha6")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha6")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha6")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha6")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha6")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha6")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha6")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha6")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha6")

# Eagles Eye
amb.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha6")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Garropin")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Garropin")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Garropin")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Garropin")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Garropin")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Garropin")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Garropin")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Garropin")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Garropin")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Garropin")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Garropin")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Garropin")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Garropin")



# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Maza")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Maza")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Maza")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Maza")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Maza")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Maza")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Maza")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Maza")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Maza")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Maza")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Maza")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Maza")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Maza")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Maza2")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Maza2")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Maza2")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Maza2")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Maza2")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Maza2")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Maza2")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Maza2")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Maza2")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Maza2")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Maza2")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Maza2")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Maza2")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Maza3")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Maza3")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Maza3")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Maza3")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Maza3")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Maza3")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Maza3")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Maza3")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Maza3")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Maza3")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Maza3")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Maza3")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Maza3")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","MazaDoble")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","MazaDoble")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","MazaDoble")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","MazaDoble")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","MazaDoble")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","MazaDoble")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","MazaDoble")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","MazaDoble")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","MazaDoble")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","MazaDoble")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","MazaDoble")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","MazaDoble")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","MazaDoble")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","VampWeapon2")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","VampWeapon2")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","VampWeapon2")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","VampWeapon2")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","VampWeapon2")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","VampWeapon2")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","VampWeapon2")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","VampWeapon2")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","VampWeapon2")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","VampWeapon2")






# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","IceHammer")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","IceHammer")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","IceHammer")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","IceHammer")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","IceHammer")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","IceHammer")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","IceHammer")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","IceHammer")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","IceHammer")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","IceHammer")


#GOLPE ICEHAMMER
amb.AllowAttack("GM22_1H","F+R","GM46_1H","COMBO1ENANOEXTRA","GM46_1H_Window","IceHammer")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","CrushHammer")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","CrushHammer")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","CrushHammer")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","CrushHammer")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","CrushHammer")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","CrushHammer")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","CrushHammer")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","CrushHammer")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","CrushHammer")



amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","CrushHammer")


# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","FireAxe")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","FireAxe")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","FireAxe")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","FireAxe")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","FireAxe")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","FireAxe")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","FireAxe")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","FireAxe")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","FireAxe")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","FireAxe")

# BURNING RAGE
amb.AllowAttack("GM54_1H","F+L","GM42_1H","COMBO1ENANOEXTRA","GM54_1H_Window","FireAxe")





# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","ProAxe12")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","ProAxe12")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","ProAxe12")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","ProAxe12")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","ProAxe12")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","ProAxe12")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","ProAxe12")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","ProAxe12")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","ProAxe12")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","ProAxe12")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","ProAxe12")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","F+B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","ProAxe12")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","ProAxe12")

# Eagles Eye
amb.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","ProAxe12")




# Basic (Dwarf)
amb.AllowAttack("GM41_1H","A","","COMBO1ENANO","","LightEdge")

# HIGH
amb.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","LightEdge")
amb.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","LightEdge")

# LOW
amb.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","LightEdge")
amb.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","LightEdge")

# LEFT
amb.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","LightEdge")
amb.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","LightEdge")

# RIGHT
amb.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","LightEdge")
amb.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","LightEdge")

amb.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","LightEdge")

# BEAST CRASH
amb.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","LightEdge")

# DOUBLE SMASH
amb.AllowAttack("GM58_1H","F+B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","LightEdge")

# DEMOLITION
amb.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","LightEdge")

# Eagles Eye
amb.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","LightEdge")



# CRUSH HAMMER
amb.AllowAttack("GM10_1H","F+L","GM49_1H","COMBO1ENANOEXTRA","GM10_1H_Window","CrushHammer")



# IH Sword
# LOW
amb.AllowAttack("GM4_1H","A+B","","COMBO1","","1H")
amb.AllowAttack("GM4_1H","&A+B","","COMBO1","","1H")

# HIGH
amb.AllowAttack("GM1_1H","A+F","","COMBO1","","1H")
amb.AllowAttack("GM1_1H","&A+F","","COMBO1","","1H")

# RIGHT
amb.AllowAttack("GM2_1H","A+R","","COMBO1","","1H")
amb.AllowAttack("GM2_1H","&A+R","","COMBO1","","1H")

# LEFT
amb.AllowAttack("GM3_1H","A+L","","COMBO1","","1H")
amb.AllowAttack("GM3_1H","&A+L","","COMBO1","","1H")


# NORTH CROSS
amb.AllowAttack("GM23_1H","R+L","GI_1H","COMBO3EXTRA","GM23_1H_Window","1H")




# ANKLE BITER (Knight HookSword)
amb.AllowAttack("GM39_1H","A+B","GM4_1H","COMBO1EXTRA","GM39_1H","1H")
amb.AllowAttack("GM39_1H","&A+B","GM4_1H","COMBO1EXTRA","GM39_1H","1H")


# SKULL SPLITTER (Knight Gladius)
amb.AllowAttack("GM38_1H","A+F","GM1_1H","COMBO1EXTRA","GM38_1H","1H")
amb.AllowAttack("GM38_1H","&A+F","GM1_1H","COMBO1EXTRA","GM38_1H","1H")


# DEATH SPIN (Knight Curved Sword)
amb.AllowAttack("GM5_1H","A+R","GM2_1H","COMBO1EXTRA","GM5_1H","1H")
amb.AllowAttack("GM5_1H","&A+R","GM2_1H","COMBO1EXTRA","GM5_1H","1H")


# SWORD FLICK (Knight Combat Sword)
amb.AllowAttack("GM35_1H","A+L","GM3_1H","COMBO1EXTRA","GM35_1H","1H")
amb.AllowAttack("GM35_1H","&A+L","GM3_1H","COMBO1EXTRA","GM35_1H","1H")


amb.AllowAttack("GM73_1H","L+R+B","","","","1H")


#COMBO ESPADAELFICA
amb.AllowAttack("GM34_1H","F+R","GI_1H","","GI_1H_Window","1H")

#COMBO CIMITARRA
amb.AllowAttack("GM18_1H","F","GM23_1H","","","1H")

#COMBO DAGESSE
amb.AllowAttack("GM25_1H","B+R","GI_1H","","GI_1H_Window","1H")

# Queensword
amb.AllowAttack("GM50_1H","R+B","GM3_1H","","","QueenSword")	
amb.AllowAttack("GM50_1H","R+B","GM3_1H","","","KingSword")	

#GOLPE ICESWORD
amb.AllowAttack("GM37_1H","F+R","GM3_1H","","GM2_1H_Window","IceSword")

#GOLPE FIRESWORD
amb.AllowAttack("GM36_1H","F+L","GM2_1H","","GM2_1H_Window","FireSword")

# Espada Magic 1
amb.AllowAttack("GM66_1H","B","GM23_1H","","","EspadaMagica1")


amb.AllowAttack("GM50_1H","R+B","GM46_1H","","","VampWeapon2")	

# Basic 1H
amb.AllowAttack("GI_1H","A","","GIM_1H","GI_1H_Window","1H")


###################################################################
###### Two-Handed Swords


#GOLPEARMA2MANO1 group
amb.AddAttack("GI_2H","Amb_g2h_08")
amb.AttackWindow("Amb_g2h_08",0.001,0.900,"GI_2H_Window")


# LOW
amb.AddAttack("GM4_2H","Amb_g2h_12low")
#amb.AttackWindow("Amb_g2h_12low",0.112,0.695,"GM4_2H_Window")
amb.AddLevels("Amb_g2h_12low",0,40)


# HIGH
amb.AddAttack("GM1_2H","Amb_g2h_b6kata")
#amb.AttackWindow("Amb_g2h_b6kata",0.143,0.669,"GM1_2H_Window")
amb.AddLevels("Amb_g2h_b6kata",0,40)

# RIGHT
amb.AddAttack("GM2_2H","Amb_g2h_11")
#amb.AttackWindow("Amb_g2h_11",0.172,0.602,"GM2_2H_Window")
amb.AddLevels("Amb_g2h_11",0,40)


# LEFT
amb.AddAttack("GM3_2H","Amb_g2h_s7")
#amb.AttackWindow("Amb_g2h_s7",0.172,0.662,"GM3_2H_Window")
amb.AddLevels("Amb_g2h_s7",0,40)


# DEATH DEALER
amb.AddAttack("GM23_2H","Amb_g2h_21_6kata")
amb.AttackWindow("Amb_g2h_21_6kata",0.328,0.731,"GM23_2H_Window")
amb.AssignTrail("GM23_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_21_6kata",6,40)








# 2 High (sky smash)
amb.AddAttack("GM9_2H","Amb_g2h_b7")
amb.AttackWindow("Amb_g2h_b7",0.297,0.418,"GM9_2H_Window")
amb.AssignTrail("GM9_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_b7",3,40)

# Right (rage)
amb.AddAttack("GM10_2H","Amb_g2h_02kata")
amb.AttackWindow("Amb_g2h_02kata",0.297,0.548,"GM10_2H_Window")
amb.AssignTrail("GM10_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_02kata",1,40)

# 2 Left (thunder smash)
amb.AddAttack("GM8_2H","Amb_g2h_01")
amb.AttackWindow("Amb_g2h_01",0.195,0.427,"GM8_2H_Window")
amb.AssignTrail("GM8_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_01",2,40)

# 2 Low (thunder sweep)
amb.AddAttack("GM11_2H","Amb_g2h_02low")
amb.AttackWindow("Amb_g2h_02low",0.280,0.525,"GM11_2H_Window")
amb.AssignTrail("GM11_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_02low",4,40)


### Red Combos

# Hellswing
amb.AddAttack("GM41_2H","Amb_g2h_13")
amb.AttackWindow("Amb_g2h_13",0.366,0.572,"GM41_2H_Window")
amb.AssignTrail("GM41_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_13",9,40)

# Destroyer
amb.AddAttack("GM42_2H","Amb_g2h_28")
amb.AttackWindow("Amb_g2h_28",0.427,0.512,"GM42_2H_Window")
amb.AssignTrail("GM42_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_28",13,40)

# Death Sweep
amb.AddAttack("GM12_2H","Amb_g2h_b6low")
amb.AttackWindow("Amb_g2h_b6low",0.338,0.470,"GM12_2H_Window")
amb.AssignTrail("GM12_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_b6low",4,40)

# Hellthrust
amb.AddAttack("GM29_2H","Amb_g2h_b29")
amb.AttackWindow("Amb_g2h_b29",0.304,0.557,"GM29_2H_Window")
amb.AssignTrail("GM29_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_b29",14,40)

### FireSword

#COMBOFIREBIGSWORD1 "group"
amb.AddAttack("GM44_2H","Amb_g2h_21_2")
amb.AttackWindow("Amb_g2h_21_2",0.186,0.610,"GM44_2H_Window")
amb.AssignTrail("GM44_2H","","EstelaRoja1")
amb.AddLevels("Amb_g2h_21_2",12,40)

#COMBOFIREBIGSWORD2 "group"
amb.AddAttack("GM45_2H","Amb_g2h_earthpow")
amb.AttackWindow("Amb_g2h_earthpow",0.620,0.732,"GM45_2H_Window")
amb.AssignTrail("GM45_2H","","EstelaRoja1")
amb.AddLevels("Amb_g2h_earthpow",15,40)



#### Slaying Sword (used for Dragon Sword)

amb.AddAttack("GM15_2H","Amb_g2h_s8")
amb.AttackWindow("Amb_g2h_s8",0.145,0.667,"GM15_2H_Window")
amb.AssignTrail("GM15_2H","","EstelaAmarilla1")
amb.AddLevels("Amb_g2h_s8",16,40)



amb.MetaAttack("GIM_2H","GI_2H")
amb.MetaAttack("GIM_2H","GM4_2H")
amb.MetaAttack("GIM_2H","GM1_2H")
amb.MetaAttack("GIM_2H","GM2_2H")
amb.MetaAttack("GIM_2H","GM3_2H")
amb.MetaAttack("GIM_2H","GM23_2H")
amb.MetaAttack("GIM_2H","GM8_2H")
amb.MetaAttack("GIM_2H","GM9_2H")
amb.MetaAttack("GIM_2H","GM10_2H")
amb.MetaAttack("GIM_2H","GM11_2H")
amb.MetaAttack("GIM_2H","GM41_2H")
amb.MetaAttack("GIM_2H","GM42_2H")
amb.MetaAttack("GIM_2H","GM42_2H")
amb.MetaAttack("GIM_2H","GM12_2H")
amb.MetaAttack("GIM_2H","GM29_2H")
amb.MetaAttack("GIM_2H","GM44_2H")
amb.MetaAttack("GIM_2H","GM45_2H")
amb.MetaAttack("GIM_2H","GM72_2H")
amb.MetaAttack("GIM_2H","GM15_2H")



amb.MetaAttack("GOLPEINICIAL2H","GI_2H")
amb.MetaAttack("COMBO2","GM4_2H")
amb.MetaAttack("COMBO2","GM1_2H")
amb.MetaAttack("COMBO2","GM2_2H")
amb.MetaAttack("COMBO2","GM3_2H")
amb.MetaAttack("COMBO2","GM72_2H")
amb.MetaAttack("COMBO2EXTRA","GM23_2H")
amb.MetaAttack("COMBO2EXTRA","GM8_2H")
amb.MetaAttack("COMBO2EXTRA","GM9_2H")
amb.MetaAttack("COMBO2EXTRA","GM10_2H")
amb.MetaAttack("COMBO2EXTRA","GM11_2H")
amb.MetaAttack("COMBO2EXTRA","GM41_2H")
amb.MetaAttack("COMBO2EXTRA","GM42_2H")
amb.MetaAttack("COMBO2EXTRA","GM12_2H")
amb.MetaAttack("COMBO2EXTRA","GM29_2H")
amb.MetaAttack("COMBO2EXTRA","GM15_2H")
amb.MetaAttack("COMBOFIREBIGSWORD","GM44_2H")
amb.MetaAttack("COMBOFIREBIGSWORD","GM45_2H")


amb.AllowAttack("GM72_2H","L+R+B","","","","2W")

amb.AllowAttack("GM23_2H","R+L","GI_2H","COMBO2EXTRA","GM23_1H_Window","2W")


amb.AllowAttack("GM15_2H","L+B","GM23_2H","","","ProDragonSword")


amb.AllowAttack("GM29_2H","F","GM23_2H","","","2W")


amb.AllowAttack("GM41_2H","R","GM3_2H","","","2W")

amb.AllowAttack("GM42_2H","B+R","GI_2H","","GI_2H_Window","2W")

amb.AllowAttack("GM12_2H","F","GI_2H","","GI_2H_Window","2W")



#COMBOFIREBIGSWORD
amb.AllowAttack("GM44_2H","L+F","GM2_2H","COMBOFIREBIGSWORD","","FireBigSword")

#COMBOFIREBIGSWORD
amb.AllowAttack("GM45_2H","B+R","GM23_2H","COMBOFIREBIGSWORD","","FireBigSword")



# High ok
amb.AllowAttack("GM9_2H","A+F","GM1_2H","COMBO2EXTRA","GM9_2H","2W")
amb.AllowAttack("GM9_2H","&A+F","GM1_2H","COMBO2EXTRA","GM9_2H","2W")


# LOW
amb.AllowAttack("GM11_2H","A+B","GM4_2H","COMBO2EXTRA","GM11_2H","2W")
amb.AllowAttack("GM11_2H","&A+B","GM4_2H","COMBO2EXTRA","GM11_2H","2W")

# Right
amb.AllowAttack("GM10_2H","A+R","GM2_2H","COMBO2EXTRA","GM10_2H","2W")
amb.AllowAttack("GM10_2H","&A+R","GM2_2H","COMBO2EXTRA","GM10_2H","2W")

# Left ok
amb.AllowAttack("GM8_2H","A+L","GM3_2H","COMBO2EXTRA","GM8_2H","2W")
amb.AllowAttack("GM8_2H","&A+L","GM3_2H","COMBO2EXTRA","GM8_2H","2W")





# LOW
amb.AllowAttack("GM4_2H","A+B","","COMBO2","","2W")
amb.AllowAttack("GM4_2H","&A+B","","COMBO2","","2W")

# HIGH
amb.AllowAttack("GM1_2H","A+F","","COMBO2","","2W")
amb.AllowAttack("GM1_2H","&A+F","","COMBO2","","2W")

# RIGHT
amb.AllowAttack("GM2_2H","A+R","","COMBO2","","2W")
amb.AllowAttack("GM2_2H","&A+R","","COMBO2","","2W")

# RIGHT
amb.AllowAttack("GM3_2H","A+L","","COMBO2","","2W")
amb.AllowAttack("GM3_2H","&A+L","","COMBO2","","2W")

amb.AllowAttack("GI_2H","A","","GIM_2H","GI_2H_Window","2W")
