import Bladex
import NetSounds
import netgame


# ***********************************
# *      Asignacion de sonidos      *
# ***********************************


def AsignarSonidosAmazonB(Personaje):
	from AniSoundAmzX import *

	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos
	if netgame.GetNetState() !=2:
		per.AddEventSound('shield_block', GolpeArmaEscudoAmz)
		per.AddEventSound('weapon_block', GolpeArmaArmaAmz)
		per.AddEventSound('impale', TajoEmpalanteAmz)
		per.AddEventSound('slash', TajoCortanteAmz)
		per.AddEventSound('mutilate', TajoMutilacionAmz)
		per.AddEventSound('crush', GolpeContundenteAmz)


	# Sonidos de animaciones

	NetSounds.AddAnimSound(per,'Amb_chg_r', EnfundarAmz, 0.3599)
	NetSounds.AddAnimSound(per,'Amb_chg_r', EnfundarAmz, 0.3599)
	NetSounds.AddAnimSound(per,'Amb_chg_r_l', EnfundarAmz, 0.3599)
	NetSounds.AddAnimSound(per,'Amb_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Amb_g_spears1', SesgadoCortoAgudo, 0.6010)
	NetSounds.AddAnimSound(per,'Amb_g_spears1', EsfuerzoAmzMediano, 0.1620)
	NetSounds.AddAnimSound(per,'Amb_g_spears1', AndarAmz1, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_g_spears6', SesgadoLargoAgudo, 0.1470)
	NetSounds.AddAnimSound(per,'Amb_g_spears6', EsfuerzoCortoAmz, 0.1400)
	NetSounds.AddAnimSound(per,'Amb_g_spears6', AndarAmz2, 0.1000)
	#NetSounds.AddAnimSound(per,'Amb_g_spear2katab2', EsfuerzoAmzMediano 0.5060)

	
	NetSounds.AddAnimSound(per,'Amb_dth0', MuerteAmz1, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth0', CaidaAmz3, 0.5710)
	NetSounds.AddAnimSound(per,'Amb_dth0', CaidaAmz4, 0.7700)
	NetSounds.AddAnimSound(per,'Amb_dth0', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth0', AndarAmz2, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_dth0', AndarAmz1, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', MuerteAmz1, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz1, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz1, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz2, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', CaidaAmz3, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', MuerteAmz5, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz2, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz1, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz1, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', CaidaAmz4, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', MuerteAmz3, 0.1200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz1, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz2, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz1, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz1, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', CaidaAmz3, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', MuerteAmz4, 0.1200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz1, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz2, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz2, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz1, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', CaidaAmz4, 0.6550)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', MuerteAmz2, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz1, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz2, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz2, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz1, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', CaidaAmz3, 0.7600)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', MuerteAmz6, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz1, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz1, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz2, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz1, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', CaidaAmz4, 0.7700)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', MuerteAmz7, 0.1200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz2, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz2, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz2, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz1, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', CaidaAmz3, 0.6900)
	
	NetSounds.AddAnimSound(per,'Amb_dth_burn', MuerteQuemandoAmz1, 0.1100)
	
	NetSounds.AddAnimSound(per,'Amb_dth_rockfront', MuerteAplastamientoAmz1, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_dth_rockfront', HeridaAmz2, 0.1000)
	
	NetSounds.AddAnimSound(per,'Amb_dth_rock', MuerteAplastamientoAmz1, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_dth_rock', HeridaAmz2, 0.1000)
	
	NetSounds.AddAnimSound(per,'Amb_pour',SonidoVaciarBotella, 0.1234)

	NetSounds.AddAnimSound(per,'Amb_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key05',CogerLlave, 0.2654)
	
	NetSounds.AddAnimSound(per,'Amb_the_r_Key00', CogerEspada, 0.7652)
	NetSounds.AddAnimSound(per,'Amb_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Amb_tke_r_01', CogerEspada, 0.3103) 
	NetSounds.AddAnimSound(per,'Amb_tke_r_02', CogerEspada, 0.2759) 
	NetSounds.AddAnimSound(per,'Amb_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Amb_tke_r_04', CogerEspada, 0.2727) 
	NetSounds.AddAnimSound(per,'Amb_tke_r_05', CogerEspada, 0.2654)    
	
	NetSounds.AddAnimSound(per,'Amb_chg_l', CambiarEscudo, 0.3652)
	

	
	
	
	##################################################################################################
	##################################################################################################
	##################################################################################################
	##################################################################################################
	
	
	NetSounds.AddAnimSound(per,'Amb_clmb_low_1h', EsfuerzoSubir1, 0.5450)
	NetSounds.AddAnimSound(per,'Amb_clmb_low_1h', AndarAmz2, 0.8680)
	NetSounds.AddAnimSound(per,'Amb_clmb_medlow_1h', EsfuerzoSubir1, 0.4330)
	NetSounds.AddAnimSound(per,'Amb_clmb_medlow_1h', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_clmb_medium_1h', EsfuerzoSubir2, 0.2080)
	NetSounds.AddAnimSound(per,'Amb_clmb_medium_1h', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_clmb_medium_1h', EsfuerzoSubir3, 0.7800)
	NetSounds.AddAnimSound(per,'Amb_clmb_medium_1h', AndarAmz1, 0.6560)
	NetSounds.AddAnimSound(per,'Amb_clmb_high_1h', EsfuerzoCortoAmz, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_clmb_high_1h', EsfuerzoSubir3, 0.9000)
	NetSounds.AddAnimSound(per,'Amb_clmb_high_1h', EsfuerzoSubir4, 0.5190)
	NetSounds.AddAnimSound(per,'Amb_clmb_high_1h', AndarAmz1, 0.8600)
	NetSounds.AddAnimSound(per,'Amb_clmb_high_1h', AndarAmz2, 0.2740)
	NetSounds.AddAnimSound(per,'Amb_clmb_low', EsfuerzoSubir1, 0.4600)
	NetSounds.AddAnimSound(per,'Amb_clmb_low', AndarAmz2, 0.4600)
	NetSounds.AddAnimSound(per,'Amb_clmb_high', EsfuerzoCortoAmz, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_clmb_high', EsfuerzoSubir3, 0.9000)
	NetSounds.AddAnimSound(per,'Amb_clmb_high', EsfuerzoSubir4, 0.5190)
	NetSounds.AddAnimSound(per,'Amb_clmb_high', AndarAmz1, 0.8600)
	NetSounds.AddAnimSound(per,'Amb_clmb_high', AndarAmz2, 0.2740)
	
	
	NetSounds.AddAnimSound(per,'Amb_jmph0_no', SaltoCortoAmz, 0.4120)
	NetSounds.AddAnimSound(per,'Amb_jmph0_no', AndarAmz1, 0.2800)
	NetSounds.AddAnimSound(per,'Amb_jmp_no', SaltoCortoAmz, 0.1240)
	NetSounds.AddAnimSound(per,'Amb_jmp_no', AndarAmz2, 0.2800)
	NetSounds.AddAnimSound(per,'Amb_jmp_1h', SaltoCortoAmz, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_jmp_1h', AndarAmz1, 0.2800)
	
	NetSounds.AddAnimSound(per,'Amb_slip', AndarAmz2, 0.1500)
	NetSounds.AddAnimSound(per,'Amb_slip', AndarAmz1, 0.3500)
	NetSounds.AddAnimSound(per,'Amb_slip', AndarAmz2, 0.5500)
	NetSounds.AddAnimSound(per,'Amb_slip', AndarAmz1, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_slip', AndarAmz2, 0.9000)
	NetSounds.AddAnimSound(per,'Amb_slip_b', AndarAmz2, 0.1500)
	NetSounds.AddAnimSound(per,'Amb_slip_b', AndarAmz1, 0.3500)
	NetSounds.AddAnimSound(per,'Amb_slip_b', AndarAmz2, 0.5500)
	NetSounds.AddAnimSound(per,'Amb_slip_b', AndarAmz1, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_slip_b', AndarAmz2, 0.9000)
	NetSounds.AddAnimSound(per,'Amb_derrape', CaidaDerrapeAmz1, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_derrape', AndarAmz2, 0.3000)
	
	NetSounds.AddAnimSound(per,'Amb_jog_turn', SaltoCortoAmz, 0.4810)
	NetSounds.AddAnimSound(per,'Amb_jog_turn', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_wlk_turn', SaltoCortoAmz, 0.4550)
	NetSounds.AddAnimSound(per,'Amb_snk_turn', SaltoCortoAmz, 0.4550)
	NetSounds.AddAnimSound(per,'Amb_wlk_turn', SaltoCortoAmz, 0.4550)
	
	NetSounds.AddAnimSound(per,'Amb_rlx_vt', CansancioAmz, 0.1000)
	
	NetSounds.AddAnimSound(per,'Wbk_b_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_b_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_b_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_b_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_no_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_no_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_no_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_no_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_1h_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_1h_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_2h_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2h_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_2w_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2w_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_axe_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_axe_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_axe_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_axe_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_spear_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_spear_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Amb_wbk_spear', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_wbk_spear', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_wbk_spear', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_wbk_spear', AndarAmz2, 0.9200)
	
	
	NetSounds.AddAnimSound(per,'Wlk_no_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_no_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_no_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_no_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_s_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_s_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_s_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_s_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_b_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_b_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_b_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_b_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_1h_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_1h_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_2h_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2h_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2h_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2h_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_2w_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_axe_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_axe_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_axe_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_axe_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_spear_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Amb', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Amb', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Amb', AndarAmz2, 0.9200)
	NetSounds.AddAnimSound(per,'Amb_wlk_spear', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_wlk_spear', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_wlk_spear', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_wlk_spear', AndarAmz2, 0.9200)

	NetSounds.AddAnimSound(per,'Jog_2h_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2h_Amb', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2h_Amb', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2h_Amb', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2h_Amb', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_spear_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_spear_Amb', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_spear_Amb', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_spear_Amb', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_spear_Amb', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_jog_spear', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_jog_spear', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_jog_spear', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_jog_spear', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_jog_spear', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_b_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_b_Amb', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_b_Amb', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_b_Amb', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_b_Amb', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_no_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Amb', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_no_Amb', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_no_Amb', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_no_Amb', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_s_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_s_Amb', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_s_Amb', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_s_Amb', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_s_Amb', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_axe_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_axe_Amb', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_axe_Amb', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_axe_Amb', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_axe_Amb', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_2w_Amb', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2w_Amb', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2w_Amb', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2w_Amb', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2w_Amb', AndarAmz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Amb_jogb_no', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_jogb_no', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_jogb_no', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_jogb_no', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_jogb_no', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_jogb_b', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_jogb_b', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_jogb_b', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_jogb_b', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_jogb_b', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_jogb_spear', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_jogb_spear', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_jogb_spear', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_jogb_spear', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_jogb_spear', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_jogb_2w', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_jogb_2w', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_jogb_2w', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_jogb_2w', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_jogb_2w', AndarAmz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Snk_no_Amb', AndarAmz1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_no_Amb', AndarAmz2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_b_Amb', AndarAmz1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_b_Amb', AndarAmz2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_1h_Amb', AndarAmz1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_1h_Amb', AndarAmz2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_2h_Amb', AndarAmz1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_2h_Amb', AndarAmz2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_2w_Amb', AndarAmz1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_2w_Amb', AndarAmz2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_spear_Amb', AndarAmz1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_spear_Amb', AndarAmz2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_axe_Amb', AndarAmz1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_axe_Amb', AndarAmz2, 0.5900)
	
	NetSounds.AddAnimSound(per,'FallLow_Amb',CaidaAmz3, 0.2750)
	NetSounds.AddAnimSound(per,'FallLow_Amb',CaidaAmz4, 0.2850)
	NetSounds.AddAnimSound(per,'FallLow_Amb',EsfuerzoCaida1Amz, 0.2560)
	NetSounds.AddAnimSound(per,'FallLow_Amb',AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'FallMed_Amb',CaidaAmz1, 0.1440)
	NetSounds.AddAnimSound(per,'FallMed_Amb',CaidaAmz2, 0.1600)
	NetSounds.AddAnimSound(per,'FallMed_Amb',EsfuerzoCaida1Amz, 0.1800)
	NetSounds.AddAnimSound(per,'FallMed_Amb',AndarAmz1, 0.1850)
	NetSounds.AddAnimSound(per,'FallHigh_Amb',EsfuerzoCaida1Amz, 0.1000)
	NetSounds.AddAnimSound(per,'FallHigh_Amb',CaidaAmz4, 0.1700)
	NetSounds.AddAnimSound(per,'FallHigh_Amb',EsfuerzoCaida1Amz, 0.2000)
	NetSounds.AddAnimSound(per,'FallHigh_Amb',AndarAmz1, 0.1800)
	
	NetSounds.AddAnimSound(per,'Dth_Fll2_Amb', CaidaAmz3, 0.1750)
	NetSounds.AddAnimSound(per,'Dth_Fll2_Amb', MuerteSaltoVacioAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Dth_Fll_Amb', MuerteSaltoVacioAmz2, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_attack_f', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_f', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_f', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_f', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_f', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_r', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_r', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_r', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_r', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_r', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_l', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_l', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_l', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_l', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_l', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_l_2w', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_l_2w', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_l_2w', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_l_2w', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_l_2w', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_b_2w', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_b_2w', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_b_2w', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_b_2w', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_b_2w', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_r_2w', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_r_2w', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_r_2w', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_r_2w', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_r_2w', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_f_2w', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_f_2w', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_f_2w', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_f_2w', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_f_2w', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_f_spear', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_f_spear', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_f_spear', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_f_spear', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_f_spear', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_b_spear', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_b_spear', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_b_spear', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_b_spear', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_b_spear', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_l_spear', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_l_spear', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_l_spear', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_l_spear', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_l_spear', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_r_spear', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_r_spear', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_r_spear', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_r_spear', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_r_spear', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_f_no', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_f_no', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_f_no', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_f_no', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_f_no', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_b_no', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_b_no', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_b_no', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_b_no', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_b_no', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_r_no', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_r_no', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_r_no', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_r_no', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_r_no', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_l_no', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_l_no', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_l_no', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_l_no', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_l_no', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_r_s', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_r_s', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_r_s', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_r_s', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_r_s', AndarAmz2, 0.8500)
	NetSounds.AddAnimSound(per,'Amb_attack_l_s', AndarAmz1, 0.0534)
	NetSounds.AddAnimSound(per,'Amb_attack_l_s', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_attack_l_s', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_attack_l_s', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_attack_l_s', AndarAmz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Amb_d_l', EsfuerzoCorto2Amz, 0.3770)
	NetSounds.AddAnimSound(per,'Amb_d_r', EsfuerzoCorto1Amz, 0.2100)
	NetSounds.AddAnimSound(per,'Amb_d_b', EsfuerzoCorto2Amz, 0.2990)
	
	NetSounds.AddAnimSound(per,'Amb_parry_spear', EsfuerzoSubir1, 0.3280)
	
	NetSounds.AddAnimSound(per,'Amb_parry_spear', EsfuerzoSubir1, 0.3280)
	
	NetSounds.AddAnimSound(per,'Amb_df_01', EsfuerzoSubir1, 0.2680)
	NetSounds.AddAnimSound(per,'Amb_df_02', EsfuerzoSubir1, 0.2680)
	NetSounds.AddAnimSound(per,'Amb_df_s_broken', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_df_s_broken', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_df_01_spear', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_df_01_spear', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_df_02_spear', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_df_02_spear', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_df_01_2w', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_df_01_2w', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_df_02_2w', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_df_02_2w', AndarAmz1, 0.5000)
	
	
	NetSounds.AddAnimSound(per,'Amb_hurt_f_big', HeridaAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_hurt_f_lite', HeridaAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_hurt_f_head', HeridaAmz4, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_hurt_f_breast', HeridaAmz2,0.3889)
	NetSounds.AddAnimSound(per,'Amb_hurt_f_back', HeridaAmz3, 0.4211)
	NetSounds.AddAnimSound(per,'Amb_hurt_f_r_arm', HeridaAmz4, 0.2100)
	NetSounds.AddAnimSound(per,'Amb_hurt_f_l_arm', HeridaAmz1, 0.1786)
	NetSounds.AddAnimSound(per,'Amb_hurt_f_r_leg', HeridaAmz2, 0.4076)
	NetSounds.AddAnimSound(per,'Amb_hurt_f_l_leg', HeridaAmz3, 0.4375)
	NetSounds.AddAnimSound(per,'Amb_hurt_jog', HeridaAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_hurt_head', HeridaAmz2, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_hurt_breast', HeridaAmz3, 0.3889)
	NetSounds.AddAnimSound(per,'Amb_hurt_back', HeridaAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_hurt_r_arm', HeridaAmz4, 0.4076)
	NetSounds.AddAnimSound(per,'Amb_hurt_l_arm', HeridaAmz1, 0.5333)
	NetSounds.AddAnimSound(per,'Amb_hurt_r_leg', HeridaAmz2, 0.4076)
	NetSounds.AddAnimSound(per,'Amb_hurt_l_leg', HeridaAmz3, 0.4375)
	
	NetSounds.AddAnimSound(per,'Amb_g_01', EsfuerzoCortoAmz, 0.3117)
	NetSounds.AddAnimSound(per,'Amb_g_01', AndarAmz1, 0.2900)
	NetSounds.AddAnimSound(per,'Amb_g_01', SesgadoCorto, 0.3117)
	NetSounds.AddAnimSound(per,'Amb_g_02', EsfuerzoCorto1Amz, 0.3026)
	NetSounds.AddAnimSound(per,'Amb_g_02', AndarAmz2, 0.2700)
	NetSounds.AddAnimSound(per,'Amb_g_02', SesgadoCortoAgudo, 0.3026)
	NetSounds.AddAnimSound(per,'Amb_g_05', EsfuerzoCorto2Amz, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_g_05', AndarAmz1, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_g_05', SesgadoCortoGrave, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_g_06', EsfuerzoCorto3Amz, 0.4342)
	NetSounds.AddAnimSound(per,'Amb_g_06', AndarAmz2, 0.3900)
	NetSounds.AddAnimSound(per,'Amb_g_06', SesgadoCorto, 0.4342)
	NetSounds.AddAnimSound(per,'Amb_g_08', EsfuerzoCorto5Amz, 0.4030)
	NetSounds.AddAnimSound(per,'Amb_g_08', AndarAmz1, 0.3500)
	NetSounds.AddAnimSound(per,'Amb_g_08', SesgadoCortoGrave, 0.4030)
	NetSounds.AddAnimSound(per,'Amb_g_07', EsfuerzoCorto4Amz, 0.3291)
	NetSounds.AddAnimSound(per,'Amb_g_07', AndarAmz2, 0.2800)
	NetSounds.AddAnimSound(per,'Amb_g_07', SesgadoCortoAgudo, 0.3291)
	NetSounds.AddAnimSound(per,'Amb_g_09', EsfuerzoCorto6Amz, 0.3291)
	NetSounds.AddAnimSound(per,'Amb_g_09', AndarAmz2, 0.3291)
	NetSounds.AddAnimSound(per,'Amb_g_09', SesgadoCorto, 0.3291)
	NetSounds.AddAnimSound(per,'Amb_g_13', EsfuerzoGolpeFrontalAmz, 0.3053)
	NetSounds.AddAnimSound(per,'Amb_g_13', AndarAmz2, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_g_13', SesgadoLargoAgudo, 0.3053)
	NetSounds.AddAnimSound(per,'Amb_g_18', EsfuerzoGolpeArribaAmz, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_g_18', AndarAmz1, 0.3600)
	NetSounds.AddAnimSound(per,'Amb_g_18', SesgadoLargoGrave, 0.4224)
	NetSounds.AddAnimSound(per,'Amb_g_11', EsfuerzoGolpeFrontalAmz, 0.4600)
	NetSounds.AddAnimSound(per,'Amb_g_11', AndarAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_11', SesgadoLargo, 0.4685)
	NetSounds.AddAnimSound(per,'Amb_g_14', EsfuerzoGolpeLateralAmz, 0.1200)
	NetSounds.AddAnimSound(per,'Amb_g_14', AndarAmz1, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_g_14', SesgadoLargoGrave, 0.3969)
	NetSounds.AddAnimSound(per,'Amb_g_16', EsfuerzoCorto4Amz, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_g_16', AndarAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_16', SesgadoLargoAgudo, 0.4681)
	NetSounds.AddAnimSound(per,'Amb_g_12', EsfuerzoGolpeFrontalAmz, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_g_12', AndarAmz1, 0.5500)
	NetSounds.AddAnimSound(per,'Amb_g_12', SesgadoLargo, 0.5400)
	NetSounds.AddAnimSound(per,'Amb_g_17', EsfuerzoCorto1Amz, 0.3500)
	NetSounds.AddAnimSound(per,'Amb_g_17', AndarAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_17', SesgadoLargoAgudo, 0.4427)
	NetSounds.AddAnimSound(per,'Amb_g_15', EsfuerzoGolpeLateralAmz, 0.1300)  #no se si se usa
	NetSounds.AddAnimSound(per,'Amb_g_15', AndarAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_15', SesgadoLargo, 0.4628)
	NetSounds.AddAnimSound(per,'Amb_g_21', EsfuerzoGolpeArribaAmz, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_g_21', AndarAmz1, 0.4600)
	NetSounds.AddAnimSound(per,'Amb_g_21', SesgadoLargoGrave, 0.5410)
	NetSounds.AddAnimSound(per,'Amb_g_22', EsfuerzoAmzMediano, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_g_22', AndarAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_22', SesgadoLargo, 0.4698)
	NetSounds.AddAnimSound(per,'Amb_g_23', EsfuerzoGolpeArribaAmz, 0.1750)
	NetSounds.AddAnimSound(per,'Amb_g_23', AndarAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_23', SesgadoLargo, 0.5350)
	NetSounds.AddAnimSound(per,'Amb_g_26', EsfuerzoGolpeCabezaAmz, 0.1800)
	NetSounds.AddAnimSound(per,'Amb_g_26', AndarAmz1, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_g_26', SesgadoLargoAgudo, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_g_31', EsfuerzoAmzMediano, 0.1800)
	NetSounds.AddAnimSound(per,'Amb_g_31', AndarAmz1, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_g_31', SesgadoLargo, 0.2950)
	NetSounds.AddAnimSound(per,'Amb_g_31', SesgadoLargoAgudo, 0.2950)
	
	NetSounds.AddAnimSound(per,'Amb_g_28new', SesgadoLargoAgudo, 0.3590)
	NetSounds.AddAnimSound(per,'Amb_g_28new', SesgadoLargo, 0.2950)
	NetSounds.AddAnimSound(per,'Amb_g_28new', EsfuerzoCorto2Amz, 0.4950)
	
	NetSounds.AddAnimSound(per,'Amb_g_3s9_6new', EsfuerzoCorto1Amz, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_g_3s9_6new', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_g_3s9_6new', SesgadoCorto, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_g_3s9_6new', SesgadoCortoAgudo, 0.4490)
	NetSounds.AddAnimSound(per,'Amb_g_12_7_s1new', EsfuerzoCorto1Amz, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_12_7_s1new', EsfuerzoCorto2Amz, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_g_12_7_s1new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_12_7_s1new', SesgadoCortoAgudo, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_g_12_7_s1new', EsfuerzoGolpeLateralAmz, 0.3300)
	NetSounds.AddAnimSound(per,'Amb_g_12_7_s1new', AndarAmz2, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_g_27kata_new',SesgadoCortoAgudo, 0.1800)
	NetSounds.AddAnimSound(per,'Amb_g_27kata_new',SesgadoLargoAgudo, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_g_27kata_new',SesgadoLargo, 0.5090)
	NetSounds.AddAnimSound(per,'Amb_g_27kata_new',EsfuerzoCorto6Amz, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_g_27kata_new',EsfuerzoCorto3Amz, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_27kata_new',AndarAmz1, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_27kata_new',AndarAmz2, 0.8000)
	NetSounds.AddAnimSound(per,'Amb_g_06lowkata_new', SesgadoCorto, 0.2270)
	NetSounds.AddAnimSound(per,'Amb_g_06lowkata_new', SesgadoCortoAgudo, 0.4750)
	NetSounds.AddAnimSound(per,'Amb_g_06lowkata_new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_06lowkata_new', EsfuerzoCorto2Amz, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_06lowkata_new', EsfuerzoCorto2Amz, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_g_06lowkata_new', EsfuerzoCorto3Amz, 0.4750)
	NetSounds.AddAnimSound(per,'Amb_g_06lowkata_new', AndarAmz2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Amb_g_punch1', EsfuerzoCorto1Amz, 0.3150)
	NetSounds.AddAnimSound(per,'Amb_g_punch2', EsfuerzoCorto2Amz, 0.3150)
	NetSounds.AddAnimSound(per,'Amb_g_kick1', EsfuerzoCorto3Amz, 0.2100)
	NetSounds.AddAnimSound(per,'Amb_g_kick2', EsfuerzoCorto5Amz, 0.2100)
	NetSounds.AddAnimSound(per,'Amb_g_kick4', EsfuerzoCorto4Amz, 0.2100)
	NetSounds.AddAnimSound(per,'Amb_g_kick5', EsfuerzoCorto3Amz, 0.2100)
	NetSounds.AddAnimSound(per,'Amb_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Amb_g_spears1', SesgadoCortoAgudo, 0.6010)
	NetSounds.AddAnimSound(per,'Amb_g_spears1', EsfuerzoAmzMediano, 0.1620)
	NetSounds.AddAnimSound(per,'Amb_g_spears1', AndarAmz1, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', SesgadoCorto, 0.1320)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', SesgadoLargoAgudo, 0.2260)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', SesgadoCortoAgudo, 0.3260)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', SesgadoLargo, 0.4680)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', AndarAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', SesgadoCortoAgudo, 0.5460)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', SesgadoLargoAgudo, 0.6070)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', EsfuerzoCorto1Amz, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', EsfuerzoCorto3Amz, 0.5300)
	NetSounds.AddAnimSound(per,'Amb_g_spear26kata', AndarAmz2, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_spear08', SesgadoCortoAgudo, 0.2800)
	NetSounds.AddAnimSound(per,'Amb_g_spear08', SesgadoCorto, 0.5790)
	NetSounds.AddAnimSound(per,'Amb_g_spear08', EsfuerzoCorto2Amz, 0.2800)
	NetSounds.AddAnimSound(per,'Amb_g_spear08', AndarAmz1, 0.2800)
	NetSounds.AddAnimSound(per,'Amb_g_spears8', AtaquesEspecialesAmz2, 0.265)
	NetSounds.AddAnimSound(per,'Amb_g_spears8', EsfuerzoGolpeFrontalAmz, 0.150)
	NetSounds.AddAnimSound(per,'Amb_g_spears8', AndarAmz1, 0.110)
	NetSounds.AddAnimSound(per,'Amb_g_spear12', SesgadoCortoAgudo, 0.2550)
	NetSounds.AddAnimSound(per,'Amb_g_spear12', EsfuerzoCorto5Amz, 0.2550)
	NetSounds.AddAnimSound(per,'Amb_g_spear12', SesgadoCorto, 0.5500)
	NetSounds.AddAnimSound(per,'Amb_g_spear12', AndarAmz2, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_g_spear02', SesgadoCortoAgudo, 0.2600)
	NetSounds.AddAnimSound(per,'Amb_g_spear02', SesgadoCortoGrave, 0.4990)
	NetSounds.AddAnimSound(per,'Amb_g_spear02', EsfuerzoCorto2Amz, 0.2600)
	NetSounds.AddAnimSound(per,'Amb_g_spear02', AndarAmz1, 0.2100)
	NetSounds.AddAnimSound(per,'Amb_g_spears6', SesgadoLargoAgudo, 0.1470)
	NetSounds.AddAnimSound(per,'Amb_g_spears6', EsfuerzoCortoAmz, 0.1400)
	NetSounds.AddAnimSound(per,'Amb_g_spears6', AndarAmz2, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_spear32kata_b2', SesgadoCorto, 0.110)
	NetSounds.AddAnimSound(per,'Amb_g_spear32kata_b2', AndarAmz2, 0.220)
	NetSounds.AddAnimSound(per,'Amb_g_spear32kata_b2', AtaquesEspecialesAmz3, 0.256)
	NetSounds.AddAnimSound(per,'Amb_g_spear32kata_b2', AtaquesEspecialesAmz1, 0.553)
	NetSounds.AddAnimSound(per,'Amb_g_spear32kata_b2', EsfuerzoCorto3Amz, 0.246)
	NetSounds.AddAnimSound(per,'Amb_g_spear32kata_b2', EsfuerzoGolpeFrontalAmz, 0.506)
	NetSounds.AddAnimSound(per,'Amb_g_spear16low', SesgadoCorto, 0.1170)
	NetSounds.AddAnimSound(per,'Amb_g_spear16low', SesgadoLargoAgudo, 0.3560)
	NetSounds.AddAnimSound(per,'Amb_g_spear16low', EsfuerzoGolpeCabezaAmz, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_spear16low', AndarAmz2, 0.1270)
	NetSounds.AddAnimSound(per,'Amb_g_spear02low', SesgadoLargo, 0.2300)
	NetSounds.AddAnimSound(per,'Amb_g_spear02low', SesgadoCortoAgudo, 0.5320)
	NetSounds.AddAnimSound(per,'Amb_g_spear02low', EsfuerzoCorto1Amz, 0.2300)
	NetSounds.AddAnimSound(per,'Amb_g_spear02low', AndarAmz2, 0.1800)
	NetSounds.AddAnimSound(per,'Amb_g_spear_2katab6low', SesgadoCortoAgudo, 0.129)
	NetSounds.AddAnimSound(per,'Amb_g_spear_2katab6low', AtaquesEspecialesAmz3, 0.357)
	NetSounds.AddAnimSound(per,'Amb_g_spear_2katab6low', AtaquesEspecialesAmz2, 0.424)
	NetSounds.AddAnimSound(per,'Amb_g_spear_2katab6low', EsfuerzoGolpeFrontalAmz, 0.404)
	NetSounds.AddAnimSound(per,'Amb_g_spear_2katab6low', AndarAmz1, 0.300)
	NetSounds.AddAnimSound(per,'Amb_g_spear_sb11', SesgadoCortoAgudo, 0.160)
	NetSounds.AddAnimSound(per,'Amb_g_spear_sb11', AtaquesEspecialesAmz2, 0.331)
	NetSounds.AddAnimSound(per,'Amb_g_spear_sb11', AtaquesEspecialesAmz1, 0.564)
	NetSounds.AddAnimSound(per,'Amb_g_spear_sb11', EsfuerzoCorto3Amz, 0.160)
	NetSounds.AddAnimSound(per,'Amb_g_spear_sb11', EsfuerzoCorto2Amz, 0.320)
	NetSounds.AddAnimSound(per,'Amb_g_spear_sb11', EsfuerzoGolpeFrontalAmz, 0.550)
	NetSounds.AddAnimSound(per,'Amb_g_spear_sb11', AndarAmz1, 0.300)
	NetSounds.AddAnimSound(per,'Amb_g_spear17', EsfuerzoGolpeCabezaAmz, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_g_spear17', SesgadoLargoAgudo, 0.4700)
	NetSounds.AddAnimSound(per,'Amb_g_spear17', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_g_spear17', AndarAmz2, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_g_spear16', EsfuerzoGolpeArribaAmz, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_g_spear16', SesgadoLargoAgudo, 0.4590)
	NetSounds.AddAnimSound(per,'Amb_g_spear16', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_g_spear16', AndarAmz2, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b6_26', EsfuerzoGolpeArribaAmz, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b6_26', SesgadoLargoAgudo, 0.4770)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b6_26', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b6_26', AndarAmz2, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_g_spear19_13', EsfuerzoCorto2Amz, 0.471)
	NetSounds.AddAnimSound(per,'Amb_g_spear19_13', SesgadoCortoAgudo, 0.265)
	NetSounds.AddAnimSound(per,'Amb_g_spear19_13', SesgadoCorto, 0.470)
	NetSounds.AddAnimSound(per,'Amb_g_spear19_13', AndarAmz1, 0.300)
	NetSounds.AddAnimSound(per,'Amb_g_spear19_13', AndarAmz2, 0.700)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b06', SesgadoCorto, 0.4170)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b06', EsfuerzoCortoAmz, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b06', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b06', AndarAmz2, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_g_spear_bs21', SesgadoCorto, 0.4900)
	NetSounds.AddAnimSound(per,'Amb_g_spear_bs21', EsfuerzoGolpeArribaAmz, 0.1500)
	NetSounds.AddAnimSound(per,'Amb_g_spear_bs21', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_g_spear_bs21', AndarAmz2, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_g_spear111', SesgadoLargo, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_g_spear111', EsfuerzoCorto2Amz, 0.2150)
	NetSounds.AddAnimSound(per,'Amb_g_spear111', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_g_spear111', AndarAmz2, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_g_spear13', AtaquesEspecialesAmz2, 0.284)
	NetSounds.AddAnimSound(per,'Amb_g_spear13', EsfuerzoGolpeFrontalAmz, 0.215)
	NetSounds.AddAnimSound(per,'Amb_g_spear13', AndarAmz1, 0.300)
	NetSounds.AddAnimSound(per,'Amb_g_spear13', AndarAmz2, 0.700)
	NetSounds.AddAnimSound(per,'Amb_g_spear_kata23', SesgadoCorto, 0.100)
	NetSounds.AddAnimSound(per,'Amb_g_spear_kata23', EsfuerzoCorto3Amz, 0.100)
	NetSounds.AddAnimSound(per,'Amb_g_spear_kata23', AtaquesEspecialesAmz3, 0.248)
	NetSounds.AddAnimSound(per,'Amb_g_spear_kata23', EsfuerzoCorto7Amz, 0.238)
	NetSounds.AddAnimSound(per,'Amb_g_spear_kata23', AtaquesEspecialesAmz1, 0.416)
	NetSounds.AddAnimSound(per,'Amb_g_spear_kata23', EsfuerzoGolpeFrontalAmz, 0.400)
	NetSounds.AddAnimSound(per,'Amb_g_spear_kata23', AndarAmz1, 0.300)
	NetSounds.AddAnimSound(per,'Amb_g_spear_kata23', AndarAmz2, 0.700)
	NetSounds.AddAnimSound(per,'Amb_g_spear33', AtaquesEspecialesAmz1, 0.190)
	NetSounds.AddAnimSound(per,'Amb_g_spear33', EsfuerzoCorto5Amz, 0.170)
	NetSounds.AddAnimSound(per,'Amb_g_spear33', AtaquesEspecialesAmz2, 0.404)
	NetSounds.AddAnimSound(per,'Amb_g_spear33', EsfuerzoGolpeFrontalAmz, 0.390)
	NetSounds.AddAnimSound(per,'Amb_g_spear33', AndarAmz1, 0.300)
	NetSounds.AddAnimSound(per,'Amb_g_spear33', AndarAmz2, 0.700)
	NetSounds.AddAnimSound(per,'Amb_g_spear19_bs1', SesgadoLargo, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_g_spear19_bs1', EsfuerzoGolpeLateralAmz, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_g_spear19_bs1', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_g_spear19_bs1', AndarAmz2, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_g_spear19', AtaquesEspecialesAmz2, 0.162)
	NetSounds.AddAnimSound(per,'Amb_g_spear19', EsfuerzoGolpeFrontalAmz, 0.150)
	NetSounds.AddAnimSound(per,'Amb_g_spear19', AndarAmz1, 0.300)
	NetSounds.AddAnimSound(per,'Amb_g_spear19', AndarAmz2, 0.700)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b29', AtaquesEspecialesAmz1, 0.375)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b29', EsfuerzoGolpeFrontalAmz, 0.355)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b29', AndarAmz1, 0.300)
	NetSounds.AddAnimSound(per,'Amb_g_spear_b29', AndarAmz2, 0.700)
	NetSounds.AddAnimSound(per,'Amb_g_spear09', AtaquesEspecialesAmz2, 0.418)
	NetSounds.AddAnimSound(per,'Amb_g_spear09', EsfuerzoGolpeFrontalAmz, 0.408)
	NetSounds.AddAnimSound(per,'Amb_g_spear09', AndarAmz1, 0.500)
	NetSounds.AddAnimSound(per,'Amb_g_spear22', AtaquesEspecialesAmz2, 0.343)
	NetSounds.AddAnimSound(per,'Amb_g_spear22', EsfuerzoGolpeFrontalAmz, 0.320)
	NetSounds.AddAnimSound(per,'Amb_g_spear22', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_g_spear2katab2', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_spear2katab2', SesgadoLargo, 0.1980)
	NetSounds.AddAnimSound(per,'Amb_g_spear2katab2', SesgadoLargoAgudo, 0.5470)
	NetSounds.AddAnimSound(per,'Amb_g_spear2katab2', EsfuerzoCorto4Amz, 0.4800)
	NetSounds.AddAnimSound(per,'Amb_g_spear2katab2', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_g_spear2katab2', SesgadoCortoAgudo, 0.9100)
	NetSounds.AddAnimSound(per,'Amb_g_spear2katab2', EsfuerzoCortoAmz, 0.1900)
	NetSounds.AddAnimSound(per,'Amb_g_spear2katab2', AndarAmz2, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_g_spear3s2', AtaquesEspecialesAmz2, 0.560)
	NetSounds.AddAnimSound(per,'Amb_g_spear3s2', EsfuerzoGolpeFrontalAmz, 0.550)
	NetSounds.AddAnimSound(per,'Amb_g_spear3s2', AndarAmz1, 0.500)
	NetSounds.AddAnimSound(per,'Amb_g_spear3s2', AndarAmz2, 0.600)
	NetSounds.AddAnimSound(per,'Amb_g_spearb2kata', SesgadoLargo, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_spearb2kata', SesgadoLargoAgudo, 0.5570)
	NetSounds.AddAnimSound(per,'Amb_g_spearb2kata', EsfuerzoGolpeLateralAmz, 0.1500)
	NetSounds.AddAnimSound(per,'Amb_g_spearb2kata', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_g_spearb2kata', AndarAmz2, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_g_spear_21', AtaquesEspecialesAmz1, 0.242)
	NetSounds.AddAnimSound(per,'Amb_g_spear_21', EsfuerzoGolpeFrontalAmz, 0.222)
	
	
	NetSounds.AddAnimSound(per,'Amb_g_spear_back', EsfuerzoCaida1Amz, 0.2800)
	NetSounds.AddAnimSound(per,'Amb_g_spear_back', SesgadoLargoAgudo, 0.2800)
	NetSounds.AddAnimSound(per,'Amb_g_spear_back', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_g_spear_back', AndarAmz2, 0.6000)
	
	NetSounds.AddAnimSound(per,'Amb_g_magic', ConcBladeSword1, 0.1300)
	NetSounds.AddAnimSound(per,'Amb_g_magic', EsfuerzoGolpeCabezaAmz, 0.3500)
	NetSounds.AddAnimSound(per,'Amb_g_magic', SesgadoLargoGrave, 0.5530)
	
	NetSounds.AddAnimSound(per,'Amb_g_magic2', ConcBladeSword2, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_g_magic2', EsfuerzoAmzMediano, 0.1300)
	NetSounds.AddAnimSound(per,'Amb_g_magic2', SesgadoLargoGrave, 0.5530)

	
	
	NetSounds.AddAnimSound(per,'Amb_g_bad_axe', EsfuerzoGrandeAmz1, 0.2800)
	NetSounds.AddAnimSound(per,'Amb_g_bad_axe', SesgadoLento2, 0.4180)
	NetSounds.AddAnimSound(per,'Amb_g_bad_sword', SesgadoLento, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_g_bad_sword', EsfuerzoGrandeAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_g_bad_sword2', SesgadoLento, 0.4370)
	NetSounds.AddAnimSound(per,'Amb_g_bad_sword2', EsfuerzoGrandeAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_g_bad_sword2', AndarAmz1, 0.3800)
	NetSounds.AddAnimSound(per,'Amb_g_bad_sword3', SesgadoLento2, 0.3150)
	NetSounds.AddAnimSound(per,'Amb_g_bad_sword3', EsfuerzoGrandeAmz1, 0.2650)
	NetSounds.AddAnimSound(per,'Amb_g_bad_sword3', AndarAmz2, 0.2200)
	
	NetSounds.AddAnimSound(per,'Amb_g_bad_1h', SesgadoLento, 0.3060)
	NetSounds.AddAnimSound(per,'Amb_g_bad_1h', EsfuerzoGrandeAmz2, 0.1050)
	NetSounds.AddAnimSound(per,'Amb_g_bad_1h', AndarAmz2, 0.4300)
	NetSounds.AddAnimSound(per,'Amb_g_bad_1h', AndarAmz1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Amb_g_bad_no', SesgadoCorto, 0.3060)
	NetSounds.AddAnimSound(per,'Amb_g_bad_no', EsfuerzoGrandeAmz1, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_g_bad_no', AndarAmz2, 0.4300)
	NetSounds.AddAnimSound(per,'Amb_g_bad_no', AndarAmz1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Amb_g_back', SesgadoLargo, 0.3750)
	NetSounds.AddAnimSound(per,'Amb_g_back', EsfuerzoGolpeLateralAmz, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_g_back', AndarAmz2, 0.4300)
	NetSounds.AddAnimSound(per,'Amb_g_back', AndarAmz1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Amb_g_draw_run', EnfundarAmz, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_g_draw_run', EsfuerzoCorto5Amz, 0.1300)
	NetSounds.AddAnimSound(per,'Amb_g_draw_run', SesgadoLargoAgudo, 0.3470)
	NetSounds.AddAnimSound(per,'Amb_g_draw_rlx', EnfundarAmz, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_g_draw_rlx', EsfuerzoCorto6Amz, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_g_draw_rlx', SesgadoLargoGrave, 0.3280)
	
	NetSounds.AddAnimSound(per,'Amb_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Amb_tke_r_key05',CogerLlave, 0.2654)
	
	NetSounds.AddAnimSound(per,'Amb_the_r_Key00', CogerEspada, 0.7652)
	NetSounds.AddAnimSound(per,'Amb_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Amb_tke_r_01', CogerEspada, 0.3103)
	NetSounds.AddAnimSound(per,'Amb_tke_r_02', CogerEspada, 0.2759)
	NetSounds.AddAnimSound(per,'Amb_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Amb_tke_r_04', CogerEspada, 0.2727)
	NetSounds.AddAnimSound(per,'Amb_tke_r_05', CogerEspada, 0.2654)
	
	NetSounds.AddAnimSound(per,'Amb_1tw_h_f',AndarAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_1tw_h_f',EsfuerzoAmzMediano, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_1tw_l_f',AndarAmz2, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_1tw_l_f',EsfuerzoCorto2Amz, 0.3000)
	
	NetSounds.AddAnimSound(per,'Amb_attack_chg_r_l', EnfundarAmz, 0.3599)
	NetSounds.AddAnimSound(per,'Amb_attack_chg_r', EnfundarAmz, 0.3559)
	NetSounds.AddAnimSound(per,'Amb_attack_chg_l', CambiarEscudo, 0.3599)
	
	NetSounds.AddAnimSound(per,'Amb_key',RuidoLlaveCerradura, 0.4100)
	NetSounds.AddAnimSound(per,'Amb_key',RuidoLlave, 0.1300)
	NetSounds.AddAnimSound(per,'Amb_key',Ruidook, 0.2000)
	
	NetSounds.AddAnimSound(per,'Amb_lvr_u',SonidoPalanca, 0.3889)
	NetSounds.AddAnimSound(per,'Amb_lvr_d',SonidoPalanca, 0.3548)
	
	NetSounds.AddAnimSound(per,'Amb_dth_c1', DesangreAmz2, 0.1250)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', AndarAmz1, 0.2250)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', AndarAmz2, 0.3800)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', AndarAmz1, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', AndarAmz2, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', AndarAmz1, 0.7200)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', CaidaAmz4, 0.7800)
	NetSounds.AddAnimSound(per,'Amb_dth_c1', DesangreAmz1, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', DesangreAmz2, 0.1250)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', DesangreAmz1, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', AndarAmz1, 0.2250)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', AndarAmz2, 0.3800)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', AndarAmz2, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', AndarAmz2, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', AndarAmz1, 0.7200)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', CaidaAmz3, 0.7720)
	NetSounds.AddAnimSound(per,'Amb_dth_c2', CaidaAmz4, 0.8720)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', DesangreAmz1, 0.1250)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', DesangreAmz2, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', AndarAmz1, 0.2250)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', AndarAmz2, 0.3800)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', AndarAmz2, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', AndarAmz2, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', AndarAmz1, 0.7200)
	NetSounds.AddAnimSound(per,'Amb_dth_c3', CaidaAmz3, 0.7220)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', DesangreAmz1, 0.1250)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', DesangreAmz2, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', AndarAmz1, 0.2250)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', CaidaAmz3, 0.8720)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', AndarAmz2, 0.3800)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', AndarAmz2, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', AndarAmz2, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_c4', CaidaAmz4, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', DesangreAmz1, 0.1250)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', DesangreAmz2, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', AndarAmz1, 0.2250)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', AndarAmz2, 0.3800)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', AndarAmz2, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', AndarAmz2, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', AndarAmz1, 0.7200)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', CaidaAmz3, 0.7720)
	NetSounds.AddAnimSound(per,'Amb_dth_c5', CaidaAmz4, 0.5500)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', DesangreAmz1, 0.1250)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', DesangreAmz2, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', AndarAmz1, 0.2250)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', AndarAmz2, 0.3800)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', AndarAmz2, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', AndarAmz2, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', AndarAmz1, 0.7200)
	NetSounds.AddAnimSound(per,'Amb_dth_c6', CaidaAmz3, 0.7700)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', DesangreAmz1, 0.1250)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', DesangreAmz2, 0.2500)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', AndarAmz1, 0.2250)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', AndarAmz2, 0.3800)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', AndarAmz2, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', AndarAmz1, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', AndarAmz2, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', AndarAmz1, 0.6300)
	NetSounds.AddAnimSound(per,'Amb_dth_c7', CaidaAmz3, 0.6950)
	NetSounds.AddAnimSound(per,'Amb_dth0', MuerteAmz1, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth0', CaidaAmz3, 0.5710)
	NetSounds.AddAnimSound(per,'Amb_dth0', CaidaAmz4, 0.7700)
	NetSounds.AddAnimSound(per,'Amb_dth0', AndarAmz1, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth0', AndarAmz2, 0.4500)
	NetSounds.AddAnimSound(per,'Amb_dth0', AndarAmz1, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', MuerteAmz1, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz1, 0.2000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz2, 0.3000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz1, 0.4000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz2, 0.5000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz1, 0.6000)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n00', CaidaAmz3, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', MuerteAmz5, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz2, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz1, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', AndarAmz1, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n01', CaidaAmz4, 0.6800)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', MuerteAmz3, 0.1200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz1, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz2, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz1, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz1, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n02', CaidaAmz3, 0.7000)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', MuerteAmz4, 0.1200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz1, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz2, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz2, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz1, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n03', CaidaAmz4, 0.6550)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', MuerteAmz2, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz1, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz2, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz2, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz1, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n04', CaidaAmz3, 0.7600)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', MuerteAmz6, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz1, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz1, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz1, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz2, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz1, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', AndarAmz2, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n05', CaidaAmz4, 0.7700)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', MuerteAmz7, 0.1200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz2, 0.2200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz2, 0.3200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz2, 0.5200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz1, 0.4200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz2, 0.6200)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', AndarAmz1, 0.7500)
	NetSounds.AddAnimSound(per,'Amb_dth_n06', CaidaAmz3, 0.6900)
	NetSounds.AddAnimSound(per,'Amb_dth_burn', MuerteQuemandoAmz1, 0.1100)
	NetSounds.AddAnimSound(per,'Amb_dth_rockfront', MuerteAplastamientoAmz1, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_dth_rockfront', HeridaAmz2, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_dth_rock', MuerteAplastamientoAmz1, 0.1000)
	NetSounds.AddAnimSound(per,'Amb_dth_rock', HeridaAmz2, 0.1000)
	
	
	
	
	#char.LaunchAnmType('g_05')
	
	
	
	
	
	

	
	
	

	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
