import Bladex
import NetSounds
import netgame



# ***********************************
# *      Asignacion de sonidos      *
# ***********************************


def AsignarSonidosBronzeWarrior(Personaje):
	from AniSoundBzwX import *
	
	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos
	if netgame.GetNetState() !=2:	
		per.AddEventSound('shield_block', GolpeArmaEscudoBzw)
		per.AddEventSound('weapon_block', GolpeArmaArmaBzw)
		per.AddEventSound('impale', TajoEmpalanteBzw)
		per.AddEventSound('slash', TajoCortanteBzw)
		per.AddEventSound('mutilate', TajoMutilacionBzw)
		per.AddEventSound('crush', GolpeContundenteBzw)


	# Sonidos de animaciones


	NetSounds.AddAnimSound(per,"Bzw_key",RuidoLlaveCerradura, 0.4100)
	NetSounds.AddAnimSound(per,"Bzw_key",Ruidook, 0.1700)
	NetSounds.AddAnimSound(per,"Bzw_lvr_u",SonidoPalanca, 0.3889)
	NetSounds.AddAnimSound(per,"Bzw_lvr_d",SonidoPalanca, 0.3548)
	NetSounds.AddAnimSound(per,"Bzw_pour",SonidoVaciarBotella, 0.1234)
	NetSounds.AddAnimSound(per,"FallHigh_Bzw",Saltovacio, 0.1041)

	
	NetSounds.AddAnimSound(per,"Bzw_rlx_vt",CansancioBzw, 0.0500)
	
	NetSounds.AddAnimSound(per,'Bzw_laugh', BzwLaff, 0.2351)

	NetSounds.AddAnimSound(per,'Bzw_g_bad_axe', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_g_bad_axe', SesgadoLentoBzw, 0.4230)
	
	NetSounds.AddAnimSound(per,'Bzw_g_bad_spear', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_g_bad_spear', SesgadoLentoBzw, 0.4230)

	###########################################################################################
	###########################################################################################
	###########################################################################################
	###########################################################################################
	
	#NetSounds.AddAnimSound(per,'Bzw_g_42', SesgadoLargoGrave, 0.2950)
	#NetSounds.AddAnimSound(per,'Bzw_g_42', EsfuerzoGolpeAtrasBzw, 0.2950)
	
	NetSounds.AddAnimSound(per,'Bzw_g_41', EsfuerzoGolpeAtrasBzw, 0.2950)
	NetSounds.AddAnimSound(per,'Bzw_g_41', SesgadoCortoGrave, 0.2950)
	NetSounds.AddAnimSound(per,'Bzw_g_41', SesgadoLargoGrave, 0.4300)
	NetSounds.AddAnimSound(per,"Bzw_g_41", CansancioBzw, 0.6500)
	
	
	NetSounds.AddAnimSound(per,'Bzw_clmb_low_1h', EsfuerzoSubir2, 0.5450)
	NetSounds.AddAnimSound(per,'Bzw_clmb_low_1h', Roce1, 0.8680)
	NetSounds.AddAnimSound(per,'Bzw_clmb_medlow_1h', EsfuerzoSubir, 0.4330)
	NetSounds.AddAnimSound(per,'Bzw_clmb_medium_1h', EsfuerzoSubir, 0.2080)
	NetSounds.AddAnimSound(per,'Bzw_clmb_medium_1h', EsfuerzoSubir2, 0.8000)
	NetSounds.AddAnimSound(per,'Bzw_clmb_medium_1h', Roce2, 0.6560)
	NetSounds.AddAnimSound(per,'Bzw_clmb_high_1h', EsfuerzoSubir, 0.1552)
	NetSounds.AddAnimSound(per,'Bzw_clmb_high_1h', EsfuerzoSubir2, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_clmb_high_1h', Roce1, 0.8600)
	NetSounds.AddAnimSound(per,'Bzw_clmb_high_1h', Roce2, 0.2740)
	#NetSounds.AddAnimSound(per,'Bzw_jmp_no', GritoHerida, 0.1620)
	NetSounds.AddAnimSound(per,'Bzw_jmp_no', Roce1, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_jmp_no', Roce1, 0.1500)
	#NetSounds.AddAnimSound(per,'Bzw_jmp_1h', GritoHerida, 0.1000)
	NetSounds.AddAnimSound(per,'Bzw_jmp_1h', Roce1, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_jmp_1h', Roce2, 0.3000)
	#NetSounds.AddAnimSound(per,'Bzw_jmph0_no', EsfuerzoSubir, 0.4120)
	
	
	NetSounds.AddAnimSound(per,'Bzw_1tw_h_f',Roce1, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_1tw_h_f',EsfuerzoBzwMediano, 0.3000)
	
	NetSounds.AddAnimSound(per,'Bzw_1tw_l_f',Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_1tw_l_f',EsfuerzoBzwMediano, 0.3000)
	
	NetSounds.AddAnimSound(per,'Bzw_jog_turn',Roce1, 0.4500)
	NetSounds.AddAnimSound(per,'Bzw_jog_turn',EsfuerzoSubir, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_wlk_turn',Roce2, 0.4500)
	NetSounds.AddAnimSound(per,'Bzw_wlk_turn',EsfuerzoSubir2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_snk_turn',Roce1, 0.4500)
	NetSounds.AddAnimSound(per,'Bzw_rlx_turn',Roce2, 0.4500)
	
	
	NetSounds.AddAnimSound(per,"Wbk_1h_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wbk_1h_Bzw",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Wbk_b_Bzw',Roce1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_b_Bzw',Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wbk_2w_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wbk_2w_Bzw",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wbk_no_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wbk_no_Bzw",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wbk_axe_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wbk_axe_Bzw",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Jog_1h_Bzw",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_1h_Bzw",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Jog_1h_Bzw",Roce7, 0.6000)
	NetSounds.AddAnimSound(per,"Jog_1h_Bzw",Roce8, 0.9000)
	#NetSounds.AddAnimSound(per,"Jog_1h_Bzw",Roce7, 0.9200)
	NetSounds.AddAnimSound(per,"Jog_b_Bzw",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_b_Bzw",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Jog_b_Bzw",Roce7, 0.6000)
	NetSounds.AddAnimSound(per,"Jog_b_Bzw",Roce8, 0.9000)
	NetSounds.AddAnimSound(per,"Jog_2w_Bzw",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_2w_Bzw",Roce8, 0.5000)
	NetSounds.AddAnimSound(per,"Jog_2w_Bzw",Roce7, 0.8500)
	NetSounds.AddAnimSound(per,"Jog_2h_Bzw",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_2h_Bzw",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Jog_2h_Bzw",Roce7, 0.6000)
	NetSounds.AddAnimSound(per,"Jog_2h_Bzw",Roce8, 0.9000)
	NetSounds.AddAnimSound(per,"Jog_no_Bzw",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_no_Bzw",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Jog_no_Bzw",Roce7, 0.6000)
	NetSounds.AddAnimSound(per,"Jog_no_Bzw",Roce8, 0.9000)
	NetSounds.AddAnimSound(per,"Jog_axe_Bzw",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_axe_Bzw",Roce8, 0.2500)
	NetSounds.AddAnimSound(per,"Jog_axe_Bzw",Roce7, 0.5000)
	NetSounds.AddAnimSound(per,"Jog_axe_Bzw",Roce8, 0.7000)
	NetSounds.AddAnimSound(per,"Jog_axe_Bzw",Roce7, 0.8700)
	#NetSounds.AddAnimSound(per,"Jog_axe_Bzw",Roce8, 0.9000)
	NetSounds.AddAnimSound(per,"Wlk_1h_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_1h_Bzw",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_s_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_s_Bzw",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_b_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_b_Bzw",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_2w_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_2w_Bzw",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_2h_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_2h_Bzw",Roce3, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_no_Bzw",Roce4, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_no_Bzw",Roce5, 0.3000)
	NetSounds.AddAnimSound(per,"Wlk_no_Bzw",Roce6, 0.6500)
	NetSounds.AddAnimSound(per,"Wlk_axe_Bzw",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_axe_Bzw",Roce2, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_jogb_b",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Bzw_jogb_b",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_jogb_2w",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Bzw_jogb_2w",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_jogb_2w",Roce7, 0.5500)
	NetSounds.AddAnimSound(per,"Bzw_jogb_2w",Roce8, 0.7500)
	
	NetSounds.AddAnimSound(per,"Bzw_jogb_no",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Bzw_jogb_no",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_jogb_no",Roce7, 0.5500)
	NetSounds.AddAnimSound(per,"Bzw_jogb_no",Roce8, 0.7500)
	
	
	NetSounds.AddAnimSound(per,"Bzw_jogb_axe",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Bzw_jogb_axe",Roce8, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_b_Bzw',Roce1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_b_Bzw',Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_1h_Bzw',Roce1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_1h_Bzw',Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_2w_Bzw',Roce1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_2w_Bzw',Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_axe_Bzw',Roce1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_axe_Bzw',Roce2, 0.5000)
	
	NetSounds.AddAnimSound(per,"FallHigh_Bzw",Caida1, 0.1000)
	NetSounds.AddAnimSound(per,"FallHigh_Bzw",Caida2, 0.1700)
	NetSounds.AddAnimSound(per,"FallHigh_Bzw",EsfuerzoCorto4Bzw, 0.2000)
	NetSounds.AddAnimSound(per,"FallHigh_Bzw",Roce1, 0.1800)
	NetSounds.AddAnimSound(per,"FallLow_Bzw",Caida3, 0.1180)
	NetSounds.AddAnimSound(per,"FallLow_Bzw",Caida4, 0.1300)
	NetSounds.AddAnimSound(per,"FallLow_Bzw",EsfuerzoEsquiva1, 0.1280)
	NetSounds.AddAnimSound(per,"FallLow_Bzw",Roce1, 0.1250)
	NetSounds.AddAnimSound(per,"FallMed_Bzw",Caida3, 0.1180)
	NetSounds.AddAnimSound(per,"FallMed_Bzw",Caida4, 0.1300)
	NetSounds.AddAnimSound(per,"FallMed_Bzw",EsfuerzoCorto4Bzw, 0.1280)
	NetSounds.AddAnimSound(per,"FallMed_Bzw",Roce1, 0.1250)
	
	
	NetSounds.AddAnimSound(per,"Dth_Fll2_Bzw", MuerteSaltoVacioCrm2, 0.1900)
	NetSounds.AddAnimSound(per,"Dth_Fll2_Bzw", Caida3, 0.1100)
	
	NetSounds.AddAnimSound(per,"Dth_Fll_Bzw", MuerteSaltoVacioCrm1, 0.1000)
	
	NetSounds.AddAnimSound(per,'Bzw_attack_f_s',Roce1, 0.9000)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_s',EsfuerzoSubir, 0.8000)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_s',EsfuerzoSubir, 0.3800)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_s',Roce2, 0.3600)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_s',Roce1, 0.9000)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_s',EsfuerzoSubir, 0.8000)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_s',EsfuerzoSubir, 0.3800)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_s',Roce2, 0.3600)
	
	
	NetSounds.AddAnimSound(per,'Bzw_attack_b_axe', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_axe', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_axe', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_axe', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_axe', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_axe', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_axe', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_axe', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_axe', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_axe', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_axe', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_axe', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_axe', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_axe', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_axe', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_axe', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_axe', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_axe', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_axe', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_axe', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_2w', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_2w', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_2w', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_2w', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_b_2w', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_2w', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_2w', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_2w', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_2w', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_f_2w', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_2w', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_2w', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_2w', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_2w', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_l_2w', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_2w', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_2w', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_2w', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_2w', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_r_2w', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_b', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_b', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_b', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_b', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_b', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_f', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_f', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_f', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_f', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_f', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_l', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_l', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_l', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_l', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_l', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Bzw_attack_r', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Bzw_attack_r', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_attack_r', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_attack_r', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_attack_r', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,"Bzw_g2h_d_r",EsfuerzoCorto5Bzw, 0.1250)
	NetSounds.AddAnimSound(per,"Bzw_g2h_d_r",EsfuerzoCorto2Bzw, 0.4300)
	NetSounds.AddAnimSound(per,"Bzw_g2h_d_r",SesgadoCortoGrave, 0.4300)
	NetSounds.AddAnimSound(per,"Bzw_g2h_d_l",EsfuerzoCorto5Bzw, 0.1250)
	NetSounds.AddAnimSound(per,"Bzw_g2h_d_l",EsfuerzoCorto3Bzw, 0.4960)
	NetSounds.AddAnimSound(per,"Bzw_g2h_d_l",SesgadoCorto, 0.4960)
	NetSounds.AddAnimSound(per,'Bzw_g_d_r_axe', EsfuerzoCorto5Bzw, 0.1300)
	NetSounds.AddAnimSound(per,'Bzw_g_d_r_axe', SesgadoLargoGrave, 0.2230)
	NetSounds.AddAnimSound(per,'Bzw_g_d_r_axe', EsfuerzoGolpeAtrasBzw, 0.2200)
	NetSounds.AddAnimSound(per,'Bzw_g_d_l_axe', EsfuerzoCorto5Bzw, 0.1300)
	NetSounds.AddAnimSound(per,'Bzw_g_d_l_axe', SesgadoLargo, 0.4800)
	NetSounds.AddAnimSound(per,'Bzw_g_d_l_axe', EsfuerzoGolpeAtrasBzw, 0.4640)
	
	NetSounds.AddAnimSound(per,'Bzw_g_spears6', SesgadoLargoGrave, 0.1470)
	NetSounds.AddAnimSound(per,'Bzw_g_spears6', EsfuerzoCorto5Bzw, 0.1400)
	
	NetSounds.AddAnimSound(per,'Bzw_g_spear16low', SesgadoCorto, 0.1170)
	NetSounds.AddAnimSound(per,'Bzw_g_spear16low', SesgadoLargoAgudo, 0.3560)
	NetSounds.AddAnimSound(per,'Bzw_g_spear16low', EsfuerzoGolpeAtrasBzw, 0.1000)
	
	NetSounds.AddAnimSound(per,'Bzw_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Bzw_g_spears1', SesgadoCortoAgudo, 0.6010)
	NetSounds.AddAnimSound(per,'Bzw_g_spears1', HeridaBzw1, 0.1620)
	
	NetSounds.AddAnimSound(per,'Bzw_g_spear08', SesgadoCortoAgudo, 0.2800)
	NetSounds.AddAnimSound(per,'Bzw_g_spear08', SesgadoCorto, 0.5790)
	NetSounds.AddAnimSound(per,'Bzw_g_spear08', EsfuerzoCorto3Bzw, 0.2800)
	
	NetSounds.AddAnimSound(per,'Bzw_g_spear12', SesgadoCortoAgudo, 0.2550)
	NetSounds.AddAnimSound(per,'Bzw_g_spear12', EsfuerzoCorto2Bzw, 0.2550)
	NetSounds.AddAnimSound(per,'Bzw_g_spear12', SesgadoCorto, 0.5500)

	NetSounds.AddAnimSound(per,'Bzw_d_b_2w', EsfuerzoCorto5Bzw, 0.2800)
	
	NetSounds.AddAnimSound(per,'Bzw_parry_2w', EsfuerzoSubir, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_parry_2w', Roce1, 0.5000)
	
	NetSounds.AddAnimSound(per,'Bzw_parry_axe', EsfuerzoSubir2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_parry_axe', Roce1, 0.5000)
	
	
	NetSounds.AddAnimSound(per,'Bzw_df_01', EsfuerzoEsquiva1, 0.2500)
	NetSounds.AddAnimSound(per,'Bzw_df_01', Roce1, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_df_02', EsfuerzoEsquiva2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_df_02', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_df_s_broken', EsfuerzoEsquiva1, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_df_s_broken', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_df_01_axe', EsfuerzoEsquiva2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_df_01_axe', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_df_02_axe', EsfuerzoEsquiva2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_df_02_axe', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_df_01_2w', EsfuerzoEsquiva1, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_df_01_2w', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_df_02_2w', EsfuerzoEsquiva2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_df_02_2w', Roce1, 0.5000)

	NetSounds.AddAnimSound(per,"Bzw_hurt_f_big", HeridaBzw1, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_hurt_f_lite", HeridaBzw2, 0.4615)
	NetSounds.AddAnimSound(per,"Bzw_hurt_f_head", HeridaBzw2, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_hurt_f_breast", HeridaBzw2, 0.3889)
	NetSounds.AddAnimSound(per,"Bzw_hurt_f_back", HeridaBzw1, 0.4211)
	NetSounds.AddAnimSound(per,"Bzw_hurt_back", HeridaBzw1, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_hurt_f_r_arm", HeridaBzw1, 0.2100)
	NetSounds.AddAnimSound(per,"Bzw_hurt_f_l_arm", HeridaBzw2, 0.2100)
	NetSounds.AddAnimSound(per,"Bzw_hurt_f_r_leg", HeridaBzw2, 0.4706)
	NetSounds.AddAnimSound(per,"Bzw_hurt_f_l_leg", HeridaBzw1, 0.4375)
	NetSounds.AddAnimSound(per,"Bzw_hurt_jog", HeridaBzw1, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_hurt_head", HeridaBzw1, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_hurt_breast", HeridaBzw2, 0.3889)
	NetSounds.AddAnimSound(per,"Bzw_hurt_r_arm", HeridaBzw2, 0.4706)
	NetSounds.AddAnimSound(per,"Bzw_hurt_l_arm", HeridaBzw1, 0.5333)
	NetSounds.AddAnimSound(per,"Bzw_hurt_r_leg", HeridaBzw1, 0.4706)
	NetSounds.AddAnimSound(per,"Bzw_hurt_l_leg", HeridaBzw2, 0.4375)
	
	NetSounds.AddAnimSound(per,'Bzw_attack_chg_r_l', Enfundar, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_attack_chg_r_l', Roce2, 0.5300)
	NetSounds.AddAnimSound(per,'Bzw_attack_chg_r', Enfundar, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_attack_chg_r', Roce1, 0.5300)
	NetSounds.AddAnimSound(per,'Bzw_attack_chg_l', CambiarEscudo, 0.500)
	NetSounds.AddAnimSound(per,'Bzw_attack_chg_l', Roce2, 0.5300)
	
	NetSounds.AddAnimSound(per,'Bzw_fire0', Roce2, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_fire1', Roce2, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_fire2', Roce2, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_fire3', Roce2, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_fire_g', Roce1, 0.1500)
	
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key04', CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key05', CogerLlave, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key00', CogerEspada, 0.3652)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key00', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key01', CogerEspada, 0.3652)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key01', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key02', CogerEspada, 0.3846)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key02', Roce1, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key03', CogerEspada, 0.4231)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_key03', Roce1, 0.4231)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_00', CogerArma, 0.9952)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_01', CogerArma, 0.3103)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_01', Roce1, 0.3400)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_02', CogerArma, 0.2759)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_02', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_03', CogerArma, 0.2754)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_03', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_04', CogerArma, 0.2727)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_04', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_05', CogerArma, 0.2654)
	NetSounds.AddAnimSound(per,'Bzw_tke_r_05', Roce1, 0.3000)
	
	
	NetSounds.AddAnimSound(per,"Bzw_dth_n00", MuerteBzw1, 0.1100)
	NetSounds.AddAnimSound(per,"Bzw_dth_n00", Roce1, 0.2000)
	NetSounds.AddAnimSound(per,"Bzw_dth_n00", Roce2, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_dth_n00", Roce1, 0.4000)
	NetSounds.AddAnimSound(per,"Bzw_dth_n00", Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_dth_n00", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Bzw_dth_n00", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Bzw_dth_n00", Caida1, 0.7000)
	NetSounds.AddAnimSound(per,"Bzw_dth_n01", MuerteBzw2, 0.1100)
	NetSounds.AddAnimSound(per,"Bzw_dth_n01", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n01", Roce2, 0.3200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n01", Roce1, 0.4200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n01", Roce1, 0.5200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n01", Roce2, 0.6200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n01", Roce1, 0.7500)
	NetSounds.AddAnimSound(per,"Bzw_dth_n01", Caida1, 0.6800)
	NetSounds.AddAnimSound(per,"Bzw_dth_n02", MuerteBzw3, 0.1200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n02", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n02", Roce1, 0.3200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n02", Roce2, 0.4200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n02", Roce1, 0.5200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n02", Roce1, 0.6200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n02", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Bzw_dth_n03", MuerteBzw1, 0.1200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n02", Caida1, 0.7000)
	NetSounds.AddAnimSound(per,"Bzw_dth_n03", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n03", Roce1, 0.3200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n03", Roce2, 0.4200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n03", Roce2, 0.5200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n03", Roce1, 0.6200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n03", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Bzw_dth_n03", Caida1, 0.6550)
	NetSounds.AddAnimSound(per,"Bzw_dth_n04", MuerteBzw1, 0.1100)
	NetSounds.AddAnimSound(per,"Bzw_dth_n04", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n04", Roce1, 0.3200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n04", Roce2, 0.4200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n04", Roce2, 0.5200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n04", Roce1, 0.6200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n04", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Bzw_dth_n04", Caida1, 0.7600)
	NetSounds.AddAnimSound(per,"Bzw_dth_n05", MuerteBzw3, 0.1100)
	NetSounds.AddAnimSound(per,"Bzw_dth_n05", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n05", Roce1, 0.3200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n05", Roce1, 0.5200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n05", Roce2, 0.4200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n05", Roce1, 0.6200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n05", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Bzw_dth_n05", Caida1, 0.7700)
	NetSounds.AddAnimSound(per,"Bzw_dth_n06", MuerteBzw2, 0.1200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n06", Roce2, 0.2200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n06", Roce2, 0.3200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n06", Roce2, 0.5200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n06", Roce1, 0.4200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n06", Roce2, 0.6200)
	NetSounds.AddAnimSound(per,"Bzw_dth_n06", Roce1, 0.7500)
	NetSounds.AddAnimSound(per,"Bzw_dth_n06", Caida1, 0.6900)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", DesangreBzw2, 0.1250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", Roce1, 0.4500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", Caida1, 0.7800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c1", DesangreBzw1, 0.2500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", DesangreBzw2, 0.1250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", DesangreBzw1, 0.2500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Caida1, 0.7720)
	NetSounds.AddAnimSound(per,"Bzw_dth_c2", Caida2, 0.8720)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", DesangreBzw1, 0.1250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", DesangreBzw2, 0.2500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Bzw_dth_c3", Caida1, 0.7220)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", DesangreBzw1, 0.1250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", DesangreBzw2, 0.2500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", Caida1, 0.7000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c4", Caida2, 0.8720)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", DesangreBzw1, 0.1250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", DesangreBzw2, 0.2500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Caida1, 0.7720)
	NetSounds.AddAnimSound(per,"Bzw_dth_c5", Caida2, 0.5500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", DesangreBzw1, 0.1250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", DesangreBzw2, 0.2500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Bzw_dth_c6", Caida1, 0.7700)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", DesangreBzw1, 0.1250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", DesangreBzw2, 0.2500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Roce2, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Roce1, 0.3800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Roce2, 0.6000)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Roce1, 0.6800)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Roce2, 0.7200)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Caida1, 0.6300)
	NetSounds.AddAnimSound(per,"Bzw_dth_c7", Caida2, 0.6900)
	NetSounds.AddAnimSound(per,"Bzw_dth0", MuerteBzw2, 0.1100)
	NetSounds.AddAnimSound(per,"Bzw_dth0", Caida1, 0.5710)
	NetSounds.AddAnimSound(per,"Bzw_dth0", Caida2, 0.7700)
	NetSounds.AddAnimSound(per,"Bzw_dth0", MuerteBzw1, 0.1100)
	NetSounds.AddAnimSound(per,"Bzw_dth0", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Bzw_dth0", Roce1, 0.4500)
	NetSounds.AddAnimSound(per,"Bzw_dth0", Roce1, 0.6800)
	
	NetSounds.AddAnimSound(per,"Bzw_dth_burn", MuerteQuemandoCrm1, 0.1100)
	
	NetSounds.AddAnimSound(per,"Bzw_dth_rockfront", MuerteAplastamientoBzw1, 0.1000)
	NetSounds.AddAnimSound(per,"Bzw_dth_rockfront", HeridaBzw2, 0.1000)
	
	NetSounds.AddAnimSound(per,"Bzw_dth_rock", MuerteAplastamientoBzw1, 0.1000)
	NetSounds.AddAnimSound(per,"Bzw_dth_rock", HeridaBzw2, 0.1000)
	
	
	
	
	NetSounds.AddAnimSound(per,'Bzw_g_08', EsfuerzoCorto2Bzw, 0.3030)
	NetSounds.AddAnimSound(per,'Bzw_g_08', Roce2, 0.3600)
	NetSounds.AddAnimSound(per,'Bzw_g_08', SesgadoCortoGrave, 0.4030)
	NetSounds.AddAnimSound(per,'Bzw_g_01', EsfuerzoCorto6Bzw, 0.3117)
	NetSounds.AddAnimSound(per,'Bzw_g_01', Roce1, 0.3500)
	NetSounds.AddAnimSound(per,'Bzw_g_01', SesgadoCorto, 0.3117)
	NetSounds.AddAnimSound(per,'Bzw_g_02', EsfuerzoCorto5Bzw, 0.3026)
	NetSounds.AddAnimSound(per,'Bzw_g_02', Roce2, 0.3500)
	NetSounds.AddAnimSound(per,'Bzw_g_02', SesgadoCortoAgudo, 0.3026)
	NetSounds.AddAnimSound(per,'Bzw_g_06', EsfuerzoCorto3Bzw, 0.4342)
	NetSounds.AddAnimSound(per,'Bzw_g_06', Roce2, 0.4342)
	NetSounds.AddAnimSound(per,'Bzw_g_06', SesgadoCorto, 0.4342)
	NetSounds.AddAnimSound(per,'Bzw_g_05', EsfuerzoCorto2Bzw, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_g_05', Roce1, 0.5300)
	NetSounds.AddAnimSound(per,'Bzw_g_05', SesgadoCortoGrave, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_g_07', EsfuerzoCorto4Bzw, 0.3291)
	NetSounds.AddAnimSound(per,'Bzw_g_07', Roce1, 0.3600)
	NetSounds.AddAnimSound(per,'Bzw_g_07', SesgadoCortoAgudo, 0.3291)
	NetSounds.AddAnimSound(per,'Bzw_g_09', EsfuerzoCorto6Bzw, 0.4030)
	NetSounds.AddAnimSound(per,'Bzw_g_09', Roce1, 0.4400)
	NetSounds.AddAnimSound(per,'Bzw_g_09', SesgadoCorto, 0.4030)
	NetSounds.AddAnimSound(per,'Bzw_g_11', EsfuerzoGolpeFrontalBzw, 0.4685)
	NetSounds.AddAnimSound(per,'Bzw_g_11', Roce1, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_g_11', SesgadoLargo, 0.4685)
	NetSounds.AddAnimSound(per,'Bzw_g_12', Roce2, 0.4351)
	NetSounds.AddAnimSound(per,'Bzw_g_12', SesgadoLargo, 0.4351)
	NetSounds.AddAnimSound(per,'Bzw_g_12', EsfuerzoCorto4Bzw, 0.4351)
	NetSounds.AddAnimSound(per,'Bzw_g_13', EsfuerzoGolpeFrontalBzw, 0.1053)
	NetSounds.AddAnimSound(per,'Bzw_g_13', Roce2, 0.3500)
	NetSounds.AddAnimSound(per,'Bzw_g_13', SesgadoLargoAgudo, 0.3053)
	NetSounds.AddAnimSound(per,'Bzw_g_18', EsfuerzoCorto6Bzw, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g_18', Roce2, 0.4620)
	NetSounds.AddAnimSound(per,'Bzw_g_18', SesgadoLargoGrave, 0.4224)
	NetSounds.AddAnimSound(per,'Bzw_g_14', EsfuerzoBzwMediano, 0.4298)
	NetSounds.AddAnimSound(per,'Bzw_g_14', Roce1, 0.4600)
	NetSounds.AddAnimSound(per,'Bzw_g_14', SesgadoLargoGrave, 0.4298)
	NetSounds.AddAnimSound(per,'Bzw_g_16', EsfuerzoGolpeLateralBzw, 0.2455)
	NetSounds.AddAnimSound(per,'Bzw_g_16', Roce1, 0.6000)
	NetSounds.AddAnimSound(per,'Bzw_g_16', SesgadoLargoAgudo, 0.5455)
	NetSounds.AddAnimSound(per,'Bzw_g_17', EsfuerzoGolpeCabezaBzw, 0.2427)
	NetSounds.AddAnimSound(per,'Bzw_g_17', Roce2, 0.4900)
	NetSounds.AddAnimSound(per,'Bzw_g_17', SesgadoLargoAgudo, 0.4427)
	NetSounds.AddAnimSound(per,'Bzw_g_15', EsfuerzoCorto4Bzw, 0.5045)
	NetSounds.AddAnimSound(per,'Bzw_g_15', Roce2, 0.5500)
	NetSounds.AddAnimSound(per,'Bzw_g_15', SesgadoLargo, 0.5045)
	NetSounds.AddAnimSound(per,'Bzw_g_21', EsfuerzoGolpeCabezaBzw, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_g_21', Roce2, 0.4600)
	NetSounds.AddAnimSound(per,'Bzw_g_21', SesgadoLargoGrave, 0.5410)
	NetSounds.AddAnimSound(per,'Bzw_g_22', EsfuerzoGolpeAtrasBzw, 0.4698)
	NetSounds.AddAnimSound(per,'Bzw_g_22', SesgadoLargo, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_g_22', Roce2, 0.4698)
	NetSounds.AddAnimSound(per,'Bzw_g_23', EsfuerzoGolpeArribaBzw, 0.4800)
	NetSounds.AddAnimSound(per,'Bzw_g_23', Roce1, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_g_23', SesgadoLargoAgudo, 0.5220)
	NetSounds.AddAnimSound(per,'Bzw_g_26', EsfuerzoGolpeCabezaBzw, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_g_26', Roce2, 2000)
	NetSounds.AddAnimSound(per,'Bzw_g_26', SesgadoLargoGrave, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_g_26', EsfuerzoEsquiva1, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_g_27', EsfuerzoGolpeArribaBzw, 0.5500)
	NetSounds.AddAnimSound(per,'Bzw_g_27', SesgadoLargoAgudo, 0.6210)
	NetSounds.AddAnimSound(per,'Bzw_g_27', SesgadoLargoGrave, 0.8100)
	NetSounds.AddAnimSound(per,'Bzw_g_31', EsfuerzoGolpeAtrasBzw, 0.2950)
	NetSounds.AddAnimSound(per,'Bzw_g_31', SesgadoLargo, 0.2950)
	NetSounds.AddAnimSound(per,'Bzw_g_31', SesgadoCorto, 0.4480)
	NetSounds.AddAnimSound(per,'Bzw_g_31', Roce2, 0.2950)
	NetSounds.AddAnimSound(per,'Bzw_g_06lowkata_new', SesgadoCorto, 0.2900)
	NetSounds.AddAnimSound(per,'Bzw_g_06lowkata_new', SesgadoCortoAgudo, 0.4750)
	NetSounds.AddAnimSound(per,'Bzw_g_06lowkata_new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Bzw_g_06lowkata_new', EsfuerzoCorto2Bzw, 0.1000)
	NetSounds.AddAnimSound(per,'Bzw_g_06lowkata_new', EsfuerzoCorto2Bzw, 0.2800)
	NetSounds.AddAnimSound(per,'Bzw_g_06lowkata_new', EsfuerzoCorto3Bzw, 0.4750)
	NetSounds.AddAnimSound(per,'Bzw_g_06lowkata_new', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_7', AtaquesEspeciales3, 0.143)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_7', AtaquesEspeciales3, 0.316)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_7', EsfuerzosEspeciales2, 0.532)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_7', AtaquesEspeciales2, 0.532)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_7', EsfuerzosEspeciales1, 0.700)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_7', AtaquesEspeciales1, 0.716)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_2', EsfuerzoCorto2Bzw, 0.1700)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_2', SesgadoLargoAgudo, 0.1950)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_2', SesgadoCorto, 0.3150)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_2', SesgadoLargoGrave, 0.5290)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_2', EsfuerzoGolpeAtrasBzw, 0.5290)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02kata', EsfuerzoCorto5Bzw, 0.1540)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02kata', EsfuerzoGolpeCabezaBzw, 0.3100)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02kata', SesgadoLargoGrave, 0.3300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_08', SesgadoLargo, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_08', EsfuerzoGolpeAtrasBzw, 0.2200)
	NetSounds.AddAnimSound(per,'Bzw_g2h_08', Roce1, 0.2200)
	NetSounds.AddAnimSound(per,'Bzw_g2h_28', AtaquesEspeciales1, 0.437)
	NetSounds.AddAnimSound(per,'Bzw_g2h_28', EsfuerzosEspeciales1, 0.350)
	NetSounds.AddAnimSound(per,'Bzw_g2h_28', Roce1, 0.400)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s8kata', SesgadoCortoAgudo, 0.3020)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s8kata', EsfuerzoCorto3Bzw, 0.2300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s8kata', Roce1, 0.7000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s8', EsfuerzosEspeciales1, 0.150)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s8', AtaquesEspeciales1, 0.328)
	NetSounds.AddAnimSound(per,'Bzw_g2h_12', SesgadoLargoAgudo, 0.2370)
	NetSounds.AddAnimSound(per,'Bzw_g2h_12', SesgadoCorto, 0.5100)
	NetSounds.AddAnimSound(per,'Bzw_g2h_12', EsfuerzoCorto2Bzw, 0.2300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_12', Roce2, 0.5300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02', SesgadoLargo, 0.2720)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02', EsfuerzoGolpeArribaBzw, 0.1900)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6', EsfuerzosEspeciales1, 0.310)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6', AtaquesEspeciales2, 0.363)
	NetSounds.AddAnimSound(per,'Bzw_g2h_11', SesgadoLargoGrave, 0.2960)
	NetSounds.AddAnimSound(per,'Bzw_g2h_11', EsfuerzoCorto1Bzw, 0.1300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_11', Roce1, 0.3200)
	NetSounds.AddAnimSound(per,'Bzw_g2h_01', SesgadoLargoGrave, 0.2720)
	NetSounds.AddAnimSound(per,'Bzw_g2h_01', EsfuerzoCorto2Bzw, 0.2720)
	NetSounds.AddAnimSound(per,'Bzw_g2h_01', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_13', AtaquesEspeciales2, 0.302)
	NetSounds.AddAnimSound(per,'Bzw_g2h_13', EsfuerzosEspeciales1, 0.221)
	NetSounds.AddAnimSound(per,'Bzw_g2h_13', Roce1, 0.6300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6kata', SesgadoCortoAgudo, 0.1970)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6kata', SesgadoLargo, 0.4900)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6kata', EsfuerzoCorto1Bzw, 0.1900)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6kata', EsfuerzoGolpeFrontalBzw, 0.4850)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s7', EsfuerzoCorto2Bzw, 0.4850)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s7', SesgadoLargoGrave, 0.4970)
	NetSounds.AddAnimSound(per,'Bzw_g2h_12low', SesgadoLargoGrave, 0.4300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_12low', EsfuerzoBzwMediano, 0.2970)
	NetSounds.AddAnimSound(per,'Bzw_g2h_12low', Roce1, 0.4600)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02low', SesgadoLargoGrave, 0.1750)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02low', EsfuerzoGolpeFrontalBzw, 0.1750)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02low', SesgadoLargoGrave, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_02low', SesgadoLargo, 0.5500)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6low', EsfuerzosEspeciales2, 0.350)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6low', AtaquesEspeciales1, 0.340)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6low', Roce1, 0.6500)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6low', Roce2, 0.1800)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b29', EsfuerzosEspeciales1, 0.230)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b29', AtaquesEspeciales1, 0.304)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b29', Roce1, 0.600)
	NetSounds.AddAnimSound(per,'Bzw_g2h_17', EsfuerzoCorto5Bzw, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_17', SesgadoLargoGrave, 0.3160)
	NetSounds.AddAnimSound(per,'Bzw_g2h_17', Roce2, 0.6000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26_b6', SesgadoLargoGrave, 0.3600)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26_b6', SesgadoCortoGrave, 0.6300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26_b6', EsfuerzoGolpeFrontalBzw, 0.1880)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26_b6', EsfuerzoCorto4Bzw, 0.6300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26_b6', Roce2, 0.6800)
	NetSounds.AddAnimSound(per,'Bzw_g2h_earthpow', EsfuerzosEspeciales1, 0.630)
	NetSounds.AddAnimSound(per,'Bzw_g2h_earthpow', AtaqueFuego4, 0.313)
	NetSounds.AddAnimSound(per,'Bzw_g2h_earthpow', AtaqueFuego2, 0.600)
	NetSounds.AddAnimSound(per,'Bzw_g2h_back', EsfuerzoGolpeLateralBzw, 0.1270)
	NetSounds.AddAnimSound(per,'Bzw_g2h_back', SesgadoLargoGrave, 0.2650)
	NetSounds.AddAnimSound(per,'Bzw_g2h_19', EsfuerzoCortoBzw, 0.2700)
	NetSounds.AddAnimSound(per,'Bzw_g2h_19', SesgadoCorto, 0.2700)
	NetSounds.AddAnimSound(per,'Bzw_g2h_19', Roce1, 0.6000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26', EsfuerzoGolpeFrontalBzw, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26', SesgadoCorto, 0.3760)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26', Roce1, 0.6000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_31_2', EsfuerzoGolpeLateralBzw, 0.1000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_31_2', SesgadoCorto, 0.1900)
	NetSounds.AddAnimSound(per,'Bzw_g2h_31_2', Roce1, 0.5000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6lowkata', EsfuerzoGolpeLateralBzw, 0.4360)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6lowkata', SesgadoCorto, 0.1300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6lowkata', SesgadoLargoGrave, 0.4500)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b6lowkata', Roce1, 0.6500)
	NetSounds.AddAnimSound(per,'Bzw_g2h_07', EsfuerzoCorto3Bzw, 0.3600)
	NetSounds.AddAnimSound(per,'Bzw_g2h_07', SesgadoLargoGrave, 0.3700)
	NetSounds.AddAnimSound(per,'Bzw_g2h_07', Roce1, 0.6500)
	NetSounds.AddAnimSound(per,'Bzw_g2h_07', Roce2, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_22kata_6', SesgadoCorto, 0.1180)
	NetSounds.AddAnimSound(per,'Bzw_g2h_22kata_6', SesgadoCortoAgudo, 0.3700)
	NetSounds.AddAnimSound(per,'Bzw_g2h_22kata_6', EsfuerzoCorto2Bzw, 0.3400)
	NetSounds.AddAnimSound(per,'Bzw_g2h_22kata_6', EsfuerzoCorto3Bzw, 0.6000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_22kata_6', SesgadoCortoGrave, 0.6200)
	NetSounds.AddAnimSound(per,'Bzw_g2h_22kata_6', Roce1, 0.8000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_22kata_6', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low_b6', SesgadoCorto, 0.1180)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low_b6', SesgadoLargoAgudo, 0.3750)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low_b6', EsfuerzoGolpeAtrasBzw, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low_b6', SesgadoCortoGrave, 0.6170)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low_b6', Roce1, 0.8000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low_b6', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low', EsfuerzoGolpeAtrasBzw, 0.2800)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low', SesgadoLargoGrave, 0.3300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low', Roce1, 0.8000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_26low', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s1', EsfuerzoEsquiva1, 0.1370)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s1', EsfuerzoCorto2Bzw, 0.3800)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s1', SesgadoLargoGrave, 0.3910)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s1', Roce1, 0.8000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_s1', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b7', EsfuerzoEsquiva1, 0.1720)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b7', EsfuerzoCorto2Bzw, 0.3120)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b7', SesgadoLargoGrave, 0.3200)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b7', Roce1, 0.2200)
	NetSounds.AddAnimSound(per,'Bzw_g2h_b7', Roce2, 0.8000)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_6kata', EsfuerzoEsquiva1, 0.1300)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_6kata', EsfuerzoCorto2Bzw, 0.4020)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_6kata', EsfuerzoCorto3Bzw, 0.6700)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_6kata', SesgadoLargoAgudo, 0.6700)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_6kata', SesgadoLargoGrave, 0.3900)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_6kata', SesgadoCortoGrave, 0.1340)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_6kata', Roce1, 0.2200)
	NetSounds.AddAnimSound(per,'Bzw_g2h_21_6kata', Roce2, 0.8000)
	
	NetSounds.AddAnimSound(per,'Bzw_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Bzw_g_spears1', SesgadoLargo, 0.6010)
	NetSounds.AddAnimSound(per,'Bzw_g_spears1', EsfuerzoCorto4Bzw, 0.1620)
	
	NetSounds.AddAnimSound(per,'Bzw_g_spear_kata23', SesgadoCorto, 0.100)
	NetSounds.AddAnimSound(per,'Bzw_g_spear_kata23', EsfuerzoCorto3Bzw, 0.100)
	NetSounds.AddAnimSound(per,'Bzw_g_spear_kata23', SesgadoLargoAgudo, 0.248)
	NetSounds.AddAnimSound(per,'Bzw_g_spear_kata23', SesgadoLargo, 0.416)
	
	
	
	NetSounds.AddAnimSound(per,'Bzw_g_axe33', AtaquesEspeciales3, 0.137)
	NetSounds.AddAnimSound(per,'Bzw_g_axe33', AtaquesEspeciales1, 0.315)
	NetSounds.AddAnimSound(per,'Bzw_g_axe33', EsfuerzosEspeciales2, 0.130)
	NetSounds.AddAnimSound(per,'Bzw_g_axe33', EsfuerzosEspeciales1, 0.340)
	NetSounds.AddAnimSound(per,'Bzw_g_axe33', Roce1, 0.400)
	NetSounds.AddAnimSound(per,'Bzw_g_axe08', SesgadoCortoGrave, 0.2500)
	NetSounds.AddAnimSound(per,'Bzw_g_axe08', EsfuerzoCorto4Bzw, 0.1190)
	NetSounds.AddAnimSound(per,'Bzw_g_axe08', Roce1, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe18', SesgadoLargoGrave, 0.3480)
	NetSounds.AddAnimSound(per,'Bzw_g_axe18', SesgadoCortoGrave, 0.5200)
	NetSounds.AddAnimSound(per,'Bzw_g_axe18', EsfuerzoCorto4Bzw, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe18', Roce1, 0.5500)
	NetSounds.AddAnimSound(per,'Bzw_g_axe28', SesgadoCortoGrave, 0.3730)
	NetSounds.AddAnimSound(per,'Bzw_g_axe28', EsfuerzoGolpeArribaBzw, 0.1510)
	NetSounds.AddAnimSound(per,'Bzw_g_axe28', Roce1, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe01', SesgadoLargoGrave, 0.2650)
	NetSounds.AddAnimSound(per,'Bzw_g_axe01', EsfuerzoBzwMediano, 0.2550)
	NetSounds.AddAnimSound(per,'Bzw_g_axe02', SesgadoLargo, 0.2500)
	NetSounds.AddAnimSound(per,'Bzw_g_axe02', EsfuerzoCortoBzw, 0.2450)
	NetSounds.AddAnimSound(per,'Bzw_g_axe12', AtaquesEspeciales1, 0.236)
	NetSounds.AddAnimSound(per,'Bzw_g_axe12', EsfuerzosEspeciales1, 0.250)
	NetSounds.AddAnimSound(per,'Bzw_g_axe12', Roce2, 0.330)
	NetSounds.AddAnimSound(per,'Bzw_g_axe13', SesgadoLargoGrave, 0.3310)
	NetSounds.AddAnimSound(per,'Bzw_g_axe13', EsfuerzoGolpeArribaBzw, 0.1100)
	NetSounds.AddAnimSound(per,'Bzw_g_axe13', Roce2, 0.3600)
	NetSounds.AddAnimSound(per,'Bzw_g_axe32', AtaquesEspeciales2, 0.130)
	NetSounds.AddAnimSound(per,'Bzw_g_axe32', AtaquesEspeciales3, 0.270)
	NetSounds.AddAnimSound(per,'Bzw_g_axe32', AtaquesEspeciales1, 0.449)
	NetSounds.AddAnimSound(per,'Bzw_g_axe32', EsfuerzosEspeciales2, 0.120)
	NetSounds.AddAnimSound(per,'Bzw_g_axe32', EsfuerzosEspeciales2, 0.260)
	NetSounds.AddAnimSound(per,'Bzw_g_axe32', EsfuerzosEspeciales1, 0.410)
	NetSounds.AddAnimSound(per,'Bzw_g_axe32', Roce2, 0.500)
	NetSounds.AddAnimSound(per,'Bzw_g_axe21', SesgadoLargo, 0.3400)
	NetSounds.AddAnimSound(per,'Bzw_g_axe21', Roce2, 0.3900)
	NetSounds.AddAnimSound(per,'Bzw_g_axe21', EsfuerzoGolpeFrontalBzw, 0.3900)
	NetSounds.AddAnimSound(per,'Bzw_g_axe34', AtaquesEspeciales1, 0.242)
	NetSounds.AddAnimSound(per,'Bzw_g_axe34', AtaquesEspeciales2, 0.413)
	NetSounds.AddAnimSound(per,'Bzw_g_axe34', AtaquesEspeciales3, 0.090)
	NetSounds.AddAnimSound(per,'Bzw_g_axe34', EsfuerzosEspeciales2, 0.100)
	NetSounds.AddAnimSound(per,'Bzw_g_axe34', EsfuerzosEspeciales1, 0.400)
	NetSounds.AddAnimSound(per,'Bzw_g_axe34', Roce2, 0.480)
	NetSounds.AddAnimSound(per,'Bzw_g_axe111', SesgadoLargoGrave, 0.2870)
	NetSounds.AddAnimSound(per,'Bzw_g_axe111', EsfuerzoGolpeArribaBzw, 0.2500)
	NetSounds.AddAnimSound(per,'Bzw_g_axe111', Roce1, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe211', AtaquesEspeciales1, 0.312)
	NetSounds.AddAnimSound(per,'Bzw_g_axe211', EsfuerzosEspeciales1, 0.380)
	NetSounds.AddAnimSound(per,'Bzw_g_axe211', Roce1, 0.420)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_2katab6low', SesgadoCortoAgudo, 0.1000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_2katab6low', SesgadoLargoGrave, 0.4240)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_2katab6low', SesgadoCortoGrave, 0.6600)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_2katab6low', EsfuerzoCortoBzw, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_2katab6low', Roce2, 0.7000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe31', SesgadoLargo, 0.1150)
	NetSounds.AddAnimSound(per,'Bzw_g_axe31', SesgadoCortoGrave, 0.2700)
	NetSounds.AddAnimSound(per,'Bzw_g_axe31', SesgadoLargoGrave, 0.6800)
	NetSounds.AddAnimSound(per,'Bzw_g_axe31', EsfuerzoCorto1Bzw, 0.1100)
	NetSounds.AddAnimSound(per,'Bzw_g_axe31', EsfuerzoCorto4Bzw, 0.2600)
	NetSounds.AddAnimSound(per,'Bzw_g_axe31', EsfuerzoGolpeLateralBzw, 0.6020)
	NetSounds.AddAnimSound(per,'Bzw_g_axe31', Roce1, 0.7100)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_26kata', SesgadoLargoGrave, 0.1000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_26kata', SesgadoCortoGrave, 0.2810)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_26kata', SesgadoLargoGrave, 0.4810)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_26kata', EsfuerzoCorto4Bzw, 0.1000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_26kata', EsfuerzoCorto3Bzw, 0.2800)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_26kata', EsfuerzoBzwMediano, 0.4300)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_26kata', Roce1, 0.5200)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_3s2', SesgadoCortoGrave, 0.1000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_3s2', EsfuerzoCorto2Bzw, 0.4070)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_3s2', SesgadoLargo, 0.6670)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_3s2', EsfuerzoCorto4Bzw, 0.6670)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_3s2', Roce3, 0.7000)
	
	
	NetSounds.AddAnimSound(per,'Bzw_g_axe_b2kata', SesgadoCortoGrave, 0.1080)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_b2kata', EsfuerzoGolpeLateralBzw, 0.3700)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_b2kata', SesgadoLargo, 0.5540)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_b2kata', Roce3, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_b2kata', Roce3, 0.7000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe30', SesgadoLargo, 0.1470)
	NetSounds.AddAnimSound(per,'Bzw_g_axe30', SesgadoCortoGrave, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe30', SesgadoCortoAgudo, 0.4400)
	NetSounds.AddAnimSound(per,'Bzw_g_axe30', SesgadoLargoGrave, 0.5400)
	NetSounds.AddAnimSound(per,'Bzw_g_axe30', SesgadoLargo, 0.6650)
	NetSounds.AddAnimSound(per,'Bzw_g_axe30', EsfuerzoCortoBzw, 0.1460)
	NetSounds.AddAnimSound(per,'Bzw_g_axe30', EsfuerzoCorto2Bzw, 0.6600)
	NetSounds.AddAnimSound(per,'Bzw_g_axe30', Roce1, 0.7000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_32kata_b2', SesgadoCortoAgudo, 0.1300)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_32kata_b2', SesgadoCortoGrave, 0.3200)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_32kata_b2', SesgadoLargoGrave, 0.4200)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_32kata_b2', EsfuerzoGolpeArribaBzw, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe_32kata_b2', Roce1, 0.4600)
	NetSounds.AddAnimSound(per,'Bzw_g_axe08strong', SesgadoLargoGrave, 0.4000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe08strong', EsfuerzoGolpeCabezaBzw, 0.2000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe08strong', Roce1, 0.7000)
	NetSounds.AddAnimSound(per,'Bzw_g_axe08strong', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g_magic',ConcBladeSword1, 0.1300)
	NetSounds.AddAnimSound(per,"Bzw_g_magic",EsfuerzoGolpeLateralBzw, 0.4000)
	NetSounds.AddAnimSound(per,"Bzw_g_magic",SesgadoLargoGrave, 0.5500)
	NetSounds.AddAnimSound(per,'Bzw_g_magic2',ConcBladeSword2, 0.1000)
	NetSounds.AddAnimSound(per,"Bzw_g_magic2",EsfuerzoBzwMediano, 0.1700)
	NetSounds.AddAnimSound(per,"Bzw_g_magic2",SesgadoLargoGrave, 0.5500)
	NetSounds.AddAnimSound(per,"Bzw_g_back",SesgadoCortoGrave, 0.1290)
	NetSounds.AddAnimSound(per,"Bzw_g_back",EsfuerzoCorto4Bzw, 0.3300)
	NetSounds.AddAnimSound(per,"Bzw_g_back",EsfuerzoCorto4Bzw, 0.3480)
	NetSounds.AddAnimSound(per,"Bzw_g_back",Roce1, 0.2000)
	NetSounds.AddAnimSound(per,"Bzw_g_back",Roce2, 0.8000)
	NetSounds.AddAnimSound(per,"Bzw_g_punch1",EsfuerzoCorto2Bzw,0.4130)
	NetSounds.AddAnimSound(per,"Bzw_g_punch4",EsfuerzoCorto3Bzw,0.2999)
	NetSounds.AddAnimSound(per,"Bzw_g_punch2",EsfuerzoCorto4Bzw,0.3480)
	NetSounds.AddAnimSound(per,"Bzw_g_punch3",EsfuerzoCorto1Bzw,0.3500)
	NetSounds.AddAnimSound(per,'Bzw_g_draw_run', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Bzw_g_draw_run', EsfuerzoGolpeLateralBzw, 0.1300)
	NetSounds.AddAnimSound(per,'Bzw_g_draw_run', SesgadoLargoAgudo, 0.3470)
	NetSounds.AddAnimSound(per,'Bzw_g_draw_rlx', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Bzw_g_draw_rlx', EsfuerzoCorto6Bzw, 0.3000)
	NetSounds.AddAnimSound(per,'Bzw_g_draw_rlx', SesgadoLargoGrave, 0.3280)
	NetSounds.AddAnimSound(per,'Bzw_g_bad_1h', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_g_bad_1h', SesgadoLentoBzw, 0.3100)
	NetSounds.AddAnimSound(per,'Bzw_g_bad_no', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_g_bad_spear2', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_g_bad_spear2', SesgadoLentoBzw, 0.3270)
	NetSounds.AddAnimSound(per,'Bzw_g_bad_sword', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Bzw_g_bad_sword', SesgadoLentoBzw, 0.4130)
	
	
	
	
	

	






	
	
	
	
	
	
	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
