import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # BronzwWarrior        #
    #                      #
    ########################
    

  
    
    
import BzwAnm_def
BzwAnm_def.InitBzw()    
 
    
bzw=Bladex.GetCharType("BronzeWarrior","Bzw")
bzw.IntName="Bzw" 

bzw.TurnSpeed=3.4
bzw.Jcost=27000
bzw.MaxFall=5000
bzw.DieFall=14000
bzw.MaxStair=335
bzw.Fov=math.pi
bzw.MaxGrab=3500.0
bzw.MedGrab=2500.0
bzw.Min2Grab=1500.0    
bzw.MinTake=-500.0	# Min height above floor barbarian will take
bzw.MaxTake1=450.0	# Max height above floor for Take1 Anim
bzw.MaxTake2=550.0	# Max height above floor for Take2 Anim
bzw.MaxTake3=1300.0	# Max height above floor for Take3 Anim
bzw.MaxTake4=1900.0	# Max height above floor for Take4 Anim
bzw.MaxTake5=3000.0	# Max height above floor for Take5 Anim
bzw.Reach=2000.0	# Max distance from bar centre to obj centre to take
bzw.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
bzw.MovBkwdSpeedInStrafe=1000  #Idem backwards
bzw.MaxCombatDist=20000
bzw.MaxSeeDist=40000#50000

bzw.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
bzw.SetCDSphere(0,210.0,550.0)  #(numero de la espera, altura mm, radio mm)
bzw.SetCDSphere(1,-200.0,550.0)  #(numero de la espera, altura mm, radio mm)

bzw.NaturalWeapons=1

###############################################################################
#

def BronzeWarriorWhenFirst():
	Bladex.CreateBipedData("Bzw","BronzeWarrior")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Bzw.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Bzw.dat")

	import BzwAnimationSet
	BzwAnimationSet.LoadBzwAnimationSet("Bzw")
	
	import BzwBAct
	import LinkTables
	LinkTables.LinkMe("Bzw")
	
	import BzwCombos
	
	import AnmFactBzw
	AnmFactBzw.AnmFactBzw()
	
	import BzwStats
	

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Bzw.dat","Bzw")
	
	print"New Bzw Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("BronzeWarrior","Bzw")
race.OnFirst=BronzeWarriorWhenFirst