import Bladex
import Enm_Def





def LoadGhoulAnimationSet(ct_name):

	print "Loading the Ghl animation sets..."

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_appears1.BMV","Ghl_appears1",0,"Ghoul_A")
	Bladex.AddAnmRStep("Ghl_appears1",0)
	Bladex.AddAnmLStep("Ghl_appears1",0)


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_rlx_no.BMV","Rlx_1h_Ghl",1,"Ghoul_A")
	Bladex.AddAnmRStep("Rlx_1h_Ghl",0.0)
	Bladex.AddAnmLStep("Rlx_1h_Ghl",0.0)



	#
	#### Caminar ####
	#


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_wlk_1h.BMV","Wlk_1h_Ghl",1,"Ghoul_A")

	Bladex.AddAnmRStep("Wlk_1h_Ghl",0.0)
	Bladex.AddAnmRRelease("Wlk_1h_Ghl",0.10)
	Bladex.AddAnmRStep("Wlk_1h_Ghl",0.33)
	Bladex.AddAnmRRelease("Wlk_1h_Ghl",0.56)
	Bladex.AddAnmRStep("Wlk_1h_Ghl",0.84)
	Bladex.AddAnmLStep("Wlk_1h_Ghl",0.0)
	Bladex.AddAnmLRelease("Wlk_1h_Ghl",0.32)
	Bladex.AddAnmLStep("Wlk_1h_Ghl",0.51)
	Bladex.AddAnmLRelease("Wlk_1h_Ghl",0.75)
	Bladex.AddAnmLStep("Wlk_1h_Ghl",1.00)
	Bladex.AddStopTests("Wlk_1h_Ghl")
	
	
	
	
	anm_name="Ghl_wbk_1h"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_wbk_1h.BMV",anm_name,1,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.319)
	Bladex.AddAnmRStep(anm_name,0.542)
	Bladex.AddAnmRRelease(anm_name,0.833)
	Bladex.AddAnmRStep(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.153)
	Bladex.AddAnmLStep(anm_name,0.333)
	Bladex.AddAnmLRelease(anm_name,0.639)
	Bladex.AddAnmLStep(anm_name,0.819)
	





	#
	# Ataques	
	#


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_g_spit.BMV","Ghl_g_spit",0,"Ghoul_A")        
	Bladex.AddAnmRStep("Ghl_g_spit",0)     
	Bladex.AddAnmLStep("Ghl_g_spit",0)     
	Bladex.AddAnmRRelease("Ghl_g_spit",0.521) 
	Bladex.AddAnmRStep("Ghl_g_spit",0.586)    
	Bladex.AddAnmLRelease("Ghl_g_spit",0.464) 
	Bladex.AddAnmLStep("Ghl_g_spit",0.504)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_g_13.BMV","Ghl_g_13",0,"Ghoul_A")        
	Bladex.AddAnmRStep("Ghl_g_13",0)     
	Bladex.AddAnmLStep("Ghl_g_13",0)     
	Bladex.AddAnmRRelease("Ghl_g_13",0.39) 
	Bladex.AddAnmRStep("Ghl_g_13",0.43)    
	Bladex.AddAnmLRelease("Ghl_g_13",0.58) 
	Bladex.AddAnmLStep("Ghl_g_13",0.63)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_g_18.BMV","Ghl_g_18",0,"Ghoul_A")        
	Bladex.AddAnmRStep("Ghl_g_18",0)     
	Bladex.AddAnmRRelease("Ghl_g_18",0.49) 
	Bladex.AddAnmRStep("Ghl_g_18",0.56)       
	Bladex.AddAnmRRelease("Ghl_g_18",0.72) 
	Bladex.AddAnmRStep("Ghl_g_18",0.78)       
	Bladex.AddAnmLStep("Ghl_g_18",0)   
	Bladex.AddAnmLRelease("Ghl_g_18",0.57) 
	Bladex.AddAnmLStep("Ghl_g_18",0.68)
	 
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_g_16.BMV","Ghl_g_16",0,"Ghoul_A")        
	Bladex.AddAnmRStep("Ghl_g_16",0)     
	Bladex.AddAnmLStep("Ghl_g_16",0)     
	Bladex.AddAnmRRelease("Ghl_g_16",0.475) 
	Bladex.AddAnmRStep("Ghl_g_16",0.521)    
	Bladex.AddAnmLRelease("Ghl_g_16",0.53) 
	Bladex.AddAnmLStep("Ghl_g_16",0.618)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_g_12.BMV","Ghl_g_12",0,"Ghoul_A")        
	Bladex.AddAnmRStep("Ghl_g_12",0)     
	Bladex.AddAnmLStep("Ghl_g_12",0)     
	Bladex.AddAnmRRelease("Ghl_g_12",0.437) 
	Bladex.AddAnmRStep("Ghl_g_12",0.543)      
	Bladex.AddAnmRRelease("Ghl_g_12",0.698) 
	Bladex.AddAnmRStep("Ghl_g_12",0.763)      
	Bladex.AddAnmLRelease("Ghl_g_12",0.549) 
	Bladex.AddAnmLStep("Ghl_g_12",0.709)
	    

	anm_name="Ghl_g_claw1"                                                  
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_g_claw1.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.0)                                             
	Bladex.AddAnmRRelease(anm_name,0.36)                                         
	Bladex.AddAnmRStep(anm_name,0.41)                                         
	Bladex.AddAnmLStep(anm_name,0.0)                                             
	Bladex.AddAnmLRelease(anm_name,0.24)                                           
	Bladex.AddAnmLStep(anm_name,0.27)                                             
	Bladex.AddAnmLRelease(anm_name,0.77)                                           
	Bladex.AddAnmLStep(anm_name,0.81)
	

	anm_name="Ghl_g_claw2"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_g_claw2.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.0)                                             
	Bladex.AddAnmRRelease(anm_name,0.59)                                         
	Bladex.AddAnmRStep(anm_name,0.64)                                         
	Bladex.AddAnmLStep(anm_name,0.0)                                             
	Bladex.AddAnmLRelease(anm_name,0.34)                                           
	Bladex.AddAnmLStep(anm_name,0.39)                                             
	Bladex.AddAnmLRelease(anm_name,0.80)                                           
	Bladex.AddAnmLStep(anm_name,0.84)    
	                                           


	anm_name="Ghl_g_claw3"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_g_claw3.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0)                                             
	Bladex.AddAnmRRelease(anm_name,0.33)                                         
	Bladex.AddAnmRStep(anm_name,0.39)                                             
	Bladex.AddAnmRRelease(anm_name,0.44)                                         
	Bladex.AddAnmRStep(anm_name,0.54)                                         
	Bladex.AddAnmLStep(anm_name,0.0)                                             
	Bladex.AddAnmLRelease(anm_name,0.29)                                           
	Bladex.AddAnmLStep(anm_name,0.34)                                             
	Bladex.AddAnmLRelease(anm_name,0.40)                                           
	Bladex.AddAnmLStep(anm_name,0.47)
	

	
	#
	# Slip
	#
	anm_name="Ghl_slip"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_slip.BMV",anm_name,1,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0)     
	Bladex.AddAnmLStep(anm_name,0)     

	anm_name="Ghl_slip_b"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_slip_b.BMV",anm_name,1,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0)     
	Bladex.AddAnmLStep(anm_name,0)     

	anm_name="Ghl_derrape"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_derrape.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0)     
	Bladex.AddAnmLStep(anm_name,0)     

	
	

#Caida enorme
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_fll.BMV","Dth_Fll_Ghl",0,"Ghoul_A")
	#Bladex.AddAnmRStep("Dth_Fll_Ghl",0.0)
	#Bladex.AddAnmLStep("Dth_Fll_Ghl",0.0)

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_fll2.BMV","Dth_Fll2_Ghl",0,"Ghoul_A")
	Bladex.AddAnmRStep("Dth_Fll2_Ghl",0.0)
	Bladex.AddAnmLStep("Dth_Fll2_Ghl",0.0)
	
	
############ MUERTES

	anm_name="Ghl_dth0"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth0.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
			

	anm_name="Ghl_dth_c1"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_c1.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmLRelease(anm_name,0.040) 	
	Bladex.AddAnmLStep(anm_name,0.081) 

	anm_name="Ghl_dth_c2"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_c2.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.037)
	Bladex.AddAnmRStep(anm_name,0.083)
	Bladex.AddAnmRRelease(anm_name,0.166)
	Bladex.AddAnmRStep(anm_name,0.306)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.083)
	Bladex.AddAnmLStep(anm_name,0.126)

	anm_name="Ghl_dth_c3"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_c3.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.583)
	Bladex.AddAnmRStep(anm_name,0.758)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.597)
	Bladex.AddAnmLStep(anm_name,0.886)


	anm_name="Ghl_dth_c4"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_c4.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.277)
	Bladex.AddAnmRStep(anm_name,0.407)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.079)
	Bladex.AddAnmLStep(anm_name,0.242)
	Bladex.AddAnmLRelease(anm_name,0.418)
	Bladex.AddAnmLStep(anm_name,0.524)
	Bladex.AddAnmLRelease(anm_name,0.645)
	Bladex.AddAnmLStep(anm_name,0.796)


	anm_name="Ghl_dth_c5"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_c5.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.507)
	Bladex.AddAnmRStep(anm_name,0.591)
	Bladex.AddAnmRRelease(anm_name,0.667)
	Bladex.AddAnmRStep(anm_name,0.898)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.521)
	Bladex.AddAnmLStep(anm_name,0.593)
	Bladex.AddAnmLRelease(anm_name,0.659)
	Bladex.AddAnmLStep(anm_name,0.917)


	anm_name="Ghl_dth_c6"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_c6.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.086)
	Bladex.AddAnmRStep(anm_name,0.134)
	Bladex.AddAnmRRelease(anm_name,0.249)
	Bladex.AddAnmRStep(anm_name,0.343)
	Bladex.AddAnmRRelease(anm_name,0.484)
	Bladex.AddAnmRStep(anm_name,0.536)
	Bladex.AddAnmRRelease(anm_name,0.729)
	Bladex.AddAnmRStep(anm_name,0.838)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.151)
	Bladex.AddAnmLStep(anm_name,0.234)
	Bladex.AddAnmLRelease(anm_name,0.357)
	Bladex.AddAnmLStep(anm_name,0.441)
	Bladex.AddAnmLRelease(anm_name,0.558)
	Bladex.AddAnmLStep(anm_name,0.607)
	Bladex.AddAnmLRelease(anm_name,0.746)
	Bladex.AddAnmLStep(anm_name,0.845)

	anm_name="Ghl_dth_c7"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Ork_dth_c1.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.282)
	Bladex.AddAnmRStep(anm_name,0.384)
	Bladex.AddAnmRRelease(anm_name,0.659)
	Bladex.AddAnmRStep(anm_name,0.887)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.579)
	Bladex.AddAnmLStep(anm_name,0.890)

	anm_name="Ghl_dth_n00"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_n00.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.641)
	Bladex.AddAnmRStep(anm_name,0.878)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.192)
	Bladex.AddAnmLStep(anm_name,0.411)
	Bladex.AddAnmLRelease(anm_name,0.626)
	Bladex.AddAnmLStep(anm_name,0.873)

	anm_name="Ghl_dth_n01"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_n01.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.500)
	Bladex.AddAnmRStep(anm_name,0.761)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.081)
	Bladex.AddAnmLStep(anm_name,0.356)
	Bladex.AddAnmLRelease(anm_name,0.428)
	Bladex.AddAnmLStep(anm_name,0.515)
	Bladex.AddAnmLRelease(anm_name,0.617)
	Bladex.AddAnmLStep(anm_name,0.772)


	anm_name="Ghl_dth_n02"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_n02.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.681)
	Bladex.AddAnmRStep(anm_name,0.859)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.315)
	Bladex.AddAnmLStep(anm_name,0.611)
	Bladex.AddAnmLRelease(anm_name,0.703)
	Bladex.AddAnmLStep(anm_name,0.921)

	anm_name="Ghl_dth_n03"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_n03.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.101)
	Bladex.AddAnmRStep(anm_name,0.271)
	Bladex.AddAnmRRelease(anm_name,0.478)
	Bladex.AddAnmRStep(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.530)
	Bladex.AddAnmLStep(anm_name,0.692)

	anm_name="Ghl_dth_n04"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_n04.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.154)
	Bladex.AddAnmRStep(anm_name,0.198)
	Bladex.AddAnmRRelease(anm_name,0.290)
	Bladex.AddAnmRStep(anm_name,0.347)
	Bladex.AddAnmRRelease(anm_name,0.557)
	Bladex.AddAnmRStep(anm_name,0.595)
	Bladex.AddAnmRRelease(anm_name,0.743)
	Bladex.AddAnmRStep(anm_name,0.838)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.046)
	Bladex.AddAnmLStep(anm_name,0.069)
	Bladex.AddAnmLRelease(anm_name,0.223)
	Bladex.AddAnmLStep(anm_name,0.295)
	Bladex.AddAnmLRelease(anm_name,0.417)
	Bladex.AddAnmLStep(anm_name,0.479)
	Bladex.AddAnmLRelease(anm_name,0.592)
	Bladex.AddAnmLStep(anm_name,0.728)
	Bladex.AddAnmLRelease(anm_name,0.747)
	Bladex.AddAnmLStep(anm_name,0.886)

	anm_name="Ghl_dth_n05"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_n05.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.825)
	Bladex.AddAnmRStep(anm_name,0.979)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.050)
	Bladex.AddAnmLStep(anm_name,0.138)
	Bladex.AddAnmLRelease(anm_name,0.816)
	Bladex.AddAnmLStep(anm_name,0.950)

	anm_name="Ghl_dth_n06"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_dth_n06.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.303)
	Bladex.AddAnmRStep(anm_name,0.469)
	Bladex.AddAnmRRelease(anm_name,0.497)
	Bladex.AddAnmRStep(anm_name,0.627)
	Bladex.AddAnmRRelease(anm_name,0.709)
	Bladex.AddAnmRStep(anm_name,0.832)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.100)
	Bladex.AddAnmLStep(anm_name,0.305)
	Bladex.AddAnmLRelease(anm_name,0.347)
	Bladex.AddAnmLStep(anm_name,0.417)
	Bladex.AddAnmLRelease(anm_name,0.474)
	Bladex.AddAnmLStep(anm_name,0.690)
													
	

	anm_name="Ghl_hurt_big"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_hurt_big.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.0)
	Bladex.AddAnmLStep(anm_name,0.0)
		
		
	anm_name="Ghl_hurt_lite"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_hurt_lite.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.0)    
	Bladex.AddAnmLStep(anm_name,0.0)
		
		
	anm_name="Ghl_hurt_big2"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_hurt_big2.BMV",anm_name,0,"Ghoul_A")
	Bladex.AddAnmRStep(anm_name,0.0)   
	Bladex.AddAnmLStep(anm_name,0.0)