######################################################
#
# Create sets of attacks
#
#        - JGM -
#
######################################################
import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2



# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Jgm","g_01","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_114","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_12","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_21","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_21_27","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_31","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_spit","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_1tw","ATTACKING")


Bladex.SetActionEventTable("Jgm","g_11","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_22","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_32","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_27","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_28","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_38","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_51","ATTACKING")
Bladex.SetActionEventTable("Jgm","g_kick","ATTACKING")






jgm=Bladex.GetCharType("JewelGolem","Jgm")
	
#G01 group
jgm.AddAttack("g_01","Jgm_g_01")
jgm.AttackTypeFlag("g_01",ATK_UNIQUE)
	
jgm.AddAttack("g_114","Jgm_g_114")
jgm.AttackTypeFlag("G114",ATK_UNIQUE)
	
jgm.AddAttack("g_12","Jgm_g_12")
jgm.AttackTypeFlag("g_12",ATK_UNIQUE)
	
jgm.AddAttack("g_21","Jgm_g_21")
jgm.AttackTypeFlag("g_21",ATK_UNIQUE)

jgm.AddAttack("g_21_27","Jgm_g_21_27")
jgm.AttackTypeFlag("g_21_27",ATK_UNIQUE)

jgm.AddAttack("g_31","Jgm_g_31")
jgm.AttackTypeFlag("g_31",ATK_UNIQUE)

jgm.AddAttack("g_spit","Jgm_g_spit")
jgm.AttackTypeFlag("g_spit",ATK_UNIQUE)

jgm.AddAttack("g_1tw","Jgm_g_1tw")
jgm.AttackTypeFlag("g_1tw",ATK_UNIQUE)

jgm.AddAttack("G52","Jgm_g_kick")
jgm.AttackTypeFlag("g_kick",ATK_UNIQUE)

###### armed

jgm.AddAttack("G11","Jgm_g_11")
jgm.AttackTypeFlag("Jgm_g_11",ATK_UNIQUE)


jgm.AddAttack("G22","Jgm_g_22")
jgm.AttackTypeFlag("Jgm_g_22",ATK_UNIQUE)


jgm.AddAttack("G27","Jgm_g_27")
jgm.AttackTypeFlag("Jgm_g_27",ATK_UNIQUE)


jgm.AddAttack("G28","Jgm_g_28")
jgm.AttackTypeFlag("Jgm_g_28",ATK_UNIQUE)


jgm.AddAttack("G32","Jgm_g_32")
jgm.AttackTypeFlag("Jgm_g_32",ATK_UNIQUE)


jgm.AddAttack("G38","Jgm_g_38")
jgm.AttackTypeFlag("Jgm_g_38",ATK_UNIQUE)


jgm.AddAttack("G51","Jgm_g_51")
jgm.AttackTypeFlag("Jgm_g_51",ATK_UNIQUE)
