import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    #######################
    #                     #
    # JewelGolem          #
    #                     #
    #######################
    
    
    
    
import JewelGolemAnm_def
JewelGolemAnm_def.InitJewelGolem()  
    

  
jgm=Bladex.GetCharType("JewelGolem","Jgm")
jgm.IntName="Jgm" 

jgm.TurnSpeed=4.5
jgm.Jcost=2700
jgm.MaxFall=4000
jgm.DieFall=14000
jgm.MaxStair=500
jgm.Fov=math.pi
jgm.MaxGrab=3500.0
jgm.MedGrab=2500.0
jgm.Min2Grab=1500.0

jgm.MinTake=-500.0	# Min height above floor barbarian will take
jgm.MaxTake1=250.0	# Max height above floor for Take1 Anim
jgm.MaxTake2=550.0	# Max height above floor for Take2 Anim
jgm.MaxTake3=1300.0	# Max height above floor for Take3 Anim
jgm.MaxTake4=1900.0	# Max height above floor for Take4 Anim
jgm.MaxTake5=3000.0	# Max height above floor for Take5 Anim
jgm.Reach=2000.0	# Max distance from tkn centre to obj centre to take
jgm.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
jgm.MovBkwdSpeedInStrafe=1000  #Idem backwards
jgm.HearMinVolume=0.001
jgm.MaxCombatDist=12000
jgm.DistStop=2000.0
jgm.DistStopMaxFactor=0.3
jgm.DistStop2=8000.0
jgm.MaxSeeDist=30000
jgm.NaturalWeapons=1

jgm.SetNCDSpheres(1)  
jgm.SetCDSphere(0,-25.0,1000.0)  


def JewelGolemWhenFirst():
	Bladex.CreateBipedData("Jgm","JewelGolem")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Jgm.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Jgm.dat")

	import JewelGolemAnimationSet
	JewelGolemAnimationSet.LoadJewelGolemAnimationSet("Jgm")
	
	import JewelGolemBAct
	import LinkTables
	LinkTables.LinkMe("Jgm")
	import JewelGolemCombos
	import AnmFactJewelGolem
	AnmFactJewelGolem.AnmFactJewelGolem()
	import JewelGolemStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Jgm.dat","Jgm")
	
	print"New JewelGolem Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("JewelGolem","Jgm")
race.OnFirst=JewelGolemWhenFirst
