from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy


import Reference
import Damage


CharMaxLifeValue['JewelGolem']=     [  300,   600,   1000,   1200,   1700,   2100,   2600,   3600,   5000,   6500,   8000,   9000,  10000,  11500,  12600,  13500,  14400,  15300,  16200,  17100]
CharDamageData['JewelGolem']=       [    52,     53,     54,     55,     56,     57,     58,     59,     60,     61,     62,     63,     64,     65,     66,     67,     68,     69,     70,     71]
CharDefenseData['JewelGolem']=      [     0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0]
CharExperienceCost['JewelGolem']=  [    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['JewelGolem']=[   500,    900,    1600,   3000,   5300,   8500,  16800,  40000,  80000,  150000,  300000, 500000, 900000, 1400000, 2000000, 3000000, 4000000, 5000000, 7000000, 10000000]
CharResistances['JewelGolem']=     {'Impale': 0.50, 'Venom': 1.00, 'Slash': 0.40, 'Crush': -0.10, 'Ice': -0.40, 'Fire': 0.40, 'Light': 0.00, 'Drain': 1.00}




Reference.DefaultObjectData['JewelGolem'] = [Reference.OBJ_WEAPON,  5,  0, 1.0,  Reference.THR_SPINNING, []]


Reference.DefaultObjectData['TopazMace']= [Reference.OBJ_WEAPON,  2, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
Reference.DefaultSelectionData['TopazMace']=(8.0,4000.0, "Topaz Mace")

Reference.DefaultObjectData['TopazMace2']= [Reference.OBJ_WEAPON,  2, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
Reference.DefaultSelectionData['TopazMace2']=(8.0,4000.0, "Topaz Club")

Reference.DefaultObjectData['RubyMace']= [Reference.OBJ_WEAPON,  2, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
Reference.DefaultSelectionData['RubyMace']=(8.0,4000.0, "Ruby Mace")

Reference.DefaultObjectData['AmethystMace']= [Reference.OBJ_WEAPON,  2, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
Reference.DefaultSelectionData['AmethystMace']=(8.0,4000.0, "Amethyst Mace")

Reference.DefaultObjectData['EmeraldMace']= [Reference.OBJ_WEAPON,  2, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
Reference.DefaultSelectionData['EmeraldMace']=(8.0,4000.0, "Emerald Mace")


Reference.DefaultObjectData['Jgolemedge1']= [Reference.OBJ_WEAPON,  2, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
Reference.DefaultObjectData['Jgolemedge2']= [Reference.OBJ_WEAPON,  2, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]











Damage.AnimationData['Jgm_g_01']=    1.8
Damage.AnimationData['Jgm_g_114']=    4.0
Damage.AnimationData['Jgm_g_12']=    4.0
Damage.AnimationData['Jgm_g_21']=    1.8
Damage.AnimationData['Jgm_g_21_27']=  1.5
Damage.AnimationData['Jgm_g_31']=    5.0



import Bladex
Bladex.AddActionStepSound("Jgm","default","PisadaGolem")



Damage.AnimationData['Jgm_g_11']=    1.0
Damage.AnimationData['Jgm_g_22']=    1.2
Damage.AnimationData['Jgm_g_27']=    1.0
Damage.AnimationData['Jgm_g_28']=    1.2
Damage.AnimationData['Jgm_g_32']=    2.0
Damage.AnimationData['Jgm_g_38']=    2.5
Damage.AnimationData['Jgm_g_51']=    4.0






