import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    #######################
    #                     #
    # RockGolem           #
    #                     #
    #######################
    
    
    
    
import RockGolemAnm_def
RockGolemAnm_def.InitRockGolem()  
    

  
rgm=Bladex.GetCharType("RockGolem","Rgm")
rgm.IntName="Rgm" 

rgm.TurnSpeed=4.5
rgm.Jcost=2700
rgm.MaxFall=4000
rgm.DieFall=14000
rgm.MaxStair=500
rgm.Fov=math.pi
rgm.MaxGrab=3500.0
rgm.MedGrab=2500.0
rgm.Min2Grab=1500.0

rgm.MinTake=-500.0	# Min height above floor barbarian will take
rgm.MaxTake1=250.0	# Max height above floor for Take1 Anim
rgm.MaxTake2=550.0	# Max height above floor for Take2 Anim
rgm.MaxTake3=1300.0	# Max height above floor for Take3 Anim
rgm.MaxTake4=1900.0	# Max height above floor for Take4 Anim
rgm.MaxTake5=3000.0	# Max height above floor for Take5 Anim
rgm.Reach=2000.0	# Max distance from tkn centre to obj centre to take
rgm.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
rgm.MovBkwdSpeedInStrafe=1000  #Idem backwards
rgm.HearMinVolume=0.001
rgm.MaxCombatDist=12000
rgm.DistStop=2000.0
rgm.DistStopMaxFactor=0.3
rgm.DistStop2=8000.0
rgm.MaxSeeDist=30000
rgm.NaturalWeapons=1

rgm.SetNCDSpheres(1)  
rgm.SetCDSphere(0,-25.0,1000.0)  


def RockGolemWhenFirst():
	Bladex.CreateBipedData("Rgm","RockGolem")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Rgm.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Rgm.dat")

	import RockGolemAnimationSet
	RockGolemAnimationSet.LoadRockGolemAnimationSet("Rgm")
	
	import RockGolemBAct
	import LinkTables
	LinkTables.LinkMe("Rgm")
	import RockGolemCombos
	import AnmFactRockGolem
	AnmFactRockGolem.AnmFactRockGolem()
	import RockGolemStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Rgm.dat","Rgm")
	
	print"New RockGolem Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("RockGolem","Rgm")
race.OnFirst=RockGolemWhenFirst
