from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy
from CharData import CharMaxEnergyValue

import Reference

CharMaxLifeValue['VMBlackKnight']=[   120,    220,    320,    420,    620,    820,   1020,   1420,   1820,   2220,   2620,   3020,   3420,   3820,   4220,   4620,   5020,   5420,   5820,   6220]
CharDamageData['VMBlackKnight']= [     2,      3,      5,      7,      9,     11,     13,     15,     17,     19,     21,     23,     25,     27,     29,     31,     33,     35,     37,     39]
CharDefenseData['VMBlackKnight']= [     1,      4,      8,     12,     16,     20,     24,     28,     32,     36,     40,     44,     48,     52,     56,     60,     64,     68,     72,     76]
CharExperienceCost['VMBlackKnight']=[    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['VMBlackKnight']= [   100,    200,    400,   800,   1600,   3200,  6400,  12800,  25600,  50000,  750000, 1000000, 1500000, 2000000, 2500000, 3000000, 3500000, 4000000, 4500000, 5000000]
CharAccuracy['VMBlackKnight']= [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['VMBlackKnight']= {'Impale': 0.9, 'Slash': 0.9, 'Crush': 0.9, 'Fire': 0.00, 'Ice': 0.00, 'Venom': 1.0, 'Light': -1.00, 'Electric': 0.00, 'Acid': 0.00, 'Drain': 0.00}
CharMaxEnergyValue['VMBlackKnight']=  [    14,     20,     40,     80,    140,    220,    380,    540,    640,    885,   1210,   1650,   2000,   2400,   3000,   3800,   4700,   6200,   8600,  14200]

Reference.DefaultObjectData['VMBlackKnight']= [Reference.OBJ_WEAPON,   2,  0, 1.0,  Reference.THR_SPINNING, []]

Reference.DefaultObjectData['VMKShield1']= [Reference.OBJ_SHIELD,-1.5,5000, Reference.GolpeArmaEscudoMetal, 180.0*Reference.DEG2RADS,   2000,  750,  0]
Reference.DefaultObjectData['VMKAxe1']=    [Reference.OBJ_WEAPON,   2,  0, 1.0,  Reference.THR_SPINNING, []]


import Damage


#espadaromana
Damage.InflictDamageFXData['Vmk_g_27kata_new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#gladius
Damage.InflictDamageFXData['Vmk_g_28new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#maza
Damage.InflictDamageFXData['Vmk_g_01_new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#elfsword
Damage.InflictDamageFXData['Vmk_g_32_5_3new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#maza2
Damage.InflictDamageFXData['Vmk_g_21_6_s8new']=(250.0, 0.7, 20, 200, 0, 2.0, None, 1.0, 1.0)
#hooksword
Damage.InflictDamageFXData['Vmk_g_s22low_new']=(250.0, 0.7, 20, 200, 0, 2.0, None, 1.0, 1.0)
#espadacurva
Damage.InflictDamageFXData['Vmk_g_sb25_new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#dagesse
Damage.InflictDamageFXData['Vmk_g_s19_new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#cimitarra
Damage.InflictDamageFXData['Vmk_g_18_11_22_new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#maza3
Damage.InflictDamageFXData['Vmk_g_b32kata_new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#doublesword
Damage.InflictDamageFXData['Vmk_g_22kata_23_new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#espadafilo
Damage.InflictDamageFXData['Vmk_g_09_07_s6low_new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)
#espada
Damage.InflictDamageFXData['Vmk_g_29_3new']=(250.0, 0.7, 20, 20, 200, 2.0, None, 1.0, 1.0)



Damage.AnimationData['Vmk_g_08_new']=  1.0
Damage.AnimationData['Vmk_g_01_7_new']=   1.5
Damage.AnimationData['Vmk_g_07_new']=  1.0
Damage.AnimationData['Vmk_g_s3_new']=   2.8
Damage.AnimationData['Vmk_g_12_new']=  1.0
Damage.AnimationData['Vmk_g_02_new']=   2.0
Damage.AnimationData['Vmk_g_b06_new']=  1.0
Damage.AnimationData['Vmk_g_19_bs1_new']=   2.3
Damage.AnimationData['Vmk_g_01low_new']=  1.0
Damage.AnimationData['Vmk_g_22lowkata_new']=   2.5

#gladius
Damage.AnimationData['Vmk_g_28new']=   7.5
#maza
Damage.AnimationData['Vmk_g_01_new']=   13.0
#espadaromana
Damage.AnimationData['Vmk_g_27kata_new']=   10.0
#elfsword
Damage.AnimationData['Vmk_g_32_5_3new']=   8.5
#maza2
Damage.AnimationData['Vmk_g_21_6_s8new']=   9.0
#hooksword
Damage.AnimationData['Vmk_g_s22low_new']=   9.0
#espadacurva
Damage.AnimationData['Vmk_g_sb25_new']=   10.0
#dagesse
Damage.AnimationData['Vmk_g_s19_new']=   11.0
#cimitarra
Damage.AnimationData['Vmk_g_18_11_22_new']=  10.0
#maza3
Damage.AnimationData['Vmk_g_b32kata_new']=  10.0
#doublesword
Damage.AnimationData['Vmk_g_22kata_23_new']=  8.0
#espadafilo
Damage.AnimationData['Vmk_g_09_07_s6low_new']=  9.0
#espada
Damage.AnimationData['Vmk_g_29_3new']=   9.0
#queensword
Damage.AnimationData['Vmk_g_06lowkata_new']=   7.5
#icesword
Damage.AnimationData['Vmk_g_12_7_s1new']=   70.0
#firesword
Damage.AnimationData['Vmk_g_s28kata_new']=   30.0

Damage.AnimationData['Vmk_g_3s9_6new']=  3.5
Damage.AnimationData['Vmk_g_back']=   1.8
Damage.AnimationData['Vmk_g_bad_axe']=   1.6
Damage.AnimationData['Vmk_g_bad_sword']=   1.0
Damage.AnimationData['Vmk_g_bad_sword2']=   1.3
Damage.AnimationData['Vmk_g_bad_sword3']=   1.5
Damage.AnimationData['Vmk_g_bad_spear']=   1.9
Damage.AnimationData['Vmk_g_bad_spear2']=   1.9

Damage.AnimationData['Vmk_g_punch1']=   1.2
Damage.AnimationData['Vmk_g_punch2']=   1.2
Damage.AnimationData['Vmk_g_kick']=   1.2

Damage.AnimationData['Vmk_g_d_r']=   1.2
Damage.AnimationData['Vmk_g_d_l']=   1.2

Damage.AnimationData['Vmk_g_magic']=   37.5
Damage.AnimationData['Vmk_g_magic2']=  21.0
Damage.AnimationData['Vmk_g_08']=   1.0
Damage.AnimationData['Vmk_g_06']=   1.3
Damage.AnimationData['Vmk_g_02']=   1.2
Damage.AnimationData['Vmk_g_07']=   1.3
Damage.AnimationData['Vmk_g_05']=   1.2