import Bladex
import Basic_Funcs
import GameStateAux
import Reference
import Damage
import Actions
import B3DLib
import Enm_Def
import BUIx
import AuxFuncs
import Reference
import GenFX
import CharStats
import AniSound
import netgame
import MenuText


import AllyNPCTypes



TRUE = 1==1
FALSE = not TRUE



def GetMySelectedEnemy(entity):
	per=Bladex.GetEntity(entity)
	if per.Data.selected_enemy:
		ene=Bladex.GetEntity(per.Data.selected_enemy[0])
		if ene and ene.Person:
			return ene
		return None	
	return None	



stime3=-2

def IntermediateSelect(EntityName):
	MySelectEnemy()


def MySelectEnemy():
	global stime3
	time=Bladex.GetTime()
	if(time-stime3>0.1):
		import Select
		pj=Bladex.GetEntity("Player1")
		if pj.InvRight=="" and pj.InvRightBack<>"" and Reference.GiveObjectFlag(pj.InvRightBack)<>Reference.OBJ_QUIVER:
			if pj.AnmEndedFunc==IntermediateSelect:
				pj.AnmEndedFunc= None
			Actions.StdToggleWeapons("Player1")
			pj.AnmEndedFunc=IntermediateSelect
			return
		if(pj.Data.enemy_locked):
			Select.SelectNextEnemy(pj)
		else:
			Select.GetVisibleEnemies(pj)
			if(pj.Data.selected_enemy):
				pj.Data.enemy_locked=1
		stime3=time
		if pj.Data.selected_enemy:
			ene=Bladex.GetEntity(pj.Data.selected_enemy[0])
			if ene and ene.Person:
				if not CheckIfAlly(ene.Name):
					return
				pj.SetActiveEnemy(ene)


def CheckIfAlly (EntityName):
	me=Bladex.GetEntity(EntityName)
	if me:				
		try:
	           enemyName=me.Data.EnemyName
	           return FALSE                  
	        except AttributeError:  
	 	   return TRUE


def AmIRelaxing(entity):
	per=Bladex.GetEntity(entity)
	if per.AnimName[:3] == "rlx" or per.AnimName[:3] == "Rlx":
		return 1
	return 0




# Dropping Bows 8/)
	
def TryDropLeftBow (EntityName):
	me = Bladex.GetEntity(EntityName)
	statL=Actions.StatL(me.Name)
	statR=Actions.StatR(me.Name)
	if statL == Actions.LA_BOW:
		print "Bow in left hand - try drop"
		inv=me.GetInventory()
		if me.InvRight and Reference.GiveObjectFlag(me.InvRight)==Reference.OBJ_ARROW:
			Actions.SheatheArrow(inv, me.InvRight)
		object = Bladex.GetEntity(me.InvLeft)
		object.ExcludeHitFor(me)
		me.AddAnmEventFunc("DropLeftEvent",Actions.DropReleaseEventHandler)
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.0,me.LaunchAnmType,("drp_l",))
		return TRUE
		print"I have dropped a bow"
	elif statL <> Actions.LA_NO_WEAPON:
		object = Bladex.GetEntity(me.InvLeft)
		if Actions.IsValidForDropping (object.Name):
			object.ExcludeHitFor(me)
			me.AddAnmEventFunc("DropLeftEvent",Actions.DropReleaseEventHandler)
			me.LaunchAnmType("drp_l")
			return TRUE
			print"dropping Shield?"
		else:
			ReportMsg ("Cannot be dropped")
	else:
		return FALSE


	
def CheckDropBow(EntityName):
	me = Bladex.GetEntity(EntityName)
	throw_pressed = Bladex.GetTimeActionHeld ("Throw")
	if not throw_pressed:
		return
	TryDropLeftBow (EntityName)
	

def CallHelp(EntityName):	
	char=Bladex.GetEntity("Player1")
	char.Data.CallHelp("Player1")
	
	

	
	

def RemapKeys():
	import acts
	import Actions
	import DefaultSelectionData
	Bladex.AddBoundFunc("Select Enemy",acts.DefArgWrapper ("Player1",CallHelp))
	Bladex.RemoveBoundFunc("Select Enemy",DefaultSelectionData.SelectEnemy)
	MySelectEnemyFunc=MySelectEnemy
	Bladex.AddBoundFunc("Select Enemy",MySelectEnemyFunc)
	Bladex.AddBoundFunc("Throw Left",acts.DefArgWrapper ("Player1", CheckDropBow))
	Bladex.AddBoundFunc("Block",acts.DefArgWrapper ("Player1", CheckDropBow))
	Bladex.RemoveBoundFunc("Throw Left",Actions.TestThrowLeft)
	Bladex.RemoveBoundFunc("Block",Actions.TestThrowLeft)	
	Bladex.AddBoundFunc("LaunchTravel",ExecTravelBook)
	Bladex.RemoveBoundFunc("LaunchTravel",acts.ExecTravelBookNP)
	UpdateWeaponDamage()
	print "Remapped Keys"





		
class GladiatorTravelBook(BUIx.B_RectWidget):
	def __init__(self,Parent,Menudesc,StackMenu,VertPos=0):
		import Language
		import Raster
		self.index = 1
		self.images = []
		self.vidw = 1
		self.vidh = 1
		char = Bladex.GetEntity("Player1")
		Raster.UnifyRenderBuffers()
		self.AddImage("..\\..\\Data\\TB\\" + Language.Current + "\\" + char.Kind + "\\plantillaspecials.jpg")
		self.AddImage("..\\..\\Data\\TB\\" + Language.Current + "\\" + char.Kind + "\\plantillaweapons.jpg")
		self.AddImage("..\\..\\Data\\TB\\" + Language.Current + "\\" + char.Kind + "\\plantillahabilities.jpg")
		self.AddImage("..\\..\\Data\\TB\\" + Language.Current +"\\Items\\plantillaGitems.jpg")
		
		BUIx.B_RectWidget.__init__(self,Parent,Menudesc["Name"],self.vidw,self.vidh)
		self.Selected=0
		self.Solid=0
		self.Border=0
		self.SetDrawFunc(self.Draw)
		self.SndCorreGema=Bladex.CreateSound("..\\..\\Sounds\\golpe-2.wav","Chanje")
		self.SndCorreGema.Volume=0.5
		self.SndCorreGema.MinDistance=1000000.0
		self.SndCorreGema.MaxDistance=2000000


	def AddImage(self, file):
		import BBLib
		image = BBLib.B_BitMap24()
		image.ReadFromFile(file)
		self.images.append(image)


	def Draw(self,x,y,time):
		import Menu
		import Raster
		char = Bladex.GetEntity("Player1")
		x,y = Raster.GetSize()
		Raster.SetPosition((x - 640)/2, (y - 480)/2)
		if self.index < 0:
			self.index = len(self.images) - 1
		if self.index > len(self.images) - 1:
			self.index = 0
		Raster.DrawImage(640,480,"BGR","Normal",self.images[self.index].GetData())
		self.DefDraw(x,y,time)

	def FinalRelease(self):
		BUIx.B_RectWidget.FinalRelease(self)

	def AcceptsFocus(self):
		return 1

	def IncMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index + 1

	def DecMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index - 1

	def GetFocus(self):
	    return self

	def ActivateItem(self,activate):
		import Menu
		Menu.ActivateMenu()


def ExecTravelBook():
	print("travel book activated")
	import Menu
	import GameText
	import Scorer
	import acts
	GameText.AbortText()
	if not Menu.MENU_PREACTIVATED:
		try:
			Menu.TB_ACTIVATED=1
		except:
			pass
		Menu.MENU_PREACTIVATED = 1
		pepote = Menu.Desc1
		Menu.Desc1={"Name":"TopMenu","FrameKind":GladiatorTravelBook,"ListDescr":[{"Name":"Back","Kind":GladiatorTravelBook}]}
		Menu.ActivateMenu()
		Menu.Desc1 = pepote
		Scorer.HideTBS()
		for kn in acts.GetKeyList("Turn Left"):
			if kn!="Left":
				Bladex.AssocKey("Menu Dec","Keyboard",kn)
		for kn in acts.GetKeyList("Turn Right"):
			if kn!="Right":
				Bladex.AssocKey("Menu Inc","Keyboard",kn)
	
				
				
				
def SignOn(EntityName):
	char=Bladex.GetEntity("Player1")
	char.Data.AddAlly(EntityName)
	

def SignOff(EntityName):
	char=Bladex.GetEntity("Player1")
	try:
		char.Data.RemoveAlly(EntityName)
	except:
		pass
	
## Valkyries only

def PutOnHelmet(ObjectName,use_from):
	obj=Bladex.GetEntity(ObjectName)
	me=Bladex.GetEntity("Player1")
	Data=me.Data
	if not Data:
		return
	if not me.Kind=="Valkyrie_A":
		Actions.ReportMsg("I cannot wear this helmet")
		return
	if me.MeshName=="Valkyrie_A":
		if not obj.Kind != "Helm28":
			Actions.ReportMsg("This helmet will not fit me")
			return
	if me.MeshName=="Valkyrie_C":
		if not obj.Kind != "Helm29":##########
			Actions.ReportMsg("This helmet will not fit me")
			return
	if me.MeshName=="Valkyrie_E":
		if not obj.Kind != "Helm30":#############
			Actions.ReportMsg("This helmet will not fit me")
			return
		
		
 	if Data.ProtectionLevel==1:
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.5, AuxFuncs.FadeTo, (0.5, 0.5))
		Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, TakeHelmet1, (ObjectName,))
	else:
		Actions.ReportMsg("I already have a helmet")
	
	
	
def TakeHelmet1(ObjectName):
	me=Bladex.GetEntity("Player1")
	Data=me.Data
	obj=Bladex.GetEntity(ObjectName)
	sound=Bladex.CreateSound("..\\..\\Sounds\\cambio-armadura2.wav",ObjectName+"SoundNewHelmet1")
	sound.Volume=0.6
	sound.MinDistance=10000
	sound.MaxDistance=20000
	sound.PlayStereo()

	right= me.InvRight
	left= me.InvLeft
	rightback= me.InvRightBack
	leftback= me.InvLeftBack
	inv= me.GetInventory()
	inv.LinkRightHand ("")
	inv.LinkLeftHand ("")
	inv.LinkBack("")
	Data.UnlinkAll ("Player1", "")  # Dettatch arrows
	me.ResetWounds()
	if obj.Kind=="Helm28":
		me.SetMesh("Valkyrie_B")
		Data.ProtectionLevel=2
	if obj.Kind=="Helm29":
		me.SetMesh("Valkyrie_D")
		Data.ProtectionLevel=2
	if obj.Kind=="Helm30":
		me.SetMesh("Valkyrie_F")
		Data.ProtectionLevel=2
	if rightback:
		inv.LinkRightHand (rightback)
		inv.LinkRightBack(rightback)
	if leftback:
		inv.LinkLeftHand (leftback)
		inv.LinkLeftBack(leftback)
	if right:
		inv.LinkRightHand (right)
	if left:
		inv.LinkLeftHand (left)
	obj.SubscribeToList("Pin")
	# to fix bug with taking objects later.....
	me=Bladex.GetEntity("Player1")
	if me: 
		me.AnmEndedFunc("Player1")
	else: 
		pass
	return
	
	
def GiveWeaponType(entity):
	per=Bladex.GetEntity(entity)
	inv = per.GetInventory()
	rwp=per.InvRight
	if rwp:
		wpflag=Reference.GiveObjectFlag(rwp)
		if wpflag==Reference.OBJ_STANDARD:
			return W_FLAG_1H
	for x in range(inv.nWeapons):
		weapon_name = inv.GetWeapon(x)
		wp = Bladex.GetEntity(weapon_name)
		if wp:
			if Reference.EntitiesObjectData.has_key(weapon_name):
				object_data = Reference.EntitiesObjectData[weapon_name]
			else:
				object_data = Reference.DefaultObjectData[wp.Kind]
			
			if not object_data[0]==Reference.OBJ_BOW:
				return object_data[5][0]
				break
		else:
			return None
			

	
########################################################################################################################################################

def PlayerDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	pj = Bladex.GetEntity(VictimName)
	
	
	
	
	if DamageZone==Reference.BODY_HEAD:
		if pj.Data.ProtectionLevel>1:
			print "Hahaha. I have got my helmet on"
			return
	if AttackerName:
		print "I have been hit by ",AttackerName
		attacker=Bladex.GetEntity(AttackerName)
		if attacker and attacker.Person: 
			if not CheckIfAlly(AttackerName):
				return
		
	Damage.CalculateDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded)
	


HighestLevel=0


def CheckHighestLevel(entityname):
	global HighestLevel
	per=Bladex.GetEntity(entityname)
	lvl=per.Level
	if lvl>HighestLevel:
		HighestLevel=lvl
		
				
	
def GetHighestLevel():
	return HighestLevel

			
				

Wepdamages={}
Wepdamages["Amazon_N"]=   [3,8,12,18,24,30,40,52,65,75,85,95 ,120,150,175,210,290,350,400,500]
Wepdamages["Barbarian_N"]=[4,8,14,20,26,35,48,60,70,75,90,110,130,160,200,260,320,360,450,600]
Wepdamages["Knight_N"]=   [3,6,12,18,25,35,48,60,70,75,85,95 ,120,145,180,220,280,350,400,520]
Wepdamages["Dwarf_N"]=    [3,8,14,18,25,30,40,55,70,75,90,110,140,160,190,220,250,320,420,550]
Wepdamages["Valkyrie_A"]= [4,6,10,16,24,32,45,55,65,72,80,95,120,135,160,200,280,340,400,500]
Wepdamages["Nasher_A"]=   [4,6,10,18,25,35,45,55,65,75,90,110,140,165,200,260,320,360,450,600]



Wepdef={}
Wepdef["Amazon_N"]=   [0,-5,-10,-15,-20,-25,-30,-35,-40,-45,-50,-55,-60,-65,-70,-75,-80,-85,-90]
Wepdef["Barbarian_N"]=[0,-5,-10,-15,-20,-25,-30,-35,-40,-45,-50,-55,-60,-65,-70,-75,-80,-85,-90]
Wepdef["Knight_N"]=   [0,-5,-10,-15,-20,-25,-30,-35,-40,-45,-50,-55,-60,-65,-70,-75,-80,-85,-90]
Wepdef["Dwarf_N"]=    [0,-5,-10,-15,-20,-25,-30,-35,-40,-45,-50,-55,-60,-65,-70,-75,-80,-85,-90]
Wepdef["Valkyrie_A"]= [0,-5,-10,-15,-20,-25,-30,-35,-40,-45,-50,-55,-60,-65,-70,-75,-80,-85,-90]
Wepdef["Nasher_A"]=   [0,-5,-10,-15,-20,-25,-30,-35,-40,-45,-50,-55,-60,-65,-70,-75,-80,-85,-90]



def UpdateWeaponDamage():
	print "Player1 Levelup> "
	global Wepdamages
	global Wepdef
	char = Bladex.GetEntity("Player1")
	CheckHighestLevel("Player1")
	inv = char.GetInventory()
	race=char.Kind
	charlvl=char.Level
	realvl=charlvl+1
	extradam=realvl*2
	
	if charlvl>19:
		damagefactor=600
		defensefactor=-120
	else:
		damages=Wepdamages[race]
		damagefactor=damages[charlvl]
		defenses=Wepdef[race]
		defensefactor=defenses[charlvl]
	for x in range(inv.nWeapons):
		weapon_name = inv.GetWeapon(x)
		wp=Bladex.GetEntity(weapon_name)
		if weapon_name=="StartWP":
			Reference.EntitiesObjectData["StartWP"]=Reference.DefaultObjectData[wp.Kind]
			Reference.EntitiesObjectData["StartWP"][1]=damagefactor
			Reference.EntitiesObjectData["StartWP"][2]=defensefactor
			Reference.EntitiesObjectData["StartWP"].append(['Electric',+extradam])
			print "Player Start Weapon Upgraded"
			break
				

new_combo_sound = Bladex.CreateSound('..\\..\\Sounds\\sesgado-lava.wav', 'NewComboSound')
new_combo_sound.Volume=1.0
new_combo_sound.MinDistance=5000
new_combo_sound.MaxDistance=20000	





	
########################################################################################################################################################

class Player (Basic_Funcs.PlayerPerson):

	LevelupFunc=None
	AllyList=[]
	Helpcalled=0
	ProtectionLevel=1
	RespawnActive=0
	DeathFunc=None
	DeathArgs=("Player1",)
	
	def __init__(self, me):
		Basic_Funcs.PlayerPerson.__init__(self, me)
		
		self.AllyList=[]
		self.Helpcalled=0
		self.ProtectionLevel=1
		self.RespawnActive=0
		self.DeathFunc=None
		self.DeathArgs=("Player1",)
		
		me.DamageFunc=PlayerDamage
		me.ImDeadFunc=self.NewImDeadFunc
		
		
		
		
		
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		
		kind=me.Kind[:len(me.Kind)-2]
		if kind=="Barbarian":
			AniSound.AsignarSonidosBarbaro(EntityName)
		elif kind=="Knight":
			AniSound.AsignarSonidosCaballero(EntityName)
		elif kind=="Dwarf":
			AniSound.AsignarSonidosEnano(EntityName)
		elif kind=="Amazon":
			AniSound.AsignarSonidosAmazona(EntityName)
			
		
		
	
	def NewImDeadFunc(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		
		if self.RespawnActive:
			print "Respawning Player"
			me.AnmEndedFunc= self.ReSpawn
			me.CastShadows=1
			return
		if self.DeathFunc:
			apply(self.DeathFunc,self.DeathArgs)
			nents= Bladex.nEntities()
			for i in range(nents):
				ent= Bladex.GetEntity(i)
				if (ent.Person):
					if ent.Life>0:
						try:
							if ent.Data.NameOfEnemy==EntityName: 
								ent.ResetChase()
						except:
							pass
		else:
			Basic_Funcs.PlayerPerson.PCImDead(self,EntityName)
			
		
							
		
	def OnKilledEnemy(self,KilledEntityName):
		Reference.debugprint("OnKilledEnemy")
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			print "OnKilledEnemy(): Error: None Entity"
			return
		if not CheckIfAlly(KilledEntityName):
			print "No Killing Allies to get the XP!!!"
			return
		me=Bladex.GetEntity(self.Name)
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)
		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
		import Scorer
		if me.PartialLevel>=LevelLimit:
			while me.PartialLevel>=LevelLimit:
				me.PartialLevel=me.PartialLevel-LevelLimit
				me.Level=me.Level+1
				LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
			Scorer.LevelUp()
			Scorer.SetLevelLimits(0,CharStats.GetCharExperienceCost(me.CharType,me.Level))
			maxlevel=CharStats.GetMaxLevel()
			maxsize=50+(140/maxlevel)*me.Level # 50->190
			maxPPS=120+(600/maxlevel)*me.Level # 120->720
			maxint=0.5+(4.5/maxlevel)*me.Level # 0.5->5.0
			AuraParams=(5, 0, 1, 0, 0, 1)
			AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
			AuraVar1Args=(5, maxsize, 0, 1, 0.5)
			AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
			PSParams=(self.LevelUpParticleData, "LevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
			GenFX.LevelUpFX("Player1", 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15, "..\\..\\Sounds\\aparicion-escudo.wav")
				
			# Restore state of the player.
			if me.Life >0: # If an enemy death by poison or trowed weapons and.. You are death!
				me.ResetWounds()
				me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
			Scorer.SlideTBS(0)
			Scorer.LevelUpFlash()
			if self.LevelupFunc:
				apply(self.LevelupFunc)
		if netgame.GetNetState() == 0:
			Scorer.SetLevelBarValue(me.PartialLevel)


		
		

	def AddAlly(self, AllyName):
		self.AllyList.append(AllyName)
		
		
		
	def RemoveAlly(self, AllyName):
		if AllyName in self.AllyList:
			self.AllyList.remove(AllyName)
			
		
		
	def GetMySelectedEnemy(self,EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.selected_enemy:
			ene=Bladex.GetEntity(me.selected_enemy[0])
			if ene and ene.Person:
				return ene
			return None	
		return None	
	
	
	def ResetHelpcalled(self):
		self.Helpcalled=0
		
		
	def CallHelp(self,EntityName):
		if self.Helpcalled==1:
			return
		self.Helpcalled=1
		me = Bladex.GetEntity(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,self.CallHelp2,(EntityName,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0, self.ResetHelpcalled,())
		
		
		
	def CallHelp2(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0, self.ResetHelpcalled,())
		if len(self.AllyList)==0:
			return
		for id in self.AllyList:
			buddy=Bladex.GetEntity(id)
			if buddy.Life>0 and AmIRelaxing(buddy.Name):
				if buddy.Data.Asleep:
					buddy.Data.WakeMeUp(buddy.Name)
				buddy.SetOnFloor() 
				myname=buddy.Name
				dist=B3DLib.GetXZDistance('Player1', buddy.Name)
				if buddy.Data.OnGuard:
					if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
						if not buddy.InCombat:
							print buddy.Name," regroup"
							buddy.Data.GoBackToPost(buddy.Name)
				else:
					if dist>30000 and dist <80000 and not buddy.CanISee(me) and not buddy.InCombat and buddy.Data.Combatant:
						if me.ActiveEnemy:
							buddy.GoToJogging=1
						else:
							buddy.GoToJogging=0
						x,y,z=me.Rel2AbsPoint(0,-1000,0)# 1 metres in front
						if buddy.AstarState<>Enm_Def.ASTAR_SOLVED:
							buddy.GoTo(x,y,z)
		   					#print "Going to help: ",myname
						else:
							Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   					#print "Turning to far away Player1 ",myname
		   			
		   			else:
		   				if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
		   					if me.ActiveEnemy:
		   						ene=GetMySelectedEnemy(EntityName)
								if ene and ene.Person:
		   							Actions.TurnToFaceEntity(buddy.Name,ene.Name)
		   							#print "Turning to Player opponent ",ene.Name,myname	
		   					else:
		   						Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   						#print "Turning to Player1 ",myname					
						
						
						
	def CheckForNearbyEnemy(self,AllyName, EntityName):
		#print "Checking for nearby enemies"
		buddy= Bladex.GetEntity(AllyName)
		me = Bladex.GetEntity(EntityName)
		pjp=buddy.Position	
		enes=Bladex.GetEntitiesAt(pjp[0],pjp[1],pjp[2],20000)
		for i in enes:
			possene= Bladex.GetEntity(i)
			if possene.Person:			
				if possene.Life>0 and possene.Name!=buddy.Name and possene.Name!="Player1" and CheckIfAlly(possene.Name) and me.CanISee(possene):
					Actions.TurnToFaceEntity(buddy.Name, possene.Name)
					#print "Enemy found near: ",buddy.Name,possene.Name
					return 1	
		return 0
							
			
			
			
	
	
	def __getstate__(self):	
		PlayerPerson_state=Basic_Funcs.PlayerPerson.__getstate__(self)
		if(PlayerPerson_state[0]!=1):
			return PlayerPerson_state
		PlayerPerson_state[1]["Player"]=(self.AllyList, 
		                                 self.Helpcalled,
		                                 self.ProtectionLevel,
					         self.RespawnActive,   
		                                 GameStateAux.SaveFunctionAux(self.LevelupFunc),
		                                 GameStateAux.SaveFunctionAux(self.DeathFunc),
						 self.DeathArgs)
		return PlayerPerson_state
	
	def __setstate__(self,parm):
		Basic_Funcs.PlayerPerson.__setstate__(self,parm)
		me=Bladex.GetEntity(self.Name)
		version=parm[0]
		if version==1:
			parms=parm[1]["Player"]
			self.AllyList= parms[0]
			self.Helpcalled= parms[1]
			self.ProtectionLevel= parms[2]
			self.RespawnActive= parms[3]   
			GameStateAux.LoadFunctionAux(parms[4],self,"LevelupFunc")
			GameStateAux.LoadFunctionAux(parms[5],self,"DeathFunc")
			self.DeathArgs= parms[6] 
			me.DamageFunc=PlayerDamage
			me.ImDeadFunc=self.NewImDeadFunc  