####################################################################################

global ModName
global ModDesc
global ModVersion
global ModAuthor
global ModAuthorInfo
global NewFiles
global RepFiles
global MakeDirs

####################################################################################
# Mod Info
####################################################################################

# Mod Name
ModName          = "ProsperoArena1"
# Mod Description
import Language
if Language.Current == 'Spanish':
	ModDesc = (
		"""Demo Map for testing new enemy characters."""
		)
else:
	ModDesc = (
		"""Demo Map for testing new enemy characters."""
		)

# Mod Version
ModVersion       = "1.1"
# Author name
ModAuthor        = "ProsperoProductions"
# Author info: email, url,...
ModAuthorInfo    = "peterrobinsonfineart@btinternet.com"

####################################################################################
# Mod Data
####################################################################################

# Make new directories

MakeDirs = ['../ProsperoArena1', 
	    '../ProsperoArena1/NUFiles',
	    '../ProsperoArena1/NUFiles/NUAmazon_BStuff',
	    '../ProsperoArena1/NUFiles/IrlichDwarfStuff',
	    '../ProsperoArena1/NUFiles/NUGhoulStuff',
	    '../ProsperoArena1/NUFiles/NUNWNGolemStuff',
	    '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff',
	    '../ProsperoArena1/NUFiles/VMBlackKnightStuff']
          

# New Files added by Mod and destination directory


NewFiles[0]      = {'File': 'pj.py'                                       ,	'Dest': '../ProsperoArena1'}
NewFiles[1]      = {'File': 'DefFuncs.py'                                 ,	'Dest': '../ProsperoArena1'}
NewFiles[2]      = {'File': 'cfg.py'                                      ,	'Dest': '../ProsperoArena1'}
NewFiles[3]      = {'File': 'ProsperoArena1.lvl'                          ,     'Dest': '../ProsperoArena1'}
NewFiles[4]      = {'File': 'Blade_progress.jpg'                          ,     'Dest': '../ProsperoArena1'}
NewFiles[5]      = {'File': 'prosperoarena1.bw'                           ,     'Dest': '../ProsperoArena1'}
NewFiles[6]      = {'File': 'pro1objs.mmp'                                ,     'Dest': '../ProsperoArena1'}
NewFiles[7]      = {'File': 'exttex.mmp'                                  ,     'Dest': '../ProsperoArena1'}
NewFiles[8]      = {'File': 'TextureMaterials.py'                              ,      'Dest': '../ProsperoArena1'}
NewFiles[9]      = {'File': 'agua.py'                                          ,      'Dest': '../ProsperoArena1'}
NewFiles[10]     = {'File': 'enemigos.py'                                      ,      'Dest': '../ProsperoArena1'}
NewFiles[11]     = {'File': 'TriggerSector.py'                                 ,      'Dest': '../ProsperoArena1'}
NewFiles[12]     = {'File': 'objs.py'                                          ,      'Dest': '../ProsperoArena1'}
NewFiles[13]     = {'File': 'Armour.py'                                        ,      'Dest': '../ProsperoArena1'}
NewFiles[14]     = {'File': 'MusicEvents.py'                                   ,      'Dest': '../ProsperoArena1'}
NewFiles[15]     = {'File': 'ProsperoArena1Menu/ProsperoArena1Menu.py'         ,      'Dest': '../../Scripts'}
NewFiles[16]     = {'File': 'ProsperoArena1Menu/ProsperoArena1Menu.bmp'        ,      'Dest': '../ProsperoArena1'}
NewFiles[17]     = {'File': 'shoot.bmp'                                  ,      'Dest': '../ProsperoArena1'}
NewFiles[18]     = {'File': 'gladobjs.py'                                ,      'Dest': '../ProsperoArena1'}
NewFiles[19]     = {'File': 'ProsperoArena1.glad'                        ,      'Dest': '../ProsperoArena1'}
NewFiles[20]     = {'File': 'ActorsInit.py'                              ,	'Dest': '../ProsperoArena1'}
NewFiles[21]     = {'File': 'Tr.py'                                      ,	'Dest': '../ProsperoArena1'}
NewFiles[22]     = {'File': 'InitNewChars.py'                            ,      'Dest': '../ProsperoArena1'}
NewFiles[23]     = {'File': 'PlayerTypes.py'                             ,      'Dest': '../ProsperoArena1'}
NewFiles[24]     = {'File': 'counter.py'                                 ,      'Dest': '../ProsperoArena1'}
NewFiles[25]     = {'File': 'obj_def.py'                                 ,      'Dest': '../ProsperoArena1'}
NewFiles[26]     = {'File': 'NPCStats.py'                                ,      'Dest': '../ProsperoArena1'}
NewFiles[27]     = {'File': 'Holes.py'                                   ,      'Dest': '../ProsperoArena1'}
NewFiles[28]     = {'File': 'NUFiles/AllyNPCTypes.py'                              ,      'Dest': '../ProsperoArena1/NUFiles'}
NewFiles[29]     = {'File': 'NUFiles/EnemyNPCTypes.py'                             ,      'Dest': '../ProsperoArena1/NUFiles'}
NewFiles[30]     = {'File': 'NUFiles/NUAmazon_BStuff/Amazon_BData.py'            ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[31]     = {'File': 'NUFiles/NUAmazon_BStuff/Amazon_BAnm_def.py'         ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[32]     = {'File': 'NUFiles/NUAmazon_BStuff/Amazon_BAnimationSet.py'    ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[33]     = {'File': 'NUFiles/NUAmazon_BStuff/Amazon_BAnm_def_FX.py'      ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[34]     = {'File': 'NUFiles/NUAmazon_BStuff/Amazon_BBAct.py'            ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[35]     = {'File': 'NUFiles/NUAmazon_BStuff/Amazon_BCombos.py'          ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[36]     = {'File': 'NUFiles/NUAmazon_BStuff/Amazon_BComboFX.py'         ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[37]     = {'File': 'NUFiles/NUAmazon_BStuff/Amazon_BStats.py'           ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[38]     = {'File': 'NUFiles/NUAmazon_BStuff/Amazon_BTypes.py'           ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[39]     = {'File': 'NUFiles/NUAmazon_BStuff/AnmFactAmazon_B.py'         ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[40]     = {'File': 'NUFiles/NUAmazon_BStuff/AniSoundAmzB.py'            ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[41]     = {'File': 'NUFiles/NUAmazon_BStuff/AniSoundAmzBX.py'           ,      'Dest': '../ProsperoArena1/NUFiles/NUAmazon_BStuff'}
NewFiles[42]     = {'File': 'NUFiles/IrlichDwarfStuff/IrDwarfData.py'             ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[43]     = {'File': 'NUFiles/IrlichDwarfStuff/IrDwarfBAct.py'             ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[44]     = {'File': 'NUFiles/IrlichDwarfStuff/IrDwarfAnimationSet.py'     ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[45]     = {'File': 'NUFiles/IrlichDwarfStuff/IrDwarfCombos.py'           ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[46]     = {'File': 'NUFiles/IrlichDwarfStuff/IrDwarfStats.py'            ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[47]     = {'File': 'NUFiles/IrlichDwarfStuff/AnmFactIrDwarf.py'          ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[48]     = {'File': 'NUFiles/IrlichDwarfStuff/IrDwarfAnm_def.py'          ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[49]     = {'File': 'NUFiles/IrlichDwarfStuff/AniSoundIrDwarf.py'         ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[50]     = {'File': 'NUFiles/IrlichDwarfStuff/AniSoundIrDwarfX.py'        ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[51]     = {'File': 'NUFiles/IrlichDwarfStuff/IrDwarfTypes.py'            ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[52]     = {'File': 'NUFiles/IrlichDwarfStuff/IrDwarf_N.mmp'              ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[53]     = {'File': 'NUFiles/IrlichDwarfStuff/IrDwarf_NIcon.bmp'          ,      'Dest': '../ProsperoArena1/NUFiles/IrlichDwarfStuff'}
NewFiles[54]     = {'File': 'NUFiles/NUGhoulStuff/GhoulData.py'             ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[55]     = {'File': 'NUFiles/NUGhoulStuff/GhoulBAct.py'             ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[56]     = {'File': 'NUFiles/NUGhoulStuff/GhoulAnimationSet.py'     ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[57]     = {'File': 'NUFiles/NUGhoulStuff/GhoulCombos.py'           ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[58]     = {'File': 'NUFiles/NUGhoulStuff/GhoulStats.py'            ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[59]     = {'File': 'NUFiles/NUGhoulStuff/AnmFactGhoul.py'          ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[60]     = {'File': 'NUFiles/NUGhoulStuff/GhoulAnm_def.py'          ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[61]     = {'File': 'NUFiles/NUGhoulStuff/AniSoundGhoul.py'         ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[62]     = {'File': 'NUFiles/NUGhoulStuff/AniSoundGhoulX.py'        ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[63]     = {'File': 'NUFiles/NUGhoulStuff/ghoul.mmp'                ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[64]     = {'File': 'NUFiles/NUGhoulStuff/GhoulIcon.bmp'            ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[65]     = {'File': 'NUFiles/NUNWNGolemStuff/RockGolemIcon.bmp'          ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[66]     = {'File': 'NUFiles/NUNWNGolemStuff/NWNgolem.mmp'               ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[67]     = {'File': 'NUFiles/NUNWNGolemStuff/RockGolemData.py'           ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[68]     = {'File': 'NUFiles/NUNWNGolemStuff/RockGolemStats.py'          ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[69]     = {'File': 'NUFiles/NUNWNGolemStuff/RockGolemAnm_def.py'        ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[70]     = {'File': 'NUFiles/NUNWNGolemStuff/RockGolemCombos.py'         ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[71]     = {'File': 'NUFiles/NUNWNGolemStuff/RockGolemAnimationSet.py'   ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[72]     = {'File': 'NUFiles/NUNWNGolemStuff/AnmFactRockGolem.py'        ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[73]     = {'File': 'NUFiles/NUNWNGolemStuff/RockGolemBAct.py'           ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[74]     = {'File': 'NUFiles/NUNWNGolemStuff/AniSoundRockGolem.py'       ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[75]     = {'File': 'NUFiles/NUNWNGolemStuff/AniSoundRockGolemX.py'      ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[76]     = {'File': 'NUFiles/NUNWNGolemStuff/JewelGolemIcon.bmp'         ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[77]     = {'File': 'NUFiles/NUNWNGolemStuff/JewelGolemData.py'          ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[78]     = {'File': 'NUFiles/NUNWNGolemStuff/JewelGolemStats.py'         ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[79]     = {'File': 'NUFiles/NUNWNGolemStuff/JewelGolemAnm_def.py'       ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[80]     = {'File': 'NUFiles/NUNWNGolemStuff/JewelGolemCombos.py'        ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[81]     = {'File': 'NUFiles/NUNWNGolemStuff/JewelGolemAnimationSet.py'  ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[82]     = {'File': 'NUFiles/NUNWNGolemStuff/AnmFactJewelGolem.py'       ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[83]     = {'File': 'NUFiles/NUNWNGolemStuff/JewelGolemBAct.py'          ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[84]     = {'File': 'NUFiles/NUNWNGolemStuff/AniSoundJewelGolem.py'      ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[85]     = {'File': 'NUFiles/NUNWNGolemStuff/AniSoundJewelGolemX.py'     ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[86]     = {'File': 'NUFiles/NUNWNGolemStuff/RuGolemIcon.bmp'         ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[87]     = {'File': 'NUFiles/NUNWNGolemStuff/EmGolemIcon.bmp'         ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[88]     = {'File': 'NUFiles/NUNWNGolemStuff/AmGolemIcon.bmp'         ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[89]     = {'File': 'NUFiles/NUNWNGolemStuff/ironwarrior.mmp'               ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[90]     = {'File': 'NUFiles/NUNWNGolemStuff/IronWarriorData.py'            ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[91]     = {'File': 'NUFiles/NUNWNGolemStuff/IronWarriorAnm_def.py'         ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[92]     = {'File': 'NUFiles/NUNWNGolemStuff/IronWarriorAnimationSet.py'    ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[93]     = {'File': 'NUFiles/NUNWNGolemStuff/IronWarriorBAct.py'            ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[94]     = {'File': 'NUFiles/NUNWNGolemStuff/AnmFactIronWarrior.py'         ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[95]     = {'File': 'NUFiles/NUNWNGolemStuff/IronWarriorStats.py'           ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[96]     = {'File': 'NUFiles/NUNWNGolemStuff/IronWarriorCombos.py'          ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[97]     = {'File': 'NUFiles/NUNWNGolemStuff/AniSoundIronWarrior.py'        ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[98]     = {'File': 'NUFiles/NUNWNGolemStuff/AniSoundIronWarriorX.py'       ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[99]     = {'File': 'NUFiles/NUNWNGolemStuff/IronWarriorIcon.bmp'           ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[100]    = {'File': 'NUFiles/NUNWNGolemStuff/IWweps.mmp'                    ,      'Dest': '../ProsperoArena1/NUFiles/NUNWNGolemStuff'}
NewFiles[101]    = {'File': 'NUFiles/NUGhoulStuff/GhoulBIcon.bmp'                   ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[102]    = {'File': 'NUFiles/NUGhoulStuff/GhoulCIcon.bmp'                   ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[103]    = {'File': 'NUFiles/NUGhoulStuff/GhoulDIcon.bmp'                   ,      'Dest': '../ProsperoArena1/NUFiles/NUGhoulStuff'}
NewFiles[104]    = {'File': 'NUFiles/NUBronzeWarriorStuff/bronzewarrior.mmp'        ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[105]    = {'File': 'NUFiles/NUBronzeWarriorStuff/BronzeWarriorIcon.bmp'    ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[106]    = {'File': 'NUFiles/NUBronzeWarriorStuff/BzwData.py'           ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[107]    = {'File': 'NUFiles/NUBronzeWarriorStuff/BzwAnm_def.py'        ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[108]    = {'File': 'NUFiles/NUBronzeWarriorStuff/BzwAnimationSet.py'   ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[109]    = {'File': 'NUFiles/NUBronzeWarriorStuff/BzwCombos.py'         ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[110]    = {'File': 'NUFiles/NUBronzeWarriorStuff/AnmFactBzw.py'        ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[111]    = {'File': 'NUFiles/NUBronzeWarriorStuff/BzwStats.py'          ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[112]    = {'File': 'NUFiles/NUBronzeWarriorStuff/AniSoundBzw.py'       ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[113]    = {'File': 'NUFiles/NUBronzeWarriorStuff/AniSoundBzwX.py'      ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[114]    = {'File': 'NUFiles/NUBronzeWarriorStuff/BzwBAct.py'           ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[115]    = {'File': 'NUFiles/NUBronzeWarriorStuff/bzweps.mmp'           ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[116]    = {'File': 'NUFiles/NUBronzeWarriorStuff/templeguard.mmp'      ,      'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}
NewFiles[117]    = {'File': 'ExtraCombos.py'                                           ,	'Dest': '../ProsperoArena1'}
NewFiles[118]    = {'File': 'NUFiles/VMBlackKnightStuff/VMblackknight.mmp'                ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[119]    = {'File': 'NUFiles/VMBlackKnightStuff/VMBlackKnightData.py'             ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[120]    = {'File': 'NUFiles/VMBlackKnightStuff/VMBlackKnightAnimationSet.py'     ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[121]    = {'File': 'NUFiles/VMBlackKnightStuff/VMBlackKnightAnm_def.py'          ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[122]    = {'File': 'NUFiles/VMBlackKnightStuff/VMBlackKnightAnm_def_FX.py'       ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[123]    = {'File': 'NUFiles/VMBlackKnightStuff/VMBlackKnightCombos.py'           ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[124]    = {'File': 'NUFiles/VMBlackKnightStuff/VMBlackKnightComboFX.py'          ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[125]    = {'File': 'NUFiles/VMBlackKnightStuff/VMBlackKnightBAct.py'             ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[126]    = {'File': 'NUFiles/VMBlackKnightStuff/VMBlackKnightStats.py'            ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[127]    = {'File': 'NUFiles/VMBlackKnightStuff/AnmFactVMBlackKnight.py'          ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[128]    = {'File': 'NUFiles/VMBlackKnightStuff/AniSoundVmk.py'                   ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[129]    = {'File': 'NUFiles/VMBlackKnightStuff/AniSoundVmkX.py'                  ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[130]    = {'File': 'NUFiles/VMBlackKnightStuff/VMBlackKnightIcon.bmp'            ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[131]    = {'File': 'NUFiles/VMBlackKnightStuff/vmkweps.mmp'                      ,      'Dest': '../ProsperoArena1/NUFiles/VMBlackKnightStuff'}
NewFiles[132]    = {'File': 'cam.py'                                              ,	'Dest': '../ProsperoArena1'}
NewFiles[133]    = {'File': 'NUFiles/WeaponTypes.py'                              ,     'Dest': '../ProsperoArena1/NUFiles'}
NewFiles[134]    = {'File': 'Blade_progress2.jpg'                                 ,     'Dest': '../ProsperoArena1'}
NewFiles[135]    = {'File': 'ProsperoArena1N.lvl'                                 ,     'Dest': '../ProsperoArena1'}
NewFiles[136]    = {'File': 'prosperoarena1N.bw'                                  ,     'Dest': '../ProsperoArena1'}
NewFiles[137]    = {'File': 'NUFiles/NUBronzeWarriorStuff/TempleGuardIcon.bmp'    ,     'Dest': '../ProsperoArena1/NUFiles/NUBronzeWarriorStuff'}












inststuff=0

if inststuff==0:
	execfile("../../BODLoader/Mods/ProsperoArena1/Installnewstuff.py")
      	instuff=1











