from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy
from CharData import CharMaxEnergyValue

import Reference

CharMaxLifeValue['IrDwarf_N']=[   120,    220,    320,    420,    620,    820,   1020,   1420,   1820,   2220,   2620,   3020,   3420,   3820,   4220,   4620,   5020,   5420,   5820,   6220]
CharDamageData['IrDwarf_N']= [     2,      3,      5,      7,      9,     11,     13,     15,     17,     19,     21,     23,     25,     27,     29,     31,     33,     35,     37,     39]
CharDefenseData['IrDwarf_N']= [     1,      4,      8,     12,     16,     20,     24,     28,     32,     36,     40,     44,     48,     52,     56,     60,     64,     68,     72,     76]
CharExperienceCost['IrDwarf_N']=[    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['IrDwarf_N']= [    40,     50,     60,    120,    240,    480,    960,   1920,   3840,   7680,  15360,  30720,  61440, 122880, 135000, 150000, 170000, 190000, 210000, 240000]
CharAccuracy['IrDwarf_N']= [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['IrDwarf_N']= {'Impale': 0.0, 'Slash': 0.0, 'Crush': 0.0, 'Fire': 0.00, 'Ice': 0.00, 'Venom': 0.0, 'Light': 0.00, 'Electric': 0.00, 'Acid': 0.00, 'Drain': 0.00}
CharMaxEnergyValue['IrDwarf_N']=  [    14,     20,     40,     80,    140,    220,    380,    540,    640,    885,   1210,   1650,   2000,   2400,   3000,   3800,   4700,   6200,   8600,  14200]

Reference.DefaultObjectData['IrDwarf_N']= [Reference.OBJ_WEAPON,   2,  0, 1.0,  Reference.THR_SPINNING, []]


import Damage

## FX ??

Damage.AnimationData['Ird_g_08']=   1.3
Damage.AnimationData['Ird_g_01']=   1.3
Damage.AnimationData['Ird_g_01low_new']=   1.4
Damage.AnimationData['Ird_g_02']=   1.3
Damage.AnimationData['Ird_g_05']=   8.0
Damage.AnimationData['Ird_g_06']=   1.3
Damage.AnimationData['Ird_g_07']=   11.0
Damage.AnimationData['Ird_g_09']=   18.0
Damage.AnimationData['Ird_g_01a']=   1.5
Damage.AnimationData['Ird_g_02a']=   1.5
Damage.AnimationData['Ird_g_05a']=   1.5
Damage.AnimationData['Ird_g_06a']=   1.5
Damage.AnimationData['Ird_g_07a']=   1.5
Damage.AnimationData['Ird_g_09a']=   1.5
Damage.AnimationData['Ird_g_18']=   9.2
Damage.AnimationData['Ird_g_15']=   6.0
Damage.AnimationData['Ird_g_14']=   4.5
Damage.AnimationData['Ird_g_13']=   10.5
Damage.AnimationData['Ird_g_16']=   7.8
Damage.AnimationData['Ird_g_11']=   8.0
Damage.AnimationData['Ird_g_12']=   9.2
Damage.AnimationData['Ird_g_17']=   35.0
Damage.AnimationData['Ird_g_21']=   9.0
Damage.AnimationData['Ird_g_22']=   20.0
Damage.AnimationData['Ird_g_23']=   2.5
Damage.AnimationData['Ird_g_26']=   1.5
Damage.AnimationData['Ird_g_27']=   1.5
Damage.AnimationData['Ird_g_31']=   8.0

Damage.AnimationData['Ird_g_back']=   1.0
Damage.AnimationData['Ird_g_s18_2h']=   1.5
Damage.AnimationData['Ird_g_32_5_3new']=   1.5
Damage.AnimationData['Ird_g_s22low_new']=   16.0
Damage.AnimationData['Ird_g_s3_new']=   12.0
Damage.AnimationData['Ird_g_27kata']=   1.0
Damage.AnimationData['Ird_g_12low']=   1.0
Damage.AnimationData['Ird_g_s11']=   1.0
Damage.AnimationData['Ird_g_06lowkata_new']=   10.0
Damage.AnimationData['Ird_g_magic']=   37.5
Damage.AnimationData['Ird_g_magic2']=   21.0

#Golpes Torpes
Damage.AnimationData['Ird_g_bad_axe']=   1.0
Damage.AnimationData['Ird_g_bad_spear']=   1.0
Damage.AnimationData['Ird_g_bad_spear2']=   1.0
Damage.AnimationData['Ird_g_bad_sword']=   1.0
Damage.AnimationData['Ird_g_bad_sword1']=   1.0
Damage.AnimationData['Ird_g_bad_sword2']=   1.0
Damage.AnimationData['Ird_g_bad_sword3']=   1.0
Damage.AnimationData['Ird_g_bad_no']=   1.0
Damage.AnimationData['Ird_g_bad_1h']=   1.0

#Ataques instantaneos
Damage.AnimationData['Ird_g_draw_rlx']=   1.0
Damage.AnimationData['Ird_g_draw_run']=   1.0

#Esquivas
Damage.AnimationData['Ird_g_d_r']=   2.0
Damage.AnimationData['Ird_g_d_l']=   2.0

#golpes sin armas
Damage.AnimationData['Ird_g_punch1']=   1.3
Damage.AnimationData['Ird_g_punch2']=   1.3
Damage.AnimationData['Ird_g_kick']=   1.3


