import Bladex
import GenFX
import netgame


# (entity_source_name, prtl_type, pps, rnd_vel, normal_vel, friction, time2live, death_time, ygravity=0):





def Amb_g_s3_newdwf_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 4, 0, 0.01, 10, 0.4)



def Amb_g_s22low_newdwf_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "DeepGreenEnergyConc", 1000, 3, 0, 0.1, 30, 1.3)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 4000, 90, 0, 0.2, 25, 0.2)



def Amb_g2h_s8_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "DeepGreenEnergyConc", 4000, 3, 0, 0.1, 30, 1.3)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 1000, 90, 0, 0.2, 25, 0.2)



def Amb_g_22kata_23_new_FX(EntityName, EventName):
	print "Destroyer FX"
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "DarkFastEnergyConc", 2000, 3, 0, 0.1, 20, 1.3)
		pos=pers.Position
		impl=Bladex.CreateEntity("MegaSurtidor", "Entity Particle System D1", pos[0],pos[1],pos[2])	
		impl.ParticleType="EnergiaBlue"
		impl.YGravity=0.0
		impl.Friction=0.0
		impl.PPS=300
		impl.Velocity=0.0, 0.0, 0.0
		impl.RandomVelocity=-30.0
		impl.Time2Live=70
		impl.DeathTime=Bladex.GetTime()+2.0
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 4000, 3, 0, 0.1, 35, 0.3)
		
		
		
# Fire Bo
def Amb_g_spear_b6_26_FX(EntityName, EventName):
	print "Fire Bo FX"
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "RedTrail", 2000, 3, 0, 0.1, 20, 1.3)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 4000, 3, 0, 0.1, 35, 0.3)



# Ice Hammer
def Amb_g_21_6_s8new_FX(EntityName, EventName):
	global ComboFX_prtlsys
	print "Ice HammerFX"
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		
		if step==1:
			ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "LittleEnergyDissip", 600, 3, 0, 0.1, 30, 1.5)
			
			
			
		#elif step==2:
		#	GenFX.ModifyParticles(ComboFX_prtlsys, 2000, 90, 0, 0.2, 25, 0.2)
		
		
		#if step==1:
		#	ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "FastEnergyConc", 600, 3, -10, 0.01, 20, 1.0)
		#elif step==2:
		#	GenFX.ModifyParticles(ComboFX_prtlsys, 1000, 90, 0, 0.2, 25, 0.2)
		


# Ice Sword
def Amb_g_12_7_s1new_FX(EntityName, EventName):
	global ComboFX_prtlsys
	print "FX"
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		if step==1:
			ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "FastEnergyConc", 1000, 3, -10, 0.01, 20, 1.0)
		elif step==2:
			GenFX.ModifyParticles(ComboFX_prtlsys, 2000, 90, 0, 0.2, 25, 0.2)
		


# Fire Sword
def Amb_g_s28kata_new_FX(EntityName, EventName):
	print "Fire Sword FX"
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "RedTrail", 2000, 3, 0, 0.1, 20, 1.3)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 4000, 3, 0, 0.1, 35, 0.3)






#"Dwf_g_31" MARTILLO3

def Amb_g_31dwf_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 3, 0, 0.1, 10, 1.2)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 3000, 3, 0, 0.1, 10, 0.4)



#"Dwf_g_18" MARTILLO2

def Amb_g_18dwf_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 2, 0, 0.01, 10, 0.4)



#"Dwf_g_21" MAZADOBLE

def Amb_g_21dwf_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 4, 0, 0.01, 10, 0.4)


#"Dwf_g_11" GARROPIN
def Amb_g_11dwf_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 2100, 2, 0, 0.01, 10, 0.4)


# FIRE Axe
def Amb_g_22dwf_FX(EntityName, EventName):
	print "Fire Axe FX"
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "RedTrail", 2000, 3, 0, 0.1, 20, 1.3)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 4000, 3, 0, 0.1, 35, 0.3)






#"Bar_g2h_earthpow" FIREBIGSWORD1
def Amb_g2h_earthpow_FX(EntityName, EventName):
	print "VolcanoFX"
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "RedTrail", 4000, 3, 0, 0.1, 30, 1.3)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 1000, 90, 0, 0.2, 25, 0.2)


# FIREBIGSWORD2
def Amb_g2h_21_2_FX(EntityName, EventName):
	print "Firestorm FX"
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "RedTrail", 2000, 3, 0, 0.1, 20, 1.3)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 5000, 3, 0, 0.1, 35, 0.3)





def Amb_g_18_11_22_new_FX(EntityName, EventName):
	global ComboFX_prtlsys
	print "Triple Attack FX"
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		ComboFX_prtlsys=GenFX.AddParticles(pers.InvRight, "GreenBlueTrail", 2500, 2, 0, 0.01, 10, 2.5)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 4000, 5, 0, 0.1, 10, 1.0)
	elif step==3:
		GenFX.ModifyParticles(ComboFX_prtlsys, 6000, 4, 0, 0.3, 10, 0.35)


def Amb_g_32_5_3new_FX(EntityName, EventName):
	global ComboFX_prtlsys
	print"Dream FX"
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		ComboFX_prtlsys=GenFX.AddParticles(pers.InvRight, "GreenBlueTrail", 1000, 2, 0, 0.01, 10, 2.5)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 4000, 5, 0, 0.1, 10, 1.0)
	elif step==3:
		GenFX.ModifyParticles(ComboFX_prtlsys, 6000, 1, 0, 0.1, 10, 0.6)
		
		
		
def Amb_g_s19_new_FX(EntityName, EventName):
	global ComboFX_prtlsys
	print"Tumblestab FX"
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		ComboFX_prtlsys=GenFX.AddParticles(pers.InvRight, "GreenBlueTrail", 3500, 5, 0, 0.03, 10, 0.8)
		
		
		
def Amb_g2h_b6low_FX(EntityName, EventName):
	global ComboFX_prtlsys
	print "FX"
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		ComboFX_prtlsys=GenFX.AddParticles(pers.InvRight, "GreenBlueTrail", 3000, 2, 0, 0.01, 10, 0.4)

		
def Amb_g2h_13_FX(EntityName, EventName):
	global ComboFX_prtlsys
	print "FX"
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 2, 0, 0.01, 10, 0.2)

		
def Amb_g2h_28_FX(EntityName, EventName):
	global ComboFX_prtlsys
	print "FX"
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 4, 0, 0.01, 10, 0.4)
	

# Ice Wand
def Amb_g_spear16_FX(EntityName, EventName):
	global ComboFX_prtlsys
	print "FX"
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		if step==1:
			ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "FastEnergyConc", 600, 3, -10, 0.01, 20, 1.0)
		elif step==2:
			GenFX.ModifyParticles(ComboFX_prtlsys, 1000, 90, 0, 0.2, 25, 0.2)
		
		

#"Amb_g_spears8" BO
def Amb_g_spears8_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 4, 0, 0.01, 10, 0.3)


#"Amb_g_spear_2katab6low" BICHERO
def Amb_g_spear_2katab6low_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 4, 0, 0.01, 10, 0.3)


#"Amb_g_spear19" LANZA
def Amb_g_spear19_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 3, 0, 0.01, 10, 0.3)


#"Amb_g_spear22" NAGINATA
def Amb_g_spear22_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 6, 0, 0.1, 10, 0.27)


#"Amb_g_spear09" TRIDENTE
def Amb_g_spear09_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 4, 0, 0.1, 10, 0.2)


#"Amb_g_spear32kata_b2" AXPEAR
def Amb_g_spear32kata_b2_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 2000, 4, 0, 0.1, 10, 1.4)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 3500, 3, 0, 0.01, 10, 0.3)


#"Amb_g_spear_kata23" DEATHBO
def Amb_g_spear_kata23_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 2000, 5, 0, 0.1, 10, 1.4)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 3500, 3, 0, 0.01, 10, 0.4)


#"Amb_g_spear13" CROSSPEAR
def Amb_g_spear13_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 6000, 4, 0, 0.1, 10, 0.35)


#"Amb_g_spear3s2" HACHACUCHILLA
def Amb_g_spear3s2_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 4000, 6, 0, 0.1, 10, 0.3)


#"Amb_g_spear_21" CRUSHBO
def Amb_g_spear_21_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 4000, 3, 0, 0.1, 10, 0.4)


#"Amb_g_spear_b29" ARPON
def Amb_g_spear_b29_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 5200, 4, 0, 0.1, 10, 0.4)


#"Amb_g_spear33" NAGINATA2
def Amb_g_spear33_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 3000, 5, 0, 0.1, 10, 1.8)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 3000, 4, 0, 0.2, 10, 0.4)


#"Amb_g_spear_sb11" LANZAANCHA
def Amb_g_spear_sb11_FX(EntityName, EventName):
	global ComboFX_prtlsys
	step=int(EventName[len(EventName)-1:])
	if step==1:
		pers=Bladex.GetEntity(EntityName)
		inv=pers.GetInventory()
		ComboFX_prtlsys=GenFX.AddParticles(inv.GetActiveWeapon(), "GreenBlueTrail", 2000, 5, 0, 0.1, 10, 1.6)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys, 4000, 3, 0, 0.01, 10, 0.6)
	elif step==3:
		GenFX.ModifyParticles(ComboFX_prtlsys, 5000, 10, 0, 0.1, 10, 0.2)



#"Amb_g_magic" BLADESWORD

def Amb_g_magic_FX(EntityName, EventName):
	global ComboFX_prtlsys1
	global ComboFX_prtlsys2
	global ComboFX_prtlsys3
	global ComboFX_prtlsys4
	step=int(EventName[len(EventName)-1:])
	pers=Bladex.GetEntity(EntityName)
	if step==1:
		ComboFX_prtlsys1=GenFX.AddParticles(pers.Name, "LittleEnergyDissip", 200, 1, 1, 0.05, 30, 2.5, -600)
	elif step==2:
		ComboFX_prtlsys2=GenFX.AddParticles(pers.InvRight, "FastEnergyConc", 600, 3, -10, 0.01, 20, 1.0)
		GenFX.ModifyParticles(ComboFX_prtlsys1, 800, 1, 1, 0.05, 30, 0.8)
	elif step==3:
		ComboFX_prtlsys3=GenFX.AddParticles(pers.InvRight, "LittleEnergyDissip", 1000, 4, 0, 0.1, 30, 2.0)
	elif step==4:
		GenFX.ModifyParticles(ComboFX_prtlsys3, 1000, 4, 0, 0.1, 20, 1.75)
	elif step==5:
		ComboFX_prtlsys4=GenFX.AddParticles(pers.InvRight, "LittleEnergyDissip", 6000, 60, 0, 0.05, 20, 0.1)

#"Amb_g_magic2" BLADESWORD

def Amb_g_magic2_FX(EntityName, EventName):
	global ComboFX_prtlsys1
	global ComboFX_prtlsys2
	step=int(EventName[len(EventName)-1:])
	pers=Bladex.GetEntity(EntityName)
	if step==1:
		ComboFX_prtlsys1=GenFX.AddParticles(pers.InvRight, "LittleEnergyDissip", 1000, 4, 0, 0.1, 30, 2.0)
	elif step==2:
		GenFX.ModifyParticles(ComboFX_prtlsys1, 1000, 4, 0, 0.1, 20, 1.75)
	elif step==3:
		ComboFX_prtlsys2=GenFX.AddParticles(pers.InvRight, "LittleEnergyDissip", 6000, 60, 0, 0.05, 20, 0.1)
		
		
def AmbCombosFX(pers_name):
	if netgame.GetNetState() == 1:
		return
	pers=Bladex.GetEntity(pers_name)
	pers.AddAnmEventFunc("Amb_g_spears8_1", Amb_g_spears8_FX)
	pers.AddAnmEventFunc("Amb_g_spear_2katab6low_1", Amb_g_spear_2katab6low_FX)
	pers.AddAnmEventFunc("Amb_g_spear19_1", Amb_g_spear19_FX)
	pers.AddAnmEventFunc("Amb_g_spear22_1", Amb_g_spear22_FX)
	pers.AddAnmEventFunc("Amb_g_spear09_1", Amb_g_spear09_FX)
	pers.AddAnmEventFunc("Amb_g_spear32kata_b2_1", Amb_g_spear32kata_b2_FX)
	pers.AddAnmEventFunc("Amb_g_spear32kata_b2_2", Amb_g_spear32kata_b2_FX)
	pers.AddAnmEventFunc("Amb_g_spear_kata23_1", Amb_g_spear_kata23_FX)
	pers.AddAnmEventFunc("Amb_g_spear_kata23_2", Amb_g_spear_kata23_FX)
	pers.AddAnmEventFunc("Amb_g_spear13_1", Amb_g_spear13_FX)
	pers.AddAnmEventFunc("Amb_g_spear3s2_1", Amb_g_spear3s2_FX)
	pers.AddAnmEventFunc("Amb_g_spear_21_1", Amb_g_spear_21_FX)
	pers.AddAnmEventFunc("Amb_g_spear_b29_1", Amb_g_spear_b29_FX)
	pers.AddAnmEventFunc("Amb_g_spear33_1", Amb_g_spear33_FX)
	pers.AddAnmEventFunc("Amb_g_spear33_2", Amb_g_spear33_FX)
	pers.AddAnmEventFunc("Amb_g_spear_sb11_1", Amb_g_spear_sb11_FX)
	pers.AddAnmEventFunc("Amb_g_spear_sb11_2", Amb_g_spear_sb11_FX)
	pers.AddAnmEventFunc("Amb_g_spear_sb11_3", Amb_g_spear_sb11_FX)
	pers.AddAnmEventFunc("Amb_g_magic_1", Amb_g_magic_FX)
	pers.AddAnmEventFunc("Amb_g_magic_2", Amb_g_magic_FX)
	pers.AddAnmEventFunc("Amb_g_magic_3", Amb_g_magic_FX)
	pers.AddAnmEventFunc("Amb_g_magic_4", Amb_g_magic_FX)
	pers.AddAnmEventFunc("Amb_g_magic_5", Amb_g_magic_FX)
	pers.AddAnmEventFunc("Amb_g_magic2_1", Amb_g_magic2_FX)
	pers.AddAnmEventFunc("Amb_g_magic2_2", Amb_g_magic2_FX)
	pers.AddAnmEventFunc("Amb_g_magic2_3", Amb_g_magic2_FX)

	pers.AddAnmEventFunc("Amb_g_18_11_22_new_1", Amb_g_18_11_22_new_FX)
	pers.AddAnmEventFunc("Amb_g_18_11_22_new_2", Amb_g_18_11_22_new_FX)
	pers.AddAnmEventFunc("Amb_g_18_11_22_new_3", Amb_g_18_11_22_new_FX)

	pers.AddAnmEventFunc("Amb_g_32_5_3new_1", Amb_g_32_5_3new_FX)
	pers.AddAnmEventFunc("Amb_g_32_5_3new_2", Amb_g_32_5_3new_FX)
	pers.AddAnmEventFunc("Amb_g_32_5_3new_3", Amb_g_32_5_3new_FX)
	
	pers.AddAnmEventFunc("Amb_g_s19_new_1", Amb_g_s19_new_FX)
	
	pers.AddAnmEventFunc("Amb_g2h_28_1", Amb_g2h_28_FX)
	
	pers.AddAnmEventFunc("Amb_g2h_b6low_1", Amb_g2h_b6low_FX)
	
	pers.AddAnmEventFunc("Amb_g2h_13_1", Amb_g2h_13_FX)
	
	pers.AddAnmEventFunc("Amb_g2h_21_2_1", Amb_g2h_21_2_FX)
	pers.AddAnmEventFunc("Amb_g2h_21_2_2", Amb_g2h_21_2_FX)
	
	pers.AddAnmEventFunc("Amb_g2h_earthpow_1", Amb_g2h_earthpow_FX)
	pers.AddAnmEventFunc("Amb_g2h_earthpow_2", Amb_g2h_earthpow_FX)
	
	
	pers.AddAnmEventFunc("Amb_g_spear16_1", Amb_g_spear16_FX)
	pers.AddAnmEventFunc("Amb_g_spear16_2", Amb_g_spear16_FX)
	
	pers.AddAnmEventFunc("Amb_g_31dwf_1", Amb_g_31dwf_FX)
	pers.AddAnmEventFunc("Amb_g_31dwf_2", Amb_g_31dwf_FX)
	
	pers.AddAnmEventFunc("Amb_g_22dwf_1", Amb_g_22dwf_FX)
	pers.AddAnmEventFunc("Amb_g_22dwf_2", Amb_g_22dwf_FX)
	
	pers.AddAnmEventFunc("Amb_g_21dwf_1", Amb_g_21dwf_FX)
	
	pers.AddAnmEventFunc("Amb_g_18dwf_1", Amb_g_18dwf_FX)
	
	pers.AddAnmEventFunc("Amb_g_11dwf_1", Amb_g_11dwf_FX)
	
	pers.AddAnmEventFunc("Amb_g_12_7_s1new_1", Amb_g_12_7_s1new_FX)
	pers.AddAnmEventFunc("Amb_g_12_7_s1new_2", Amb_g_12_7_s1new_FX)
	
	pers.AddAnmEventFunc("Amb_g_s28kata_new_1", Amb_g_s28kata_new_FX)
	pers.AddAnmEventFunc("Amb_g_s28kata_new_2", Amb_g_s28kata_new_FX)
	
	
	pers.AddAnmEventFunc("Amb_g_21_6_s8new_1", Amb_g_21_6_s8new_FX)
	pers.AddAnmEventFunc("Amb_g_21_6_s8new_2", Amb_g_21_6_s8new_FX)
	
	
	pers.AddAnmEventFunc("Amb_g_spear_b6_26_1", Amb_g_spear_b6_26_FX)
	pers.AddAnmEventFunc("Amb_g_spear_b6_26_2", Amb_g_spear_b6_26_FX)
	
	
	pers.AddAnmEventFunc("Amb_g_22kata_23_new_1", Amb_g_22kata_23_new_FX)
	pers.AddAnmEventFunc("Amb_g_22kata_23_new_2", Amb_g_22kata_23_new_FX)
	
	pers.AddAnmEventFunc("Amb_g2h_s8_1", Amb_g2h_s8_FX)
	pers.AddAnmEventFunc("Amb_g2h_s8_2", Amb_g2h_s8_FX)
	
	
	pers.AddAnmEventFunc("Amb_g_s22low_newdwf_1", Amb_g_s22low_newdwf_FX)
	pers.AddAnmEventFunc("Amb_g_s22low_newdwf_2", Amb_g_s22low_newdwf_FX)
	
	pers.AddAnmEventFunc("Amb_g_s3_newdwf_1", Amb_g_s3_newdwf_FX)
	
	print"Amb combosFX set"