
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    #######################
    #                     #
    # Amazon_B(Amazon_B   #
    #                     #
    #######################
    

  
    
    
import Amazon_BAnm_def
Amazon_BAnm_def.InitAmazon_B()    
 
    
amb=Bladex.GetCharType("Amazon_B","Amb")
amb.IntName="Amb" 

amb.TurnSpeed=3.4
amb.Jcost=27000
amb.MaxFall=5000
amb.DieFall=14000
amb.MaxStair=335
amb.Fov=math.pi
amb.MaxGrab=3500.0
amb.MedGrab=2500.0
amb.Min2Grab=1500.0    
amb.MinTake=-500.0	# Min height above floor barbarian will take
amb.MaxTake1=450.0	# Max height above floor for Take1 Anim
amb.MaxTake2=550.0	# Max height above floor for Take2 Anim
amb.MaxTake3=1300.0	# Max height above floor for Take3 Anim
amb.MaxTake4=1900.0	# Max height above floor for Take4 Anim
amb.MaxTake5=3000.0	# Max height above floor for Take5 Anim
amb.Reach=2000.0	# Max distance from bar centre to obj centre to take
amb.MovFrwdSpeedInStrafe=1300  #Forwards speed when in strafe(combat mode only)
amb.MovBkwdSpeedInStrafe=1300  #Idem backwards
amb.MaxCombatDist=20000
amb.MaxSeeDist=50000

amb.NaturalWeapons=1
amb.SetNCDSpheres(2)
amb.SetCDSphere(0,250.0,450.0)  #(numero de la espera, altura mm, radio mm)
amb.SetCDSphere(1,-240.0,450.0)  #(numero de la espera, altura mm, radio mm)

###############################################################################
#

def Amazon_BWhenFirst():
	Bladex.CreateBipedData("Amb","Amazon_B")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Amb.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Amb.dat")

	import Amazon_BAnimationSet
	Amazon_BAnimationSet.LoadAmazon_BAnimationSet("Amb")
	
	import Amazon_BBAct
	import LinkTables
	LinkTables.LinkMe("Amb")
	import Amazon_BCombos
	import AnmFactAmazon_B
	AnmFactAmazon_B.AnmFactAmazon_B()
	import Amazon_BStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Amb.dat","Amb")
		print"Saving AMB dat"
	print"New Amazon_B Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Amazon_B","Amb")
race.OnFirst=Amazon_BWhenFirst
