from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy
import Reference

CharMaxLifeValue['Amazon_B']=[    80,    180,    280,    380,    580,    780,    980,   1380,   1780,   2180,   2580,   2980,   3380,   3780,   4180,   4580,   4980,   5380,   5780,   6180]
CharDamageData['Amazon_B']=  [     1,      2,      4,      6,      8,     10,     12,     14,     16,     18,     20,     22,     24,     26,     28,     30,     32,     34,     36,     38]
CharDefenseData['Amazon_B']= [     1,      2,      4,      6,      8,     10,     12,     14,     16,     18,     20,     22,     24,     26,     28,     30,     32,     34,     36,     38]
CharExperienceCost['Amazon_B']=[    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['Amazon_B']= [    40,     50,     60,    120,    240,    480,    960,   1920,   3840,   7680,  15360,  30720,  61440, 122880, 135000, 150000, 170000, 190000, 210000, 240000]
CharAccuracy['Amazon_B']= [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['Amazon_B']= {'Impale': 0.00, 'Slash': 0.00, 'Crush': 0.00, 'Fire': 0.00, 'Ice': 0.00, 'Venom': 0.00, 'Light': 0.00, 'Electric': 0.00, 'Acid': 0.00, 'Drain': 0.00}


CharMaxLifeValue['NPCAmazon_B']=[    80,    180,    280,    380,    580,    780,    980,   1380,   1780,   2180,   2580,   2980,   3380,   3780,   4180,   4580,   4980,   5380,   5780,   6180]
CharDamageData['NPCAmazon_B']=  [     1,      2,      4,      6,      8,     10,     12,     14,     16,     18,     20,     22,     24,     26,     28,     30,     32,     34,     36,     38]
CharDefenseData['NPCAmazon_B']= [     1,      2,      4,      6,      8,     10,     12,     14,     16,     18,     20,     22,     24,     26,     28,     30,     32,     34,     36,     38]
CharExperienceCost['NPCAmazon_B']=[    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['NPCAmazon_B']= [    40,     50,     60,    120,    240,    480,    960,   1920,   3840,   7680,  15360,  30720,  61440, 122880, 135000, 150000, 170000, 190000, 210000, 240000]
CharAccuracy['NPCAmazon_B']= [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['NPCAmazon_B']= {'Impale': 0.30, 'Slash': 0.85, 'Crush': 0.65, 'Fire': 0.00, 'Ice': 0.00, 'Venom': 0.80, 'Light': 0.00, 'Electric': 0.00, 'Acid': 0.00, 'Drain': 0.00}




Reference.DefaultObjectData['Amazon_B']= [Reference.OBJ_WEAPON,   5,  0, 1.0,  Reference.THR_SPINNING, []]


import Damage

# Scimitar
Damage.InflictDamageFXData['Amb_g_18_11_22_new']=(250.0, 0.7, 20, 155, 135, 2.0, None, 1.0, 1.0)  #240, 20, 0
Damage.AnimationData['Amb_g_18_11_22_new']=  10.0

# Elf Sword
Damage.InflictDamageFXData['Amb_g_32_5_3new']=(250.0, 0.7, 20, 155, 135, 2.0, None, 1.0, 1.0)    #240, 20, 0
Damage.AnimationData['Amb_g_32_5_3new']=   12.0

# Dagesse
Damage.InflictDamageFXData['Amb_g_s19_new']=(250.0, 0.7, 90, 20, 100, 2.0, None, 1.0, 1.0)
Damage.AnimationData['Amb_g_s19_new']=   10.0


Damage.AnimationData['Amb_g_12_7_s1new']=   70.0

Damage.AnimationData['Amb_g_s28kata_new']=   40.0

Damage.AnimationData['Amb_g_21_6_s8new']=   40.0



Damage.AnimationData['Amb_g2h_21_6kata']=   15.0    # Barb Hellwind   # 3

Damage.AnimationData['Amb_g_s22low_new']=   10.0    # 2nd stage of low attack. (Knight Hooksword [9.0 for kgt])

Damage.AnimationData['Amb_g_28new']=   11.0         # 2nd stage of high attack  (Knight Gladius   [7.5 for kgt])

Damage.AnimationData['Amb_g_01_7_new']= 10.0        # Knight North Cross    # 1.5
  
Damage.AnimationData['Amb_g_sb25_new']=   12.0      # 2nd Stage  of right attack    (Knight  Soul of Honour[10 for knight]) 
  
Damage.AnimationData['Amb_g_27kata_new']=   14.0    # 2nd Stage of left attack      (Knight   Righteous Anger [10 for knight])
  

#BO
Damage.InflictDamageFXData['Amb_g_spears8']=(40.0, 0.2, 20, 155, 135, 2.0, None, 1.0, 1.0)
#BICHERO
Damage.InflictDamageFXData['Amb_g_spear_2katab6low']=(50.0, 0.25, 20, 155, 135, 2.0, None, 1.0, 1.0)
#LANZA
Damage.InflictDamageFXData['Amb_g_spear19']=(60.0, 0.3, 20, 155, 135, 2.0, None, 1.0, 1.0)
#NAGINATA
Damage.InflictDamageFXData['Amb_g_spear22']=(70.0, 0.35, 20, 155, 135, 2.0, None, 1.0, 1.0)
#TRIDENTE
Damage.InflictDamageFXData['Amb_g_spear09']=(80.0, 0.4, 20, 155, 135, 2.0, None, 1.0, 1.0)
#AXPEAR
Damage.InflictDamageFXData['Amb_g_spear32kata_b2']=(90.0, 0.45, 20, 155, 135, 2.0, None, 1.0, 1.0)
#DEATHBO
Damage.InflictDamageFXData['Amb_g_spear_kata23']=(100.0, 0.5, 20, 155, 135, 2.0, None, 1.0, 1.0)
#CROSSPEAR
Damage.InflictDamageFXData['Amb_g_spear13']=(110.0, 0.55, 20, 155, 135, 2.0, None, 1.0, 1.0)
#HACHACUCHILLA
Damage.InflictDamageFXData['Amb_g_spear3s2']=(120.0, 0.6, 20, 155, 135, 2.0, None, 1.0, 1.0)
#CRUSHBO
Damage.InflictDamageFXData['Amb_g_spear_21']=(150.0, 0.65, 20, 155, 135, 2.0, None, 1.0, 1.0)
#ARPON
Damage.InflictDamageFXData['Amb_g_spear_b29']=(200.0, 0.7, 20, 155, 135, 2.0, None, 1.0, 1.0)
#NAGINATA2
Damage.InflictDamageFXData['Amb_g_spear33']=(300.0, 0.8, 20, 155, 135, 2.0, None, 1.0, 1.0)
#LANZAANCHA
Damage.InflictDamageFXData['Amb_g_spear_sb11']=(400.0, 0.9, 20, 155, 135, 2.0, None, 1.0, 1.0)

#EXRA ARMAS
#BO
Damage.AnimationData['Amb_g_spears8']=  5.0
#BICHERO
Damage.AnimationData['Amb_g_spear_2katab6low']= 18.0
#LANZA
Damage.AnimationData['Amb_g_spear19']= 10.0
#NAGINATA
Damage.AnimationData['Amb_g_spear22']=  8.6
#TRIDENTE
Damage.AnimationData['Amb_g_spear09']=  8.0
#AXPEAR
Damage.AnimationData['Amb_g_spear32kata_b2']= 18.0
#DEATHBO
Damage.AnimationData['Amb_g_spear_kata23']=   9.0
#CROSSPEAR
Damage.AnimationData['Amb_g_spear13']=  11.0
#HACHACUCHILLA
Damage.AnimationData['Amb_g_spear3s2']= 30.0
#CRUSHBO
Damage.AnimationData['Amb_g_spear_21']=   50.0
#ARPON
Damage.AnimationData['Amb_g_spear_b29']= 26.0
#NAGINATA2
Damage.AnimationData['Amb_g_spear33']=  7.8
#LANZAHANCHA
Damage.AnimationData['Amb_g_spear_sb11']=   9.0
#FIREBO
Damage.AnimationData['Amb_g_spear_b6_26']= 45.0
#STEELFEATHER
Damage.AnimationData['Amb_g_spear19_bs1']=  65.0
#ICEWAND
Damage.AnimationData['Amb_g_spear16']=  35.0
#QUEENSWORD
Damage.AnimationData['Amb_g_06lowkata_new']=  10.0

#Hellthrust
Damage.InflictDamageFXData['Amb_g2h_b29']=(250.0, 0.7, 90, 20, 100, 2.0, None, 1.0, 1.0)
Damage.AnimationData['Amb_g2h_b29']=  7.0


# Barb 2 hits
Damage.AnimationData['Amb_g2h_b7']=  4.8
Damage.AnimationData['Amb_g2h_02kata']=    4.0   #1.2  
Damage.AnimationData['Amb_g2h_01']=   4.0        #1.8
Damage.AnimationData['Amb_g2h_02low']=   4.0

# Longsword
Damage.AnimationData['Amb_g2h_13']=    7.0
Damage.InflictDamageFXData['Amb_g2h_13']=(250.0, 0.7, 20, 155, 135, 2.0, None, 1.0, 1.0)
# Flat Sword
Damage.AnimationData['Amb_g2h_28']=   12.0  # 10.0
Damage.InflictDamageFXData['Amb_g2h_28']=(250.0, 0.7, 20, 155, 135, 2.0, None, 1.0, 1.0)
# Death Sword
Damage.AnimationData['Amb_g2h_b6low']=   8.0
Damage.InflictDamageFXData['Amb_g2h_b6low']=(250.0, 0.7, 20, 155, 135, 2.0, None, 1.0, 1.0)

# FireSword2
Damage.AnimationData['Amb_g2h_earthpow']=   60.0

# Firesword1
Damage.AnimationData['Amb_g2h_21_2']=   21.0

# DragonSword
Damage.AnimationData['Amb_g2h_s8']=   25.0


# backattacks

Damage.AnimationData['Amb_g2h_back']=   2.0
Damage.AnimationData['Amb_back']=   1.8
Damage.AnimationData['Amb_g_spear_back']= 2.0


# Dwarf Combos

Damage.AnimationData['Amb_g_31dwf']=   8.0
Damage.InflictDamageFXData['Amb_g_31dwf']=(400.0, 0.9, 20, 155, 135, 2.0, None, 1.0, 1.0)

Damage.AnimationData['Amb_g_22dwf']=   70.0

Damage.AnimationData['Amb_g_21dwf']=   9.0
Damage.InflictDamageFXData['Amb_g_21dwf']=(150.0, 0.65, 20, 155, 135, 2.0, None, 1.0, 1.0)

Damage.AnimationData['Amb_g_18dwf']=   9.2
Damage.InflictDamageFXData['Amb_g_18dwf']=(110.0, 0.55, 20, 155, 135, 2.0, None, 1.0, 1.0)

Damage.AnimationData['Amb_g_11dwf']=   8.0
Damage.InflictDamageFXData['Amb_g_11dwf']=(70.0, 0.35, 20, 155, 135, 2.0, None, 1.0, 1.0)

Damage.AnimationData['Amb_g_s22low_newdwf']=   50.0 # 50

Damage.InflictDamageFXData['Amb_g_s3_newdwf']=(200.0, 0.7, 120, 55, 135, 2.0, None, 1.0, 1.0)
Damage.AnimationData['Amb_g_s3_newdwf']=   15.0 # 12.0


# Dark Destroyer
Damage.AnimationData['Amb_g_22kata_23_new']=   100.0
Damage.InflictDamageFXData['Amb_g_22kata_23_new']=(70.0, 0.35, 60, 30, 70, 5.0, None, 1.0, 1.0)