import Bladex
import Basic_Funcs
import Enm_Def
import ItemTypes
import GameStateAux
import Combat
import BCopy
import Reference
import InitDataField
import AuxTran
import Sounds
import Actions
import MenuText
import EnemyTypes
import AuxFuncs
import GenFX

import Amazon_BComboFX
import AniSoundAmzB





TRUE = 1==1
FALSE = not TRUE



new_combo_sound = Bladex.CreateSound('..\\..\\Sounds\\sesgado-lava.wav', 'NewComboSound')
new_combo_sound.Volume=1.0
new_combo_sound.MinDistance=5000
new_combo_sound.MaxDistance=20000



ComboNames = {"Amazon_B"   : {},
              "Default"    : {},}
             
             
ComboNames["Amazon_B"]["GM23_NO"] = "KICK"
ComboNames["Amazon_B"]["GM22_NO"] = "HIGH KICK"
ComboNames["Amazon_B"]["GM21_NO"] = "LOW KICK" 
             
ComboNames["Amazon_B"]["GI_SP"]    = "SMASH"
ComboNames["Amazon_B"]["GM8_SP"]   = "DOWN SMASH"
ComboNames["Amazon_B"]["GM3_SP"]   = "RIGHT SMASH"
ComboNames["Amazon_B"]["GM6_SP"]   = "LEFT SMASH"
ComboNames["Amazon_B"]["GM1_SP"]   = "HIGH SMASH"
             
# Golpes extra
ComboNames["Amazon_B"]["GM15_SP"]   = "WHIRLWIND"

# ATAQUE ATRAS
ComboNames["Amazon_B"]["GM71_SP"] = "BACK SMASH"
             
ComboNames["Amazon_B"]["GM73_2H"] = "BACK SMASH"

ComboNames["Amazon_B"]["GM73_1H"] = "BACK SMASH"
# Spears

# BO
ComboNames["Amazon_B"]["GM2_SP"] = "OVERHEAD SMASH"
# BICHERO
ComboNames["Amazon_B"]["GM10_SP"] = "BLINDING SLICE"
# LANZA
ComboNames["Amazon_B"]["GM32_SP"] = "LIGHTNING CUT"
# NAGINATA
ComboNames["Amazon_B"]["GM27_SP"] = "KILLER STRIKE"
# TRIDENTE
ComboNames["Amazon_B"]["GM4_SP"] = "SEA SMASH"
# AXPEAR
ComboNames["Amazon_B"]["GM31_SP"] = "SPIN SLASH"
# DEATHBO
ComboNames["Amazon_B"]["GM25_SP"] = "NIGHTMARE"
# CROSSPEAR
ComboNames["Amazon_B"]["GM7_SP"] = "DARK STAR"
# HACHACUCHILLA
ComboNames["Amazon_B"]["GM5_SP"] = "TUMBLEKILL"
# CRUSHBO
ComboNames["Amazon_B"]["GM26_SP"] = "DEADLY MIST"
# ARPON
ComboNames["Amazon_B"]["GM33_SP"] = "GUT WRENCHER"
# NAGINATA2
ComboNames["Amazon_B"]["GM24_SP"] = "SPIRAL OF DEATH"
# LANZAANCHA
ComboNames["Amazon_B"]["GM28_SP"] = "WAY OF THE GODDESS"
# STEELFEATHER
ComboNames["Amazon_B"]["GM34_SP"] = "DEATH BREATH"
# ICEWAND
ComboNames["Amazon_B"]["GM36_SP"] = "ICE STRIKE"
# FIREBO
ComboNames["Amazon_B"]["GM30_SP"] = "DRAGON CIRCLE"
# QUEENSWORD
ComboNames["Amazon_B"]["GM37_1H"] = "VAMPIRE ATTACK"
# BLADESWORD1
#ComboNames["Amazon_B"]["GM80_1H"] = "IANNA'S LIGHT"
# BLADESWORD2
#ComboNames["Amazon_B"]["GM81_1H"] = "RAGE OF THE GODDESS"
             
             
ComboNames["Amazon_B"]["GM56_1H"] = "BEAST CRASH"
ComboNames["Amazon_B"]["GM58_1H"] = "DOUBLE SMASH"
ComboNames["Amazon_B"]["GM53_1H"] = "EARTHQUAKE"
ComboNames["Amazon_B"]["GM54_1H"] = "FLAMING HELL"
ComboNames["Amazon_B"]["GM52_1H"] = "DEMOLITION"

ComboNames["Amazon_B"]["GM66_1H"] = "DARK DESTROYER"

ComboNames["Amazon_B"]["GM10_1H"] = "KNEE TREMBLER"

ComboNames["Amazon_B"]["GM11_1H"] = "EAGLES EYE"
             
ComboNames["Amazon_B"]["GM41_1H"] = "AXE SMASH"
ComboNames["Amazon_B"]["GM42_1H"] = "RIGHT AXE SMASH"
ComboNames["Amazon_B"]["GM46_1H"] = "LEFT AXE SMASH"
ComboNames["Amazon_B"]["GM48_1H"] = "HIGH AXE SMASH"
ComboNames["Amazon_B"]["GM49_1H"] = "LOW AXE SMASH"


ComboNames["Amazon_B"]["GI_1H"] =  "STAB"
ComboNames["Amazon_B"]["GM2_1H"] = "RIGHT SLASH"
ComboNames["Amazon_B"]["GM3_1H"] = "LEFT SLASH"
ComboNames["Amazon_B"]["GM1_1H"] = "DOWN SLASH"
ComboNames["Amazon_B"]["GM4_1H"] = "UP SLASH"
             
ComboNames["Amazon_B"]["GM39_1H"] = "ANKLE BITER"
ComboNames["Amazon_B"]["GM38_1H"] = "SKULL SPLITTER"
ComboNames["Amazon_B"]["GM5_1H"] =  "DEATH SPIN"
ComboNames["Amazon_B"]["GM35_1H"] = "SWORD FLICK"
             
ComboNames["Amazon_B"]["GM23_1H"] = "NORTH CROSS"

ComboNames["Amazon_B"]["GM43_1H"] = "CYCLONE"

ComboNames["Amazon_B"]["GM34_1H"] = "THE DREAM"

ComboNames["Amazon_B"]["GM18_1H"] = "TRIPLE ATTACK"

ComboNames["Amazon_B"]["GM25_1H"] = "TUMBLESTAB"



ComboNames["Amazon_B"]["GI_2H"] =  "TWO-HANDED SLICE"
ComboNames["Amazon_B"]["GM4_2H"] = "TWO-HANDED LOW SLICE"
ComboNames["Amazon_B"]["GM1_2H"] = "TWO-HANDED HIGH SLICE"
ComboNames["Amazon_B"]["GM2_2H"] = "TWO-HANDED RIGHT SLICE"
ComboNames["Amazon_B"]["GM3_2H"] = "TWO-HANDED LEFT SLICE"

ComboNames["Amazon_B"]["GM23_2H"] = "SERIOUSLY PISSED OFF"

ComboNames["Amazon_B"]["GM9_2H"] =  "EVISCERATOR"
ComboNames["Amazon_B"]["GM11_2H"] = "LEG SHORTENER"
ComboNames["Amazon_B"]["GM10_2H"] = "HEAD REMOVER"
ComboNames["Amazon_B"]["GM8_2H"] =  "RIB RATTLER"

ComboNames["Amazon_B"]["GM41_2H"] = "COLD STEEL"
ComboNames["Amazon_B"]["GM42_2H"] = "HANGOVER CURE"
ComboNames["Amazon_B"]["GM12_2H"] = "BIG GIRLY SWISH"
             
ComboNames["Amazon_B"]["GM50_1H"] = "VAMPIRE ATTACK"

ComboNames["Amazon_B"]["GM29_2H"] = "HELL THRUST"

ComboNames["Amazon_B"]["GM44_2H"] = "FIRESTORM"

ComboNames["Amazon_B"]["GM45_2H"] = "VOLCANO"

ComboNames["Amazon_B"]["GM37_1H"] = "NORTHERN LIGHTS"

ComboNames["Amazon_B"]["GM36_1H"] = "FIRE SPIRAL"

ComboNames["Amazon_B"]["GM22_1H"] = "ICE STORM"

ComboNames["Amazon_B"]["GM15_2H"] = "DRAGONS KISS"

ComboNames["Amazon_B"]["GM47_AXE"] = "THIS THING IS TOO BIG FOR LITTLE ME"




def GetComboName(EntityName,ComboId):
	kindName = Bladex.GetEntity(EntityName).Kind
	try:
		return ComboNames[kindName][ComboId]
	except:
		try:
			return ComboNames["Default"][ComboId]
		except:
			return None

###########################################################################################################################################################


def GetMySelectedEnemy(entity):
	per=Bladex.GetEntity(entity)
	if per.Data.selected_enemy:
		ene=Bladex.GetEntity(per.Data.selected_enemy[0])
		if ene and ene.Person:
			return ene
		return None	
	return None	



stime3=-2

def IntermediateSelect(EntityName):
	MySelectEnemy()


def MySelectEnemy():
	global stime3
	time=Bladex.GetTime()
	if(time-stime3>0.1):
		import Select
		pj=Bladex.GetEntity("Player1")
		if pj.InvRight=="" and pj.InvRightBack<>"" and Reference.GiveObjectFlag(pj.InvRightBack)<>Reference.OBJ_QUIVER:
			if pj.AnmEndedFunc==IntermediateSelect:
				pj.AnmEndedFunc= None
			Actions.StdToggleWeapons("Player1")
			pj.AnmEndedFunc=IntermediateSelect
			return
		if(pj.Data.enemy_locked):
			Select.SelectNextEnemy(pj)
		else:
			Select.GetVisibleEnemies(pj)
			if(pj.Data.selected_enemy):
				pj.Data.enemy_locked=1
		stime3=time
		if pj.Data.selected_enemy:
			ene=Bladex.GetEntity(pj.Data.selected_enemy[0])
			if ene and ene.Person:
				if not CheckIfAlly(ene.Name):
					return
				pj.SetActiveEnemy(ene)


def CheckIfAlly (EntityName):
	me=Bladex.GetEntity(EntityName)
	if me:				
		try:
	           enemyName=me.Data.EnemyName
	           return FALSE                  
	        except AttributeError:  
	 	   return TRUE


def AmIRelaxing(entity):
	per=Bladex.GetEntity(entity)
	if per.AnimName[:3] == "rlx" or per.AnimName[:3] == "Rlx":
		return 1
	return 0




# Dropping Bows 8/)
	
def TryDropLeftBow (EntityName):
	me = Bladex.GetEntity(EntityName)
	statL=Actions.StatL(me.Name)
	statR=Actions.StatR(me.Name)
	if statL == Actions.LA_BOW:
		inv=me.GetInventory()
		if me.InvRight and Reference.GiveObjectFlag(me.InvRight)==Reference.OBJ_ARROW:
			Actions.SheatheArrow(inv, me.InvRight)
		object = Bladex.GetEntity(me.InvLeft)
		object.ExcludeHitFor(me)
		me.AddAnmEventFunc("DropLeftEvent",Actions.DropReleaseEventHandler)
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.0,me.LaunchAnmType,("drp_l",))
		return TRUE
	elif statL <> Actions.LA_NO_WEAPON:
		object = Bladex.GetEntity(me.InvLeft)
		if Actions.IsValidForDropping (object.Name):
			object.ExcludeHitFor(me)
			me.AddAnmEventFunc("DropLeftEvent",Actions.DropReleaseEventHandler)
			me.LaunchAnmType("drp_l")
			return TRUE
		else:
			Actions.ReportMsg ("Cannot be dropped")
	else:
		return FALSE


	
def CheckDropBow(EntityName):
	me = Bladex.GetEntity(EntityName)
	throw_pressed = Bladex.GetTimeActionHeld ("Throw")
	if not throw_pressed:
		return
	TryDropLeftBow (EntityName)
	



def CallHelp(EntityName):	
	char=Bladex.GetEntity("Player1")
	char.Data.CallHelp("Player1")
	
	
def IsCivilian(entity):
	#per=Bladex.GetEntity(entity)
	#if per.Data.__class__== AllyNPCTypes.CivilianFemale or per.Data.__class__== AllyNPCTypes.CivilianMan:
	#	return 1
	return 0
	
	

def RemapKeys():
	import acts
	import Actions
	import DefaultSelectionData
	Bladex.AddBoundFunc("Select Enemy",acts.DefArgWrapper ("Player1",CallHelp))
	Bladex.RemoveBoundFunc("Select Enemy",DefaultSelectionData.SelectEnemy)
	MySelectEnemyFunc=MySelectEnemy
	Bladex.AddBoundFunc("Select Enemy",MySelectEnemyFunc)
	Bladex.AddBoundFunc("Throw Left",acts.DefArgWrapper ("Player1", CheckDropBow))
	Bladex.AddBoundFunc("Block",acts.DefArgWrapper ("Player1", CheckDropBow))
	Bladex.RemoveBoundFunc("Throw Left",Actions.TestThrowLeft)
	Bladex.RemoveBoundFunc("Block",Actions.TestThrowLeft)	
	Bladex.AddBoundFunc("LaunchTravel",ExecTravelBook)
	Bladex.RemoveBoundFunc("LaunchTravel",acts.ExecTravelBookNP)
	UpdateWeaponDamage()
	print "Remapped Keys"




#########################################################################################################################################################
	
class GladiatorTravelBook(BUIx.B_RectWidget):
	def __init__(self,Parent,Menudesc,StackMenu,VertPos=0):
		import Language
		import Raster
		self.index = 1
		self.images = []
		self.vidw = 1
		self.vidh = 1
		char = Bladex.GetEntity("Player1")
		Raster.UnifyRenderBuffers()
		if char.Kind!= "Valkyrie_A":
			self.AddImage("..\\..\\Data\\TB\\" + Language.Current + "\\" + char.Kind + "\\plantillaspecials.jpg")
			self.AddImage("..\\..\\Data\\TB\\" + Language.Current + "\\" + char.Kind + "\\plantillaweapons.jpg")
			self.AddImage("..\\..\\Data\\TB\\" + Language.Current + "\\" + char.Kind + "\\plantillahabilities.jpg")
			self.AddImage("..\\..\\Data\\TB\\" + Language.Current +"\\Items\\plantillaGitems.jpg")
		else:
			self.AddImage("..\\..\\Maps\\DwarfWars\\NUFiles\\NUValkyrieStuff\\sc2h.jpg")
			self.AddImage("..\\..\\Maps\\DwarfWars\\NUFiles\\NUValkyrieStuff\\sc1h.jpg")
			self.AddImage("..\\..\\Maps\\DwarfWars\\NUFiles\\NUValkyrieStuff\\scab.jpg")
			self.AddImage("..\\..\\Maps\\DwarfWars\\NUFiles\\NUValkyrieStuff\\scsp.jpg")
			self.AddImage("..\\..\\Data\\TB\\" + Language.Current +"\\Items\\plantillaGitems.jpg")
		
		BUIx.B_RectWidget.__init__(self,Parent,Menudesc["Name"],self.vidw,self.vidh)
		self.Selected=0
		self.Solid=0
		self.Border=0
		self.SetDrawFunc(self.Draw)
		self.SndCorreGema=Bladex.CreateSound("..\\..\\Sounds\\golpe-2.wav","Chanje")
		self.SndCorreGema.Volume=0.5
		self.SndCorreGema.MinDistance=1000000.0
		self.SndCorreGema.MaxDistance=2000000


	def AddImage(self, file):
		import BBLib
		image = BBLib.B_BitMap24()
		image.ReadFromFile(file)
		self.images.append(image)


	def Draw(self,x,y,time):
		import Menu
		import Raster
		char = Bladex.GetEntity("Player1")
		x,y = Raster.GetSize()
		Raster.SetPosition((x - 640)/2, (y - 480)/2)
		if self.index < 0:
			self.index = len(self.images) - 1
		if self.index > len(self.images) - 1:
			self.index = 0
		Raster.DrawImage(640,480,"BGR","Normal",self.images[self.index].GetData())
		self.DefDraw(x,y,time)

	def FinalRelease(self):
		BUIx.B_RectWidget.FinalRelease(self)

	def AcceptsFocus(self):
		return 1

	def IncMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index + 1

	def DecMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index - 1

	def GetFocus(self):
	    return self

	def ActivateItem(self,activate):
		import Menu
		Menu.ActivateMenu()


def ExecTravelBook():
	print("travel book activated")
	import Menu
	import GameText
	import Scorer
	import acts
	GameText.AbortText()
	if not Menu.MENU_PREACTIVATED:
		try:
			Menu.TB_ACTIVATED=1
		except:
			pass
		Menu.MENU_PREACTIVATED = 1
		pepote = Menu.Desc1
		Menu.Desc1={"Name":"TopMenu","FrameKind":GladiatorTravelBook,"ListDescr":[{"Name":"Back","Kind":GladiatorTravelBook}]}
		Menu.ActivateMenu()
		Menu.Desc1 = pepote
		Scorer.HideTBS()
		for kn in acts.GetKeyList("Turn Left"):
			if kn!="Left":
				Bladex.AssocKey("Menu Dec","Keyboard",kn)
		for kn in acts.GetKeyList("Turn Right"):
			if kn!="Right":
				Bladex.AssocKey("Menu Inc","Keyboard",kn)
				

#######################################################################################################################################################
				
def SignOn(EntityName):
	char=Bladex.GetEntity("Player1")
	char.Data.AddAlly(EntityName)
	

def SignOff(EntityName):
	char=Bladex.GetEntity("Player1")
	char.Data.RemoveAlly(EntityName)
	
	
	
def PlayerDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	pj = Bladex.GetEntity(VictimName)
	
	if DamageZone==Reference.BODY_HEAD:
		if pj.Data.ProtectionLevel>1:
			print "Hahaha. I have got my helmet on"
			return
	if AttackerName:
		attacker=Bladex.GetEntity(AttackerName)
		if attacker and attacker.Person: 
			if not CheckIfAlly(AttackerName):
				return
	Damage.CalculateDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded)

########################################################################################################################################################


class PlayerAmazon_B (Basic_Funcs.PlayerPerson):

	LevelupFunc=None
	AllyList=[]
	Helpcalled=0
	ProtectionLevel=1
	RespawnActive=0
	DeathFunc=None
	DeathArgs=("Player1",)

	def __init__(self, me):
		Basic_Funcs.PlayerPerson.__init__(self, me)
		
		self.AllyList=[]
		self.Helpcalled=0
		self.ProtectionLevel=1
		self.RespawnActive=0
		self.DeathFunc=None
		self.DeathArgs=("Player1",)
		
		me.DamageFunc=PlayerDamage
		me.ImDeadFunc=self.NewImDeadFunc
		
		me.MeshName="AmzSkin2"
		me.NewComboFunc=self.NewNewCombo
		Amazon_BComboFX.AmbCombosFX(me.Name)
		
		
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		AniSoundAmzB.AsignarSonidosAmazonB(EntityName)
		
	
		
	def NewNewCombo(self,EntityName,ComboName):
		import GameText
		me = Bladex.GetEntity(EntityName)
		if EntityName<>"Player1":
			return
		ComboTXT = GetComboName(EntityName,ComboName)
		if ComboTXT:
			GameText.WriteTextAux(MenuText.GetMenuText("New Attack")+": "+ ComboTXT,2.0,150,180,180,[],None,1)
			new_combo_sound.Stop()
			new_combo_sound.PlayStereo()
		
		
	def NewImDeadFunc(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		Basic_Funcs.PlayerPerson.PCImDead(self,EntityName)
		if self.RespawnActive:
			print "Respawning Player"
			me.AnmEndedFunc= self.ReSpawn
			me.CastShadows=1
		if self.DeathFunc:
			apply(self.DeathFunc,self.DeathArgs)
			
			
	def OnKilledEnemy(self,KilledEntityName):
		Reference.debugprint("OnKilledEnemy")
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			print "OnKilledEnemy(): Error: None Entity"
			return
		if not CheckIfAlly(KilledEntityName):
			print "No Killing Allies to get the XP!!!"
			return
		me=Bladex.GetEntity(self.Name)
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)
		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
		import Scorer
		if me.PartialLevel>=LevelLimit:
			while me.PartialLevel>=LevelLimit:
				me.PartialLevel=me.PartialLevel-LevelLimit
				me.Level=me.Level+1
				LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
			Scorer.LevelUp()
			Scorer.SetLevelLimits(0,CharStats.GetCharExperienceCost(me.CharType,me.Level))
			maxlevel=CharStats.GetMaxLevel()
			maxsize=50+(140/maxlevel)*me.Level # 50->190
			maxPPS=120+(600/maxlevel)*me.Level # 120->720
			maxint=0.5+(4.5/maxlevel)*me.Level # 0.5->5.0
			AuraParams=(5, 0, 1, 0, 0, 1)
			AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
			AuraVar1Args=(5, maxsize, 0, 1, 0.5)
			AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
			PSParams=(self.LevelUpParticleData, "LevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
			GenFX.LevelUpFX("Player1", 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15, "..\\..\\Sounds\\aparicion-escudo.wav")
				
			# Restore state of the player.
			if me.Life >0: # If an enemy death by poison or trowed weapons and.. You are death!
				me.ResetWounds()
				me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
			Scorer.SlideTBS(0)
			Scorer.LevelUpFlash()
			if self.LevelupFunc:
				apply(self.LevelupFunc)
		if netgame.GetNetState() == 0:
			Scorer.SetLevelBarValue(me.PartialLevel)
			
			
			
	def AddAlly(self, AllyName):
		self.AllyList.append(AllyName)
		print AllyName+" signing on for duty"
		
		
	def RemoveAlly(self, AllyName):
		if AllyName in self.AllyList:
			self.AllyList.remove(AllyName)
			print AllyName+" signing off"
		
		
	def GetMySelectedEnemy(self,EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.selected_enemy:
			ene=Bladex.GetEntity(me.selected_enemy[0])
			if ene and ene.Person:
				return ene
			return None	
		return None	
	
	
	def ResetHelpcalled(self):
		self.Helpcalled=0
		
		
	def CallHelp(self,EntityName):
		if self.Helpcalled==1:
			return
		self.Helpcalled=1
		me = Bladex.GetEntity(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,self.CallHelp2,(EntityName,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0, self.ResetHelpcalled,())
		
		
		
	def CallHelp2(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0, self.ResetHelpcalled,())
		if len(self.AllyList)==0:
			return
		for id in self.AllyList:
			buddy=Bladex.GetEntity(id)
			if buddy.Life>0 and AmIRelaxing(buddy.Name):
				if buddy.Data.Asleep:
					buddy.Data.WakeMeUp(buddy.Name)
				buddy.SetOnFloor() 
				myname=buddy.Name
				dist=B3DLib.GetXZDistance('Player1', buddy.Name)
				if buddy.Data.OnGuard:
					if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
						if not buddy.InCombat:
							buddy.Data.GoBackToPost(buddy.Name)
						
				else:
					if dist>30000 and dist <80000 and not buddy.CanISee(me) and not buddy.InCombat and buddy.Data.Combatant:
						if me.ActiveEnemy:
							buddy.GoToJogging=1
						else:
							buddy.GoToJogging=0
						x,y,z=me.Rel2AbsPoint(0,-1000,0)# 1 metres in front
						if buddy.AstarState<>Enm_Def.ASTAR_SOLVED and not IsCivilian(buddy.Name):
							buddy.GoTo(x,y,z)
		   					#print "Going to help: ",myname
						else:
							Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   					#print "Turning to far away Player1 ",myname
		   			
		   			else:
		   				if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
		   					if me.ActiveEnemy:
		   						ene=GetMySelectedEnemy(EntityName)
								if ene and ene.Person:
		   							Actions.TurnToFaceEntity(buddy.Name,ene.Name)
		   							#print "Turning to Player opponent ",ene.Name,myname	
		   					else:
		   						Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   						#print "Turning to Player1 ",myname					
						
						
						
	def CheckForNearbyEnemy(self,AllyName, EntityName):
		#print "Checking for nearby enemies"
		buddy= Bladex.GetEntity(AllyName)
		me = Bladex.GetEntity(EntityName)
		pjp=buddy.Position	
		enes=Bladex.GetEntitiesAt(pjp[0],pjp[1],pjp[2],20000)
		for i in enes:
			possene= Bladex.GetEntity(i)
			if possene.Person:			
				if possene.Life>0 and possene.Name!=buddy.Name and possene.Name!="Player1" and CheckIfAlly(possene.Name) and me.CanISee(possene):
					Actions.TurnToFaceEntity(buddy.Name, possene.Name)
					#print "Enemy found near: ",buddy.Name,possene.Name
					return 1	
		return 0
							
			
			
			
	
	
	def __getstate__(self):	
		PlayerPerson_state=Basic_Funcs.PlayerPerson.__getstate__(self)
		if(PlayerPerson_state[0]!=1):
			return PlayerPerson_state
		PlayerPerson_state[1]["PlayerAmazon_B"]=(self.AllyList, 
		                                 self.Helpcalled,
		                                 self.ProtectionLevel,
					         self.RespawnActive,   
		                                 GameStateAux.SaveFunctionAux(self.LevelupFunc),
		                                 GameStateAux.SaveFunctionAux(self.DeathFunc),
						 self.DeathArgs)
		return PlayerPerson_state
	
	def __setstate__(self,parm):
		Basic_Funcs.PlayerPerson.__setstate__(self,parm)
		me=Bladex.GetEntity(self.Name)
		version=parm[0]
		if version==1:
			parms=parm[1]["PlayerAmazon_B"]
			self.AllyList= parms[0]
			self.Helpcalled= parms[1]
			self.ProtectionLevel= parms[2]
			self.RespawnActive= parms[3]   
			GameStateAux.LoadFunctionAux(parms[4],self,"LevelupFunc")
			GameStateAux.LoadFunctionAux(parms[5],self,"DeathFunc")
			self.DeathArgs= parms[6]   
			me.DamageFunc=PlayerDamage
			me.ImDeadFunc=self.NewImDeadFunc
			
			
###########################################################################################################################################################