######################################################
#
# Create sets of attacks
#
#        - Bzw -
#
######################################################



import Bladex
import netgame

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Bzw","g_01","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_02","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_05","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_06","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_07","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_08","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_09","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_18","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_15","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_14","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_13","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_16","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_11","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_12","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_17","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_21","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_22","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_23","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_26","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_27","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_31","ATTACKING")

Bladex.SetActionEventTable("Bzw","g_41","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_42","ATTACKING")

#Idem 2 handed weapons attacks
Bladex.SetActionEventTable("Bzw","g2h_21_7","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_21_2","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_02kata","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_21_6kata","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_08","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_28","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_s8kata","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_b6kata","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_s8","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_12","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_02","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_b6","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_11","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_13","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_12low","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_02low","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_b6low","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_b29","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_17","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_s7","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_19","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_26_b6","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_26","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_earthpow","ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_back","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe08","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe18","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe28","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe01","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe02","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe12","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe13","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe08strong","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe32","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe21","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe34","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe111","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe211","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe_2katab6low","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe31","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe_26kata","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe_3s2","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe_b2kata","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe_32kata_b2","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe30","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_axe33","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_punch1","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_punch2","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_punch3","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_punch4","ATTACKING")

Bladex.SetActionEventTable("Bzw","g_kick","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_06lowkata_new","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_kick","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_magic","ATTACKING")

Bladex.SetActionEventTable("Bzw","g_spears1","ATTACKING")

Bladex.SetActionEventTable("Bzw","g_spear08","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_spear12","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_spears6","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_spear16low","ATTACKING")
Bladex.SetActionEventTable("Bzw","g_spear_kata23","ATTACKING")



# clumsy attacks
Bladex.SetActionEventTable("Bzw","g_bad_axe", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Bzw","g_bad_spear", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Bzw","g_bad_sword", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Bzw","g_bad_no", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Bzw","g_bad_1h", "ATTACKING_NOMOVE")

# Draw attacks
Bladex.SetActionEventTable("Bzw","g_draw_rlx", "ATTACKING")
Bladex.SetActionEventTable("Bzw","g_draw_run", "ATTACKING")


#Dodge->attacks
Bladex.SetActionEventTable("Bzw","g2h_d_r", "ATTACKING")
Bladex.SetActionEventTable("Bzw","g2h_d_l", "ATTACKING")
Bladex.SetActionEventTable("Bzw","g_d_r_axe", "ATTACKING")
Bladex.SetActionEventTable("Bzw","g_d_l_axe", "ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables
Bladex.SetActionEventTable("Bzw","D_r", "DODGING")
Bladex.SetActionEventTable("Bzw","D_l", "DODGING")
Bladex.SetActionEventTable("Bzw","D_b", "DODGING")


bzw=Bladex.GetCharType("BronzeWarrior","Bzw")

#
#Dodge groups
#

#Dodges themselves
bzw.AddAttack("DR","D_r")
bzw.AttackTypeFlag("DR",ATK_UNIQUE) 

bzw.AddAttack("DL","D_l")
bzw.AttackTypeFlag("DL",ATK_UNIQUE) 

bzw.AddAttack("DB","D_b")
bzw.AttackTypeFlag("DB",ATK_UNIQUE) 

#Dodge attacks
bzw.AddAttack("DR_G_2H","g2h_d_r")
bzw.AssignTrail("DR_G_2H","","EstelaAmarilla1")
bzw.AddLevels("g2h_d_r",2,40)
bzw.AttackTypeFlag("DR",ATK_UNIQUE) 

bzw.AddAttack("DL_G_2H","g2h_d_l")
bzw.AssignTrail("DL_G_2H","","EstelaAmarilla1")
bzw.AddLevels("g2h_d_l",2,40)
bzw.AttackTypeFlag("DL",ATK_UNIQUE) 

bzw.AddAttack("DR_G_AXE","g_d_r_axe")
bzw.AssignTrail("DR_G_AXE","","EstelaAmarilla1")
bzw.AddLevels("g_d_r_axe",2,40)
bzw.AttackTypeFlag("DR",ATK_UNIQUE) 

bzw.AddAttack("DL_G_AXE","g_d_l_axe")
bzw.AssignTrail("DL_G_AXE","","EstelaAmarilla1")
bzw.AddLevels("g_d_l_axe",2,40)
bzw.AttackTypeFlag("DL",ATK_UNIQUE) 

#######################################################################################
#### Spears

bzw.AddAttack("GI_SP","Bzw_g_spears1")
bzw.AttackWindow("Bzw_g_spears1",0.334,0.642,"GI_SP_Window")





#High
bzw.AddAttack("GM1_SP","Bzw_g_spear08")
bzw.AttackWindow("Bzw_g_spear08",0.121,0.496,"GM1_SP_Window")
bzw.AddLevels("Bzw_g_spear08",0,40)


#Right
bzw.AddAttack("GM3_SP","Bzw_g_spear12")
bzw.AttackWindow("Bzw_g_spears12",0.183,0.448,"GM3_SP_Window")
bzw.AddLevels("Bzw_g_spears12",0,40)


#Left
bzw.AddAttack("GM6_SP","Bzw_g_spears6")
bzw.AttackWindow("Bzw_g_spears6",0.345,0.454,"GM6_SP_Window")
bzw.AddLevels("Bzw_g_spears6",0,40)


#Low
bzw.AddAttack("GM8_SP","Bzw_g_spear16low")
bzw.AttackWindow("Bzw_g_spear16low",0.341,0.475,"GM8_SP_Window")
bzw.AddLevels("Bzw_g_spear16low",0,40)

# 
bzw.AddAttack("GM15_SP","Bzw_g_spear_kata23")
bzw.AttackWindow("Bzw_g_spear_kata23",0.426,0.613,"GM15_SP_Window")
bzw.AssignTrail("GM15_SP","","EstelaAmarilla1")
bzw.AddLevels("Bzw_g_spear_kata23",2,40)




######################################################################################
### 1H


#GI "group"
bzw.AddAttack("GI_1H","Bzw_g_07")
bzw.AttackWindow("Bzw_g_07",0.010,0.900,"GI_1H_Window")
bzw.AddLevels("Bzw_g_07",0,40)
#bzw.AttackTypeFlag("GI_1H",ATK_UNIQUE) #If only one attack given , UNIQUE flag is applied


###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#GM1 group
bzw.AddAttack("GM1_1H","Bzw_g_18")
bzw.AddLevels("Bzw_g_18",0,40)

#GM2 group
bzw.AddAttack("GM2_1H","Bzw_g_17")
bzw.AddLevels("Bzw_g_17",0,40)

#GM3 group
bzw.AddAttack("GM3_1H","Bzw_g_15")
bzw.AddLevels("Bzw_g_15",0,40)

#GM4 group
bzw.AddAttack("GM4_1H","Bzw_g_11")
bzw.AddLevels("Bzw_g_11",0,40)


bzw.AddAttack("GM5_1H","Bzw_g_01")
bzw.AddLevels("Bzw_g_01",0,40)

bzw.AddAttack("GM6_1H","Bzw_g_09")
bzw.AddLevels("Bzw_g_09",0,40)

bzw.AddAttack("GM7_1H","Bzw_g_41")
bzw.AddLevels("Bzw_g_41",0,40)
bzw.AssignTrail("GM7_1H","","EstelaRoja1")

bzw.AddAttack("GM8_1H","Bzw_g_kick")
bzw.AddLevels("Bzw_g_kick",0,40)

bzw.AddAttack("GM9_1H","Bzw_g_42")
bzw.AddLevels("Bzw_g_42",0,40)
bzw.AssignTrail("GM9_1H","","EstelaRoja1")



##COMBO QUEENSWORD
#bzw.AddAttack("GM5_1H","Bzw_g_06lowkata_new")
#bzw.AttackWindow("Bzw_g_06lowkata_new",0.001,0.900,"GM5_1H_Window")
#bzw.AssignTrail("GM5_1H","","EstelaRoja1")
#bzw.AddLevels("Bzw_g_06lowkata_new",10,40)


#GI meta-group
bzw.MetaAttack("GIM_1H","GI_1H")
bzw.MetaAttack("GIM_1H","GM1_1H")
bzw.MetaAttack("GIM_1H","GM2_1H")
bzw.MetaAttack("GIM_1H","GM3_1H")
bzw.MetaAttack("GIM_1H","GM4_1H")
bzw.MetaAttack("GIM_1H","GM5_1H")
bzw.MetaAttack("GIM_1H","GM6_1H")
bzw.MetaAttack("GIM_1H","GM7_1H")
bzw.MetaAttack("GIM_1H","GM8_1H")

#GM meta-group
bzw.MetaAttack("GM","GM1_1H")
bzw.MetaAttack("GM","GM2_1H")
bzw.MetaAttack("GM","GM3_1H")
bzw.MetaAttack("GM","GM4_1H")
bzw.MetaAttack("GM","GM5_1H")
bzw.MetaAttack("GM","GM6_1H")
bzw.MetaAttack("GM","GM7_1H")
bzw.MetaAttack("GM","GM8_1H")


######################################################
#
#        - Attacks themselves -
#
######################################################

# *Name of NEW attack (anm name itself , group name or metagroup)
# *Keys
#       R , L , F , B -> Control keys
#       A -> Attack 
#       D -> Defense(block)
#     
# -->Keys Modifiers
#       a+b . Simultaneous press
#       !c . Should not be pressed
#       &d . Should be already pressed
# *Previous Historial
#       "GA,GA,GM,GGF"
# *Previous NEGATIVE historial
#       +/- idem b4
#
#

#####################
# GOLPES SELECTIVOS #
#####################

#GM1
bzw.AllowAttack("GM1_1H","A+F","","GM,GM","","1H")
bzw.AllowAttack("GM1_1H","&A+F","","GM,GM","","1H")

#GM2
bzw.AllowAttack("GM2_1H","A+R","","GM,GM","","1H")
bzw.AllowAttack("GM2_1H","&A+R","","GM,GM","","1H")					

#GM3
bzw.AllowAttack("GM3_1H","A+L","","GM,GM","","1H")
bzw.AllowAttack("GM3_1H","&A+L","","GM,GM","","1H")	

#COMBO QUEENSWORD
bzw.AllowAttack("GM5_1H","R+B","GM3_1H","","","QueenSword")					

#GM4
bzw.AllowAttack("GM4_1H","A+B","","GM,GM","","1H")
bzw.AllowAttack("GM4_1H","&A+B","","GM,GM","","1H")


#GI
bzw.AllowAttack("GI_1H","A","","GIM_1H","GIM_1H_Window","1H")




#################################################################################################
#################################################################################################
#################################################################################################
#
#
#
#  2 handed weapons attacks
#
#
#
#################################################################################################
#################################################################################################
#################################################################################################

#GI "group"
bzw.AddAttack("GI_2H","Bzw_g2h_08")
bzw.AttackWindow("Bzw_g2h_08",0.400,0.535,"GI_2H_Window")
bzw.AddLevels("Bzw_g2h_08",0,40)

#COMBO1 "group"
bzw.AddAttack("GM1_2H","Bzw_g2h_b6kata")
bzw.AttackWindow("Bzw_g2h_b6kata",0.443,0.569,"GM1_2H_Window")
bzw.AddLevels("Bzw_g2h_b6kata",0,40)

#COMBO1 "group"
bzw.AddAttack("GM2_2H","Bzw_g2h_b7")
bzw.AttackWindow("Bzw_g2h_b7",0.297,0.418,"GM2_2H_Window")
bzw.AssignTrail("GM2_2H","","EstelaAmarilla1")
bzw.AddLevels("Bzw_g2h_b7",7,40)


#COMBO2 "group"
bzw.AddAttack("GM7_2H","Bzw_g2h_s7")
bzw.AttackWindow("Bzw_g2h_s7",0.402,0.662,"GM7_2H_Window")
bzw.AddLevels("Bzw_g2h_s7",0,40)

#COMBO2 "group"
bzw.AddAttack("GM5_2H","Bzw_g2h_02kata")
bzw.AttackWindow("Bzw_g2h_02kata",0.373,0.548,"GM5_2H_Window")
bzw.AssignTrail("GM5_2H","","EstelaAmarilla1")
bzw.AddLevels("Bzw_g2h_02kata",1,40)


#COMBO3 "group"
bzw.AddAttack("GM4_2H","Bzw_g2h_11")
bzw.AttackWindow("Bzw_g2h_11",0.272,0.502,"GM4_2H_Window")
bzw.AddLevels("Bzw_g2h_11",0,40)

#COMBO3 "group"
bzw.AddAttack("GM8_2H","Bzw_g2h_01")
bzw.AttackWindow("Bzw_g2h_01",0.195,0.427,"GM8_2H_Window")
bzw.AssignTrail("GM8_2H","","EstelaAmarilla1")
bzw.AddLevels("Bzw_g2h_01",5,40)


#COMBO4 "group"
bzw.AddAttack("GM10_2H","Bzw_g2h_12low")
bzw.AttackWindow("Bzw_g2h_12low",0.312,0.595,"GM10_2H_Window")
bzw.AddLevels("Bzw_g2h_12low",0,40)

#COMBO4 "group"
bzw.AddAttack("GM11_2H","Bzw_g2h_02low")
bzw.AttackWindow("Bzw_g2h_02low",0.280,0.525,"GM11_2H_Window")
bzw.AssignTrail("GM11_2H","","EstelaAmarilla1")
bzw.AddLevels("Bzw_g2h_02low",6,40)


#COMBO CHAOSWORD
bzw.AddAttack("GM6_2H","Bzw_g2h_b6")
bzw.AttackWindow("Bzw_g2h_b6",0.363,0.508,"GM6_2H_Window")
bzw.AssignTrail("GM6_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g2h_b6",4,40)

#COMBO4 DEATHSWORD
bzw.AddAttack("GM12_2H","Bzw_g2h_b6low")
bzw.AttackWindow("Bzw_g2h_b6low",0.338,0.470,"GM12_2H_Window")
bzw.AssignTrail("GM12_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g2h_b6low",7,40)

#COMBO BIGSWORD2 "group"
bzw.AddAttack("GM9_2H","Bzw_g2h_b29")
bzw.AttackWindow("Bzw_g2h_b29",0.304,0.557,"GM9_2H_Window")
bzw.AssignTrail("GM9_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g2h_b29",14,40)

#COMBO LONGSWORD "group"
bzw.AddAttack("GM41_2H","Bzw_g2h_13")
bzw.AttackWindow("Bzw_g2h_13",0.366,0.572,"GM41_2H_Window")
bzw.AssignTrail("GM41_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g2h_13",9,40)

#COMBOFLATSWORD "group"
bzw.AddAttack("GM42_2H","Bzw_g2h_28")
bzw.AttackWindow("Bzw_g2h_28",0.427,0.512,"GM42_2H_Window")
bzw.AssignTrail("GM42_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g2h_28",13,40)

#COMBOALFANJE "group"
bzw.AddAttack("GM15_2H","Bzw_g2h_s8")
bzw.AttackWindow("Bzw_g2h_s8",0.345,0.567,"GM15_2H_Window")
bzw.AssignTrail("GM15_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g2h_s8",10,40)

#COMBOFIREBIGSWORD1 "group"
bzw.AddAttack("GM44_2H","Bzw_g2h_21_2")
bzw.AttackWindow("Bzw_g2h_21_2",0.186,0.610,"GM44_2H_Window")
bzw.AssignTrail("GM44_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g2h_21_2",12,40)

#######
#COMBOFIREBIGSWORD2 "group"
bzw.AddAttack("GM45_2H","Bzw_g2h_earthpow")
bzw.AttackWindow("Bzw_g2h_earthpow",0.620,0.732,"GM45_2H_Window")
bzw.AssignTrail("GM45_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g2h_earthpow",17,40)

#COMBOSAWSWORD "group"
bzw.AddAttack("GM40_2H","Bzw_g2h_21_7")
bzw.AttackWindow("Bzw_g2h_21_7",0.534,0.772,"GM40_2H_Window")
bzw.AssignTrail("GM40_2H","","EstelaRoja1")

if netgame.GetNetState() == 1:
	bzw.AddLevels("Bzw_g2h_21_7",18,18)
else:
	bzw.AddLevels("Bzw_g2h_21_7",18,40)



#COMBORAPIDOEXTRA1 "group"
bzw.AddAttack("GM23_2H","Bzw_g2h_21_6kata")
bzw.AttackWindow("Bzw_g2h_21_6kata",0.328,0.731,"GM23_2H_Window")
bzw.AssignTrail("GM23_2H","","EstelaAmarilla1")
bzw.AddLevels("Bzw_g2h_21_6kata",8,40)

#COMBORAPIDOEXTRA2 "group"
bzw.AddAttack("GM24_2H","Bzw_g2h_26_b6")
bzw.AttackWindow("Bzw_g2h_26_b6",0.329,0.713,"GM24_2H_Window")
bzw.AssignTrail("GM24_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g2h_26_b6",11,40)

#COMBOATAQUE180 "group"
bzw.AddAttack("GM46_2H","Bzw_g2h_back")
bzw.AssignTrail("GM46_2H","","EstelaAmarilla1")
bzw.AddLevels("Bzw_g2h_back",3,40)





#GOLPEINICIOHACHA "group"
bzw.AddAttack("GI_AXE","Bzw_g_axe08")
bzw.AttackWindow("Bzw_g_axe08",0.218,0.435,"GI_AXE_Window")
bzw.AddLevels("Bzw_g_axe08",0,40)


#COMBOHACHA1 "group"
bzw.AddAttack("GM17_AXE","Bzw_g_axe18")
bzw.AttackWindow("Bzw_g_axe18",0.350,0.537,"GM17_AXE_Window")
bzw.AddLevels("Bzw_g_axe18",0,40)

#COMBOHACHA1 "group"
bzw.AddAttack("GM18_AXE","Bzw_g_axe01")
bzw.AttackWindow("Bzw_g_axe01",0.194,0.439,"GM18_AXE_Window")
bzw.AssignTrail("GM18_AXE","","EstelaAmarilla1")
bzw.AddLevels("Bzw_g_axe01",7,40)


#COMBOHACHA2 "group"
bzw.AddAttack("GM19_AXE","Bzw_g_axe02")
bzw.AttackWindow("Bzw_g_axe02",0.183,0.483,"GM19_AXE_Window")
bzw.AddLevels("Bzw_g_axe02",0,40)


#COMBOHACHA3 "group"
bzw.AddAttack("GM21_AXE","Bzw_g_axe13")
bzw.AttackWindow("Bzw_g_axe13",0.348,0.600,"GM21_AXE_Window")
bzw.AddLevels("Bzw_g_axe13",0,40)


#COMBOHACHA4 "group"
bzw.AddAttack("GM28_AXE","Bzw_g_axe111")
bzw.AttackWindow("Bzw_g_axe111",0.299,0.604,"GM28_AXE_Window")
bzw.AddLevels("Bzw_g_axe111",0,40)


#COMBOALEATORIOEXTRA "group"
bzw.AddAttack("GM31_AXE","Bzw_g_axe31")
bzw.AttackWindow("Bzw_g_axe31",0.690,0.884,"GM31_AXE_Window")
bzw.AssignTrail("GM31_AXE","","EstelaAmarilla1")
bzw.AddLevels("Bzw_g_axe31",10,40)


#COMBO ECLIPSE
bzw.AddAttack("GM29_AXE","Bzw_g_axe211")
bzw.AttackWindow("Bzw_g_axe211",0.411,0.703,"GM29_AXE_Window")
bzw.AssignTrail("GM29_AXE","","EstelaRoja1")
bzw.AddLevels("Bzw_g_axe211",6,40)

#COMBO GUADANYA
bzw.AddAttack("GM32_AXE","Bzw_g_axe33")
bzw.AttackWindow("Bzw_g_axe33",0.001,0.900,"GM32_AXE_Window")
bzw.AssignTrail("GM32_AXE","","EstelaRoja1")
bzw.AddLevels("Bzw_g_axe33",8,40)

#COMBO HACHA2HOJAS
bzw.AddAttack("GM26_AXE","Bzw_g_axe34")
bzw.AttackWindow("Bzw_g_axe34",0.414,0.607,"GM26_AXE_Window")
bzw.AssignTrail("GM26_AXE","","EstelaRoja1")
bzw.AddLevels("Bzw_g_axe34",11,40)

#COMBO RHINOCLUB
bzw.AddAttack("GM20_AXE","Bzw_g_axe12")
bzw.AttackWindow("Bzw_g_axe12",0.235,0.564,"GM20_AXE_Window")
bzw.AssignTrail("GM20_AXE","","EstelaRoja1")
if netgame.GetNetState() == 1:
	bzw.AddLevels("Bzw_g_axe12",15,15)
else:
	bzw.AddLevels("Bzw_g_axe12",15,40)

#COMBO HACHARRAJADA
bzw.AddAttack("GM27_AXE","Bzw_g_axe32")
bzw.AttackWindow("Bzw_g_axe32",0.452,0.614,"GM27_AXE_Window")
bzw.AssignTrail("GM27_AXE","","EstelaRoja1")
if netgame.GetNetState() == 1:
	bzw.AddLevels("Bzw_g_axe32",17,17)
else:
	bzw.AddLevels("Bzw_g_axe32",17,40)

#COMBOICEAXE1 "group"
bzw.AddAttack("GM36_AXE","Bzw_g_axe30")
bzw.AttackWindow("Bzw_g_axe30",0.650,0.859,"GM36_AXE_Window")
bzw.AssignTrail("GM36_AXE","","EstelaAzul1")
bzw.AddLevels("Bzw_g_axe30",12,40)




#GOLPESINARMA1 "group"
bzw.AddAttack("GM37_NO","Bzw_g_punch4")
bzw.AddLevels("Bzw_g_punch4",0,40)

#GOLPESINARMA2 "group"
bzw.AddAttack("GM38_NO","Bzw_g_punch2")
bzw.AddLevels("Bzw_g_punch2",0,40)

#GOLPESINARMA3 "group"
bzw.AddAttack("GM39_NO","Bzw_g_punch3")
bzw.AddLevels("Bzw_g_punch3",0,40)


#GOLPE Torpe Lanza
bzw.AddAttack("GM47_SP","Bzw_g_bad_spear")
bzw.AddLevels("Bzw_g_bad_spear",0,40)


#COMBO BLADEESTELA
bzw.AddAttack("GM60_2H","Bzw_g_magic2")
bzw.AssignTrail("GM60_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g_magic2",18,40)

#COMBO BLADECONCENTRACION
bzw.AddAttack("GM61_2H","Bzw_g_magic")
bzw.AssignTrail("GM61_2H","","EstelaRoja1")
bzw.AddLevels("Bzw_g_magic",19,40)

############################################################

#GAI meta-group
bzw.MetaAttack("GIM_2H","GI_2H")
bzw.MetaAttack("GIM_AXE","GI_AXE")
bzw.MetaAttack("GIM_2H","GM1_2H")
bzw.MetaAttack("GIM_2H","GM2_2H")
bzw.MetaAttack("GIM_2H","GM4_2H")
bzw.MetaAttack("GIM_2H","GM5_2H")
bzw.MetaAttack("GIM_2H","GM6_2H")
bzw.MetaAttack("GIM_2H","GM7_2H")
bzw.MetaAttack("GIM_2H","GM8_2H")
bzw.MetaAttack("GIM_2H","GM9_2H")
bzw.MetaAttack("GIM_2H","GM10_2H")
bzw.MetaAttack("GIM_2H","GM11_2H")
bzw.MetaAttack("GIM_2H","GM12_2H")
bzw.MetaAttack("GIM_2H","GM15_2H")
bzw.MetaAttack("GIM_AXE","GM17_AXE")
bzw.MetaAttack("GIM_AXE","GM18_AXE")
bzw.MetaAttack("GIM_AXE","GM19_AXE")
bzw.MetaAttack("GIM_AXE","GM20_AXE")
bzw.MetaAttack("GIM_AXE","GM21_AXE")
bzw.MetaAttack("GIM_2H","GM23_2H")
bzw.MetaAttack("GIM_2H","GM24_2H")
bzw.MetaAttack("GIM_AXE","GM26_AXE")
bzw.MetaAttack("GIM_AXE","GM27_AXE")
bzw.MetaAttack("GIM_AXE","GM28_AXE")
bzw.MetaAttack("GIM_AXE","GM29_AXE")
bzw.MetaAttack("GIM_AXE","GM31_AXE")
bzw.MetaAttack("GIM_AXE","GM32_AXE")
bzw.MetaAttack("GIM_AXE","GM36_AXE")
bzw.MetaAttack("GIM_NO","GM37_NO")
bzw.MetaAttack("GIM_NO","GM38_NO")
bzw.MetaAttack("GIM_NO","GM39_NO")
bzw.MetaAttack("GIM_2H","GM40_2H")
bzw.MetaAttack("GIM_2H","GM41_2H")
bzw.MetaAttack("GIM_2H","GM42_2H")
bzw.MetaAttack("GIM_2H","GM44_2H")
bzw.MetaAttack("GIM_2H","GM45_2H")
bzw.MetaAttack("GIM_2H","GM46_2H")
#bzw.MetaAttack("GIM_SP","GM47_SP")
bzw.MetaAttack("GIM_2H","GM60_2H")
bzw.MetaAttack("GIM_2H","GM61_2H")
bzw.MetaAttack("GIM_SP","GI_SP")
bzw.MetaAttack("GIM_SP","GM1_SP")
bzw.MetaAttack("GIM_SP","GM3_SP")
bzw.MetaAttack("GIM_SP","GM6_SP")
bzw.MetaAttack("GIM_SP","GM8_SP")
bzw.MetaAttack("GIM_SP","GM15_SP")

bzw.MetaAttack("GOLPEINICIAL","GI_2H")
bzw.MetaAttack("GOLPEINICIALHACHA","GI_AXE")

bzw.MetaAttack("GOLPEINICIALLANZA","GI_SP")



bzw.MetaAttack("COMBO1","GM1_2H")
bzw.MetaAttack("COMBO1","GM2_2H")

bzw.MetaAttack("COMBO1","GM4_2H")
bzw.MetaAttack("COMBO1","GM5_2H")
bzw.MetaAttack("COMBO1","GM6_2H")

bzw.MetaAttack("COMBO1","GM7_2H")
bzw.MetaAttack("COMBO1","GM8_2H")
bzw.MetaAttack("COMBO1","GM9_2H")

bzw.MetaAttack("COMBO1","GM10_2H")
bzw.MetaAttack("COMBO1","GM11_2H")
bzw.MetaAttack("COMBO1","GM12_2H")

bzw.MetaAttack("COMBO1","GM17_AXE")
bzw.MetaAttack("COMBO1","GM18_AXE")

bzw.MetaAttack("COMBO1","GM19_AXE")
bzw.MetaAttack("COMBO1","GM20_AXE")

bzw.MetaAttack("COMBO1","GM21_AXE")
bzw.MetaAttack("COMBO1","GM26_AXE")
bzw.MetaAttack("COMBO1","GM27_AXE")
bzw.MetaAttack("COMBO1","GM28_AXE")
bzw.MetaAttack("COMBO1","GM29_AXE")
bzw.MetaAttack("COMBO1","GM31_AXE")
bzw.MetaAttack("COMBO1","GM32_AXE")
bzw.MetaAttack("COMBO1","GM36_AXE")
bzw.MetaAttack("COMBO1","GM37_NO")
bzw.MetaAttack("COMBO1","GM38_NO")
bzw.MetaAttack("COMBO1","GM39_NO")

bzw.MetaAttack("COMBOLONGSWORD","GM41_2H")
bzw.MetaAttack("COMBOFLATSWORD","GM42_2H")
bzw.MetaAttack("COMBOALFANJE","GM15_2H")
bzw.MetaAttack("COMBOFIREBIGSWORD","GM44_2H")
bzw.MetaAttack("COMBOFIREBIGSWORD","GM45_2H")

bzw.MetaAttack("COMBO1","GM23_2H")
bzw.MetaAttack("COMBO1","GM24_2H")
bzw.MetaAttack("COMBOEXTRA1","GM31_AXE")
bzw.MetaAttack("COMBO1","GM40_2H")
bzw.MetaAttack("COMBO1","GM46_2H")
bzw.MetaAttack("COMBO1","GM47_SP")
bzw.MetaAttack("COMBO1","GM60_2H")
bzw.MetaAttack("COMBO1","GM61_2H")
bzw.MetaAttack("COMBO1","GM1_SP")
bzw.MetaAttack("COMBO1","GM3_SP")
bzw.MetaAttack("COMBO1","GM6_SP")
bzw.MetaAttack("COMBO1","GM8_SP")

bzw.MetaAttack("COMBOEXTRA","GM15_SP")

###########################################################

#GOLPEATAQUE180
bzw.AllowAttack("GM46_2H","B+L+R","","","","2W")

#Golpes en esquiva
bzw.AllowAttack("DL_G_2H","A","DL","","","2W")

bzw.AllowAttack("DR_G_2H","A","DR","","","2W")

bzw.AllowAttack("DB_G_2H","A","DB","","","2W")

bzw.AllowAttack("DL_G_AXE","A","DL","","","AXE")

bzw.AllowAttack("DR_G_AXE","A","DR","","","AXE")

bzw.AllowAttack("DB_G_AXE","A","DB","","","AXE")


bzw.AllowAttack("DR_G_AXE","A","DR","","","SP")

bzw.AllowAttack("DL_G_AXE","A","DL","","","SP")

#COMBO ESTELA
bzw.AllowAttack("GM60_2H","&B","GI_2H","","","BladeSword2Barbarian")

#COMBO CONCENTRACION
bzw.AllowAttack("GM61_2H","&A+F","GI_2H","","","BladeSword2Barbarian")


#GOLPE torpe Lanza
#bzw.AllowAttack("GM47_SP","A","","COMBO1","","SP")

##################################################

bzw.AllowAttack("GI_SP","A","","GIM_SP","GI_SP_Window","SP")

bzw.AllowAttack("GM8_SP","A+B","","GM8_SP","","SP")
bzw.AllowAttack("GM8_SP","&A+B","","GM8_SP","","SP")

bzw.AllowAttack("GM6_SP","A+L","","GM6_SP","","SP")
bzw.AllowAttack("GM6_SP","&A+L","","GM6_SP","","SP")

bzw.AllowAttack("GM1_SP","A+F","","GM1_SP","","SP")
bzw.AllowAttack("GM1_SP","&A+F","","GM1_SP","","SP")

bzw.AllowAttack("GM3_SP","A+R","","GM3_SP","","SP")
bzw.AllowAttack("GM3_SP","&A+R","","GM3_SP","","SP")

bzw.AllowAttack("GM15_SP","R+L","GI_SP","COMBOEXTRA","GM15_SP_Window","SP")




#GOLPESINARMA1
bzw.AllowAttack("GM37_NO","A","","COMBO1","","NO")

#GOLPESINARMA2
bzw.AllowAttack("GM38_NO","A+B","","COMBO1","","NO")
bzw.AllowAttack("GM38_NO","&A+B","","COMBO1","","NO")

#GOLPESINARMA3
bzw.AllowAttack("GM39_NO","A+F","","COMBO1","","NO")
bzw.AllowAttack("GM39_NO","&A+F","","COMBO1","","NO")

#COMBO FLATSWORD1
bzw.AllowAttack("GM42_2H","R+L","GI_2H","","GI_2H_Window","FlatSword")

#COMBOFIREBIGSWORD
bzw.AllowAttack("GM44_2H","B","GM23_2H","","GM23_2H_Window","FireBigSword")

#COMBOFIREBIGSWORD
bzw.AllowAttack("GM45_2H","R+L","GM24_2H","","GM24_2H_Window","FireBigSword")




#COMBORAPIDOEXTRA2
bzw.AllowAttack("GM24_2H","A","GM23_2H","","","2W")

#COMBORAPIDOEXTRA1
bzw.AllowAttack("GM23_2H","F","GI_2H","GM23_2H","","2W")


#COMBO TECLA ARRIBA2
bzw.AllowAttack("GM2_2H","A+F","GM1_2H","","GM1_2H_Window","2W")
bzw.AllowAttack("GM2_2H","&A+F","GM1_2H","","GM1_2H_Window","2W")

#COMBO TECLA ARRIBA1
bzw.AllowAttack("GM1_2H","A+F","","GM1_2H","GM2_2H_Window","2W")
bzw.AllowAttack("GM1_2H","&A+F","","GM1_2H","GM2_2H_Window","2W")

#COMBO CHAOSWORD
bzw.AllowAttack("GM6_2H","B","GM1_2H","","GM1_2H_Window","Chaosword")
bzw.AllowAttack("GM6_2H","&B","GM1_2H","","GM1_2H_Window","Chaosword")

#COMBO DEATHSWORD
bzw.AllowAttack("GM12_2H","F+B","GM1_2H","","GM1_2H_Window","DeathSword")

#COMBO BIGSWORD2
bzw.AllowAttack("GM9_2H","B","GM1_2H","","","BigSword")

#COMBO SAWSWORD1
bzw.AllowAttack("GM40_2H","R+L","GM1_2H","","GM1_2H_Window","SawSword")




#COMBO TECLA DERECHA2
bzw.AllowAttack("GM5_2H","A+R","GM4_2H","","GM4_2H_Window","2W")
bzw.AllowAttack("GM5_2H","&A+R","GM4_2H","","GM4_2H_Window","2W")

#COMBO TECLA DERECHA1
bzw.AllowAttack("GM4_2H","A+R","","GM4_2H","GM5_2H_Window","2W")
bzw.AllowAttack("GM4_2H","&A+R","","GM4_2H","GM5_2H_Window","2W")



#COMBO TECLA IZQUIERDA2
bzw.AllowAttack("GM8_2H","A+L","GM7_2H","","GM7_2H_Window","2W")
bzw.AllowAttack("GM8_2H","&A+L","GM7_2H","","GM7_2H_Window","2W")

#COMBO TECLA IZQUIERDA1
bzw.AllowAttack("GM7_2H","A+L","","GM7_2H","GM8_2H_Window","2W")
bzw.AllowAttack("GM7_2H","&A+L","","GM7_2H","GM8_2H_Window","2W")

#COMBO LONGSWORD1
bzw.AllowAttack("GM41_2H","R","GM7_2H","","","LongSword")



#COMBO TECLA ABAJO2
bzw.AllowAttack("GM11_2H","A+B","GM10_2H","","GM10_2H_Window","2W")
bzw.AllowAttack("GM11_2H","&A+B","GM10_2H","","GM10_2H_Window","2W")

#COMBO TECLA ABAJO1
bzw.AllowAttack("GM10_2H","A+B","","GM10_2H","GM11_2H_Window","2W")
bzw.AllowAttack("GM10_2H","&A+B","","GM10_2H","GM11_2H_Window","2W")

#COMBO ALFANJE1
bzw.AllowAttack("GM15_2H","F","GM11_2H","","","Alfanje")


#GI
bzw.AllowAttack("GI_2H","A","","GIM_2H","GI_2H_Window","2W")



#COMBOALEATORIOEXTRA1
bzw.AllowAttack("GM31_AXE","L+R","GM17_AXE","","GM17_AXE_Window","AXE")

#COMBOICEAXE
bzw.AllowAttack("GM36_AXE","B+L","GI_AXE","","GI_AXE_Window","IceAxe")



#COMBOHACHA TECLA ARRIBA2
bzw.AllowAttack("GM18_AXE","A+F","GM17_AXE","","GM17_AXE_Window","AXE")
bzw.AllowAttack("GM18_AXE","&A+F","GM17_AXE","","GM17_AXE_Window","AXE")

#COMBOHACHA TECLA ARRIBA1
bzw.AllowAttack("GM17_AXE","A+F","","GM17_AXE","GM18_AXE_Window","AXE")
bzw.AllowAttack("GM17_AXE","&A+F","","GM17_AXE","GM18_AXE_Window","AXE")



#COMBOHACHA TECLA DERECHA1
bzw.AllowAttack("GM19_AXE","A+R","","GM19_AXE","","AXE")
bzw.AllowAttack("GM19_AXE","&A+R","","GM19_AXE","","AXE")

#COMBO GUADANYA
bzw.AllowAttack("GM32_AXE","A+R","GM19_AXE","","","Guadanya")
bzw.AllowAttack("GM32_AXE","&A+R","GM19_AXE","","","Guadanya")

#COMBO HACHARRAJADA
bzw.AllowAttack("GM27_AXE","B+L","GM19_AXE","","","Hacharrajada")




#COMBOHACHA TECLA IZQUIERDA1
bzw.AllowAttack("GM21_AXE","A+L","","GM21_AXE","","AXE")
bzw.AllowAttack("GM21_AXE","&A+L","","GM21_AXE","","AXE")

#COMBO RHINOCLUB
bzw.AllowAttack("GM20_AXE","A+L","GM21_AXE","","","RhinoClub")
bzw.AllowAttack("GM20_AXE","&A+L","GM21_AXE","","","RhinoClub")

#COMBO HACHA2HOJAS
bzw.AllowAttack("GM26_AXE","F+R","GM21_AXE","","","Hacha2hojas")


#COMBO ECLIPSE
bzw.AllowAttack("GM29_AXE","A+B","GM28_AXE","","GM28_AXE_Window","Eclipse")
bzw.AllowAttack("GM29_AXE","&A+B","GM28_AXE","","GM28_AXE_Window","Eclipse")

#COMBOHACHA TECLA ABAJO1
bzw.AllowAttack("GM28_AXE","A+B","","GM28_AXE","","AXE")
bzw.AllowAttack("GM28_AXE","&A+B","","GM28_AXE","","AXE")



#GI
bzw.AllowAttack("GI_AXE","A","","GIM_AXE","GI_AXE_Window","AXE")