from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy
from CharData import CharMaxEnergyValue

import Reference
import Bladex
import Damage

CharMaxLifeValue['BronzeWarrior']=     [    200,    300,    400,    500,    600,    750,    1000,   1280,   1550,   2180,   2580,   2980,   3380,   3780,   4180,   4580,   4980,   5380,   5780,   6180]
CharDamageData['BronzeWarrior']=       [     1,      2,      4,      6,      8,     10,     12,     14,     16,     18,     20,     22,     24,     26,     28,     30,     32,     34,     36,     38]
CharDefenseData['BronzeWarrior']=      [     1,      2,      4,      6,      8,     10,     12,     14,     16,     18,     20,     22,     24,     26,     28,     30,     32,     34,     36,     38]
CharExperienceCost['BronzeWarrior']=   [    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['BronzeWarrior']= [  200,   400,    800,   1600,   3200,   6400,  12800,  25600,  51200,  100000,  200000, 300000, 400000, 800000, 1200000, 2600000, 4000000, 8000000, 15000000, 30000000]
CharAccuracy['BronzeWarrior']=         [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['BronzeWarrior']=      {'Impale': 0.60, 'Slash': 0.70, 'Crush': 0.60, 'Fire': 0.00, 'Ice': -0.20, 'Venom': 0.70, 'Light': 0.00, 'Electric': 0.00, 'Acid': 0.00, 'Drain': 0.00}


GolpeArmaEscudoBronze=Bladex.CreateSound('..\\..\\sounds\\ARMADURA-GRANDE-4.wav', 'GolpeArmaEscudoBronze')
GolpeArmaEscudoBronze.SendNotify=1

Reference.DefaultObjectData['BronzeWarrior']=[Reference.OBJ_WEAPON,  2,  0, 1.0,  Reference.THR_SPINNING,[]]


Reference.DefaultObjectData['BronzeShield1']= [Reference.OBJ_SHIELD,-1.5,5000, GolpeArmaEscudoBronze, 180.0*Reference.DEG2RADS,   2000,  750,  0]

Reference.DefaultObjectData['GorgonHammer']=[Reference.OBJ_WEAPON,  5,  0, 1.0,  Reference.THR_SPINNING,[]]
Reference.DefaultSelectionData['GorgonHammer']=(8.0,4000.0, "Gorgon Hammer")


Reference.DefaultObjectData['BattleAxe6']=[Reference.OBJ_WEAPON,  5,  0, 1.0,  Reference.THR_SPINNING,[]]
Reference.DefaultSelectionData['BattleAxe6']=(8.0,4000.0, "Battle Axe")

Reference.DefaultSelectionData['IronMace']=(8.0,4000.0, "Bronze Mace")
Reference.DefaultObjectData['IronMace']=[Reference.OBJ_WEAPON,  3, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]


Reference.DefaultObjectData['BZfootwep']=[Reference.OBJ_WEAPON,  0, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,],["Ice",+2.0]]


Damage.AnimationData['Bzw_g_07']=    1.0
Damage.AnimationData['Bzw_g_01']=    1.2
Damage.AnimationData['Bzw_g_17']=    2.8
Damage.AnimationData['Bzw_g_18']=    1.8
Damage.AnimationData['Bzw_g_11']=    1.1
Damage.AnimationData['Bzw_g_15']=    1.3
Damage.AnimationData['Bzw_g_41']=    2.5
Damage.AnimationData['Bzw_g_42']=    4.0
Damage.AnimationData['Bzw_g_kick']=    3.0