import Bladex
import NetSounds
import netgame

# ***********************************
# *      Asignacion de sonidos      *
# ***********************************

AsignarSonidosGhlCalled=0
def AsignarSonidosGhoul(Personaje):
	from AniSoundGhoulX import *
	
	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos

	per.AddEventSound('shield_block', GolpeArmaEscudoGhl)
	per.AddEventSound('weapon_block', GolpeArmaArmaGhl)
	per.AddEventSound('impale', TajoEmpalanteGhl)
	per.AddEventSound('slash', TajoCortanteGhl)
	per.AddEventSound('mutilate', TajoMutilacionGhl)
	per.AddEventSound('crush', GolpeContundenteGhl)
	
	
	global AsignarSonidosGhlCalled
	if AsignarSonidosGhlCalled:
		return
	AsignarSonidosGhlCalled=1


	# Sonidos de animaciones

	
	per.AddAnimSound('Ghl_chg_r', Enfundar, 0.4)
	per.AddAnimSound('Ghl_chg_r_l', Enfundar, 0.3599)
	per.AddAnimSound('Ghl_attack_chg_r_l', Enfundar, 0.5)
	per.AddAnimSound('Ghl_attack_chg_r', Enfundar, 0.5)
	per.AddAnimSound('Ghl_chg_r', Enfundar, 0.4)
	per.AddAnimSound('Ghl_chg_r_l', Enfundar, 0.3599)
	per.AddAnimSound('Ghl_attack_chg_r_l', Enfundar, 0.5)
	per.AddAnimSound('Ghl_attack_chg_r', Enfundar, 0.5)

	per.AddAnimSound('Ghl_g_01', EsfuerzoCorto6Ghl, 0.2468)
	per.AddAnimSound('Ghl_g_02', EsfuerzoCorto5Ghl, 0.3026)
	per.AddAnimSound('Ghl_g_05', EsfuerzoCorto2Ghl, 0.5300)
	per.AddAnimSound('Ghl_g_06', EsfuerzoCorto3Ghl, 0.4211)
	per.AddAnimSound('Ghl_g_07', EsfuerzoCorto4Ghl, 0.3291)
	per.AddAnimSound('Ghl_g_08', EsfuerzoCorto2Ghl, 0.3881)
	per.AddAnimSound('Ghl_g_09', EsfuerzoCorto6Ghl, 0.2895)
	per.AddAnimSound('Ghl_g_01', SesgadoCorto, 0.3377)
	per.AddAnimSound('Ghl_g_01', AndarGhl1, 0.5000)
	per.AddAnimSound('Ghl_g_01', AndarGhl2, 0.7000)
	per.AddAnimSound('Ghl_g_01', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Ghl_g_01', RespiracionGhl2, 0.8000)
	per.AddAnimSound('Ghl_g_02', SesgadoCortoAgudo, 0.3158)
	per.AddAnimSound('Ghl_g_02', AndarGhl1, 0.5000)
	per.AddAnimSound('Ghl_g_02', AndarGhl2, 0.7000)
	per.AddAnimSound('Ghl_g_02', RespiracionGhl2, 0.2200)
	per.AddAnimSound('Ghl_g_02', RespiracionGhl1, 0.800)
	per.AddAnimSound('Ghl_g_05', SesgadoCortoGrave, 0.5658)
	per.AddAnimSound('Ghl_g_05', AndarGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_05', AndarGhl2, 0.8500)
	per.AddAnimSound('Ghl_g_05', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Ghl_g_05', RespiracionGhl2, 0.3000)
	per.AddAnimSound('Ghl_g_06', SesgadoCorto, 0.4342)
	per.AddAnimSound('Ghl_g_06', AndarGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_06', AndarGhl2, 0.8500)
	per.AddAnimSound('Ghl_g_06', RespiracionGhl2, 0.1200)
	per.AddAnimSound('Ghl_g_06', RespiracionGhl1, 0.3000)
	per.AddAnimSound('Ghl_g_06', RespiracionGhl2, 0.8000)
	per.AddAnimSound('Ghl_g_06', RespiracionGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_07', SesgadoCortoAgudo, 0.3418)
	per.AddAnimSound('Ghl_g_07', AndarGhl2, 0.6000)
	per.AddAnimSound('Ghl_g_07', AndarGhl1, 0.8000)
	per.AddAnimSound('Ghl_g_07', RespiracionGhl1, 0.1700)
	per.AddAnimSound('Ghl_g_07', RespiracionGhl2, 0.7000)
	per.AddAnimSound('Ghl_g_07', RespiracionGhl2, 0.4000)
	per.AddAnimSound('Ghl_g_08', SesgadoCortoGrave, 0.4030)
	per.AddAnimSound('Ghl_g_08', AndarGhl1, 0.4030)
	per.AddAnimSound('Ghl_g_08', AndarGhl2, 0.6000)
	per.AddAnimSound('Ghl_g_08', RespiracionGhl2, 0.5000)
	per.AddAnimSound('Ghl_g_08', RespiracionGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_08', RespiracionGhl2, 0.1100)
	per.AddAnimSound('Ghl_g_08', RespiracionGhl1, 0.2000)
	per.AddAnimSound('Ghl_g_09', SesgadoCorto, 0.3158)
	per.AddAnimSound('Ghl_g_09', AndarGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_09', AndarGhl2, 0.8000)
	per.AddAnimSound('Ghl_g_09', RespiracionGhl1, 0.5000)
	per.AddAnimSound('Ghl_g_09', RespiracionGhl2, 0.7000)
	per.AddAnimSound('Ghl_g_09', RespiracionGhl2, 0.1100)
	per.AddAnimSound('Ghl_g_11', EsfuerzoGolpeFrontalGhl, 0.4685)
	per.AddAnimSound('Ghl_g_12', EsfuerzoGolpeFrontalGhl, 0.2290)
	per.AddAnimSound('Ghl_g_13', EsfuerzoGolpeFrontalGhl, 0.3053)
	per.AddAnimSound('Ghl_g_14', EsfuerzoGolpeLateralGhl, 0.2290)
	per.AddAnimSound('Ghl_g_15', EsfuerzoGolpeLateralGhl, 0.4628)
	per.AddAnimSound('Ghl_g_16', EsfuerzoGolpeLateralGhl, 0.4681)
	per.AddAnimSound('Ghl_g_17', EsfuerzoGolpeLateralGhl, 0.4200)
	per.AddAnimSound('Ghl_g_18', EsfuerzoGolpeArribaGhl, 0.4224)
	per.AddAnimSound('Ghl_g_11', SesgadoLargo, 0.4775)
	per.AddAnimSound('Ghl_g_11', AndarGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_11', AndarGhl2, 0.8500)
	per.AddAnimSound('Ghl_g_11', RespiracionGhl1, 0.1200)
	per.AddAnimSound('Ghl_g_11', RespiracionGhl2, 0.2500)
	per.AddAnimSound('Ghl_g_11', RespiracionGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_11', RespiracionGhl2, 0.8000)
	per.AddAnimSound('Ghl_g_12', SesgadoLargo, 0.4351)
	per.AddAnimSound('Ghl_g_12', AndarGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_12', AndarGhl2, 0.8500)
	per.AddAnimSound('Ghl_g_12', RespiracionGhl1, 0.5000)
	per.AddAnimSound('Ghl_g_12', RespiracionGhl2, 0.6000)
	per.AddAnimSound('Ghl_g_12', RespiracionGhl1, 0.1100)
	per.AddAnimSound('Ghl_g_13', SesgadoLargoAgudo, 0.1679)
	per.AddAnimSound('Ghl_g_13', AndarGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_13', AndarGhl2, 0.8500)
	per.AddAnimSound('Ghl_g_13', RespiracionGhl1, 0.4000)
	per.AddAnimSound('Ghl_g_13', RespiracionGhl2, 0.5000)
	per.AddAnimSound('Ghl_g_13', RespiracionGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_14', SesgadoLargoGrave, 0.3969)
	per.AddAnimSound('Ghl_g_14', AndarGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_14', AndarGhl2, 0.8500)
	per.AddAnimSound('Ghl_g_14', RespiracionGhl1, 0.1100)
	per.AddAnimSound('Ghl_g_14', RespiracionGhl2, 0.5000)
	per.AddAnimSound('Ghl_g_14', RespiracionGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_15', SesgadoLargo, 0.4463)
	per.AddAnimSound('Ghl_g_15', AndarGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_15', AndarGhl2, 0.8000)
	per.AddAnimSound('Ghl_g_15', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Ghl_g_15', RespiracionGhl2, 0.3000)
	per.AddAnimSound('Ghl_g_15', RespiracionGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_15', RespiracionGhl2, 0.7500)
	per.AddAnimSound('Ghl_g_15', RespiracionGhl1, 0.9000)
	per.AddAnimSound('Ghl_g_16', SesgadoLargoAgudo, 0.4823)
	per.AddAnimSound('Ghl_g_16', AndarGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_16', AndarGhl2, 0.8000)
	per.AddAnimSound('Ghl_g_16', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Ghl_g_16', RespiracionGhl1, 0.3000)
	per.AddAnimSound('Ghl_g_16', RespiracionGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_16', RespiracionGhl1, 0.8500)
	per.AddAnimSound('Ghl_g_17', SesgadoLargoAgudo, 0.4427)
	per.AddAnimSound('Ghl_g_17', AndarGhl2, 0.6000)
	per.AddAnimSound('Ghl_g_17', AndarGhl1, 0.8000)
	per.AddAnimSound('Ghl_g_17', RespiracionGhl1, 0.1200)
	per.AddAnimSound('Ghl_g_17', RespiracionGhl1, 0.5900)
	per.AddAnimSound('Ghl_g_17', RespiracionGhl2, 0.7000)
	per.AddAnimSound('Ghl_g_18', SesgadoLargoGrave, 0.4483)
	per.AddAnimSound('Ghl_g_18', AndarGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_18', AndarGhl2, 0.8000)
	per.AddAnimSound('Ghl_g_18', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Ghl_g_18', RespiracionGhl1, 0.3000)
	per.AddAnimSound('Ghl_g_18', RespiracionGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_18', RespiracionGhl1, 0.9000)
	per.AddAnimSound('Ghl_g_22', EsfuerzoGolpeAtrasGhl, 0.4300)
	per.AddAnimSound('Ghl_g_26', EsfuerzoGolpeCabezaGhl, 0.1342)
	per.AddAnimSound('Ghl_g_22', SesgadoLargo, 0.4698)
	per.AddAnimSound('Ghl_g_22', AndarGhl1, 0.6000)
	per.AddAnimSound('Ghl_g_22', AndarGhl2, 0.8000)
	per.AddAnimSound('Ghl_g_22', RespiracionGhl2, 0.3000)
	per.AddAnimSound('Ghl_g_22', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Ghl_g_22', RespiracionGhl2, 0.7000)
	per.AddAnimSound('Ghl_g_22', RespiracionGhl1, 0.9000)
	per.AddAnimSound('Ghl_g_26', SesgadoLargoAgudo, 0.1983)
	per.AddAnimSound('Ghl_g_26', RespiracionGhl1, 0.3000)
	per.AddAnimSound('Ghl_g_26', RespiracionGhl2, 0.4500)
	per.AddAnimSound('Ghl_g_26', RespiracionGhl1, 0.6500)
	per.AddAnimSound('Ghl_g_26', RespiracionGhl2, 0.8500)
	per.AddAnimSound('Ghl_g_31', EsfuerzoGolpeAtrasGhl, 0.2950)
	per.AddAnimSound('Ghl_g_31', SesgadoLargo, 0.2950)
	per.AddAnimSound('Ghl_g_31', AndarGhl2, 0.6000)
	per.AddAnimSound('Ghl_g_31', AndarGhl1, 0.8000)
	per.AddAnimSound('Ghl_g_31', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Ghl_g_31', RespiracionGhl2, 0.4000)
	per.AddAnimSound('Ghl_g_31', RespiracionGhl1, 0.7000)
	per.AddAnimSound('Ghl_g_31', RespiracionGhl2, 0.9000)
	
	per.AddAnimSound('Ghl_g_12', SesgadoLargoAgudo, 0.5461)
	per.AddAnimSound('Ghl_g_12', EsfuerzoCortoGhl, 0.5180)
	per.AddAnimSound('Ghl_g_16', SesgadoLargoAgudo, 0.4543)
	per.AddAnimSound('Ghl_g_16', EsfuerzoCorto1Ghl, 0.4400)
	per.AddAnimSound('Ghl_g_13', SesgadoLargoAgudo, 0.3150)
	per.AddAnimSound('Ghl_g_13', EsfuerzoCorto2Ghl, 0.2900)
	per.AddAnimSound('Ghl_g_18', SesgadoLargoAgudo, 0.4894)
	per.AddAnimSound('Ghl_g_18', EsfuerzoCorto3Ghl, 0.4700)
	
	per.AddAnimSound('Ghl_g_claw1', SesgadoLargoGrave, 0.3300)
	per.AddAnimSound('Ghl_g_claw1', EsfuerzoCorto4Ghl, 0.3690)
	per.AddAnimSound('Ghl_g_claw1', AndarGhl1, 0.5500)
	per.AddAnimSound('Ghl_g_claw1', AndarGhl2, 0.7500)
	per.AddAnimSound('Ghl_g_claw1', RespiracionGhl1, 0.1200)
	per.AddAnimSound('Ghl_g_claw1', RespiracionGhl2, 0.6500)
	per.AddAnimSound('Ghl_g_claw1', RespiracionGhl1, 0.8500)
	per.AddAnimSound('Ghl_g_claw2', SesgadoLargoGrave, 0.3160)
	per.AddAnimSound('Ghl_g_claw2', EsfuerzoGhlMediano, 0.2900)
	per.AddAnimSound('Ghl_g_claw2', AndarGhl1, 0.4500)
	per.AddAnimSound('Ghl_g_claw2', AndarGhl2, 0.6500)
	per.AddAnimSound('Ghl_g_claw2', RespiracionGhl1, 0.1200)
	per.AddAnimSound('Ghl_g_claw2', RespiracionGhl2, 0.2900)
	per.AddAnimSound('Ghl_g_claw2', RespiracionGhl1, 0.5500)
	per.AddAnimSound('Ghl_g_claw2', RespiracionGhl2, 0.7500)
	per.AddAnimSound('Ghl_g_claw3', SesgadoLargoGrave, 0.3005)
	per.AddAnimSound('Ghl_g_claw3', EsfuerzoGhlMediano, 0.3005)
	per.AddAnimSound('Ghl_g_claw3', AndarGhl1, 0.5000)
	per.AddAnimSound('Ghl_g_claw3', AndarGhl2, 0.7000)
	per.AddAnimSound('Ghl_g_claw3', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Ghl_g_claw3', RespiracionGhl2, 0.4250)
	per.AddAnimSound('Ghl_g_claw3', RespiracionGhl1, 0.6250)
	per.AddAnimSound('Ghl_g_claw3', RespiracionGhl2, 0.7000)
	
	#per.AddAnimSound('Ghl_g_spit', EscupeGhl1, 0.4000)
	per.AddAnimSound('Ghl_g_spit', EscupeGhl1, 0.1000)
	
	per.AddAnimSound('Ghl_Rlx_no', SesgadoLargoAgudo, 0.2950)
	per.AddAnimSound('Ghl_Wlk_1h', SesgadoLargoAgudo, 0.2950)
	

	per.AddAnimSound('Ghl_clmb_medlow_1h', EsfuerzoCorto2Ghl, 0.2400)
	per.AddAnimSound('Ghl_clmb_medium_1h', EsfuerzoCorto2Ghl, 0.1389)
	per.AddAnimSound('Ghl_clmb_high_1h', EsfuerzoCorto1Ghl, 0.0862)
	per.AddAnimSound('Ghl_clmb_medlow_no', EsfuerzoCorto2Ghl, 0.4000)
	per.AddAnimSound('Ghl_clmb_medium_no', EsfuerzoCorto2Ghl, 0.1944)
	per.AddAnimSound('Ghl_clmb_high_no', EsfuerzoCorto1Ghl, 0.1552)
	per.AddAnimSound('Ghl_clmb_medium_1h', EsfuerzoCortoGhl, 0.1944)
	per.AddAnimSound('Ghl_clmb_high_1h', EsfuerzoGhlMediano, 0.1552)
	per.AddAnimSound('Ghl_clmb_high_1h', EsfuerzoCortoGhl, 0.1552)
	per.AddAnimSound('Ghl_clmb_medium_no', EsfuerzoCortoGhl, 0.1944)
	per.AddAnimSound('Ghl_clmb_high_no', EsfuerzoGhlMediano, 0.1552)
	per.AddAnimSound('Ghl_clmb_high_no', EsfuerzoCortoGhl, 0.1552)

	per.AddAnimSound('Ghl_dth0', MuerteGhl1, 0.1000)
	per.AddAnimSound("Ork_dth_i1", MuerteGhl1, 0.1130)
	per.AddAnimSound("Ork_dth_i2", MuerteGhl4, 0.1130)
	per.AddAnimSound("Ork_dth_bl1", MuerteGhl2, 0.1130)
	per.AddAnimSound("Ork_dth_bl2", MuerteGhl1, 0.1130)
	per.AddAnimSound("Ork_dth_rock", MuerteGhl3, 0.1130)
	per.AddAnimSound("Ghl_dth_n00", MuerteGhl1, 0.1100)
	per.AddAnimSound("Ghl_dth_n00", AndarGhl1, 0.2000)
	per.AddAnimSound("Ghl_dth_n00", AndarGhl2, 0.4000)
	per.AddAnimSound("Ghl_dth_n00", AndarGhl1, 0.6000)
	per.AddAnimSound("Ghl_dth_n00", AndarGhl1, 0.7500)
	per.AddAnimSound("Ghl_dth_n00", CaidaGhl1, 0.8000)
	per.AddAnimSound("Ghl_dth_n01", MuerteGhl2, 0.1100)
	per.AddAnimSound("Ghl_dth_n01", AndarGhl1, 0.2200)
	per.AddAnimSound("Ghl_dth_n01", AndarGhl2, 0.4200)
	per.AddAnimSound("Ghl_dth_n01", AndarGhl1, 0.6200)
	per.AddAnimSound("Ghl_dth_n01", AndarGhl2, 0.7500)
	per.AddAnimSound("Ghl_dth_n01", CaidaGhl1, 0.7800)
	per.AddAnimSound("Ghl_dth_n02", MuerteGhl3, 0.1200)
	per.AddAnimSound("Ghl_dth_n02", AndarGhl1, 0.2200)
	per.AddAnimSound("Ghl_dth_n02", AndarGhl2, 0.4200)
	per.AddAnimSound("Ghl_dth_n02", AndarGhl1, 0.6200)
	per.AddAnimSound("Ghl_dth_n02", AndarGhl2, 0.7500)
	per.AddAnimSound("Ghl_dth_n02", CaidaGhl1, 0.8000)
	per.AddAnimSound("Ghl_dth_n03", MuerteGhl4, 0.1200)
	per.AddAnimSound("Ghl_dth_n03", AndarGhl1, 0.2200)
	per.AddAnimSound("Ghl_dth_n03", AndarGhl2, 0.4200)
	per.AddAnimSound("Ghl_dth_n03", AndarGhl1, 0.6200)
	per.AddAnimSound("Ghl_dth_n03", AndarGhl2, 0.7500)
	per.AddAnimSound("Ghl_dth_n03", CaidaGhl1, 0.7550)
	per.AddAnimSound("Ghl_dth_n04", MuerteGhl4, 0.1100)
	per.AddAnimSound("Ghl_dth_n04", AndarGhl1, 0.2200)
	per.AddAnimSound("Ghl_dth_n04", AndarGhl2, 0.4200)
	per.AddAnimSound("Ghl_dth_n04", AndarGhl1, 0.6200)
	per.AddAnimSound("Ghl_dth_n04", AndarGhl2, 0.7500)
	per.AddAnimSound("Ghl_dth_n04", CaidaGhl1, 0.7600)
	per.AddAnimSound("Ghl_dth_n05", MuerteGhl4, 0.1100)
	per.AddAnimSound("Ghl_dth_n05", AndarGhl1, 0.2200)
	per.AddAnimSound("Ghl_dth_n05", AndarGhl2, 0.4200)
	per.AddAnimSound("Ghl_dth_n05", AndarGhl1, 0.6200)
	per.AddAnimSound("Ghl_dth_n05", AndarGhl2, 0.7500)
	per.AddAnimSound("Ghl_dth_n05", CaidaGhl1, 0.7700)
	per.AddAnimSound("Ghl_dth_n06", MuerteGhl2, 0.1200)
	per.AddAnimSound("Ghl_dth_n06", AndarGhl2, 0.2200)
	per.AddAnimSound("Ghl_dth_n06", AndarGhl1, 0.4200)
	per.AddAnimSound("Ghl_dth_n06", AndarGhl2, 0.6200)
	per.AddAnimSound("Ghl_dth_n06", AndarGhl1, 0.7500)
	per.AddAnimSound("Ghl_dth_n06", CaidaGhl1, 0.7900)
	per.AddAnimSound("Ghl_dth_c1", DesangreGhl1, 0.1250)
	per.AddAnimSound("Ghl_dth_c1", AndarGhl1, 0.2250)
	per.AddAnimSound("Ghl_dth_c1", AndarGhl1, 0.3000)
	per.AddAnimSound("Ghl_dth_c1", AndarGhl2, 0.3800)
	per.AddAnimSound("Ghl_dth_c1", AndarGhl1, 0.4500)
	per.AddAnimSound("Ghl_dth_c1", AndarGhl1, 0.5000)
	per.AddAnimSound("Ghl_dth_c1", AndarGhl1, 0.6000)
	per.AddAnimSound("Ghl_dth_c1", AndarGhl2, 0.6800)
	per.AddAnimSound("Ghl_dth_c1", AndarGhl1, 0.7200)
	per.AddAnimSound("Ghl_dth_c1", CaidaGhl1, 0.7800)
	per.AddAnimSound("Ghl_dth_c1", DesangreGhl1, 0.2500)
	per.AddAnimSound("Ghl_dth_c2", DesangreGhl1, 0.1250)
	per.AddAnimSound("Ghl_dth_c2", DesangreGhl1, 0.2500)
	per.AddAnimSound("Ghl_dth_c2", AndarGhl1, 0.2250)
	per.AddAnimSound("Ghl_dth_c2", AndarGhl1, 0.3000)
	per.AddAnimSound("Ghl_dth_c2", AndarGhl2, 0.3800)
	per.AddAnimSound("Ghl_dth_c2", AndarGhl2, 0.4500)
	per.AddAnimSound("Ghl_dth_c2", AndarGhl1, 0.5000)
	per.AddAnimSound("Ghl_dth_c2", AndarGhl1, 0.6000)
	per.AddAnimSound("Ghl_dth_c2", AndarGhl2, 0.6800)
	per.AddAnimSound("Ghl_dth_c2", AndarGhl1, 0.7200)
	per.AddAnimSound("Ghl_dth_c2", CaidaGhl1, 0.7720)
	per.AddAnimSound("Ghl_dth_c2", CaidaGhl2, 0.8720)
	per.AddAnimSound("Ghl_dth_c3", DesangreGhl1, 0.1250)
	per.AddAnimSound("Ghl_dth_c3", DesangreGhl1, 0.2500)
	per.AddAnimSound("Ghl_dth_c3", AndarGhl1, 0.2250)
	per.AddAnimSound("Ghl_dth_c3", AndarGhl1, 0.3000)
	per.AddAnimSound("Ghl_dth_c3", AndarGhl2, 0.3800)
	per.AddAnimSound("Ghl_dth_c3", AndarGhl2, 0.4500)
	per.AddAnimSound("Ghl_dth_c3", AndarGhl1, 0.5000)
	per.AddAnimSound("Ghl_dth_c3", AndarGhl1, 0.6000)
	per.AddAnimSound("Ghl_dth_c3", AndarGhl2, 0.6800)
	per.AddAnimSound("Ghl_dth_c3", AndarGhl1, 0.7200)
	per.AddAnimSound("Ghl_dth_c3", CaidaGhl1, 0.7220)
	per.AddAnimSound("Ghl_dth_c4", DesangreGhl1, 0.1250)
	per.AddAnimSound("Ghl_dth_c4", DesangreGhl1, 0.2500)
	per.AddAnimSound("Ghl_dth_c4", AndarGhl1, 0.2250)
	per.AddAnimSound("Ghl_dth_c4", AndarGhl1, 0.3000)
	per.AddAnimSound("Ghl_dth_c4", AndarGhl2, 0.3800)
	per.AddAnimSound("Ghl_dth_c4", AndarGhl2, 0.4500)
	per.AddAnimSound("Ghl_dth_c4", AndarGhl1, 0.5000)
	per.AddAnimSound("Ghl_dth_c4", AndarGhl1, 0.6000)
	per.AddAnimSound("Ghl_dth_c4", AndarGhl2, 0.6800)
	per.AddAnimSound("Ghl_dth_c4", CaidaGhl1, 0.7000)
	per.AddAnimSound("Ghl_dth_c4", CaidaGhl2, 0.8720)
	per.AddAnimSound("Ghl_dth_c5", DesangreGhl1, 0.1250)
	per.AddAnimSound("Ghl_dth_c5", DesangreGhl1, 0.2500)
	per.AddAnimSound("Ghl_dth_c5", AndarGhl1, 0.2250)
	per.AddAnimSound("Ghl_dth_c5", AndarGhl1, 0.3000)
	per.AddAnimSound("Ghl_dth_c5", AndarGhl2, 0.3800)
	per.AddAnimSound("Ghl_dth_c5", AndarGhl2, 0.4500)
	per.AddAnimSound("Ghl_dth_c5", AndarGhl1, 0.5000)
	per.AddAnimSound("Ghl_dth_c5", AndarGhl1, 0.6000)
	per.AddAnimSound("Ghl_dth_c5", AndarGhl2, 0.6800)
	per.AddAnimSound("Ghl_dth_c5", AndarGhl1, 0.7200)
	per.AddAnimSound("Ghl_dth_c5", CaidaGhl1, 0.7720)
	per.AddAnimSound("Ghl_dth_c5", CaidaGhl2, 0.5500)
	per.AddAnimSound("Ghl_dth_c6", DesangreGhl1, 0.1250)
	per.AddAnimSound("Ghl_dth_c6", DesangreGhl1, 0.2500)
	per.AddAnimSound("Ghl_dth_c6", AndarGhl1, 0.2250)
	per.AddAnimSound("Ghl_dth_c6", AndarGhl1, 0.3000)
	per.AddAnimSound("Ghl_dth_c6", AndarGhl2, 0.3800)
	per.AddAnimSound("Ghl_dth_c6", AndarGhl2, 0.4500)
	per.AddAnimSound("Ghl_dth_c6", AndarGhl1, 0.5000)
	per.AddAnimSound("Ghl_dth_c6", AndarGhl1, 0.6000)
	per.AddAnimSound("Ghl_dth_c6", AndarGhl2, 0.6800)
	per.AddAnimSound("Ghl_dth_c6", AndarGhl1, 0.7200)
	per.AddAnimSound("Ghl_dth_c6", CaidaGhl1, 0.7700)

	per.AddAnimSound('Ghl_hurt_jog', HeridaGhl2, 0.3000)
	per.AddAnimSound('Ghl_hurt_neck', HeridaGhl2, 0.1000)
	per.AddAnimSound('Ghl_hurt_breast', HeridaGhl2, 0.1667)
	per.AddAnimSound('Ghl_hurt_back', HeridaGhl2, 0.2632)
	per.AddAnimSound('Ghl_hurt_r_arm', HeridaGhl2, 0.1500)
	per.AddAnimSound('Ghl_hurt_l_arm', HeridaGhl2, 0.2000)
	per.AddAnimSound('Ghl_hurt_r_leg', HeridaGhl2, 0.1765)
	per.AddAnimSound('Ghl_hurt_l_leg', HeridaGhl2, 0.2143)
	per.AddAnimSound('Ghl_hurt_f_head', HeridaGhl2, 0.3000)
	per.AddAnimSound('Ghl_hurt_f_breast', HeridaGhl2,0.2727)
	per.AddAnimSound('Ghl_hurt_f_back', HeridaGhl2, 0.1818)
	per.AddAnimSound('Ghl_hurt_f_r_arm', HeridaGhl2, 0.2727)
	per.AddAnimSound('Ghl_hurt_f_l_arm', HeridaGhl2, 0.2727)
	per.AddAnimSound('Ghl_hurt_f_r_leg', HeridaGhl2, 0.2727)
	per.AddAnimSound('Ghl_hurt_f_l_leg', HeridaGhl2, 0.2727)
	per.AddAnimSound('Ghl_hurt_f_lite', HeridaGhl2, 0.1333)
	per.AddAnimSound('Ghl_hurt_f_big', HeridaGhl2, 0.1304)
	per.AddAnimSound('Ghl_hurt_head', HeridaGhl2, 0.1579)
	
	per.AddAnimSound('Rlx_no_Ghl', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Rlx_no_Ghl', AndarGhl1, 0.2250)
	per.AddAnimSound('Rlx_no_Ghl', RespiracionGhl2, 0.3000)
	per.AddAnimSound('Rlx_no_Ghl', AndarGhl2, 0.3750)
	per.AddAnimSound('Rlx_no_Ghl', RespiracionGhl1, 0.4500)
	per.AddAnimSound('Rlx_no_Ghl', AndarGhl1, 0.5250)
	per.AddAnimSound('Rlx_no_Ghl', RespiracionGhl2, 0.6000)
	per.AddAnimSound('Rlx_no_Ghl', AndarGhl2, 0.6750)
	per.AddAnimSound('Rlx_no_Ghl', RespiracionGhl2, 0.7500)
	per.AddAnimSound('Rlx_no_Ghl', AndarGhl1, 0.8250)
	per.AddAnimSound('Rlx_no_Ghl', RespiracionGhl2, 0.9000)
	per.AddAnimSound('Rlx_1h_Ghl', AndarGhl2, 0.1500)
	per.AddAnimSound('Rlx_1h_Ghl', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Rlx_1h_Ghl', AndarGhl1, 0.2250)
	per.AddAnimSound('Rlx_1h_Ghl', RespiracionGhl2, 0.3000)
	per.AddAnimSound('Rlx_1h_Ghl', AndarGhl2, 0.3750)
	per.AddAnimSound('Rlx_1h_Ghl', RespiracionGhl1, 0.4500)
	per.AddAnimSound('Rlx_1h_Ghl', AndarGhl1, 0.5250)
	per.AddAnimSound('Rlx_1h_Ghl', RespiracionGhl2, 0.6000)
	per.AddAnimSound('Rlx_1h_Ghl', AndarGhl2, 0.6750)
	per.AddAnimSound('Rlx_1h_Ghl', RespiracionGhl2, 0.7500)
	per.AddAnimSound('Rlx_1h_Ghl', AndarGhl1, 0.8250)
	per.AddAnimSound('Rlx_1h_Ghl', RespiracionGhl2, 0.9000)
	per.AddAnimSound('Rlx_1h2_Ghl', RespiracionGhl1, 0.1500)
	per.AddAnimSound('Rlx_1h2_Ghl', AndarGhl1, 0.2250)
	per.AddAnimSound('Rlx_1h2_Ghl', RespiracionGhl2, 0.3000)
	per.AddAnimSound('Rlx_1h2_Ghl', AndarGhl2, 0.3750)
	per.AddAnimSound('Rlx_1h2_Ghl', RespiracionGhl1, 0.4500)
	per.AddAnimSound('Rlx_1h2_Ghl', AndarGhl1, 0.5250)
	per.AddAnimSound('Rlx_1h2_Ghl', RespiracionGhl2, 0.6000)
	per.AddAnimSound('Rlx_1h2_Ghl', AndarGhl2, 0.6750)
	per.AddAnimSound('Rlx_1h2_Ghl', RespiracionGhl2, 0.7500)
	per.AddAnimSound('Rlx_1h2_Ghl', AndarGhl1, 0.8250)
	per.AddAnimSound('Rlx_1h2_Ghl', RespiracionGhl2, 0.9000)
	
	#per.AddAnimSound('Wlk_1h_Ghl', RespiracionGhl2, 0.1500)
	per.AddAnimSound('Wlk_1h_Ghl', AndarGhl1, 0.2250)
	#per.AddAnimSound('Wlk_1h_Ghl', RespiracionGhl2, 0.3000)
	per.AddAnimSound('Wlk_1h_Ghl', AndarGhl2, 0.3750)
	#per.AddAnimSound('Wlk_1h_Ghl', RespiracionGhl2, 0.4500)
	per.AddAnimSound('Wlk_1h_Ghl', AndarGhl1, 0.6250)
	#per.AddAnimSound('Wlk_1h_Ghl', RespiracionGhl2, 0.6000)
	per.AddAnimSound('Wlk_1h_Ghl', AndarGhl2, 0.6750)
	#per.AddAnimSound('Wlk_1h_Ghl', RespiracionGhl2, 0.7500)
	per.AddAnimSound('Wlk_1h_Ghl', AndarGhl1, 0.8250)
	#per.AddAnimSound('Wlk_1h_Ghl', RespiracionGhl2, 0.9000)
	
	per.AddAnimSound('Ghl_appears1', GeneradorGhl1, 0.1000)
	per.AddAnimSound('Ghl_appears2', GeneradorGhl2, 0.1000)
	
	
	
	
	
	