######################################################
#
# Create sets of attacks
#
#        - Ghl -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Ghl","g_spit","ATTACKING")
Bladex.SetActionEventTable("Ghl","spit_drag","ATTACKING")
Bladex.SetActionEventTable("Ghl","g_12","ATTACKING")
Bladex.SetActionEventTable("Ghl","g_13","ATTACKING")
Bladex.SetActionEventTable("Ghl","g_16","ATTACKING")
Bladex.SetActionEventTable("Ghl","g_18","ATTACKING")
Bladex.SetActionEventTable("Ghl","g_claw1","ATTACKING")
Bladex.SetActionEventTable("Ghl","g_claw2","ATTACKING")
Bladex.SetActionEventTable("Ghl","g_claw3","ATTACKING")

ghl=Bladex.GetCharType("Ghoul_A","Ghl")

ATK_UNIQUE=0

###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#SP1 group
ghl.AddAttack("SP1","Ghl_g_spit")
ghl.AttackTypeFlag("SP1",ATK_UNIQUE)
ghl.AddLevels("Ghl_g_spit",0,0)

#SP2 group
ghl.AddAttack("SP2","Ghl_spit_drag")
ghl.AttackTypeFlag("SP2",ATK_UNIQUE)
ghl.AddLevels("Ghl_spit_drag",0,0)

#G12 group
ghl.AddAttack("G12","Ghl_g_12")
ghl.AttackTypeFlag("G12",ATK_UNIQUE)
ghl.AddLevels("Ghl_g_12",0,0)

#G13 group
ghl.AddAttack("G13","Ghl_g_13")
ghl.AttackTypeFlag("G13",ATK_UNIQUE)
ghl.AddLevels("Ghl_g_13",0,0)

#G16 group
ghl.AddAttack("G16","Ghl_g_16")
ghl.AttackTypeFlag("G16",ATK_UNIQUE)
ghl.AddLevels("Ghl_g_16",0,0)

#G18 group
ghl.AddAttack("G18","Ghl_g_18")
ghl.AttackTypeFlag("G18",ATK_UNIQUE)
ghl.AddLevels("Ghl_g_18",0,0)

#C1 group
ghl.AddAttack("C1","Ghl_g_claw1")
ghl.AttackTypeFlag("C1",ATK_UNIQUE)
ghl.AddLevels("Ghl_claw1",0,0)

#C2 group
ghl.AddAttack("C2","Ghl_g_claw2")
ghl.AttackTypeFlag("C2",ATK_UNIQUE)
ghl.AddLevels("Ghl_claw2",0,0)

#C3 group
ghl.AddAttack("C3","Ghl_g_claw3")
ghl.AttackTypeFlag("C3",ATK_UNIQUE)
ghl.AddLevels("Ghl_claw3",0,0)
