
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ######################
    #                    #
    # Ghoul              #
    #                    #
    ######################
   
   

   
    
import GhoulAnm_def
GhoulAnm_def.InitGhoul()    




 
    
ghl=Bladex.GetCharType("Ghoul_A","Ghl")
ghl.IntName="Ghl" 

ghl.TurnSpeed=4.5
ghl.Jcost=2700
ghl.MaxFall=5000
ghl.DieFall=14000
ghl.MaxStair=335
ghl.Fov=math.pi
ghl.MaxGrab=3500.0
ghl.MedGrab=2500.0
ghl.Min2Grab=1500.0    
ghl.MinTake=-500.0	# Min height above floor barbghlan will take
ghl.MaxTake1=450.0	# Max height above floor for Take1 Anim
ghl.MaxTake2=550.0	# Max height above floor for Take2 Anim
ghl.MaxTake3=1300.0	# Max height above floor for Take3 Anim
ghl.MaxTake4=1900.0	# Max height above floor for Take4 Anim
ghl.MaxTake5=3000.0	# Max height above floor for Take5 Anim
ghl.Reach=2000.0	# Max distance from bar centre to obj centre to take
ghl.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
ghl.MovBkwdSpeedInStrafe=1000  #Idem backwards
ghl.MaxCombatDist=10000
ghl.MaxSeeDist=12000

ghl.NaturalWeapons=1
ghl.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
ghl.SetCDSphere(0,360.0,320.0)  #(numero de la espera, altura mm, radio mm)
ghl.SetCDSphere(1,-50.0,475.0)  #(numero de la espera, altura mm, radio mm)



###############################################################################
#

def GhoulWhenFirst():
	print "Creating Biped data for Ghoul"
	Bladex.CreateBipedData("Ghl","Ghoul_A")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Ghl.dat")
	#except:
	#		pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Ghl.dat")

	import GhoulAnimationSet
	GhoulAnimationSet.LoadGhoulAnimationSet("Ghl")
	
	import GhoulBAct
	import LinkTables
	LinkTables.LinkMe("Ghl")
	import GhoulCombos
	import AnmFactGhoul
	AnmFactGhoul.AnmFactGhoul()
	import GhoulStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Ghl.dat","Ghl")
	
	print"New Ghoul Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Ghoul_A","Ghl")
race.OnFirst=GhoulWhenFirst
