import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    #######################
    #                     #
    # IronWarrior         #
    #                     #
    #######################
    
    
    
    
import IronWarriorAnm_def
IronWarriorAnm_def.InitIronWarrior()  
    

  
iwr=Bladex.GetCharType("IronWarrior","Iwr")
iwr.IntName="Iwr" 

iwr.TurnSpeed=4.5
iwr.Jcost=2700
iwr.MaxFall=4000
iwr.DieFall=14000
iwr.MaxStair=335
iwr.Fov=math.pi
iwr.MaxGrab=3500.0
iwr.MedGrab=2500.0
iwr.Min2Grab=1500.0

iwr.MinTake=-500.0	# Min height above floor barbarian will take
iwr.MaxTake1=250.0	# Max height above floor for Take1 Anim
iwr.MaxTake2=550.0	# Max height above floor for Take2 Anim
iwr.MaxTake3=1300.0	# Max height above floor for Take3 Anim
iwr.MaxTake4=1900.0	# Max height above floor for Take4 Anim
iwr.MaxTake5=3000.0	# Max height above floor for Take5 Anim
iwr.Reach=2000.0	# Max distance from tkn centre to obj centre to take
iwr.MovFrwdSpeedInStrafe=700  #Forwards speed when in strafe(combat mode only)
iwr.MovBkwdSpeedInStrafe=700  #Idem backwards
iwr.MaxCombatDist=12000
iwr.DistStop=2000.0
iwr.DistStop2=6000.0
iwr.DistStopMaxFactor=0.6
iwr.DistStop2=10000.0
iwr.MaxSeeDist=50000
iwr.NaturalWeapons=0

iwr.SetNCDSpheres(1)           #Numero de esferas en el modelo de colisiones
iwr.SetCDSphere(0,50.0,825.0)  #(numero de la espera, altura mm, radio mm)


def IronWarriorWhenFirst():
	Bladex.CreateBipedData("Iwr","IronWarrior")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Iwr.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Iwr.dat")

	import IronWarriorAnimationSet
	IronWarriorAnimationSet.LoadIronWarriorAnimationSet("Iwr")
	
	import IronWarriorBAct
	import LinkTables
	LinkTables.LinkMe("Iwr")
	import IronWarriorCombos
	import AnmFactIronWarrior
	AnmFactIronWarrior.AnmFactIronWarrior()
	import IronWarriorStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Iwr.dat","Iwr")
	
	print"New IronWarrior Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("IronWarrior","Iwr")
race.OnFirst=IronWarriorWhenFirst
