######################################################
#
# Create sets of attacks
#
#        - RGM -
#
######################################################
import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2



# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Rgm","g_01","ATTACKING")
Bladex.SetActionEventTable("Rgm","g_114","ATTACKING")
Bladex.SetActionEventTable("Rgm","g_12","ATTACKING")
Bladex.SetActionEventTable("Rgm","g_21","ATTACKING")
Bladex.SetActionEventTable("Rgm","g_21_27","ATTACKING")
Bladex.SetActionEventTable("Rgm","g_31","ATTACKING")
Bladex.SetActionEventTable("Rgm","g_spit","ATTACKING")
Bladex.SetActionEventTable("Rgm","g_1tw","ATTACKING")

rgm=Bladex.GetCharType("RockGolem","Rgm")
	
#G01 group
rgm.AddAttack("g_01","Rgm_g_01")
rgm.AttackTypeFlag("g_01",ATK_UNIQUE)
	
rgm.AddAttack("g_114","Rgm_g_114")
rgm.AttackTypeFlag("G114",ATK_UNIQUE)
	
rgm.AddAttack("g_12","Rgm_g_12")
rgm.AttackTypeFlag("g_12",ATK_UNIQUE)
	
rgm.AddAttack("g_21","Rgm_g_21")
rgm.AttackTypeFlag("g_21",ATK_UNIQUE)

rgm.AddAttack("g_21_27","Rgm_g_21_27")
rgm.AttackTypeFlag("g_21_27",ATK_UNIQUE)

rgm.AddAttack("g_31","Rgm_g_31")
rgm.AttackTypeFlag("g_31",ATK_UNIQUE)

rgm.AddAttack("g_spit","Rgm_g_spit")
rgm.AttackTypeFlag("g_spit",ATK_UNIQUE)

rgm.AddAttack("g_1tw","Rgm_g_1tw")
rgm.AttackTypeFlag("g_1tw",ATK_UNIQUE)