import Bladex
import NetSounds
import netgame

# ***********************************
# *      Asignacion de sonidos      *
# ***********************************


def AsignarSonidosVMBlackKnight(Personaje):
	from AniSoundVmkX import *

	per=Bladex.GetEntity(Personaje)
	
	if netgame.GetNetState() !=2:
		# Sonidos de eventos
	
		per.AddEventSound('shield_block', GolpeArmaEscudo)
		per.AddEventSound('weapon_block', GolpeArmaArma)
		per.AddEventSound('impale', TajoEmpalante)
		per.AddEventSound('slash', TajoCortante)
		per.AddEventSound('mutilate', TajoMutilacion)
		per.AddEventSound('crush', GolpeContundente)



	# Sonidos de animaciones
	NetSounds.AddAnimSound(per,'Vmk_chg_r', Enfundar, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_chg_r', AndarVmk1, 0.3500)
	NetSounds.AddAnimSound(per,'Vmk_chg_l', CambiarEscudo, 0.3652)
	NetSounds.AddAnimSound(per,'Vmk_chg_r_l', Enfundar, 0.3599)
	NetSounds.AddAnimSound(per,'Vmk_chg_r_l', AndarVmk2, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r_l', Enfundar, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r_l', AndarVmk1, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r', Enfundar, 0.5)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r', AndarVmk1, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r', CambiarEscudo, 0.3652)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_l', CambiarEscudo, 0.3652)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key00', CogerArma, 0.5652)
	NetSounds.AddAnimSound(per,'Vmk_chg_l', CambiarEscudo, 0.3652)
	#NetSounds.AddAnimSound(per,'Vmk_the_r_Key00', CogerEspada, 0.3652)

	
	
	
	
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb01', AndarVmk10, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb01', EsfuerzoCortoVmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb01_l', AndarVmk10, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb01_l', EsfuerzoCortoVmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb01_r', AndarVmk10, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb01_r', EsfuerzoCortoVmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb02', AndarVmk10, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb02', EsfuerzoCorto1Vmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb02_l', AndarVmk10, 0.20000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb02_l', EsfuerzoCorto1Vmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb02_r', AndarVmk10, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb02_r', EsfuerzoCorto1Vmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb03_l', AndarVmk10, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb03_l', EsfuerzoCorto1Vmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb03_r', AndarVmk10, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_jog_clmb03_r', EsfuerzoCorto1Vmk, 0.1000)

	
	NetSounds.AddAnimSound(per,'Vmk_pour',SonidoVaciarBotella, 0.1234)
	
	NetSounds.AddAnimSound(per,'Wlk_2h_Vmk',AndarVmk1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2h_Vmk',AndarVmk2, 0.5000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Vmk',AndarVmk1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2h_Vmk',AndarVmk2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wlk_1h_Vmk',AndarVmk1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_1h_Vmk',AndarVmk2, 0.5000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Vmk',AndarVmk1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_1h_Vmk',AndarVmk2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wlk_no_Vmk',AndarVmk3, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_no_Vmk',AndarVmk4, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wlk_spear_Vmk',AndarVmk1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Vmk',AndarVmk2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wlk_s_Vmk',AndarVmk1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_s_Vmk',AndarVmk2, 0.5000)
	
	
	NetSounds.AddAnimSound(per,'Wlk_2w_Vmk',AndarVmk1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Vmk',AndarVmk2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wlk_b_Vmk',AndarVmk1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_b_Vmk',AndarVmk2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wbk_no_Vmk',AndarVmk3, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_no_Vmk',AndarVmk4, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wbk_b_Vmk',AndarVmk3, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_b_Vmk',AndarVmk4, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wbk_2w_Vmk',AndarVmk3, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2w_Vmk',AndarVmk4, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wbk_spear_Vmk',AndarVmk3, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_spear_Vmk',AndarVmk4, 0.5000)
	
	NetSounds.AddAnimSound(per,'Jog_1h_Vmk',AndarVmk5, 0.1000)
	NetSounds.AddAnimSound(per,'Jog_1h_Vmk',AndarVmk6, 0.5500)
	#NetSounds.AddAnimSound(per,'Jog_1h_Vmk',AndarVmk5, 0.9000)
	
	NetSounds.AddAnimSound(per,'Jog_no_Vmk',AndarVmk5, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Vmk',AndarVmk6, 0.5000)
	
	NetSounds.AddAnimSound(per,'Jog_2w_Vmk',AndarVmk5, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2w_Vmk',AndarVmk6, 0.5000)
	
	NetSounds.AddAnimSound(per,'Jog_b_Vmk',AndarVmk5, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_b_Vmk',AndarVmk6, 0.5000)
	
	NetSounds.AddAnimSound(per,'Jog_spear_Vmk',AndarVmk5, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_spear_Vmk',AndarVmk6, 0.5000)
	
	NetSounds.AddAnimSound(per,'Vmk_jogb_no',AndarVmk5, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_no',AndarVmk6, 0.5500)
	
	NetSounds.AddAnimSound(per,'Vmk_jogb_2h',AndarVmk7, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_2h',AndarVmk8, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_2h',AndarVmk9, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_2h',AndarVmk7, 0.7000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_2h',AndarVmk8, 0.9000)
	
	NetSounds.AddAnimSound(per,'Vmk_jogb_1h',AndarVmk7, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_1h',AndarVmk8, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_1h',AndarVmk9, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_1h',AndarVmk7, 0.7000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_1h',AndarVmk8, 0.9000)
	
	NetSounds.AddAnimSound(per,'Vmk_jogb_spear',AndarVmk7, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_spear',AndarVmk8, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_spear',AndarVmk9, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_spear',AndarVmk7, 0.7000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_spear',AndarVmk8, 0.9000)
	
	NetSounds.AddAnimSound(per,'Vmk_jogb_sword',AndarVmk7, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_sword',AndarVmk8, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_sword',AndarVmk9, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_sword',AndarVmk7, 0.7000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_sword',AndarVmk8, 0.9000)
	
	NetSounds.AddAnimSound(per,'Vmk_jogb_s',AndarVmk7, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_s',AndarVmk8, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_s',AndarVmk9, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_s',AndarVmk7, 0.7000)
	NetSounds.AddAnimSound(per,'Vmk_jogb_s',AndarVmk8, 0.9000)
	
	NetSounds.AddAnimSound(per,'Vmk_d_r',EsfuerzoCortoVmk, 0.2100)
	NetSounds.AddAnimSound(per,'Vmk_d_l',EsfuerzoCorto1Vmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_d_b',EsfuerzoCorto2Vmk, 0.2990)
	
	NetSounds.AddAnimSound(per,'Vmk_g_d_r',EsfuerzoCortoVmk, 0.2100)
	NetSounds.AddAnimSound(per,'Vmk_g_d_l',EsfuerzoCortoVmk, 0.2100)
	NetSounds.AddAnimSound(per,'Vmk_g_d_b',EsfuerzoCorto2Vmk, 0.2990)
	
	
	
	NetSounds.AddAnimSound(per,"FallHigh_Vmk",CaidaVmk1, 0.1000)
	NetSounds.AddAnimSound(per,"FallHigh_Vmk",CaidaVmk2, 0.1700)
	NetSounds.AddAnimSound(per,"FallHigh_Vmk",SaltoCortoVmk2, 0.2000)
	NetSounds.AddAnimSound(per,"FallHigh_Vmk",AndarVmk1, 0.1800)
	NetSounds.AddAnimSound(per,"FallLow_Vmk",CaidaVmk3, 0.1180)
	NetSounds.AddAnimSound(per,"FallLow_Vmk",CaidaVmk4, 0.1300)
	NetSounds.AddAnimSound(per,"FallLow_Vmk",SaltoCortoVmk2, 0.1280)
	NetSounds.AddAnimSound(per,"FallLow_Vmk",AndarVmk1, 0.1250)
	NetSounds.AddAnimSound(per,"FallMed_Vmk",CaidaVmk3, 0.1180)
	NetSounds.AddAnimSound(per,"FallMed_Vmk",CaidaVmk4, 0.1300)
	NetSounds.AddAnimSound(per,"FallMed_Vmk",SaltoCortoVmk2, 0.1280)
	NetSounds.AddAnimSound(per,"FallMed_Vmk",AndarVmk1, 0.1250)
	
	


######
#	pruebas Armin



#	NetSounds.AddAnimSound(per,'Vmk_b2', SoltarArco, 0.1235)

#		SOLO DE PRUEBA IPTS 

#	NetSounds.AddAnimSound(per,'Vmk_b2', SoltarArco, 0.5412)
#	NetSounds.AddAnimSound(per,'Vmk_b1', TensarArco, 0.0564)
	


# 	PARA LA ANIMACON DEL MAPA DE RAGNAR AL EMPUJAR EL MURO

	NetSounds.AddAnimSound(per,'Vmk_push_wall', EsfuerzoCorto1Vmk, 0.1524)
	NetSounds.AddAnimSound(per,'Vmk_push_wall', EsfuerzoVmkLargo, 0.1234)
	NetSounds.AddAnimSound(per,'Vmk_push_wall', EsfuerzoCortoVmk, 0.5214)
	#NetSounds.AddAnimSound(per,'Vmk_push_wall', EsfuerzoGolpeAtras1Vmk, 0.5588)
	NetSounds.AddAnimSound(per,'Vmk_push_wall', EsfuerzoCorto1Vmk, 0.8000)
	NetSounds.AddAnimSound(per,'Vmk_push_wall', EsfuerzoCortoVmk, 0.7412)







#########################################################################################
#########################################################################################
#########################################################################################



	NetSounds.AddAnimSound(per,"Vmk_dth_n00", MuerteVmk1, 0.1100)
	NetSounds.AddAnimSound(per,"Vmk_dth_n00", AndarVmk1, 0.2000)
	NetSounds.AddAnimSound(per,"Vmk_dth_n00", AndarVmk2, 0.3000)
	NetSounds.AddAnimSound(per,"Vmk_dth_n00", AndarVmk1, 0.4000)
	NetSounds.AddAnimSound(per,"Vmk_dth_n00", AndarVmk2, 0.5000)
	NetSounds.AddAnimSound(per,"Vmk_dth_n00", AndarVmk1, 0.6000)
	NetSounds.AddAnimSound(per,"Vmk_dth_n00", AndarVmk2, 0.7500)
	NetSounds.AddAnimSound(per,"Vmk_dth_n00", CaidaVmk1, 0.7000)
	NetSounds.AddAnimSound(per,"Vmk_dth_n01", MuerteVmk2, 0.1100)
	NetSounds.AddAnimSound(per,"Vmk_dth_n01", AndarVmk1, 0.2200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n01", AndarVmk2, 0.3200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n01", AndarVmk1, 0.4200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n01", AndarVmk1, 0.5200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n01", AndarVmk2, 0.6200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n01", AndarVmk1, 0.7500)
	NetSounds.AddAnimSound(per,"Vmk_dth_n01", CaidaVmk1, 0.6800)
	NetSounds.AddAnimSound(per,"Vmk_dth_n02", MuerteVmk3, 0.1200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n02", AndarVmk1, 0.2200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n02", AndarVmk1, 0.3200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n02", AndarVmk2, 0.4200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n02", AndarVmk1, 0.5200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n02", AndarVmk1, 0.6200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n02", AndarVmk2, 0.7500)
	NetSounds.AddAnimSound(per,"Vmk_dth_n02", CaidaVmk1, 0.7000)
	NetSounds.AddAnimSound(per,"Vmk_dth_n03", MuerteVmk1, 0.1200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n03", AndarVmk1, 0.2200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n03", AndarVmk1, 0.3200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n03", AndarVmk2, 0.4200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n03", AndarVmk2, 0.5200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n03", AndarVmk1, 0.6200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n03", AndarVmk2, 0.7500)
	NetSounds.AddAnimSound(per,"Vmk_dth_n03", CaidaVmk1, 0.6550)
	NetSounds.AddAnimSound(per,"Vmk_dth_n04", MuerteVmk4, 0.1100)
	NetSounds.AddAnimSound(per,"Vmk_dth_n04", AndarVmk1, 0.2200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n04", AndarVmk1, 0.3200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n04", AndarVmk2, 0.4200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n04", AndarVmk2, 0.5200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n04", AndarVmk1, 0.6200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n04", AndarVmk2, 0.7500)
	NetSounds.AddAnimSound(per,"Vmk_dth_n04", CaidaVmk1, 0.7600)
	NetSounds.AddAnimSound(per,"Vmk_dth_n05", MuerteVmk4, 0.1100)
	NetSounds.AddAnimSound(per,"Vmk_dth_n05", AndarVmk1, 0.2200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n05", AndarVmk1, 0.3200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n05", AndarVmk1, 0.5200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n05", AndarVmk2, 0.4200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n05", AndarVmk1, 0.6200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n05", AndarVmk2, 0.7500)
	NetSounds.AddAnimSound(per,"Vmk_dth_n05", CaidaVmk1, 0.7700)
	NetSounds.AddAnimSound(per,"Vmk_dth_n06", MuerteVmk2, 0.1200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n06", AndarVmk2, 0.2200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n06", AndarVmk2, 0.3200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n06", AndarVmk2, 0.5200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n06", AndarVmk1, 0.4200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n06", AndarVmk2, 0.6200)
	NetSounds.AddAnimSound(per,"Vmk_dth_n06", AndarVmk1, 0.7500)
	NetSounds.AddAnimSound(per,"Vmk_dth_n06", CaidaVmk1, 0.6900)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", DesangreVmk2, 0.1250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", AndarVmk1, 0.2250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", AndarVmk1, 0.3000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", AndarVmk2, 0.3800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", AndarVmk1, 0.4500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", AndarVmk1, 0.6000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", AndarVmk2, 0.6800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", AndarVmk1, 0.7200)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", CaidaVmk1, 0.7800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c1", DesangreVmk1, 0.2500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", DesangreVmk2, 0.1250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", DesangreVmk1, 0.2500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", AndarVmk1, 0.2250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", AndarVmk1, 0.3000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", AndarVmk2, 0.3800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", AndarVmk1, 0.6000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", AndarVmk2, 0.6800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", AndarVmk1, 0.7200)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", CaidaVmk1, 0.7720)
	NetSounds.AddAnimSound(per,"Vmk_dth_c2", CaidaVmk2, 0.8720)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", DesangreVmk1, 0.1250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", DesangreVmk2, 0.2500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", AndarVmk1, 0.2250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", AndarVmk1, 0.3000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", AndarVmk2, 0.3800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", AndarVmk1, 0.6000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", AndarVmk2, 0.6800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", AndarVmk1, 0.7200)
	NetSounds.AddAnimSound(per,"Vmk_dth_c3", CaidaVmk1, 0.7220)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", DesangreVmk1, 0.1250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", DesangreVmk2, 0.2500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", AndarVmk1, 0.2250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", AndarVmk1, 0.3000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", AndarVmk2, 0.3800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", AndarVmk1, 0.6000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", AndarVmk2, 0.6800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", CaidaVmk1, 0.7000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c4", CaidaVmk2, 0.8720)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", DesangreVmk1, 0.1250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", DesangreVmk2, 0.2500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", AndarVmk1, 0.2250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", AndarVmk1, 0.3000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", AndarVmk2, 0.3800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", AndarVmk1, 0.6000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", AndarVmk2, 0.6800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", AndarVmk1, 0.7200)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", CaidaVmk1, 0.7720)
	NetSounds.AddAnimSound(per,"Vmk_dth_c5", CaidaVmk2, 0.5500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", DesangreVmk1, 0.1250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", DesangreVmk2, 0.2500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", AndarVmk1, 0.2250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", AndarVmk1, 0.3000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", AndarVmk2, 0.3800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", AndarVmk1, 0.6000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", AndarVmk2, 0.6800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", AndarVmk1, 0.7200)
	NetSounds.AddAnimSound(per,"Vmk_dth_c6", CaidaVmk1, 0.7700)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", DesangreVmk1, 0.1250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", DesangreVmk2, 0.2500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", AndarVmk1, 0.2250)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", AndarVmk1, 0.3000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", AndarVmk2, 0.3800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", AndarVmk1, 0.6000)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", AndarVmk2, 0.6800)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", AndarVmk1, 0.7200)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", CaidaVmk1, 0.6300)
	NetSounds.AddAnimSound(per,"Vmk_dth_c7", CaidaVmk2, 0.6900)
	NetSounds.AddAnimSound(per,"Vmk_dth0", MuerteVmk2, 0.1100)
	NetSounds.AddAnimSound(per,"Vmk_dth0", CaidaVmk1, 0.5710)
	NetSounds.AddAnimSound(per,"Vmk_dth0", CaidaVmk2, 0.7700)
	NetSounds.AddAnimSound(per,"Vmk_dth0", MuerteVmk1, 0.1100)
	NetSounds.AddAnimSound(per,"Vmk_dth0", AndarVmk1, 0.3000)
	NetSounds.AddAnimSound(per,"Vmk_dth0", AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,"Vmk_dth0", AndarVmk1, 0.6800)
	
	
	NetSounds.AddAnimSound(per,"Vmk_dth_burn", MuerteQuemado, 0.1100)
	
	NetSounds.AddAnimSound(per,"Dth_Fll2_Vmk", MuerteSaltoVacioVmk2, 0.1900)
	NetSounds.AddAnimSound(per,"Dth_Fll2_Vmk", CaidaVmk1, 0.1100)
	
	NetSounds.AddAnimSound(per,"Dth_Fll_Vmk", MuerteSaltoVacioVmk1, 0.1000)
	
	NetSounds.AddAnimSound(per,"Vmk_dth_rockfront", MuerteAplastamientoVmk1, 0.1000)
	NetSounds.AddAnimSound(per,"Vmk_dth_rockfront", HeridaVmk1, 0.1000)
	
	NetSounds.AddAnimSound(per,"Vmk_dth_rock", HeridaVmk1, 0.1100)
	NetSounds.AddAnimSound(per,"Vmk_dth_rock", MuerteAplastamientoVmk1, 0.1100)





	NetSounds.AddAnimSound(per,'Vmk_clmb_low_1h', EsfuerzosubirVmk, 0.4770)
	NetSounds.AddAnimSound(per,'Vmk_clmb_low_1h', AndarVmk10, 0.4870)
	NetSounds.AddAnimSound(per,'Vmk_clmb_medlow_1h', EsfuerzosubirVmk, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_clmb_medlow_1h', AndarVmk10, 0.2400)
	NetSounds.AddAnimSound(per,'Vmk_clmb_medium_1h', EsfuerzosubirVmk2, 0.1200)
	NetSounds.AddAnimSound(per,'Vmk_clmb_medium_1h', EsfuerzosubirVmk1, 0.6500)
	NetSounds.AddAnimSound(per,'Vmk_clmb_medium_1h', AndarVmk10, 0.1320)
	NetSounds.AddAnimSound(per,'Vmk_clmb_medium_1h', AndarVmk11, 0.5950)
	NetSounds.AddAnimSound(per,'Vmk_clmb_high_1h', EsfuerzosubirVmk2, 0.1200)
	NetSounds.AddAnimSound(per,'Vmk_clmb_high_1h', EsfuerzosubirVmk1, 0.7862)
	NetSounds.AddAnimSound(per,'Vmk_clmb_high_1h', AndarVmk10, 0.3700)
	NetSounds.AddAnimSound(per,'Vmk_clmb_high_1h', AndarVmk11, 0.6550)


	NetSounds.AddAnimSound(per,'Vmk_jmph0_no', EsfuerzosubirVmk, 0.4150)
	NetSounds.AddAnimSound(per,'Vmk_jmp_no', SaltoCortoVmk6, 0.0700)
	NetSounds.AddAnimSound(per,'Vmk_jmp_no', SaltoCortoVmk5, 0.3800)
	NetSounds.AddAnimSound(per,'Vmk_jmp_1h', SaltoCortoVmk, 0.1000)
	#NetSounds.AddAnimSound(per,'Vmk_jmp_1h', SaltoCortoVmk2, 0.3800)
	
	
	
	NetSounds.AddAnimSound(per,'Vmk_derrape', SaltoCortoVmk4, 0.2500)
	NetSounds.AddAnimSound(per,'Vmk_derrape', AndarVmk2, 0.3800)
	NetSounds.AddAnimSound(per,'Vmk_slip', ResbalaVmk1, 0.1300)


	NetSounds.AddAnimSound(per,'Vmk_g_draw_run', Enfundar, 0.1300)
	NetSounds.AddAnimSound(per,'Vmk_g_draw_run', EsfuerzoGolpeLateralVmk, 0.2200)
	NetSounds.AddAnimSound(per,'Vmk_g_draw_run', SesgadoLargoAgudo, 0.2500)
	
	NetSounds.AddAnimSound(per,'Vmk_g_draw_rlx', Enfundar, 0.1300)
	NetSounds.AddAnimSound(per,'Vmk_g_draw_rlx', EsfuerzoGolpeLateralVmk, 0.1300)
	NetSounds.AddAnimSound(per,'Vmk_g_draw_rlx', SesgadoLargoAgudo, 0.3470)
	
	#NetSounds.AddAnimSound(per,'Vmk_g_01low_new', SesgadoLargoAgudo, 0.1950)
	#NetSounds.AddAnimSound(per,'Vmk_g_01low_new', AndarVmk1, 0.4200)
	#NetSounds.AddAnimSound(per,'Vmk_g_01low_new', SesgadoCortoAgudo, 0.3950)
	#NetSounds.AddAnimSound(per,'Vmk_g_01low_new', EsfuerzoGolpeArribaVmk, 0.1750)
	
	NetSounds.AddAnimSound(per,'Vmk_g_back', SesgadoCortoAgudo, 0.1200)
	NetSounds.AddAnimSound(per,'Vmk_g_back', EsfuerzoCorto1Vmk, 0.1200)
	NetSounds.AddAnimSound(per,'Vmk_g_back', AndarVmk2, 0.1500)
	NetSounds.AddAnimSound(per,'Vmk_g_back', EsfuerzoCorto2Vmk, 0.3800)
	NetSounds.AddAnimSound(per,'Vmk_g_back', SesgadoLargoAgudo, 0.3800)
	
	NetSounds.AddAnimSound(per,'Vmk_g_s3_new', SesgadoLargoAgudo, 0.2860)
	NetSounds.AddAnimSound(per,'Vmk_g_s3_new', EsfuerzoGolpeArribaVmk, 0.2225)
	NetSounds.AddAnimSound(per,'Vmk_g_s3_new', AndarVmk1, 0.3200)
	
	NetSounds.AddAnimSound(per,'Vmk_g_02_new', SesgadoCorto, 0.2950)
	NetSounds.AddAnimSound(per,'Vmk_g_02_new', EsfuerzoCorto1Vmk, 0.1750)
	NetSounds.AddAnimSound(per,'Vmk_g_02_new', AndarVmk1, 0.3600)
	
	NetSounds.AddAnimSound(per,'Vmk_g_19_bs1_new', SesgadoLargoAgudo, 0.2650)
	NetSounds.AddAnimSound(per,'Vmk_g_19_bs1_new', SesgadoCorto, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_g_19_bs1_new', EsfuerzoGolpeArribaVmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_g_19_bs1_new', EsfuerzoCorto6Vmk, 0.4810)
	NetSounds.AddAnimSound(per,'Vmk_g_19_bs1_new', AndarVmk1, 0.5000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_22lowkata_new', SesgadoLargoAgudo, 0.1320)
	NetSounds.AddAnimSound(per,'Vmk_g_22lowkata_new', SesgadoLargo, 0.3570)
	NetSounds.AddAnimSound(per,'Vmk_g_22lowkata_new', EsfuerzoGolpeLateralVmk, 0.1200)
	NetSounds.AddAnimSound(per,'Vmk_g_22lowkata_new', AndarVmk1, 0.4000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_01_7_new', SesgadoLargo, 0.2950)
	NetSounds.AddAnimSound(per,'Vmk_g_01_7_new', SesgadoLargoAgudo, 0.2950)
	NetSounds.AddAnimSound(per,'Vmk_g_01_7_new', EsfuerzoCorto6Vmk, 0.2950)
	NetSounds.AddAnimSound(per,'Vmk_g_01_7_new', AndarVmk2, 0.3400)
	
	NetSounds.AddAnimSound(per,'Vmk_g_3s9_6new', SesgadoCorto, 0.2650)
	NetSounds.AddAnimSound(per,'Vmk_g_3s9_6new', EsfuerzoCorto2Vmk, 0.2650)
	NetSounds.AddAnimSound(per,'Vmk_g_3s9_6new', SesgadoLargoAgudo, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_g_3s9_6new', AndarVmk2, 0.3400)
	NetSounds.AddAnimSound(per,'Vmk_g_3s9_6new', AndarVmk2, 0.8000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_b06_new', SesgadoLargoAgudo, 0.1650)
	NetSounds.AddAnimSound(per,'Vmk_g_b06_new',EsfuerzoGolpeLateralVmk, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_g_b06_new', SesgadoCortoAgudo, 0.4950)
	NetSounds.AddAnimSound(per,'Vmk_g_b06_new', AndarVmk2, 0.5300)
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_28new', SesgadoEspecialLargo2, 0.345)
	NetSounds.AddAnimSound(per,'Vmk_g_28new', EsfuerzoGolpeAtrasVmk, 0.325)
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low', SesgadoCortoAgudo, 0.2233)
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low', EsfuerzoCorto2Vmk, 0.2230)
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low', EsfuerzoGolpeLateralDchVmk, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low', SesgadoCortoGrave, 0.6620)
	
	NetSounds.AddAnimSound(per,'Vmk_g_18_11_22_new', SesgadoEspecialCorto2, 0.147)
	NetSounds.AddAnimSound(per,'Vmk_g_18_11_22_new', SesgadoEspecialCorto2, 0.366)
	NetSounds.AddAnimSound(per,'Vmk_g_18_11_22_new', SesgadoEspecialLargo1, 0.630)
	NetSounds.AddAnimSound(per,'Vmk_g_18_11_22_new', EsfuerzoGolpeAtrasVmk, 0.137)
	NetSounds.AddAnimSound(per,'Vmk_g_18_11_22_new', EsfuerzoGolpeAtras1Vmk, 0.346)
	NetSounds.AddAnimSound(per,'Vmk_g_18_11_22_new', EsfuerzoVmkMediano, 0.570)
	NetSounds.AddAnimSound(per,'Vmk_g_18_11_22_new', AndarVmk2, 0.600)
	
	NetSounds.AddAnimSound(per,'Vmk_g_29_3new', EsfuerzoGolpeAtrasVmk, 0.390)
	NetSounds.AddAnimSound(per,'Vmk_g_29_3new', SesgadoEspecialLargo1, 0.400)
	NetSounds.AddAnimSound(per,'Vmk_g_29_3new', SesgadoEspecialCorto2, 0.173)
	
	NetSounds.AddAnimSound(per,'Vmk_g_06lowkata_new', SesgadoCorto, 0.2270)
	NetSounds.AddAnimSound(per,'Vmk_g_06lowkata_new', SesgadoCortoAgudo, 0.4750)
	NetSounds.AddAnimSound(per,'Vmk_g_06lowkata_new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_g_06lowkata_new', EsfuerzoCorto2Vmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_g_06lowkata_new', EsfuerzoCorto2Vmk, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_g_06lowkata_new', EsfuerzoCorto3Vmk, 0.4750)
	NetSounds.AddAnimSound(per,'Vmk_g_06lowkata_new', AndarVmk2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_12_7_s1new', EsfuerzoCorto1Vmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_g_12_7_s1new', EsfuerzoCorto2Vmk, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_g_12_7_s1new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_g_12_7_s1new', SesgadoCortoAgudo, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_g_12_7_s1new', EsfuerzoGolpeLateralVmk, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_g_12_7_s1new', AndarVmk2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_21_6_s8new', EsfuerzoGolpeAtras1Vmk, 0.170)
	NetSounds.AddAnimSound(per,'Vmk_g_21_6_s8new', EsfuerzoGolpeAtrasVmk, 0.310)
	NetSounds.AddAnimSound(per,'Vmk_g_21_6_s8new', EsfuerzoVmkMediano, 0.550)
	NetSounds.AddAnimSound(per,'Vmk_g_21_6_s8new', SesgadoEspecialCorto2, 0.176)
	NetSounds.AddAnimSound(per,'Vmk_g_21_6_s8new', SesgadoEspecialCorto2, 0.315)
	NetSounds.AddAnimSound(per,'Vmk_g_21_6_s8new', AndarVmk2, 0.530)
	NetSounds.AddAnimSound(per,'Vmk_g_21_6_s8new', SesgadoEspecialLargo1, 0.562)
	
	NetSounds.AddAnimSound(per,'Vmk_g_32_5_3new', EsfuerzoVmkMediano, 0.185)
	NetSounds.AddAnimSound(per,'Vmk_g_32_5_3new', SesgadoEspecialCorto2, 0.186)
	NetSounds.AddAnimSound(per,'Vmk_g_32_5_3new', EsfuerzoGolpeAtrasVmk, 0.274)
	NetSounds.AddAnimSound(per,'Vmk_g_32_5_3new', SesgadoEspecialLargo1, 0.294)
	NetSounds.AddAnimSound(per,'Vmk_g_32_5_3new', AndarVmk2, 0.700)
	NetSounds.AddAnimSound(per,'Vmk_g_32_5_3new', EsfuerzoGolpeAtras1Vmk, 0.508)
	NetSounds.AddAnimSound(per,'Vmk_g_32_5_3new', SesgadoEspecialLargo2, 0.518)
	
	NetSounds.AddAnimSound(per,'Vmk_g_s28kata_new', SesgadoLargoAgudo, 0.2640)
	NetSounds.AddAnimSound(per,'Vmk_g_s28kata_new', SesgadoCortoAgudo, 0.5550)
	NetSounds.AddAnimSound(per,'Vmk_g_s28kata_new', EsfuerzoCorto4Vmk, 0.2120)
	NetSounds.AddAnimSound(per,'Vmk_g_s28kata_new', AndarVmk1, 0.6000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_01', EsfuerzoCorto6Vmk, 0.3117)
	NetSounds.AddAnimSound(per,'Vmk_g_01', AndarVmk1, 0.3500)
	NetSounds.AddAnimSound(per,'Vmk_g_01', SesgadoCorto, 0.3117)
	
	NetSounds.AddAnimSound(per,'Vmk_g_08', EsfuerzoCorto2Vmk, 0.4030)
	NetSounds.AddAnimSound(per,'Vmk_g_08', AndarVmk1, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_g_08', SesgadoCortoGrave, 0.4030)
	
	NetSounds.AddAnimSound(per,'Vmk_g_09', EsfuerzoCorto6Vmk, 0.3291)
	NetSounds.AddAnimSound(per,'Vmk_g_09', AndarVmk2, 0.3600)
	NetSounds.AddAnimSound(per,'Vmk_g_09', SesgadoCorto, 0.3291)
	
	NetSounds.AddAnimSound(per,'Vmk_g_02', EsfuerzoCorto5Vmk, 0.3026)
	NetSounds.AddAnimSound(per,'Vmk_g_02', AndarVmk2, 0.3500)
	NetSounds.AddAnimSound(per,'Vmk_g_02', SesgadoCortoAgudo, 0.3026)
	
	NetSounds.AddAnimSound(per,'Vmk_g_07', EsfuerzoCorto4Vmk, 0.3291)
	NetSounds.AddAnimSound(per,'Vmk_g_07', AndarVmk2, 0.3600)
	NetSounds.AddAnimSound(per,'Vmk_g_07', SesgadoCortoAgudo, 0.3291)
	
	NetSounds.AddAnimSound(per,'Vmk_g_06', EsfuerzoCorto3Vmk, 0.3500)
	NetSounds.AddAnimSound(per,'Vmk_g_06', AndarVmk2, 0.4700)
	NetSounds.AddAnimSound(per,'Vmk_g_06', SesgadoCorto, 0.4342)
	
	NetSounds.AddAnimSound(per,'Vmk_g_05', EsfuerzoCorto2Vmk, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_g_05', AndarVmk1, 0.5500)
	NetSounds.AddAnimSound(per,'Vmk_g_05', SesgadoCortoGrave, 0.5000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_11', EsfuerzoGolpeFrontalVmk, 0.2252)
	NetSounds.AddAnimSound(per,'Vmk_g_11', AndarVmk1, 0.2600)
	NetSounds.AddAnimSound(per,'Vmk_g_11', SesgadoLargo, 0.4685)
	
	NetSounds.AddAnimSound(per,'Vmk_g_12', EsfuerzoGolpeFrontalVmk, 0.5954)
	NetSounds.AddAnimSound(per,'Vmk_g_12', AndarVmk2, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_g_12', SesgadoLargo, 0.5954)
	
	NetSounds.AddAnimSound(per,'Vmk_g_13', EsfuerzoGolpeFrontalVmk, 0.3053)
	NetSounds.AddAnimSound(per,'Vmk_g_13', AndarVmk1, 0.3500)
	NetSounds.AddAnimSound(per,'Vmk_g_13', SesgadoLargoAgudo, 0.3053)
	
	NetSounds.AddAnimSound(per,'Vmk_g_14', EsfuerzoGolpeLateralVmk, 0.3969)
	NetSounds.AddAnimSound(per,'Vmk_g_14', AndarVmk2, 0.4300)
	NetSounds.AddAnimSound(per,'Vmk_g_14', SesgadoLargoGrave, 0.3969)
	
	NetSounds.AddAnimSound(per,'Vmk_g_15', EsfuerzoGolpeLateralVmk, 0.4628)  #no se si se usa
	NetSounds.AddAnimSound(per,'Vmk_g_15', AndarVmk2, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_g_15', SesgadoLargo, 0.4628)
	
	NetSounds.AddAnimSound(per,'Vmk_g_16', EsfuerzoGolpeLateralVmk, 0.3200)
	NetSounds.AddAnimSound(per,'Vmk_g_16', AndarVmk1, 0.3400)
	NetSounds.AddAnimSound(per,'Vmk_g_16', SesgadoLargoAgudo, 0.4681)
	
	NetSounds.AddAnimSound(per,'Vmk_g_17', EsfuerzoGolpeLateralVmk, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_g_17', AndarVmk2, 0.4600)
	NetSounds.AddAnimSound(per,'Vmk_g_17', SesgadoLargoAgudo, 0.4427)
	
	NetSounds.AddAnimSound(per,'Vmk_g_18', EsfuerzoGolpeArribaVmk, 0.4224)
	NetSounds.AddAnimSound(per,'Vmk_g_18', AndarVmk1, 0.4600)
	NetSounds.AddAnimSound(per,'Vmk_g_18', SesgadoLargoGrave, 0.4224)
	
	NetSounds.AddAnimSound(per,'Vmk_g_21', EsfuerzoGolpeArribaVmk, 0.2500)
	NetSounds.AddAnimSound(per,'Vmk_g_21', AndarVmk1, 0.4600)
	NetSounds.AddAnimSound(per,'Vmk_g_21', SesgadoLargoGrave, 0.5410)
	
	NetSounds.AddAnimSound(per,'Vmk_g_22', EsfuerzoGolpeAtrasVmk, 0.4698)
	NetSounds.AddAnimSound(per,'Vmk_g_22', SesgadoLargo, 0.4698)
	NetSounds.AddAnimSound(per,'Vmk_g_22', AndarVmk1, 0.2000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_23', EsfuerzoGolpeArribaVmk, 0.2500)
	NetSounds.AddAnimSound(per,'Vmk_g_23', SesgadoLargo, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_g_23', AndarVmk1, 0.3000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_26', EsfuerzoGolpeCabezaVmk, 0.2200)
	NetSounds.AddAnimSound(per,'Vmk_g_26', SesgadoLargoAgudo, 0.4000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_27', EsfuerzoGolpeArribaVmk, 0.3800)
	NetSounds.AddAnimSound(per,'Vmk_g_27', SesgadoLargoAgudo, 0.6210)
	NetSounds.AddAnimSound(per,'Vmk_g_27', SesgadoLargoGrave, 0.8100)
	
	NetSounds.AddAnimSound(per,'Vmk_g_31', EsfuerzoGolpeAtrasVmk, 0.2950)
	NetSounds.AddAnimSound(per,'Vmk_g_31', EsfuerzoCorto6Vmk, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_g_31', SesgadoLargo, 0.2950)
	NetSounds.AddAnimSound(per,'Vmk_g_31', SesgadoLargoAgudo, 0.4100)
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_punch1', EsfuerzoCorto3Vmk, 0.3250)
	NetSounds.AddAnimSound(per,'Vmk_g_punch1', SesgadoCorto, 0.3290)
	NetSounds.AddAnimSound(per,'Vmk_g_punch2', EsfuerzoCorto2Vmk, 0.3150)
	NetSounds.AddAnimSound(per,'Vmk_g_punch2', SesgadoCorto, 0.3240)
	NetSounds.AddAnimSound(per,'Vmk_g_punch4', EsfuerzoCorto2Vmk, 0.3150)
	NetSounds.AddAnimSound(per,'Vmk_g_punch4', SesgadoCorto, 0.3240)
	
	NetSounds.AddAnimSound(per,'Vmk_g_bad_axe', SesgadoLento, 0.4140)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_axe', EsfuerzoGolpeCabezaVmk, 0.3350)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_axe', AndarVmk2, 0.4300)
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_bad_1h', SesgadoLento, 0.3060)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_1h', EsfuerzoPesadoVmk, 0.1100)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_1h', AndarVmk2, 0.4300)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_1h', AndarVmk1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_bad_no', SesgadoCorto, 0.3060)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_no', EsfuerzoPesadoVmk, 0.1100)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_no', AndarVmk2, 0.4300)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_no', AndarVmk1, 0.7000)
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_bad_spear2', SesgadoLargo, 0.4520)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_spear2', EsfuerzoGolpeCabezaVmk, 0.3350)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_spear2', AndarVmk2, 0.4700)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_spear', SesgadoLento, 0.2820)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_spear', EsfuerzoGolpeAtrasVmk, 0.2360)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_spear', AndarVmk1, 0.3000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_bad_sword', SesgadoLento, 0.2900)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_sword', EsfuerzoPesadoVmk, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_sword', AndarVmk1, 0.3200)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_sword2', SesgadoLento, 0.4300)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_sword2', EsfuerzoPesadoVmk1, 0.2400)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_sword2', AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_sword3', SesgadoLento, 0.3970)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_sword3', EsfuerzoPesadoVmk2, 0.1200)
	NetSounds.AddAnimSound(per,'Vmk_g_bad_sword3', AndarVmk1, 0.4200)
	
	NetSounds.AddAnimSound(per,'Vmk_g_magic', ConcBladeSword1, 0.1300)
	NetSounds.AddAnimSound(per,'Vmk_g_magic', EsfuerzoGolpeLateralDchVmk, 0.3700)
	NetSounds.AddAnimSound(per,'Vmk_g_magic', SesgadoLargoGrave, 0.5530)
	
	NetSounds.AddAnimSound(per,'Vmk_g_magic2', ConcBladeSword2, 0.1000)
	NetSounds.AddAnimSound(per,'Vmk_g_magic2', EsfuerzoVmkMediano, 0.3250)
	NetSounds.AddAnimSound(per,'Vmk_g_magic2', SesgadoLargoGrave, 0.5530)
	
	
	NetSounds.AddAnimSound(per,'Vmk_d_r',EsfuerzoCortoVmk, 0.2100)
	NetSounds.AddAnimSound(per,'Vmk_d_l',EsfuerzoCorto1Vmk, 0.3770)
	NetSounds.AddAnimSound(per,'Vmk_d_b',EsfuerzoCorto2Vmk, 0.2990)
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_08_new',SesgadoCorto, 0.2100)
	NetSounds.AddAnimSound(per,'Vmk_g_08_new',EsfuerzoCorto1Vmk, 0.2050)
	NetSounds.AddAnimSound(per,'Vmk_g_08_new',AndarVmk1, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_g_08_new',AndarVmk2, 0.8000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_07_new',SesgadoCortoAgudo, 0.2800)
	NetSounds.AddAnimSound(per,'Vmk_g_07_new',EsfuerzoCorto2Vmk, 0.2900)
	NetSounds.AddAnimSound(per,'Vmk_g_07_new',AndarVmk1, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_g_07_new',AndarVmk2, 0.8000)
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_12_new',SesgadoCortoGrave, 0.3150)
	NetSounds.AddAnimSound(per,'Vmk_g_12_new',EsfuerzoGolpeLateralDchVmk, 0.1100)
	NetSounds.AddAnimSound(per,'Vmk_g_12_new',AndarVmk1, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_g_12_new',AndarVmk2, 0.8000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_sb25_new',SesgadoEspecialLargo2, 0.472)
	NetSounds.AddAnimSound(per,'Vmk_g_sb25_new',EsfuerzoGolpeAtras1Vmk, 0.459)
	NetSounds.AddAnimSound(per,'Vmk_g_sb25_new',EsfuerzoCorto2Vmk, 0.245)
	NetSounds.AddAnimSound(per,'Vmk_g_sb25_new',AndarVmk1, 0.400)
	
	NetSounds.AddAnimSound(per,'Vmk_g_b32kata_new',SesgadoEspecialCorto2, 0.274)
	NetSounds.AddAnimSound(per,'Vmk_g_b32kata_new',EsfuerzoCorto2Vmk, 0.264)
	NetSounds.AddAnimSound(per,'Vmk_g_b32kata_new',EsfuerzoGolpeAtras1Vmk, 0.536)
	NetSounds.AddAnimSound(per,'Vmk_g_b32kata_new',SesgadoEspecialLargo1, 0.556)
	NetSounds.AddAnimSound(per,'Vmk_g_b32kata_new',AndarVmk1, 0.400)
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_01low_new',SesgadoLargoAgudo, 0.3200)
	NetSounds.AddAnimSound(per,'Vmk_g_01low_new',EsfuerzoCorto2Vmk, 0.3150)
	NetSounds.AddAnimSound(per,'Vmk_g_01low_new',AndarVmk1, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_g_01low_new',AndarVmk2, 0.8000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_01_new',SesgadoEspecialLargo1, 0.201)
	NetSounds.AddAnimSound(per,'Vmk_g_01_new',EsfuerzoGolpeAtras1Vmk, 0.190)
	NetSounds.AddAnimSound(per,'Vmk_g_01_new',AndarVmk1, 0.4000)
	
	NetSounds.AddAnimSound(per,'Vmk_g_s18_new',SesgadoLargo, 0.3450)
	NetSounds.AddAnimSound(per,'Vmk_g_s18_new',EsfuerzoCorto3Vmk, 0.2200)
	NetSounds.AddAnimSound(per,'Vmk_g_s18_new',AndarVmk1, 0.6000)
	
	
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_s22low_new',SesgadoEspecialLargo2, 0.340)
	NetSounds.AddAnimSound(per,'Vmk_g_s22low_new',EsfuerzoVmkMediano, 0.320)
	NetSounds.AddAnimSound(per,'Vmk_g_s22low_new',AndarVmk1, 0.400)
	
	NetSounds.AddAnimSound(per,'Vmk_g_s19_new',SesgadoEspecialLargo1, 0.543)
	NetSounds.AddAnimSound(per,'Vmk_g_s19_new',EsfuerzoGolpeAtras1Vmk, 0.523)
	NetSounds.AddAnimSound(per,'Vmk_g_s19_new',AndarVmk1, 0.400)
	
	
	NetSounds.AddAnimSound(per,'Vmk_g_27kata_new',SesgadoEspecialCorto1, 0.110)
	NetSounds.AddAnimSound(per,'Vmk_g_27kata_new',EsfuerzoCorto6Vmk, 0.110)
	NetSounds.AddAnimSound(per,'Vmk_g_27kata_new',SesgadoEspecialCorto2, 0.245)
	NetSounds.AddAnimSound(per,'Vmk_g_27kata_new',SesgadoEspecialLargo2, 0.427)
	NetSounds.AddAnimSound(per,'Vmk_g_27kata_new',EsfuerzoVmkMediano, 0.400)
	NetSounds.AddAnimSound(per,'Vmk_g_27kata_new',AndarVmk2, 0.800)
	
	NetSounds.AddAnimSound(per,'Vmk_g_26low_new',SesgadoCortoAgudo, 0.4100)
	NetSounds.AddAnimSound(per,'Vmk_g_26low_new',AndarVmk2, 0.6090)
	NetSounds.AddAnimSound(per,'Vmk_g_26low_new',EsfuerzoGolpeArribaVmk, 0.1300)
	
	NetSounds.AddAnimSound(per,'Vmk_g_22kata_23_new',SesgadoCortoAgudo, 0.258)
	NetSounds.AddAnimSound(per,'Vmk_g_22kata_23_new',SesgadoEspecialLargo2, 0.559)
	NetSounds.AddAnimSound(per,'Vmk_g_22kata_23_new',EsfuerzoCortoVmk, 0.240)
	NetSounds.AddAnimSound(per,'Vmk_g_22kata_23_new',EsfuerzoVmkMediano, 0.500)
	NetSounds.AddAnimSound(per,'Vmk_g_22kata_23_new',AndarVmk1, 0.400)
	
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low_new',SesgadoEspecialCorto2, 0.223)
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low_new',SesgadoEspecialLargo1, 0.646)
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low_new',EsfuerzoGolpeAtras1Vmk, 0.646)
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low_new',EsfuerzoCortoVmk, 0.100)
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low_new',EsfuerzoGolpeAtrasVmk, 0.213)
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low_new',AndarVmk1, 0.300)
	NetSounds.AddAnimSound(per,'Vmk_g_09_07_s6low_new',AndarVmk2, 0.400)
	
	NetSounds.AddAnimSound(per,'Vmk_g_07_01_19_26low_new',SesgadoCortoAgudo, 0.1320)
	NetSounds.AddAnimSound(per,'Vmk_g_07_01_19_26low_new',SesgadoCorto, 0.2610)
	NetSounds.AddAnimSound(per,'Vmk_g_07_01_19_26low_new',SesgadoCortoGrave, 0.6050)
	NetSounds.AddAnimSound(per,'Vmk_g_07_01_19_26low_new',EsfuerzoCorto2Vmk, 0.1300)
	NetSounds.AddAnimSound(per,'Vmk_g_07_01_19_26low_new',EsfuerzoCorto3Vmk, 0.2200)
	NetSounds.AddAnimSound(per,'Vmk_g_07_01_19_26low_new',EsfuerzoGolpeCabezaVmk, 0.4580)
	NetSounds.AddAnimSound(per,'Vmk_g_07_01_19_26low_new',AndarVmk1, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_g_07_01_19_26low_new',AndarVmk2, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_g_07_01_19_26low_new',AndarVmk2, 0.7000)
	
	
	NetSounds.AddAnimSound(per,'Vmk_1tw_h_f',AndarVmk2, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_1tw_h_f',EsfuerzoVmkMediano, 0.3000)
	
	NetSounds.AddAnimSound(per,'Vmk_1tw_l_f',AndarVmk2, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_1tw_l_f',EsfuerzoCorto2Vmk, 0.3000)
	
	NetSounds.AddAnimSound(per,'Vmk_jog_turn',AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_jog_turn',EsfuerzosubirVmk2, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_wlk_turn',AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_wlk_turn',EsfuerzofinalsubirVmk, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_snk_turn',AndarVmk2, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_rlx_turn',AndarVmk2, 0.4500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_f_s',AndarVmk2, 0.9000)
	NetSounds.AddAnimSound(per,'Vmk_attack_f_s',EsfuerzofinalsubirVmk, 0.8000)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_s',EsfuerzofinalsubirVmk, 0.3800)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_s',AndarVmk1, 0.3600)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_s',AndarVmk2, 0.9000)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_s',EsfuerzofinalsubirVmk, 0.8000)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_s',EsfuerzofinalsubirVmk, 0.3800)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_s',AndarVmk1, 0.3600)
	

	
	NetSounds.AddAnimSound(per,'Snk_b_Vmk',AndarVmk1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_b_Vmk',AndarVmk2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_1h_Vmk',AndarVmk1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_1h_Vmk',AndarVmk2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_spear_Vmk',AndarVmk1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_spear_Vmk',AndarVmk2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_2w_Vmk',AndarVmk1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_2w_Vmk',AndarVmk2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_no_Vmk',AndarVmk1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_no_Vmk',AndarVmk2, 0.5000)
	
	
	NetSounds.AddAnimSound(per,'Vmk_attack_b_spear', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_spear', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_spear', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_spear', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_spear', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_f_spear', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_f_spear', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_f_spear', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_f_spear', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_f_spear', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_l_spear', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_spear', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_spear', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_spear', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_spear', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_r_spear', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_spear', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_spear', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_spear', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_spear', AndarVmk7, 0.8500)
	
	
	NetSounds.AddAnimSound(per,'Vmk_attack_b_sword', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_sword', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_sword', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_sword', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_b_sword', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_f_sword', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_f_sword', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_f_sword', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_f_sword', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_f_sword', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_l_sword', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_sword', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_sword', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_sword', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_l_sword', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_r_sword', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_sword', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_sword', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_sword', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_r_sword', AndarVmk7, 0.8500)
	
	
	NetSounds.AddAnimSound(per,'Vmk_attack_b', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_b', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_b', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_b', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_b', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_f', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_f', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_f', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_f', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_f', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_l', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_l', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_l', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_l', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_l', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_r', AndarVmk7, 0.0534)
	NetSounds.AddAnimSound(per,'Vmk_attack_r', AndarVmk8, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_attack_r', AndarVmk7, 0.4200)
	NetSounds.AddAnimSound(per,'Vmk_attack_r', AndarVmk8, 0.6200)
	NetSounds.AddAnimSound(per,'Vmk_attack_r', AndarVmk7, 0.8500)
	
	NetSounds.AddAnimSound(per,'Vmk_parryspear', SaltoCortoVmk6, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_parryspear', AndarVmk7, 0.6000)
	
	NetSounds.AddAnimSound(per,'Vmk_parry2w', SaltoCortoVmk6, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_parry2w', AndarVmk7, 0.5000)
	
	NetSounds.AddAnimSound(per,'Vmk_df_01', SaltoCortoVmk6, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_df_01', AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_df_02', SaltoCortoVmk6, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_df_02', AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_df_s_broken', SaltoCortoVmk6, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_df_s_broken', AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_df_01_spear', SaltoCortoVmk6, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_df_01_spear', AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_df_02_spear', SaltoCortoVmk6, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_df_02_spear', AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_df_01_2w', SaltoCortoVmk6, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_df_01_2w', AndarVmk1, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_df_02_2w', SaltoCortoVmk6, 0.4000)
	NetSounds.AddAnimSound(per,'Vmk_df_02_2w', AndarVmk1, 0.5000)
	
	NetSounds.AddAnimSound(per,'Vmk_hurt_jog', HeridaVmk1, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_hurt_neck', HeridaVmk3, 0.3158)
	NetSounds.AddAnimSound(per,'Vmk_hurt_breast', HeridaVmk1, 0.3889)
	NetSounds.AddAnimSound(per,'Vmk_hurt_back', HeridaVmk3, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_hurt_r_arm', HeridaVmk1, 0.4076)
	NetSounds.AddAnimSound(per,'Vmk_hurt_l_arm', HeridaVmk3, 0.5333)
	NetSounds.AddAnimSound(per,'Vmk_hurt_r_leg', HeridaVmk1, 0.4076)
	NetSounds.AddAnimSound(per,'Vmk_hurt_l_leg', HeridaVmk3, 0.4375)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_head', HeridaVmk1, 0.3333)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_neck', HeridaVmk3, 0.3158)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_breast', HeridaVmk1,0.3889)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_back', HeridaVmk3, 0.4211)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_r_arm', HeridaVmk1, 0.2100)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_l_arm', HeridaVmk3, 0.1786)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_r_leg', HeridaVmk1, 0.4076)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_l_leg', HeridaVmk3, 0.4375)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_lite', HeridaVmk1, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_hurt_f_big', HeridaVmk3, 0.3000)
	NetSounds.AddAnimSound(per,'Vmk_hurt_head', HeridaVmk1, 0.6000)
	
	
	NetSounds.AddAnimSound(per,'Vmk_key',RuidoLlaveCerradura, 0.4100)
	NetSounds.AddAnimSound(per,'Vmk_key',RuidoLlave, 0.1300)
	NetSounds.AddAnimSound(per,'Vmk_key',Ruidook, 0.2000)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_01', CogerEspada, 0.3103) 
	NetSounds.AddAnimSound(per,'Vmk_tke_r_02', CogerEspada, 0.2759) 
	NetSounds.AddAnimSound(per,'Vmk_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_04', CogerEspada, 0.2727) 
	NetSounds.AddAnimSound(per,'Vmk_tke_r_04', CogerEspada, 0.2654)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_05', CogerEspada, 0.2654)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key00', CogerArma, 0.5652)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key01', CogerArma, 0.6000)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key02', CogerArma, 0.6000)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key03', CogerArma, 0.6000)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key04', CogerArma, 0.6000)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key05',CogerLlave, 0.2654)
	NetSounds.AddAnimSound(per,'Vmk_tke_r_key05', CogerArma, 0.6000)
	NetSounds.AddAnimSound(per,'Vmk_lvr_u',SonidoPalanca, 0.3889)
	NetSounds.AddAnimSound(per,'Vmk_lvr_d',SonidoPalanca, 0.3548)
	
	NetSounds.AddAnimSound(per,'Vmk_chg_l', CambiarEscudo, 0.3652)
	
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r_l', Enfundar, 0.5000)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r_l', AndarVmk1, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r', Enfundar, 0.5)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r', AndarVmk1, 0.4500)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_r', CambiarEscudo, 0.3652)
	NetSounds.AddAnimSound(per,'Vmk_attack_chg_l', CambiarEscudo, 0.3652)
	
	
	
	
	
	
	
	
	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

	
	
	