
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    #######################
    #                     #
    # VMBlackKnight       #
    #                     #
    #######################
    

  
    
    
import VMBlackKnightAnm_def
VMBlackKnightAnm_def.InitVMBlackKnight()    
 
    
vmk=Bladex.GetCharType("VMBlackKnight","Vmk")
vmk.IntName="Vmk" 


vmk.TurnSpeed=3.4
vmk.Jcost=2700
vmk.MaxFall=5000
vmk.DieFall=14000
vmk.MaxStair=335
vmk.Fov=math.pi
vmk.MaxGrab=3500.0
vmk.MedGrab=2500.0
vmk.Min2Grab=1500.0

vmk.MinTake=-500.0	# Min height above floor barbarian will take
vmk.MaxTake1=450.0	# Max height above floor for Take1 Anim
vmk.MaxTake2=500.0	# Max height above floor for Take2 Anim
vmk.MaxTake3=1100.0	# Max height above floor for Take3 Anim
vmk.MaxTake4=1700.0	# Max height above floor for Take4 Anim
vmk.MaxTake5=3000.0	# Max height above floor for Take5 Anim
vmk.Reach=2000.0	# Max distance from vmk centre to obj centre to take
vmk.MovFrwdSpeedInStrafe=1200  #Forwards speed when in strafe(combat mode only)
vmk.MovBkwdSpeedInStrafe=1200  #Idem backwards
vmk.MaxCombatDist=20000
vmk.MaxSeeDist=50000

vmk.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
vmk.SetCDSphere(0,90.0,500.0)  #(numero de la espera, altura mm, radio mm)
vmk.SetCDSphere(1,-240.0,500.0)  #(numero de la espera, altura mm, radio mm)


vmk.NaturalWeapons=1

###############################################################################
#

def VMBlackKnightWhenFirst():
	Bladex.CreateBipedData("Vmk","VMBlackKnight")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Vmk.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Vmk.dat")

	import VMBlackKnightAnimationSet
	VMBlackKnightAnimationSet.LoadVMBlackKnightAnimationSet("Vmk")
	
	import VMBlackKnightBAct
	import LinkTables
	LinkTables.LinkMe("Vmk")
	import VMBlackKnightCombos
	import AnmFactVMBlackKnight
	AnmFactVMBlackKnight.AnmFactVMBlackKnight()
	import VMBlackKnightStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Vmk.dat","Vmk")
	
	print"New VMBlackKnight Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("VMBlackKnight","Vmk")
race.OnFirst=VMBlackKnightWhenFirst
