import Bladex
from math import pow
import Reference
import EnemyTypes
import Sparks
import Actions
import pocimac
import Breakings
import ItemTypes
import darfuncs
import copy
import CharStats

import AllyNPCTypes
import EnemyNPCTypes
import Holes
import Armour






####### test dummies to preload meshes


o=Bladex.CreateEntity("TestIronWarrior","IronWarrior",18353,200,-229295, "Person", "IronWarrior_B")
o.Angle=1.5
o.Data=EnemyNPCTypes.IronWarrior(o)
o.Data.ToolUp("IronAxe")
o.SetOnFloor()
o.Freeze()

o=Bladex.CreateEntity("TestGolem","JewelGolem",23283,200,-228961,"Person","JewelGolemRuby")
o.Angle=0
o.Data=EnemyNPCTypes.JewelGolem(o)
o.Data.ToolUp()
o.SetOnFloor()
o.Freeze()

o=Bladex.CreateEntity("TestGolem2","JewelGolem",28035,200,-228335,"Person","JewelGolemAmethyst")
o.Angle=0
o.Data=EnemyNPCTypes.JewelGolem(o)
o.Data.ToolUp()
o.SetOnFloor()
o.Freeze()

o=Bladex.CreateEntity("TestGolem3","JewelGolem",28185,200,-223754,"Person","JewelGolemEmerald")
o.Angle=0
o.Data=EnemyNPCTypes.JewelGolem(o)
o.Data.ToolUp()
o.SetOnFloor()
o.Freeze()



o=Bladex.CreateEntity("TestGolem4","RockGolem",23283,200,-228961,"Person","LavaGolem")
o.Angle=0
o.Data=EnemyNPCTypes.RockGolem(o)
o.SetOnFloor()
o.Freeze()

o=Bladex.CreateEntity("TestGolem5","RockGolem",28778,0,-201848,"Person","EarthGolem")
o.Angle=0
o.Data=EnemyNPCTypes.RockGolem(o)
o.SetOnFloor()
o.Freeze()

o=Bladex.CreateEntity("TestGolem6","RockGolem",28778,0,-201848,"Person","WoodGolem")
o.Angle=0
o.Data=EnemyNPCTypes.RockGolem(o)
o.SetOnFloor()
o.Freeze()


o=Bladex.CreateEntity("TestStartGhoul1","Ghoul_A",-1462,-13171,-58322,"Person","Ghoul_D")
o.Data=EnemyNPCTypes.Ghoul(o)
o.Freeze()

o=Bladex.CreateEntity("TestStartGhoul2","Ghoul_A",-2462,-13171,-58322,"Person","Ghoul_B")
o.Data=EnemyNPCTypes.Ghoul(o)
o.Freeze()

o=Bladex.CreateEntity("TestStartGhoul3","Ghoul_A",0,-13171,-58322,"Person","Ghoul_C")
o.Data=EnemyNPCTypes.Ghoul(o)
o.Freeze()

o=Bladex.CreateEntity("TestStartGhoul4","Ghoul_A",0,-13171,-58322,"Person")
o.Data=EnemyNPCTypes.Ghoul(o)
o.Freeze()


o=Bladex.CreateEntity("TestBronzeWarrior_2","BronzeWarrior",8000,-11400,49000,"Person","TempleGuard")
o.Data=EnemyNPCTypes.BronzeWarrior(o)
o.Data.ToolUp()
o.Freeze()


o=Bladex.CreateEntity("TestSargonL","Knight_N",-157,8000,-141908, "Person","Knight_L")
o.Data=AllyNPCTypes.AllyKnight(o)
o.Freeze()

o=Bladex.CreateEntity("TestSargonM","Knight_N",-157,8000,-141908, "Person","Knight_M")
o.Data=AllyNPCTypes.AllyKnight(o)
o.Freeze()

o=Bladex.CreateEntity("TestSargonF","Knight_N",-157,8000,-141908, "Person","Knight_F")
o.Data=AllyNPCTypes.AllyKnight(o)
o.Freeze()

o=Bladex.CreateEntity("TestZoeL","Amazon_N",-157,8000,-141908, "Person","Amazon_L")
o.Data=AllyNPCTypes.AllyAmazon(o)
o.Freeze()


o=Bladex.CreateEntity("TestNaglfarL","Dwarf_N",-157,8000,-141908, "Person","Dwarf_L")
o.Data=AllyNPCTypes.AllyDwarf(o)

o=Bladex.CreateEntity("TestNaglfarM","Dwarf_N",-157,8000,-141908, "Person","Dwarf_M")
o.Data=AllyNPCTypes.AllyDwarf(o)

o=Bladex.CreateEntity("TestTukaramL","Barbarian_N",-157,8000,-141908, "Person","Barbarian_L")
o.Data=AllyNPCTypes.AllyBarbarian(o)

###########################################################################################################


vmk1=Bladex.CreateEntity("VMBlackKnight1","VMBlackKnight",0,-1000,-140000,"Person")
vmk1.Angle=3
vmk1.Level=17
vmk1.Data=EnemyNPCTypes.VMBlackKnight(vmk1)
vmk1.Data.ToolUp("VMKAxe1","VMKShield1")
vmk1.Data.AttackOnSight=0
vmk1.Data.Dusted=0
vmk1.Data.DeathFunc=BossDead
vmk1.Data.DeathArgs=("VMBlackKnight1",)
vmk1.SetOnFloor()
vmk1.Freeze()



hole1=Holes.CreateSkelHole("Hole1", (-8923,530,20039),  0, 1, "Ghoul_A")
hole2=Holes.CreateSkelHole("Hole2", (-14601,530,20346), 0, 1, "Ghoul_A")
hole3=Holes.CreateSkelHole("Hole3", (-14358,530,15670), 0, 1, "Ghoul_A")
hole4=Holes.CreateSkelHole("Hole4", (-12832,530,10262), 0, 1, "Ghoul_A")
hole5=Holes.CreateSkelHole("Hole5", (-9220,710,12515),  0, 1, "Ghoul_A")
hole6=Holes.CreateSkelHole("Hole6", (-8230,709,16554),  0, 1, "Ghoul_A")
hole7=Holes.CreateSkelHole("Hole7", (15913,502,19437),  0, 1, "Ghoul_A")
hole8=Holes.CreateSkelHole("Hole8", (13807,515,-8522),  0, 1, "Ghoul_A")
hole9=Holes.CreateSkelHole("Hole9", (12004,508,-13265), 0, 1, "Ghoul_A")
hole1.Data.ExtDeadFunc=GhoulDead
hole2.Data.ExtDeadFunc=GhoulDead
hole3.Data.ExtDeadFunc=GhoulDead
hole4.Data.ExtDeadFunc=GhoulDead
hole5.Data.ExtDeadFunc=GhoulDead
hole6.Data.ExtDeadFunc=GhoulDead
hole7.Data.ExtDeadFunc=GhoulDead
hole8.Data.ExtDeadFunc=GhoulDead
hole9.Data.ExtDeadFunc=GhoulDead


stbzw1=Bladex.CreateEntity("StartBronzeWarrior_1","BronzeWarrior",8000,-1400,49000,"Person")
stbzw1.Angle=3
stbzw1.Level=4
stbzw1.Data=EnemyNPCTypes.BronzeWarrior(stbzw1)
stbzw1.Data.ToolUp()
stbzw1.Data.DeathFunc=BronzeWarriorDead
stbzw1.Data.DeathArgs=("StartBronzeWarrior_1",)
stbzw1.SetOnFloor()
darfuncs.HideBadGuy("StartBronzeWarrior_1")


stbzw2=Bladex.CreateEntity("StartBronzeWarrior_2","BronzeWarrior",-8000,-1400,49000,"Person")
stbzw2.Angle=3
stbzw2.Level=4
stbzw2.Data=EnemyNPCTypes.BronzeWarrior(stbzw2)
stbzw2.Data.ToolUp()
stbzw2.Data.DeathFunc=BronzeWarriorDead
stbzw2.Data.DeathArgs=("StartBronzeWarrior_2",)
stbzw2.SetOnFloor()
darfuncs.HideBadGuy("StartBronzeWarrior_2")


stg1=Bladex.CreateEntity("StartTempleGuard_1","BronzeWarrior",0,10000,0,"Person","TempleGuard")
stg1.Angle=3
stg1.Level=4
stg1.Data=EnemyNPCTypes.BronzeWarrior(stg1)
o=Bladex.CreateEntity("StartTempleGuard_1WP","Cimitarra",0,4000,0,"Weapon")
o.Scale=1.3
Actions.TakeObject("StartTempleGuard_1","StartTempleGuard_1WP")
stg1.Data.DeathFunc=BronzeWarriorDead
stg1.Data.DeathArgs=("StartTempleGuard_1",)
stg1.SetOnFloor()
darfuncs.HideBadGuy("StartTempleGuard_1")


stg2=Bladex.CreateEntity("StartTempleGuard_2","BronzeWarrior",0,10000,0,"Person","TempleGuard")
stg2.Angle=3
stg2.Level=4
stg2.Data=EnemyNPCTypes.BronzeWarrior(stg2)
o=Bladex.CreateEntity("StartTempleGuard_2WP","Cimitarra",0,4000,0,"Weapon")
o.Scale=1.3
Actions.TakeObject("StartTempleGuard_2","StartTempleGuard_2WP")
stg2.Data.DeathFunc=BronzeWarriorDead
stg2.Data.DeathArgs=("StartTempleGuard_2",)
stg2.SetOnFloor()
darfuncs.HideBadGuy("StartTempleGuard_2")



gol1=Bladex.CreateEntity("StartRockGolem","RockGolem",0,20000,0,"Person")
gol1.Angle=0
gol1.Data=EnemyNPCTypes.RockGolem(gol1)
gol1.SetOnFloor()
gol1.Data.DeathFunc=GolemDead
gol1.Data.DeathArgs=("StartRockGolem",)
darfuncs.HideBadGuy("StartRockGolem")


iw1=Bladex.CreateEntity("StartIronWarrior","IronWarrior",67000,0,0, "Person")
iw1.Angle=1.5
iw1.Data=EnemyNPCTypes.IronWarrior(iw1)
iw1.Data.ToolUp()
iw1.Data.DeathFunc=IronWarriorDead
iw1.Data.DeathArgs=("StartIronWarrior",)
iw1.SetOnFloor()
darfuncs.HideBadGuy("StartIronWarrior")






Buddies=["Sargon", "Zoe", "Naglfar", "Tukaram"]

ReserveBuddies=[]

sarg=Bladex.CreateEntity("Sargon","Knight_N",-157,-3092,-41908, "Person")
sarg.Angle=0
sargsw=Bladex.CreateEntity("SargonWP","DoubleSword",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sargsw)
sargsh=Bladex.CreateEntity("SargonSH","Escudo3",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sargsh)
Actions.TakeObject("Sargon","SargonWP")
Actions.TakeObject("Sargon","SargonSH")
sarg.Data=AllyNPCTypes.AllyKnight(sarg)
sarg.Data.DeathFunc=BuddyDead
sarg.Data.DeathArgs=(sarg.Name,)
sarg.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
sarg.Data.LevelupArgs=(sarg.Name,)
AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("Sargon")
sarg.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+sarg.Kind))
darfuncs.HideBadGuy("Sargon")

zo=Bladex.CreateEntity("Zoe","Amazon_N",-1691,-3098,-40011, "Person")
zo.Angle=5.8
zowep=Bladex.CreateEntity("ZoeWP","Axpear",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(zowep)
Actions.TakeObject("Zoe","ZoeWP")
zo.Data=AllyNPCTypes.AllyAmazon(zo)
zo.Data.DeathFunc=BuddyDead
zo.Data.DeathArgs=(zo.Name,)
zo.Data.LevelupFunc=AllyNPCTypes.ValkyrieLevelUpFunc
zo.Data.LevelupArgs=(zo.Name,)
AllyNPCTypes.ValkyrieLevelUpFunc("Zoe")
zo.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+zo.Kind))
darfuncs.HideBadGuy("Zoe")

nag=Bladex.CreateEntity("Naglfar","Dwarf_N",1774,-3083,-39637, "Person")
nag.Angle=0.4
nagwep=Bladex.CreateEntity("NaglfarWP","Martillo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(nagwep)
nagsh=Bladex.CreateEntity("NaglfarSH","KingShield",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(nagsh)
Actions.TakeObject("Naglfar","NaglfarWP")
Actions.TakeObject("Naglfar","NaglfarSH")
nag.Data=AllyNPCTypes.AllyDwarf(nag)
nag.Data.DeathFunc=BuddyDead
nag.Data.DeathArgs=(nag.Name,)
nag.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
nag.Data.LevelupArgs=(nag.Name,)
AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("Naglfar")
nag.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nag.Kind))
darfuncs.HideBadGuy("Naglfar")

tuk=Bladex.CreateEntity("Tukaram","Barbarian_N",-763,-2577,-37812, "Person")
tuk.Angle=5.8
tuksw=Bladex.CreateEntity("TukaramWP","Chaosword",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tuksw)
Actions.TakeObject("Tukaram","TukaramWP")
tuk.Data=AllyNPCTypes.AllyBarbarian(tuk)
tuk.Data.DeathFunc=BuddyDead
tuk.Data.DeathArgs=(tuk.Name,)
tuk.Data.LevelupFunc=AllyNPCTypes.BarbarianLevelUpFunc
tuk.Data.LevelupArgs=(tuk.Name,)
AllyNPCTypes.BarbarianLevelUpFunc("Tukaram")
tuk.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+tuk.Kind))
darfuncs.HideBadGuy("Tukaram")




# Reserves


erc=Bladex.CreateEntity("Eric","Barbarian_N",0,2000,0, "Person","BarSkin1")
ercsw=Bladex.CreateEntity("EricWP","RhinoClub",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(ercsw)
Actions.TakeObject("Eric","EricWP")
erc.Data=AllyNPCTypes.AllyBarbarian(erc)
erc.Data.DeathFunc=BuddyDead
erc.Data.DeathArgs=(erc.Name,)
erc.Data.LevelupFunc=AllyNPCTypes.BarbarianLevelUpFunc
erc.Data.LevelupArgs=(erc.Name,)
erc.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+erc.Kind))
darfuncs.HideBadGuy("Eric")
ReserveBuddies.append("Eric")



glof=Bladex.CreateEntity("Glofror","Dwarf_N",0,2000,0, "Person","DwfSkin1")
glofwep=Bladex.CreateEntity("GlofrorWP","Hacha6",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(glofwep)
glofsh=Bladex.CreateEntity("GlofrorSH","Escudo9",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(glofsh)
Actions.TakeObject("Glofror","GlofrorWP")
Actions.TakeObject("Glofror","GlofrorSH")
glof.Data=AllyNPCTypes.AllyDwarf(glof)
glof.Data.DeathFunc=BuddyDead
glof.Data.DeathArgs=(glof.Name,)
glof.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
glof.Data.LevelupArgs=(glof.Name,)
glof.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+glof.Kind))
darfuncs.HideBadGuy("Glofror")
ReserveBuddies.append("Glofror")


herb=Bladex.CreateEntity("Herbert","Dwarf_N",0,20000,0, "Person","DwfSkin2")
herbwep=Bladex.CreateEntity("HerbertWP","Garrote2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(herbwep)
herbsh=Bladex.CreateEntity("HerbertSH","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(herbsh)
Actions.TakeObject("Herbert","HerbertWP")
Actions.TakeObject("Herbert","HerbertSH")
herb.Data=AllyNPCTypes.AllyDwarf(herb)
herb.Data.DeathFunc=BuddyDead
herb.Data.DeathArgs=(herb.Name,)
herb.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
herb.Data.LevelupArgs=(herb.Name,)
herb.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+herb.Kind))
darfuncs.HideBadGuy("Herbert")
ReserveBuddies.append("Herbert")



szo=Bladex.CreateEntity("Clorinda","Amazon_B",0,5000,0, "Person")
szosw=Bladex.CreateEntity("ClorindaWP","Espadacurva",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(szosw)
Actions.TakeObject("Clorinda","ClorindaWP")
szosh=Bladex.CreateEntity("ClorindaSH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(szosh)
Actions.TakeObject("Clorinda","ClorindaSH")
szo.Data=AllyNPCTypes.AllyAmazon_B(szo)
szo.Data.DeathFunc=BuddyDead
szo.Data.DeathArgs=(szo.Name,)
szo.Data.LevelupFunc=AllyNPCTypes.ValkyrieLevelUpFunc
szo.Data.LevelupArgs=(szo.Name,)
AllyNPCTypes.ValkyrieLevelUpFunc("Clorinda")
darfuncs.HideBadGuy("Clorinda")
ReserveBuddies.append("Clorinda")



szo2=Bladex.CreateEntity("Aella","Amazon_B",3000,5000,0, "Person")
szo2sw=Bladex.CreateEntity("AellaWP","LongSword",0,0,0,"Weapon")
szo2sw.Scale=0.9
ItemTypes.ItemDefaultFuncs(szo2sw)
Actions.TakeObject("Aella","AellaWP")
szo2.Data=AllyNPCTypes.AllyAmazon_B(szo2)
szo2.Data.DeathFunc=BuddyDead
szo2.Data.DeathArgs=(szo2.Name,)
szo2.Data.LevelupFunc=AllyNPCTypes.ValkyrieLevelUpFunc
szo2.Data.LevelupArgs=(szo2.Name,)
szo2.SetMesh("AmzSkin1")
darfuncs.HideBadGuy("Aella")
ReserveBuddies.append("Aella")



sarg2=Bladex.CreateEntity("Asgeirr","Knight_N",1000,5000,-2000, "Person")
sarg2.Angle=0
sarg2sw=Bladex.CreateEntity("AsgeirrWP","Maza",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sarg2sw)
sarg2sh=Bladex.CreateEntity("AsgeirrSH","Escudo1",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sarg2sh)
Actions.TakeObject("Asgeirr","AsgeirrWP")
Actions.TakeObject("Asgeirr","AsgeirrSH")
sarg2.Data=AllyNPCTypes.AllyKnight(sarg2)
sarg2.Data.DeathFunc=BuddyDead
sarg2.Data.DeathArgs=(sarg2.Name,)
sarg2.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
sarg2.Data.LevelupArgs=(sarg2.Name,)
AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("Asgeirr")
sarg2.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+sarg2.Kind))
sarg2.SetMesh("KgtSkin2")
darfuncs.HideBadGuy("Asgeirr")
ReserveBuddies.append("Asgeirr")


sarg3=Bladex.CreateEntity("Ingvar","Knight_N",-5000,5000,-6000, "Person")
sarg3.Angle=4
sarg3sw=Bladex.CreateEntity("IngvarWP","Espadaelfica",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sarg3sw)
sarg3sh=Bladex.CreateEntity("IngvarSH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sarg3sh)
Actions.TakeObject("Ingvar","IngvarWP")
Actions.TakeObject("Ingvar","IngvarSH")
sarg3.Data=AllyNPCTypes.AllyKnight(sarg3)
sarg2.Data.DeathFunc=BuddyDead
sarg2.Data.DeathArgs=(sarg2.Name,)
sarg3.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
sarg3.Data.LevelupArgs=(sarg3.Name,)
AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("Ingvar")
sarg3.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+sarg3.Kind))
sarg3.SetMesh("KgtSkin1")
darfuncs.HideBadGuy("Ingvar")
ReserveBuddies.append("Ingvar")


tuk2=Bladex.CreateEntity("Hjalmar","Barbarian_N",-5000,5000,-6000, "Person", "BarSkin2")
tuk2.Angle=5.8
tuk2sw=Bladex.CreateEntity("HjalmarWP","Hacharrajada",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tuk2sw)
Actions.TakeObject("Hjalmar","HjalmarWP")
tuk2.Data=AllyNPCTypes.AllyBarbarian(tuk2)
tuk2.Data.DeathFunc=BuddyDead
tuk2.Data.DeathArgs=(tuk2.Name,)
tuk2.Data.LevelupFunc=AllyNPCTypes.BarbarianLevelUpFunc
tuk2.Data.LevelupArgs=(tuk2.Name,)
AllyNPCTypes.BarbarianLevelUpFunc("Hjalmar")
tuk2.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+tuk2.Kind))
darfuncs.HideBadGuy("Hjalmar")
ReserveBuddies.append("Hjalmar")



## IrDwarfs

irdwf1=Bladex.CreateEntity("SoldierDwarf1","IrDwarf_N",12119,531,-21386, "Person")
irdwf1.Data=AllyNPCTypes.AllyIrlichDwarf(irdwf1)
irdwf1.Data.ToolUp()
irdwf1.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
irdwf1.Data.LevelupArgs=(irdwf1.Name,)
irdwf1.Data.DeathFunc=SoldierDwarfDead
irdwf1.Data.DeathArgs=(irdwf1.Name,)
irdwf1.Data.Dusted=1
AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("SoldierDwarf1")
irdwf1.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+irdwf1.Kind))
irdwf1.SetOnFloor()


irdwf2=Bladex.CreateEntity("SoldierDwarf2","IrDwarf_N",14052,709,-17595, "Person")
irdwf2.Data=AllyNPCTypes.AllyIrlichDwarf(irdwf2)
irdwf2.Data.ToolUp()
irdwf2.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
irdwf2.Data.LevelupArgs=(irdwf2.Name,)
irdwf2.Data.DeathFunc=SoldierDwarfDead
irdwf2.Data.DeathArgs=(irdwf2.Name,)
irdwf2.Data.Dusted=1
AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("SoldierDwarf2")
irdwf2.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+irdwf2.Kind))
irdwf2.SetOnFloor()


#irdwf3=Bladex.CreateEntity("SoldierDwarf3","IrDwarf_N",12052,709,-17595, "Person")
#irdwf3.Data=AllyNPCTypes.AllyIrlichDwarf(irdwf3)
#irdwf3.Data.ToolUp()
#irdwf3.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
#irdwf3.Data.LevelupArgs=(irdwf3.Name,)
#irdwf3.Data.DeathFunc=SoldierDwarfDead
#irdwf3.Data.DeathArgs=(irdwf3.Name,)
#irdwf2.Data.Dusted=1
#AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("SoldierDwarf3")
#irdwf3.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+irdwf3.Kind))
#irdwf3.SetOnFloor()

############ start enemies


sk1=Bladex.CreateEntity("StartSkel1","Skeleton",0,20000,0,"Person")
o=Bladex.CreateEntity("StartSkel1WP","Garrote",0,0,0,"Weapon")
Actions.TakeObject("StartSkel1","StartSkel1WP")
sk1.Data=EnemyNPCTypes.ArmouredSkeleton(sk1)
sk1.Data.DeathFunc=SkelDead
sk1.Data.DeathArgs=(sk1.Name,)
darfuncs.HideBadGuy("StartSkel1")


sk2=Bladex.CreateEntity("StartSkel2","Skeleton",0,20000,0,"Person")
o=Bladex.CreateEntity("StartSkel2WP","Garrote",0,0,0,"Weapon")
Actions.TakeObject("StartSkel2","StartSkel2WP")
sk2.Data=EnemyNPCTypes.ArmouredSkeleton(sk2)
sk2.Data.DeathFunc=SkelDead
sk2.Data.DeathArgs=(sk2.Name,)
darfuncs.HideBadGuy("StartSkel2")


sk3=Bladex.CreateEntity("StartSkel3","Skeleton",0,20000,0,"Person")
o=Bladex.CreateEntity("StartSkel3WP","Garrote",0,0,0,"Weapon")
Actions.TakeObject("StartSkel3","StartSkel3WP")
sk3.Data=EnemyNPCTypes.ArmouredSkeleton(sk3)
sk3.Data.DeathFunc=SkelDead
sk3.Data.DeathArgs=(sk3.Name,)
darfuncs.HideBadGuy("StartSkel3")


sk4=Bladex.CreateEntity("StartSkel4","Skeleton",0,20000,0,"Person")
o=Bladex.CreateEntity("StartSkel4WP","Garrote",0,0,0,"Weapon")
Actions.TakeObject("StartSkel4","StartSkel4WP")
sk4.Data=EnemyNPCTypes.ArmouredSkeleton(sk4)
sk4.Data.DeathFunc=SkelDead
sk4.Data.DeathArgs=(sk4.Name,)
darfuncs.HideBadGuy("StartSkel4")


sk5=Bladex.CreateEntity("StartSkel5","Skeleton",0,20000,0,"Person")
o=Bladex.CreateEntity("StartSkel5WP","Garrote",0,0,0,"Weapon")
Actions.TakeObject("StartSkel5","StartSkel5WP")
sk5.Data=EnemyNPCTypes.ArmouredSkeleton(sk5)
sk5.Data.DeathFunc=SkelDead
sk5.Data.DeathArgs=(sk5.Name,)
darfuncs.HideBadGuy("StartSkel5")












